//
// File: Cego.cc
// This code was produced by the dragon parser generator
//
#include "Cego.h"
#include <lfcbase/Exception.h>
#include <lfcbase/StackT.h>

Cego::ScannerStateEntry::ScannerStateEntry()
{
}

Cego::ScannerStateEntry::ScannerStateEntry(int state, ScannerStateType type)
{
   _state = state;
   _type = type;
}

Cego::ScannerStateEntry& Cego::ScannerStateEntry::operator = (const Cego::ScannerStateEntry& s)
{
   _state = s._state;
   _type = s._type;
   return(*this);
}

bool Cego::ScannerStateEntry::operator == (const Cego::ScannerStateEntry& s)
{
   if ( _state == s._state )
      return true;
   return false;
}

Cego::ScannerStateType Cego::ScannerStateEntry::getType()
{
   return _type;
}
int Cego::ScannerStateEntry::getState()
{
   return _state;
}


Cego::ScannerTransEntry::ScannerTransEntry()
{
}

Cego::ScannerTransEntry::ScannerTransEntry(int state, char c)
{
   _state = state;
   _c = c;
}

Cego::ScannerTransEntry::ScannerTransEntry(int state, char c, int fstate)
{
   _state = state;
   _c = c;
   _fstate = fstate;
}

Cego::ScannerTransEntry& Cego::ScannerTransEntry::operator = (const Cego::ScannerTransEntry& s)
{
   _state = s._state;
   _c = s._c;
   _fstate = s._fstate;
   return(*this);
}

bool Cego::ScannerTransEntry::operator == (const Cego::ScannerTransEntry& s)
{
   if ( _state == s._state && _c == s._c)
      return true;
   return false;
}

int Cego::ScannerTransEntry::getFState()
{
   return _fstate;
}


Cego::Scanner::Scanner()
{
}


Cego::Scanner::Scanner(Token t)
{
   _token = t;
}

Cego::Token Cego::Scanner::getToken()
{
   return _token;
}

void Cego::Scanner::addState(ScannerStateEntry s)
{
   _stateList.Insert(s);
}

void Cego::Scanner::addTransition(ScannerTransEntry t)
{
   _transList.Insert(t);
}

bool Cego::Scanner::checkPattern(const Chain& p)
{
   unsigned long state = 0;
   ScannerStateEntry* pS = _stateList.First();
   while (pS)
   {
      if (pS->getType() == START || pS->getType() == ANY)
      {
         state = pS->getState();
         pS = 0;
      }
      else
      {
         pS = _stateList.Next();
      }
   }
   unsigned long i = 0;
   ScannerTransEntry* pT = 
   _transList.Find(ScannerTransEntry(state, p[i]));
   while (pT)
   {
      ScannerStateEntry* pS = _stateList.Find(ScannerStateEntry(pT->getFState())); 
      if (pS)
      {
         if ( ( i == p.length()-2 ) && ( pS->getType() == FINAL || pS->getType() == ANY))
         {
            return true;
         }
         else
         {
            state = pT->getFState();
         }
      }
      else
      {
         return false;
      }
      i++;
      pT = _transList.Find(ScannerTransEntry(state, p[i]));
   }
   return false;
}
Cego::StackEntry::StackEntry()
{
   _symbol = NONE;
}

Cego::StackEntry::StackEntry(Symbol symbol, int num, int state, Chain tval)
{
   _symbol=symbol;
   _num=num;
   _state=state;
   _tval=tval;
}

Cego::StackEntry& Cego::StackEntry::operator = (const Cego::StackEntry& se)
{
   _symbol=se._symbol;
   _num=se._num;
   _state=se._state;
   _tval=se._tval;
   return(*this);
}

int Cego::StackEntry::getState()
{
   return _state;
}
Cego::Symbol Cego::StackEntry::getSymbol()
{
   return _symbol;
}
Chain& Cego::StackEntry::getTval()
{
   return _tval;
}

Cego::ActionEntry::ActionEntry()
{
   _action=NULLACTION;
}

Cego::ActionEntry::ActionEntry(Action action , int num)
{
   _action=action;
   _num=num;
}

bool Cego::ActionEntry::operator == (const Cego::ActionEntry& ae)
{
   if (_action == ae._action && _num == ae._num)
      return true;
   return false;
}

Cego::ActionEntry& Cego::ActionEntry::operator = (const Cego::ActionEntry& ae)
{
   _action=ae._action;
   _num=ae._num;
   return(*this);
}

Cego::Action Cego::ActionEntry::getAction()
{
   return _action;
}

int Cego::ActionEntry::getNum()
{
   return _num;
}

Cego::ProdEntry::ProdEntry()
{
}

Cego::ProdEntry::ProdEntry(int id)
{
   _id = id;
}

Cego::ProdEntry::ProdEntry(int id, Production prod, int numSymbol)
{
   _id = id;
   _prod = prod;
   _numSymbol = numSymbol;
}

bool Cego::ProdEntry::operator == (const Cego::ProdEntry& pe)
{
   if (_id == pe._id)
      return true;
   return false;
}

Cego::ProdEntry& Cego::ProdEntry::operator = (const Cego::ProdEntry& pe)
{
   _id = pe._id;
   _prod = pe._prod;
   _numSymbol = pe._numSymbol;
   return(*this);
}


int Cego::ProdEntry::getId()
{
   return _id;
}

Cego::Production Cego::ProdEntry::getProd()
{
   return _prod;
}

int Cego::ProdEntry::getNumSymbol()
{
   return _numSymbol;
}
void Cego::loadScanner()
{
   Scanner s0(ADD);
   s0.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s0.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s0.addState(ScannerStateEntry(2 ,START));
   s0.addState(ScannerStateEntry(3 ,FINAL));
   s0.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s0.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s0.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s0.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s0.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s0.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s0);

   Scanner s1(AND);
   s1.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s1.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s1.addState(ScannerStateEntry(2 ,START));
   s1.addState(ScannerStateEntry(3 ,FINAL));
   s1.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s1.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s1.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s1.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s1.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s1.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s1);

   Scanner s2(ALL);
   s2.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s2.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s2.addState(ScannerStateEntry(2 ,START));
   s2.addState(ScannerStateEntry(3 ,FINAL));
   s2.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s2.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s2.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s2.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s2.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s2.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s2);

   Scanner s3(ALTER);
   s3.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(2 ,START));
   s3.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(5 ,FINAL));
   s3.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s3.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s3.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s3.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s3.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s3.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s3.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s3.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s3.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s3.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s3);

   Scanner s4(APPEND);
   s4.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(2 ,START));
   s4.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(6 ,FINAL));
   s4.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s4.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s4.addTransition(ScannerTransEntry(1 ,'P' ,3));
   s4.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s4.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s4.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s4.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s4.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s4.addTransition(ScannerTransEntry(4 ,'N' ,5));
   s4.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s4.addTransition(ScannerTransEntry(5 ,'D' ,6));
   s4.addTransition(ScannerTransEntry(5 ,'d' ,6));
   _scannerList.Insert(s4);

   Scanner s5(AS);
   s5.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s5.addState(ScannerStateEntry(1 ,FINAL));
   s5.addState(ScannerStateEntry(2 ,START));
   s5.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s5.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s5.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s5.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s5);

   Scanner s6(ASC);
   s6.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s6.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s6.addState(ScannerStateEntry(2 ,START));
   s6.addState(ScannerStateEntry(3 ,FINAL));
   s6.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s6.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s6.addTransition(ScannerTransEntry(1 ,'C' ,3));
   s6.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s6.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s6.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s6);

   Scanner s7(AUTHORIZE);
   s7.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(2 ,START));
   s7.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(9 ,FINAL));
   s7.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s7.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s7.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s7.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s7.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s7.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s7.addTransition(ScannerTransEntry(3 ,'H' ,4));
   s7.addTransition(ScannerTransEntry(3 ,'h' ,4));
   s7.addTransition(ScannerTransEntry(4 ,'O' ,5));
   s7.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s7.addTransition(ScannerTransEntry(5 ,'R' ,6));
   s7.addTransition(ScannerTransEntry(5 ,'r' ,6));
   s7.addTransition(ScannerTransEntry(6 ,'I' ,7));
   s7.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s7.addTransition(ScannerTransEntry(7 ,'Z' ,8));
   s7.addTransition(ScannerTransEntry(7 ,'z' ,8));
   s7.addTransition(ScannerTransEntry(8 ,'E' ,9));
   s7.addTransition(ScannerTransEntry(8 ,'e' ,9));
   _scannerList.Insert(s7);

   Scanner s8(AUTOCOMMIT);
   s8.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(2 ,START));
   s8.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(10 ,FINAL));
   s8.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s8.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s8.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s8.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s8.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s8.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s8.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s8.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s8.addTransition(ScannerTransEntry(4 ,'C' ,5));
   s8.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s8.addTransition(ScannerTransEntry(5 ,'O' ,6));
   s8.addTransition(ScannerTransEntry(5 ,'o' ,6));
   s8.addTransition(ScannerTransEntry(6 ,'M' ,7));
   s8.addTransition(ScannerTransEntry(6 ,'m' ,7));
   s8.addTransition(ScannerTransEntry(7 ,'M' ,8));
   s8.addTransition(ScannerTransEntry(7 ,'m' ,8));
   s8.addTransition(ScannerTransEntry(8 ,'I' ,9));
   s8.addTransition(ScannerTransEntry(8 ,'i' ,9));
   s8.addTransition(ScannerTransEntry(9 ,'T' ,10));
   s8.addTransition(ScannerTransEntry(9 ,'t' ,10));
   _scannerList.Insert(s8);

   Scanner s9(AVG);
   s9.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(2 ,START));
   s9.addState(ScannerStateEntry(3 ,FINAL));
   s9.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s9.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s9.addTransition(ScannerTransEntry(1 ,'G' ,3));
   s9.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s9.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s9.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s9);

   Scanner s10(AVLTREE);
   s10.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(2 ,START));
   s10.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(7 ,FINAL));
   s10.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s10.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s10.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s10.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s10.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s10.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s10.addTransition(ScannerTransEntry(3 ,'T' ,4));
   s10.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s10.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s10.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s10.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s10.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s10.addTransition(ScannerTransEntry(6 ,'E' ,7));
   s10.addTransition(ScannerTransEntry(6 ,'e' ,7));
   _scannerList.Insert(s10);

   Scanner s11(BEGIN);
   s11.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(2 ,START));
   s11.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(5 ,FINAL));
   s11.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s11.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s11.addTransition(ScannerTransEntry(1 ,'G' ,3));
   s11.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s11.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s11.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s11.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s11.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s11.addTransition(ScannerTransEntry(4 ,'N' ,5));
   s11.addTransition(ScannerTransEntry(4 ,'n' ,5));
   _scannerList.Insert(s11);

   Scanner s12(BETWEEN);
   s12.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(2 ,START));
   s12.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(7 ,FINAL));
   s12.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s12.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s12.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s12.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s12.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s12.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s12.addTransition(ScannerTransEntry(3 ,'W' ,4));
   s12.addTransition(ScannerTransEntry(3 ,'w' ,4));
   s12.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s12.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s12.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s12.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s12.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s12.addTransition(ScannerTransEntry(6 ,'n' ,7));
   _scannerList.Insert(s12);

   Scanner s13(BIGINT);
   s13.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(2 ,START));
   s13.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(6 ,FINAL));
   s13.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s13.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s13.addTransition(ScannerTransEntry(1 ,'G' ,3));
   s13.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s13.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s13.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s13.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s13.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s13.addTransition(ScannerTransEntry(4 ,'N' ,5));
   s13.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s13.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s13.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s13);

   Scanner s14(BITAND);
   s14.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(2 ,START));
   s14.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(6 ,FINAL));
   s14.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s14.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s14.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s14.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s14.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s14.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s14.addTransition(ScannerTransEntry(3 ,'A' ,4));
   s14.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s14.addTransition(ScannerTransEntry(4 ,'N' ,5));
   s14.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s14.addTransition(ScannerTransEntry(5 ,'D' ,6));
   s14.addTransition(ScannerTransEntry(5 ,'d' ,6));
   _scannerList.Insert(s14);

   Scanner s15(BITOR);
   s15.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(2 ,START));
   s15.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(5 ,FINAL));
   s15.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s15.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s15.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s15.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s15.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s15.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s15.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s15.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s15.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s15.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s15);

   Scanner s16(BITXOR);
   s16.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(2 ,START));
   s16.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(6 ,FINAL));
   s16.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s16.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s16.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s16.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s16.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s16.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s16.addTransition(ScannerTransEntry(3 ,'X' ,4));
   s16.addTransition(ScannerTransEntry(3 ,'x' ,4));
   s16.addTransition(ScannerTransEntry(4 ,'O' ,5));
   s16.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s16.addTransition(ScannerTransEntry(5 ,'R' ,6));
   s16.addTransition(ScannerTransEntry(5 ,'r' ,6));
   _scannerList.Insert(s16);

   Scanner s17(BLOB);
   s17.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(2 ,START));
   s17.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(4 ,FINAL));
   s17.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s17.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s17.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s17.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s17.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s17.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s17.addTransition(ScannerTransEntry(3 ,'B' ,4));
   s17.addTransition(ScannerTransEntry(3 ,'b' ,4));
   _scannerList.Insert(s17);

   Scanner s18(BLOBSIZE);
   s18.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(2 ,START));
   s18.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(8 ,FINAL));
   s18.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s18.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s18.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s18.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s18.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s18.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s18.addTransition(ScannerTransEntry(3 ,'B' ,4));
   s18.addTransition(ScannerTransEntry(3 ,'b' ,4));
   s18.addTransition(ScannerTransEntry(4 ,'S' ,5));
   s18.addTransition(ScannerTransEntry(4 ,'s' ,5));
   s18.addTransition(ScannerTransEntry(5 ,'I' ,6));
   s18.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s18.addTransition(ScannerTransEntry(6 ,'Z' ,7));
   s18.addTransition(ScannerTransEntry(6 ,'z' ,7));
   s18.addTransition(ScannerTransEntry(7 ,'E' ,8));
   s18.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s18);

   Scanner s19(BOOL);
   s19.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(2 ,START));
   s19.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(4 ,FINAL));
   s19.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s19.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s19.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s19.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s19.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s19.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s19.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s19.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s19);

   Scanner s20(BTREE);
   s20.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s20.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s20.addState(ScannerStateEntry(2 ,START));
   s20.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s20.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s20.addState(ScannerStateEntry(5 ,FINAL));
   s20.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s20.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s20.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s20.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s20.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s20.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s20.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s20.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s20.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s20.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s20);

   Scanner s21(BY);
   s21.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(1 ,FINAL));
   s21.addState(ScannerStateEntry(2 ,START));
   s21.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s21.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s21.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s21.addTransition(ScannerTransEntry(2 ,'b' ,0));
   _scannerList.Insert(s21);

   Scanner s22(CACHE);
   s22.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(2 ,START));
   s22.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(5 ,FINAL));
   s22.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s22.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s22.addTransition(ScannerTransEntry(1 ,'C' ,3));
   s22.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s22.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s22.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s22.addTransition(ScannerTransEntry(3 ,'H' ,4));
   s22.addTransition(ScannerTransEntry(3 ,'h' ,4));
   s22.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s22.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s22);

   Scanner s23(CALL);
   s23.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(2 ,START));
   s23.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(4 ,FINAL));
   s23.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s23.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s23.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s23.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s23.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s23.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s23.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s23.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s23);

   Scanner s24(CASE);
   s24.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(2 ,START));
   s24.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(4 ,FINAL));
   s24.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s24.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s24.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s24.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s24.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s24.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s24.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s24.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s24);

   Scanner s25(CHECK);
   s25.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(2 ,START));
   s25.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(5 ,FINAL));
   s25.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s25.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s25.addTransition(ScannerTransEntry(1 ,'E' ,3));
   s25.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s25.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s25.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s25.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s25.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s25.addTransition(ScannerTransEntry(4 ,'K' ,5));
   s25.addTransition(ScannerTransEntry(4 ,'k' ,5));
   _scannerList.Insert(s25);

   Scanner s26(CLOB);
   s26.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(2 ,START));
   s26.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(4 ,FINAL));
   s26.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s26.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s26.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s26.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s26.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s26.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s26.addTransition(ScannerTransEntry(3 ,'B' ,4));
   s26.addTransition(ScannerTransEntry(3 ,'b' ,4));
   _scannerList.Insert(s26);

   Scanner s27(CLOBSIZE);
   s27.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(2 ,START));
   s27.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(8 ,FINAL));
   s27.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s27.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s27.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s27.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s27.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s27.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s27.addTransition(ScannerTransEntry(3 ,'B' ,4));
   s27.addTransition(ScannerTransEntry(3 ,'b' ,4));
   s27.addTransition(ScannerTransEntry(4 ,'S' ,5));
   s27.addTransition(ScannerTransEntry(4 ,'s' ,5));
   s27.addTransition(ScannerTransEntry(5 ,'I' ,6));
   s27.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s27.addTransition(ScannerTransEntry(6 ,'Z' ,7));
   s27.addTransition(ScannerTransEntry(6 ,'z' ,7));
   s27.addTransition(ScannerTransEntry(7 ,'E' ,8));
   s27.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s27);

   Scanner s28(CLOB2STR);
   s28.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(2 ,START));
   s28.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(8 ,FINAL));
   s28.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s28.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s28.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s28.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s28.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s28.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s28.addTransition(ScannerTransEntry(3 ,'B' ,4));
   s28.addTransition(ScannerTransEntry(3 ,'b' ,4));
   s28.addTransition(ScannerTransEntry(4 ,'2' ,5));
   s28.addTransition(ScannerTransEntry(5 ,'S' ,6));
   s28.addTransition(ScannerTransEntry(5 ,'s' ,6));
   s28.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s28.addTransition(ScannerTransEntry(6 ,'t' ,7));
   s28.addTransition(ScannerTransEntry(7 ,'R' ,8));
   s28.addTransition(ScannerTransEntry(7 ,'r' ,8));
   _scannerList.Insert(s28);

   Scanner s29(CLOSE);
   s29.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(2 ,START));
   s29.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(5 ,FINAL));
   s29.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s29.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s29.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s29.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s29.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s29.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s29.addTransition(ScannerTransEntry(3 ,'S' ,4));
   s29.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s29.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s29.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s29);

   Scanner s30(COMMIT);
   s30.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(2 ,START));
   s30.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(6 ,FINAL));
   s30.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s30.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s30.addTransition(ScannerTransEntry(1 ,'M' ,3));
   s30.addTransition(ScannerTransEntry(1 ,'m' ,3));
   s30.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s30.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s30.addTransition(ScannerTransEntry(3 ,'M' ,4));
   s30.addTransition(ScannerTransEntry(3 ,'m' ,4));
   s30.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s30.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s30.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s30.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s30);

   Scanner s31(COLUMN);
   s31.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(2 ,START));
   s31.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(6 ,FINAL));
   s31.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s31.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s31.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s31.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s31.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s31.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s31.addTransition(ScannerTransEntry(3 ,'U' ,4));
   s31.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s31.addTransition(ScannerTransEntry(4 ,'M' ,5));
   s31.addTransition(ScannerTransEntry(4 ,'m' ,5));
   s31.addTransition(ScannerTransEntry(5 ,'N' ,6));
   s31.addTransition(ScannerTransEntry(5 ,'n' ,6));
   _scannerList.Insert(s31);

   Scanner s32(CONSTRAINT);
   s32.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(2 ,START));
   s32.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(10 ,FINAL));
   s32.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s32.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s32.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s32.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s32.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s32.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s32.addTransition(ScannerTransEntry(3 ,'S' ,4));
   s32.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s32.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s32.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s32.addTransition(ScannerTransEntry(5 ,'R' ,6));
   s32.addTransition(ScannerTransEntry(5 ,'r' ,6));
   s32.addTransition(ScannerTransEntry(6 ,'A' ,7));
   s32.addTransition(ScannerTransEntry(6 ,'a' ,7));
   s32.addTransition(ScannerTransEntry(7 ,'I' ,8));
   s32.addTransition(ScannerTransEntry(7 ,'i' ,8));
   s32.addTransition(ScannerTransEntry(8 ,'N' ,9));
   s32.addTransition(ScannerTransEntry(8 ,'n' ,9));
   s32.addTransition(ScannerTransEntry(9 ,'T' ,10));
   s32.addTransition(ScannerTransEntry(9 ,'t' ,10));
   _scannerList.Insert(s32);

   Scanner s33(COUNT);
   s33.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(2 ,START));
   s33.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(5 ,FINAL));
   s33.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s33.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s33.addTransition(ScannerTransEntry(1 ,'U' ,3));
   s33.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s33.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s33.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s33.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s33.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s33.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s33.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s33);

   Scanner s34(COUNTER);
   s34.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(2 ,START));
   s34.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(7 ,FINAL));
   s34.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s34.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s34.addTransition(ScannerTransEntry(1 ,'U' ,3));
   s34.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s34.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s34.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s34.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s34.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s34.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s34.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s34.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s34.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s34.addTransition(ScannerTransEntry(6 ,'R' ,7));
   s34.addTransition(ScannerTransEntry(6 ,'r' ,7));
   _scannerList.Insert(s34);

   Scanner s35(CREATE);
   s35.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(2 ,START));
   s35.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(6 ,FINAL));
   s35.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s35.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s35.addTransition(ScannerTransEntry(1 ,'E' ,3));
   s35.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s35.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s35.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s35.addTransition(ScannerTransEntry(3 ,'A' ,4));
   s35.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s35.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s35.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s35.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s35.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s35);

   Scanner s36(CURSOR);
   s36.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(2 ,START));
   s36.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(6 ,FINAL));
   s36.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s36.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s36.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s36.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s36.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s36.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s36.addTransition(ScannerTransEntry(3 ,'S' ,4));
   s36.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s36.addTransition(ScannerTransEntry(4 ,'O' ,5));
   s36.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s36.addTransition(ScannerTransEntry(5 ,'R' ,6));
   s36.addTransition(ScannerTransEntry(5 ,'r' ,6));
   _scannerList.Insert(s36);

   Scanner s37(DATE);
   s37.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(2 ,START));
   s37.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(4 ,FINAL));
   s37.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s37.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s37.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s37.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s37.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s37.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s37.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s37.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s37);

   Scanner s38(DATE2STR);
   s38.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(2 ,START));
   s38.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(8 ,FINAL));
   s38.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s38.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s38.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s38.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s38.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s38.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s38.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s38.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s38.addTransition(ScannerTransEntry(4 ,'2' ,5));
   s38.addTransition(ScannerTransEntry(5 ,'S' ,6));
   s38.addTransition(ScannerTransEntry(5 ,'s' ,6));
   s38.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s38.addTransition(ScannerTransEntry(6 ,'t' ,7));
   s38.addTransition(ScannerTransEntry(7 ,'R' ,8));
   s38.addTransition(ScannerTransEntry(7 ,'r' ,8));
   _scannerList.Insert(s38);

   Scanner s39(DATE2INT);
   s39.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(2 ,START));
   s39.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(8 ,FINAL));
   s39.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s39.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s39.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s39.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s39.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s39.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s39.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s39.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s39.addTransition(ScannerTransEntry(4 ,'2' ,5));
   s39.addTransition(ScannerTransEntry(5 ,'I' ,6));
   s39.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s39.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s39.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s39.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s39.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s39);

   Scanner s40(DATETIME);
   s40.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(2 ,START));
   s40.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(8 ,FINAL));
   s40.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s40.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s40.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s40.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s40.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s40.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s40.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s40.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s40.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s40.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s40.addTransition(ScannerTransEntry(5 ,'I' ,6));
   s40.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s40.addTransition(ScannerTransEntry(6 ,'M' ,7));
   s40.addTransition(ScannerTransEntry(6 ,'m' ,7));
   s40.addTransition(ScannerTransEntry(7 ,'E' ,8));
   s40.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s40);

   Scanner s41(DECIMAL);
   s41.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(2 ,START));
   s41.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(7 ,FINAL));
   s41.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s41.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s41.addTransition(ScannerTransEntry(1 ,'C' ,3));
   s41.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s41.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s41.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s41.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s41.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s41.addTransition(ScannerTransEntry(4 ,'M' ,5));
   s41.addTransition(ScannerTransEntry(4 ,'m' ,5));
   s41.addTransition(ScannerTransEntry(5 ,'A' ,6));
   s41.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s41.addTransition(ScannerTransEntry(6 ,'L' ,7));
   s41.addTransition(ScannerTransEntry(6 ,'l' ,7));
   _scannerList.Insert(s41);

   Scanner s42(DEFAULT);
   s42.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(2 ,START));
   s42.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(7 ,FINAL));
   s42.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s42.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s42.addTransition(ScannerTransEntry(1 ,'F' ,3));
   s42.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s42.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s42.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s42.addTransition(ScannerTransEntry(3 ,'A' ,4));
   s42.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s42.addTransition(ScannerTransEntry(4 ,'U' ,5));
   s42.addTransition(ScannerTransEntry(4 ,'u' ,5));
   s42.addTransition(ScannerTransEntry(5 ,'L' ,6));
   s42.addTransition(ScannerTransEntry(5 ,'l' ,6));
   s42.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s42.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s42);

   Scanner s43(DELETETOK);
   s43.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(2 ,START));
   s43.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(6 ,FINAL));
   s43.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s43.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s43.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s43.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s43.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s43.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s43.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s43.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s43.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s43.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s43.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s43.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s43);

   Scanner s44(DESC);
   s44.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(2 ,START));
   s44.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(4 ,FINAL));
   s44.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s44.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s44.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s44.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s44.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s44.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s44.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s44.addTransition(ScannerTransEntry(3 ,'c' ,4));
   _scannerList.Insert(s44);

   Scanner s45(DISTINCT);
   s45.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(2 ,START));
   s45.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(8 ,FINAL));
   s45.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s45.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s45.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s45.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s45.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s45.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s45.addTransition(ScannerTransEntry(3 ,'T' ,4));
   s45.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s45.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s45.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s45.addTransition(ScannerTransEntry(5 ,'N' ,6));
   s45.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s45.addTransition(ScannerTransEntry(6 ,'C' ,7));
   s45.addTransition(ScannerTransEntry(6 ,'c' ,7));
   s45.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s45.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s45);

   Scanner s46(DIV);
   s46.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(2 ,START));
   s46.addState(ScannerStateEntry(3 ,FINAL));
   s46.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s46.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s46.addTransition(ScannerTransEntry(1 ,'V' ,3));
   s46.addTransition(ScannerTransEntry(1 ,'v' ,3));
   s46.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s46.addTransition(ScannerTransEntry(2 ,'d' ,0));
   _scannerList.Insert(s46);

   Scanner s47(DOUBLE);
   s47.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(2 ,START));
   s47.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(6 ,FINAL));
   s47.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s47.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s47.addTransition(ScannerTransEntry(1 ,'U' ,3));
   s47.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s47.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s47.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s47.addTransition(ScannerTransEntry(3 ,'B' ,4));
   s47.addTransition(ScannerTransEntry(3 ,'b' ,4));
   s47.addTransition(ScannerTransEntry(4 ,'L' ,5));
   s47.addTransition(ScannerTransEntry(4 ,'l' ,5));
   s47.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s47.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s47);

   Scanner s48(DROP);
   s48.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(2 ,START));
   s48.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(4 ,FINAL));
   s48.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s48.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s48.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s48.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s48.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s48.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s48.addTransition(ScannerTransEntry(3 ,'P' ,4));
   s48.addTransition(ScannerTransEntry(3 ,'p' ,4));
   _scannerList.Insert(s48);

   Scanner s49(ELSE);
   s49.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(2 ,START));
   s49.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(4 ,FINAL));
   s49.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s49.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s49.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s49.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s49.addTransition(ScannerTransEntry(2 ,'E' ,0));
   s49.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s49.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s49.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s49);

   Scanner s50(ELSIF);
   s50.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(2 ,START));
   s50.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(5 ,FINAL));
   s50.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s50.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s50.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s50.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s50.addTransition(ScannerTransEntry(2 ,'E' ,0));
   s50.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s50.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s50.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s50.addTransition(ScannerTransEntry(4 ,'F' ,5));
   s50.addTransition(ScannerTransEntry(4 ,'f' ,5));
   _scannerList.Insert(s50);

   Scanner s51(END_TOKEN);
   s51.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(2 ,START));
   s51.addState(ScannerStateEntry(3 ,FINAL));
   s51.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s51.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s51.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s51.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s51.addTransition(ScannerTransEntry(2 ,'E' ,0));
   s51.addTransition(ScannerTransEntry(2 ,'e' ,0));
   _scannerList.Insert(s51);

   Scanner s52(EXCEPTION);
   s52.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(2 ,START));
   s52.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(9 ,FINAL));
   s52.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s52.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s52.addTransition(ScannerTransEntry(1 ,'C' ,3));
   s52.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s52.addTransition(ScannerTransEntry(2 ,'E' ,0));
   s52.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s52.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s52.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s52.addTransition(ScannerTransEntry(4 ,'P' ,5));
   s52.addTransition(ScannerTransEntry(4 ,'p' ,5));
   s52.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s52.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s52.addTransition(ScannerTransEntry(6 ,'I' ,7));
   s52.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s52.addTransition(ScannerTransEntry(7 ,'O' ,8));
   s52.addTransition(ScannerTransEntry(7 ,'o' ,8));
   s52.addTransition(ScannerTransEntry(8 ,'N' ,9));
   s52.addTransition(ScannerTransEntry(8 ,'n' ,9));
   _scannerList.Insert(s52);

   Scanner s53(EXISTS);
   s53.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(2 ,START));
   s53.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(6 ,FINAL));
   s53.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s53.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s53.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s53.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s53.addTransition(ScannerTransEntry(2 ,'E' ,0));
   s53.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s53.addTransition(ScannerTransEntry(3 ,'S' ,4));
   s53.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s53.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s53.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s53.addTransition(ScannerTransEntry(5 ,'S' ,6));
   s53.addTransition(ScannerTransEntry(5 ,'s' ,6));
   _scannerList.Insert(s53);

   Scanner s54(FALSEVAL);
   s54.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(2 ,START));
   s54.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(5 ,FINAL));
   s54.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s54.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s54.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s54.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s54.addTransition(ScannerTransEntry(2 ,'F' ,0));
   s54.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s54.addTransition(ScannerTransEntry(3 ,'S' ,4));
   s54.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s54.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s54.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s54);

   Scanner s55(FETCH);
   s55.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(2 ,START));
   s55.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(5 ,FINAL));
   s55.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s55.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s55.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s55.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s55.addTransition(ScannerTransEntry(2 ,'F' ,0));
   s55.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s55.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s55.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s55.addTransition(ScannerTransEntry(4 ,'H' ,5));
   s55.addTransition(ScannerTransEntry(4 ,'h' ,5));
   _scannerList.Insert(s55);

   Scanner s56(FIXED);
   s56.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(2 ,START));
   s56.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(5 ,FINAL));
   s56.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s56.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s56.addTransition(ScannerTransEntry(1 ,'X' ,3));
   s56.addTransition(ScannerTransEntry(1 ,'x' ,3));
   s56.addTransition(ScannerTransEntry(2 ,'F' ,0));
   s56.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s56.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s56.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s56.addTransition(ScannerTransEntry(4 ,'D' ,5));
   s56.addTransition(ScannerTransEntry(4 ,'d' ,5));
   _scannerList.Insert(s56);

   Scanner s57(FLOAT);
   s57.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(2 ,START));
   s57.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(5 ,FINAL));
   s57.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s57.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s57.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s57.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s57.addTransition(ScannerTransEntry(2 ,'F' ,0));
   s57.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s57.addTransition(ScannerTransEntry(3 ,'A' ,4));
   s57.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s57.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s57.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s57);

   Scanner s58(FOR);
   s58.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(2 ,START));
   s58.addState(ScannerStateEntry(3 ,FINAL));
   s58.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s58.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s58.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s58.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s58.addTransition(ScannerTransEntry(2 ,'F' ,0));
   s58.addTransition(ScannerTransEntry(2 ,'f' ,0));
   _scannerList.Insert(s58);

   Scanner s59(FOREIGN);
   s59.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(2 ,START));
   s59.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(7 ,FINAL));
   s59.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s59.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s59.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s59.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s59.addTransition(ScannerTransEntry(2 ,'F' ,0));
   s59.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s59.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s59.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s59.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s59.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s59.addTransition(ScannerTransEntry(5 ,'G' ,6));
   s59.addTransition(ScannerTransEntry(5 ,'g' ,6));
   s59.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s59.addTransition(ScannerTransEntry(6 ,'n' ,7));
   _scannerList.Insert(s59);

   Scanner s60(FROM);
   s60.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s60.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s60.addState(ScannerStateEntry(2 ,START));
   s60.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s60.addState(ScannerStateEntry(4 ,FINAL));
   s60.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s60.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s60.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s60.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s60.addTransition(ScannerTransEntry(2 ,'F' ,0));
   s60.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s60.addTransition(ScannerTransEntry(3 ,'M' ,4));
   s60.addTransition(ScannerTransEntry(3 ,'m' ,4));
   _scannerList.Insert(s60);

   Scanner s61(GETPOS);
   s61.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(2 ,START));
   s61.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(6 ,FINAL));
   s61.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s61.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s61.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s61.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s61.addTransition(ScannerTransEntry(2 ,'G' ,0));
   s61.addTransition(ScannerTransEntry(2 ,'g' ,0));
   s61.addTransition(ScannerTransEntry(3 ,'P' ,4));
   s61.addTransition(ScannerTransEntry(3 ,'p' ,4));
   s61.addTransition(ScannerTransEntry(4 ,'O' ,5));
   s61.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s61.addTransition(ScannerTransEntry(5 ,'S' ,6));
   s61.addTransition(ScannerTransEntry(5 ,'s' ,6));
   _scannerList.Insert(s61);

   Scanner s62(GROUP);
   s62.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(2 ,START));
   s62.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(5 ,FINAL));
   s62.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s62.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s62.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s62.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s62.addTransition(ScannerTransEntry(2 ,'G' ,0));
   s62.addTransition(ScannerTransEntry(2 ,'g' ,0));
   s62.addTransition(ScannerTransEntry(3 ,'U' ,4));
   s62.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s62.addTransition(ScannerTransEntry(4 ,'P' ,5));
   s62.addTransition(ScannerTransEntry(4 ,'p' ,5));
   _scannerList.Insert(s62);

   Scanner s63(HAVING);
   s63.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(2 ,START));
   s63.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(6 ,FINAL));
   s63.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s63.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s63.addTransition(ScannerTransEntry(1 ,'V' ,3));
   s63.addTransition(ScannerTransEntry(1 ,'v' ,3));
   s63.addTransition(ScannerTransEntry(2 ,'H' ,0));
   s63.addTransition(ScannerTransEntry(2 ,'h' ,0));
   s63.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s63.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s63.addTransition(ScannerTransEntry(4 ,'N' ,5));
   s63.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s63.addTransition(ScannerTransEntry(5 ,'G' ,6));
   s63.addTransition(ScannerTransEntry(5 ,'g' ,6));
   _scannerList.Insert(s63);

   Scanner s64(IDENTIFIED);
   s64.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(2 ,START));
   s64.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(10 ,FINAL));
   s64.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s64.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s64.addTransition(ScannerTransEntry(1 ,'E' ,3));
   s64.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s64.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s64.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s64.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s64.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s64.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s64.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s64.addTransition(ScannerTransEntry(5 ,'I' ,6));
   s64.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s64.addTransition(ScannerTransEntry(6 ,'F' ,7));
   s64.addTransition(ScannerTransEntry(6 ,'f' ,7));
   s64.addTransition(ScannerTransEntry(7 ,'I' ,8));
   s64.addTransition(ScannerTransEntry(7 ,'i' ,8));
   s64.addTransition(ScannerTransEntry(8 ,'E' ,9));
   s64.addTransition(ScannerTransEntry(8 ,'e' ,9));
   s64.addTransition(ScannerTransEntry(9 ,'D' ,10));
   s64.addTransition(ScannerTransEntry(9 ,'d' ,10));
   _scannerList.Insert(s64);

   Scanner s65(IF);
   s65.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(1 ,FINAL));
   s65.addState(ScannerStateEntry(2 ,START));
   s65.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s65.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s65.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s65.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s65);

   Scanner s66(INDEX);
   s66.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s66.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s66.addState(ScannerStateEntry(2 ,START));
   s66.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s66.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s66.addState(ScannerStateEntry(5 ,FINAL));
   s66.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s66.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s66.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s66.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s66.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s66.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s66.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s66.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s66.addTransition(ScannerTransEntry(4 ,'X' ,5));
   s66.addTransition(ScannerTransEntry(4 ,'x' ,5));
   _scannerList.Insert(s66);

   Scanner s67(INTOK);
   s67.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(1 ,FINAL));
   s67.addState(ScannerStateEntry(2 ,START));
   s67.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s67.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s67.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s67.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s67);

   Scanner s68(INNER);
   s68.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(2 ,START));
   s68.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(5 ,FINAL));
   s68.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s68.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s68.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s68.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s68.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s68.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s68.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s68.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s68.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s68.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s68);

   Scanner s69(INT);
   s69.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(2 ,START));
   s69.addState(ScannerStateEntry(3 ,FINAL));
   s69.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s69.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s69.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s69.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s69.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s69.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s69);

   Scanner s70(INTO);
   s70.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s70.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s70.addState(ScannerStateEntry(2 ,START));
   s70.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s70.addState(ScannerStateEntry(4 ,FINAL));
   s70.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s70.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s70.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s70.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s70.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s70.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s70.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s70.addTransition(ScannerTransEntry(3 ,'o' ,4));
   _scannerList.Insert(s70);

   Scanner s71(INT2DATE);
   s71.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(2 ,START));
   s71.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(8 ,FINAL));
   s71.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s71.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s71.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s71.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s71.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s71.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s71.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s71.addTransition(ScannerTransEntry(4 ,'D' ,5));
   s71.addTransition(ScannerTransEntry(4 ,'d' ,5));
   s71.addTransition(ScannerTransEntry(5 ,'A' ,6));
   s71.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s71.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s71.addTransition(ScannerTransEntry(6 ,'t' ,7));
   s71.addTransition(ScannerTransEntry(7 ,'E' ,8));
   s71.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s71);

   Scanner s72(INSERT);
   s72.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(2 ,START));
   s72.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(6 ,FINAL));
   s72.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s72.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s72.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s72.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s72.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s72.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s72.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s72.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s72.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s72.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s72.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s72.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s72);

   Scanner s73(IS);
   s73.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s73.addState(ScannerStateEntry(1 ,FINAL));
   s73.addState(ScannerStateEntry(2 ,START));
   s73.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s73.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s73.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s73.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s73);

   Scanner s74(ISOLATION);
   s74.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(2 ,START));
   s74.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(9 ,FINAL));
   s74.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s74.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s74.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s74.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s74.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s74.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s74.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s74.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s74.addTransition(ScannerTransEntry(4 ,'A' ,5));
   s74.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s74.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s74.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s74.addTransition(ScannerTransEntry(6 ,'I' ,7));
   s74.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s74.addTransition(ScannerTransEntry(7 ,'O' ,8));
   s74.addTransition(ScannerTransEntry(7 ,'o' ,8));
   s74.addTransition(ScannerTransEntry(8 ,'N' ,9));
   s74.addTransition(ScannerTransEntry(8 ,'n' ,9));
   _scannerList.Insert(s74);

   Scanner s75(JDBC);
   s75.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(2 ,START));
   s75.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(4 ,FINAL));
   s75.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s75.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s75.addTransition(ScannerTransEntry(1 ,'B' ,3));
   s75.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s75.addTransition(ScannerTransEntry(2 ,'J' ,0));
   s75.addTransition(ScannerTransEntry(2 ,'j' ,0));
   s75.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s75.addTransition(ScannerTransEntry(3 ,'c' ,4));
   _scannerList.Insert(s75);

   Scanner s76(JOIN);
   s76.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(2 ,START));
   s76.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(4 ,FINAL));
   s76.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s76.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s76.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s76.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s76.addTransition(ScannerTransEntry(2 ,'J' ,0));
   s76.addTransition(ScannerTransEntry(2 ,'j' ,0));
   s76.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s76.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s76);

   Scanner s77(KEY);
   s77.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s77.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s77.addState(ScannerStateEntry(2 ,START));
   s77.addState(ScannerStateEntry(3 ,FINAL));
   s77.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s77.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s77.addTransition(ScannerTransEntry(1 ,'Y' ,3));
   s77.addTransition(ScannerTransEntry(1 ,'y' ,3));
   s77.addTransition(ScannerTransEntry(2 ,'K' ,0));
   s77.addTransition(ScannerTransEntry(2 ,'k' ,0));
   _scannerList.Insert(s77);

   Scanner s78(LEFT);
   s78.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(2 ,START));
   s78.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(4 ,FINAL));
   s78.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s78.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s78.addTransition(ScannerTransEntry(1 ,'F' ,3));
   s78.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s78.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s78.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s78.addTransition(ScannerTransEntry(3 ,'T' ,4));
   s78.addTransition(ScannerTransEntry(3 ,'t' ,4));
   _scannerList.Insert(s78);

   Scanner s79(LENGTH);
   s79.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(2 ,START));
   s79.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(6 ,FINAL));
   s79.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s79.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s79.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s79.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s79.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s79.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s79.addTransition(ScannerTransEntry(3 ,'G' ,4));
   s79.addTransition(ScannerTransEntry(3 ,'g' ,4));
   s79.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s79.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s79.addTransition(ScannerTransEntry(5 ,'H' ,6));
   s79.addTransition(ScannerTransEntry(5 ,'h' ,6));
   _scannerList.Insert(s79);

   Scanner s80(LIKE);
   s80.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(2 ,START));
   s80.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(4 ,FINAL));
   s80.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s80.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s80.addTransition(ScannerTransEntry(1 ,'K' ,3));
   s80.addTransition(ScannerTransEntry(1 ,'k' ,3));
   s80.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s80.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s80.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s80.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s80);

   Scanner s81(LIST);
   s81.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(2 ,START));
   s81.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(4 ,FINAL));
   s81.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s81.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s81.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s81.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s81.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s81.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s81.addTransition(ScannerTransEntry(3 ,'T' ,4));
   s81.addTransition(ScannerTransEntry(3 ,'t' ,4));
   _scannerList.Insert(s81);

   Scanner s82(LOAD);
   s82.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s82.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s82.addState(ScannerStateEntry(2 ,START));
   s82.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s82.addState(ScannerStateEntry(4 ,FINAL));
   s82.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s82.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s82.addTransition(ScannerTransEntry(1 ,'A' ,3));
   s82.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s82.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s82.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s82.addTransition(ScannerTransEntry(3 ,'D' ,4));
   s82.addTransition(ScannerTransEntry(3 ,'d' ,4));
   _scannerList.Insert(s82);

   Scanner s83(LOCKS);
   s83.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s83.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s83.addState(ScannerStateEntry(2 ,START));
   s83.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s83.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s83.addState(ScannerStateEntry(5 ,FINAL));
   s83.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s83.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s83.addTransition(ScannerTransEntry(1 ,'C' ,3));
   s83.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s83.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s83.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s83.addTransition(ScannerTransEntry(3 ,'K' ,4));
   s83.addTransition(ScannerTransEntry(3 ,'k' ,4));
   s83.addTransition(ScannerTransEntry(4 ,'S' ,5));
   s83.addTransition(ScannerTransEntry(4 ,'s' ,5));
   _scannerList.Insert(s83);

   Scanner s84(LONG);
   s84.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(2 ,START));
   s84.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(4 ,FINAL));
   s84.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s84.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s84.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s84.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s84.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s84.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s84.addTransition(ScannerTransEntry(3 ,'G' ,4));
   s84.addTransition(ScannerTransEntry(3 ,'g' ,4));
   _scannerList.Insert(s84);

   Scanner s85(LOWER);
   s85.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(2 ,START));
   s85.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(5 ,FINAL));
   s85.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s85.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s85.addTransition(ScannerTransEntry(1 ,'W' ,3));
   s85.addTransition(ScannerTransEntry(1 ,'w' ,3));
   s85.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s85.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s85.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s85.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s85.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s85.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s85);

   Scanner s86(LTRIM);
   s86.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(2 ,START));
   s86.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(5 ,FINAL));
   s86.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s86.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s86.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s86.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s86.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s86.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s86.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s86.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s86.addTransition(ScannerTransEntry(4 ,'M' ,5));
   s86.addTransition(ScannerTransEntry(4 ,'m' ,5));
   _scannerList.Insert(s86);

   Scanner s87(MIN);
   s87.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s87.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s87.addState(ScannerStateEntry(2 ,START));
   s87.addState(ScannerStateEntry(3 ,FINAL));
   s87.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s87.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s87.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s87.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s87.addTransition(ScannerTransEntry(2 ,'M' ,0));
   s87.addTransition(ScannerTransEntry(2 ,'m' ,0));
   _scannerList.Insert(s87);

   Scanner s88(MAX);
   s88.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s88.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s88.addState(ScannerStateEntry(2 ,START));
   s88.addState(ScannerStateEntry(3 ,FINAL));
   s88.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s88.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s88.addTransition(ScannerTransEntry(1 ,'X' ,3));
   s88.addTransition(ScannerTransEntry(1 ,'x' ,3));
   s88.addTransition(ScannerTransEntry(2 ,'M' ,0));
   s88.addTransition(ScannerTransEntry(2 ,'m' ,0));
   _scannerList.Insert(s88);

   Scanner s89(MOD);
   s89.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s89.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s89.addState(ScannerStateEntry(2 ,START));
   s89.addState(ScannerStateEntry(3 ,FINAL));
   s89.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s89.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s89.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s89.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s89.addTransition(ScannerTransEntry(2 ,'M' ,0));
   s89.addTransition(ScannerTransEntry(2 ,'m' ,0));
   _scannerList.Insert(s89);

   Scanner s90(MODIFY);
   s90.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s90.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s90.addState(ScannerStateEntry(2 ,START));
   s90.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s90.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s90.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s90.addState(ScannerStateEntry(6 ,FINAL));
   s90.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s90.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s90.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s90.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s90.addTransition(ScannerTransEntry(2 ,'M' ,0));
   s90.addTransition(ScannerTransEntry(2 ,'m' ,0));
   s90.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s90.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s90.addTransition(ScannerTransEntry(4 ,'F' ,5));
   s90.addTransition(ScannerTransEntry(4 ,'f' ,5));
   s90.addTransition(ScannerTransEntry(5 ,'Y' ,6));
   s90.addTransition(ScannerTransEntry(5 ,'y' ,6));
   _scannerList.Insert(s90);

   Scanner s91(NEXTCOUNT);
   s91.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(2 ,START));
   s91.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(9 ,FINAL));
   s91.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s91.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s91.addTransition(ScannerTransEntry(1 ,'X' ,3));
   s91.addTransition(ScannerTransEntry(1 ,'x' ,3));
   s91.addTransition(ScannerTransEntry(2 ,'N' ,0));
   s91.addTransition(ScannerTransEntry(2 ,'n' ,0));
   s91.addTransition(ScannerTransEntry(3 ,'T' ,4));
   s91.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s91.addTransition(ScannerTransEntry(4 ,'C' ,5));
   s91.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s91.addTransition(ScannerTransEntry(5 ,'O' ,6));
   s91.addTransition(ScannerTransEntry(5 ,'o' ,6));
   s91.addTransition(ScannerTransEntry(6 ,'U' ,7));
   s91.addTransition(ScannerTransEntry(6 ,'u' ,7));
   s91.addTransition(ScannerTransEntry(7 ,'N' ,8));
   s91.addTransition(ScannerTransEntry(7 ,'n' ,8));
   s91.addTransition(ScannerTransEntry(8 ,'T' ,9));
   s91.addTransition(ScannerTransEntry(8 ,'t' ,9));
   _scannerList.Insert(s91);

   Scanner s92(NOOP);
   s92.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s92.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s92.addState(ScannerStateEntry(2 ,START));
   s92.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s92.addState(ScannerStateEntry(4 ,FINAL));
   s92.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s92.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s92.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s92.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s92.addTransition(ScannerTransEntry(2 ,'N' ,0));
   s92.addTransition(ScannerTransEntry(2 ,'n' ,0));
   s92.addTransition(ScannerTransEntry(3 ,'P' ,4));
   s92.addTransition(ScannerTransEntry(3 ,'p' ,4));
   _scannerList.Insert(s92);

   Scanner s93(NOT);
   s93.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(2 ,START));
   s93.addState(ScannerStateEntry(3 ,FINAL));
   s93.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s93.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s93.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s93.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s93.addTransition(ScannerTransEntry(2 ,'N' ,0));
   s93.addTransition(ScannerTransEntry(2 ,'n' ,0));
   _scannerList.Insert(s93);

   Scanner s94(NULLTOKEN);
   s94.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s94.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s94.addState(ScannerStateEntry(2 ,START));
   s94.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s94.addState(ScannerStateEntry(4 ,FINAL));
   s94.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s94.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s94.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s94.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s94.addTransition(ScannerTransEntry(2 ,'N' ,0));
   s94.addTransition(ScannerTransEntry(2 ,'n' ,0));
   s94.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s94.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s94);

   Scanner s95(OFF);
   s95.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s95.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s95.addState(ScannerStateEntry(2 ,START));
   s95.addState(ScannerStateEntry(3 ,FINAL));
   s95.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s95.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s95.addTransition(ScannerTransEntry(1 ,'F' ,3));
   s95.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s95.addTransition(ScannerTransEntry(2 ,'O' ,0));
   s95.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s95);

   Scanner s96(ON);
   s96.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(1 ,FINAL));
   s96.addState(ScannerStateEntry(2 ,START));
   s96.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s96.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s96.addTransition(ScannerTransEntry(2 ,'O' ,0));
   s96.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s96);

   Scanner s97(OUTTOK);
   s97.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(2 ,START));
   s97.addState(ScannerStateEntry(3 ,FINAL));
   s97.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s97.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s97.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s97.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s97.addTransition(ScannerTransEntry(2 ,'O' ,0));
   s97.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s97);

   Scanner s98(OUTER);
   s98.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(2 ,START));
   s98.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(5 ,FINAL));
   s98.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s98.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s98.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s98.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s98.addTransition(ScannerTransEntry(2 ,'O' ,0));
   s98.addTransition(ScannerTransEntry(2 ,'o' ,0));
   s98.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s98.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s98.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s98.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s98);

   Scanner s99(OR);
   s99.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(1 ,FINAL));
   s99.addState(ScannerStateEntry(2 ,START));
   s99.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s99.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s99.addTransition(ScannerTransEntry(2 ,'O' ,0));
   s99.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s99);

   Scanner s100(ORDER);
   s100.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(2 ,START));
   s100.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(5 ,FINAL));
   s100.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s100.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s100.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s100.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s100.addTransition(ScannerTransEntry(2 ,'O' ,0));
   s100.addTransition(ScannerTransEntry(2 ,'o' ,0));
   s100.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s100.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s100.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s100.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s100);

   Scanner s101(PLAN);
   s101.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(2 ,START));
   s101.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(4 ,FINAL));
   s101.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s101.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s101.addTransition(ScannerTransEntry(1 ,'A' ,3));
   s101.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s101.addTransition(ScannerTransEntry(2 ,'P' ,0));
   s101.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s101.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s101.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s101);

   Scanner s102(POOL);
   s102.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(2 ,START));
   s102.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(4 ,FINAL));
   s102.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s102.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s102.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s102.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s102.addTransition(ScannerTransEntry(2 ,'P' ,0));
   s102.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s102.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s102.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s102);

   Scanner s103(POWER);
   s103.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(2 ,START));
   s103.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(5 ,FINAL));
   s103.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s103.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s103.addTransition(ScannerTransEntry(1 ,'W' ,3));
   s103.addTransition(ScannerTransEntry(1 ,'w' ,3));
   s103.addTransition(ScannerTransEntry(2 ,'P' ,0));
   s103.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s103.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s103.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s103.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s103.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s103);

   Scanner s104(PRIMARY);
   s104.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(2 ,START));
   s104.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(7 ,FINAL));
   s104.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s104.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s104.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s104.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s104.addTransition(ScannerTransEntry(2 ,'P' ,0));
   s104.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s104.addTransition(ScannerTransEntry(3 ,'M' ,4));
   s104.addTransition(ScannerTransEntry(3 ,'m' ,4));
   s104.addTransition(ScannerTransEntry(4 ,'A' ,5));
   s104.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s104.addTransition(ScannerTransEntry(5 ,'R' ,6));
   s104.addTransition(ScannerTransEntry(5 ,'r' ,6));
   s104.addTransition(ScannerTransEntry(6 ,'Y' ,7));
   s104.addTransition(ScannerTransEntry(6 ,'y' ,7));
   _scannerList.Insert(s104);

   Scanner s105(PRINT);
   s105.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(2 ,START));
   s105.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(5 ,FINAL));
   s105.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s105.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s105.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s105.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s105.addTransition(ScannerTransEntry(2 ,'P' ,0));
   s105.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s105.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s105.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s105.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s105.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s105);

   Scanner s106(PROCEDURE);
   s106.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(2 ,START));
   s106.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(9 ,FINAL));
   s106.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s106.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s106.addTransition(ScannerTransEntry(2 ,'P' ,0));
   s106.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s106.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s106.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s106.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s106.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s106.addTransition(ScannerTransEntry(5 ,'D' ,6));
   s106.addTransition(ScannerTransEntry(5 ,'d' ,6));
   s106.addTransition(ScannerTransEntry(6 ,'U' ,7));
   s106.addTransition(ScannerTransEntry(6 ,'u' ,7));
   s106.addTransition(ScannerTransEntry(7 ,'R' ,8));
   s106.addTransition(ScannerTransEntry(7 ,'r' ,8));
   s106.addTransition(ScannerTransEntry(8 ,'E' ,9));
   s106.addTransition(ScannerTransEntry(8 ,'e' ,9));
   _scannerList.Insert(s106);

   Scanner s107(QUIT);
   s107.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(2 ,START));
   s107.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(4 ,FINAL));
   s107.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s107.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s107.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s107.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s107.addTransition(ScannerTransEntry(2 ,'Q' ,0));
   s107.addTransition(ScannerTransEntry(2 ,'q' ,0));
   s107.addTransition(ScannerTransEntry(3 ,'T' ,4));
   s107.addTransition(ScannerTransEntry(3 ,'t' ,4));
   _scannerList.Insert(s107);

   Scanner s108(RANDSTR);
   s108.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(2 ,START));
   s108.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(7 ,FINAL));
   s108.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s108.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s108.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s108.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s108.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s108.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s108.addTransition(ScannerTransEntry(3 ,'D' ,4));
   s108.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s108.addTransition(ScannerTransEntry(4 ,'S' ,5));
   s108.addTransition(ScannerTransEntry(4 ,'s' ,5));
   s108.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s108.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s108.addTransition(ScannerTransEntry(6 ,'R' ,7));
   s108.addTransition(ScannerTransEntry(6 ,'r' ,7));
   _scannerList.Insert(s108);

   Scanner s109(RANDINT);
   s109.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(2 ,START));
   s109.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(7 ,FINAL));
   s109.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s109.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s109.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s109.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s109.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s109.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s109.addTransition(ScannerTransEntry(3 ,'D' ,4));
   s109.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s109.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s109.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s109.addTransition(ScannerTransEntry(5 ,'N' ,6));
   s109.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s109.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s109.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s109);

   Scanner s110(RBSEG);
   s110.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(2 ,START));
   s110.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(5 ,FINAL));
   s110.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s110.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s110.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s110.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s110.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s110.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s110.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s110.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s110.addTransition(ScannerTransEntry(4 ,'G' ,5));
   s110.addTransition(ScannerTransEntry(4 ,'g' ,5));
   _scannerList.Insert(s110);

   Scanner s111(REFERENCES);
   s111.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(2 ,START));
   s111.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(10 ,FINAL));
   s111.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s111.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s111.addTransition(ScannerTransEntry(1 ,'F' ,3));
   s111.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s111.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s111.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s111.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s111.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s111.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s111.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s111.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s111.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s111.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s111.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s111.addTransition(ScannerTransEntry(7 ,'C' ,8));
   s111.addTransition(ScannerTransEntry(7 ,'c' ,8));
   s111.addTransition(ScannerTransEntry(8 ,'E' ,9));
   s111.addTransition(ScannerTransEntry(8 ,'e' ,9));
   s111.addTransition(ScannerTransEntry(9 ,'S' ,10));
   s111.addTransition(ScannerTransEntry(9 ,'s' ,10));
   _scannerList.Insert(s111);

   Scanner s112(RENAME);
   s112.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(2 ,START));
   s112.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(6 ,FINAL));
   s112.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s112.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s112.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s112.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s112.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s112.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s112.addTransition(ScannerTransEntry(3 ,'A' ,4));
   s112.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s112.addTransition(ScannerTransEntry(4 ,'M' ,5));
   s112.addTransition(ScannerTransEntry(4 ,'m' ,5));
   s112.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s112.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s112);

   Scanner s113(REORGANIZE);
   s113.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(2 ,START));
   s113.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(10 ,FINAL));
   s113.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s113.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s113.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s113.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s113.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s113.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s113.addTransition(ScannerTransEntry(3 ,'R' ,4));
   s113.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s113.addTransition(ScannerTransEntry(4 ,'G' ,5));
   s113.addTransition(ScannerTransEntry(4 ,'g' ,5));
   s113.addTransition(ScannerTransEntry(5 ,'A' ,6));
   s113.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s113.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s113.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s113.addTransition(ScannerTransEntry(7 ,'I' ,8));
   s113.addTransition(ScannerTransEntry(7 ,'i' ,8));
   s113.addTransition(ScannerTransEntry(8 ,'Z' ,9));
   s113.addTransition(ScannerTransEntry(8 ,'z' ,9));
   s113.addTransition(ScannerTransEntry(9 ,'E' ,10));
   s113.addTransition(ScannerTransEntry(9 ,'e' ,10));
   _scannerList.Insert(s113);

   Scanner s114(RETURNTOKEN);
   s114.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(2 ,START));
   s114.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(6 ,FINAL));
   s114.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s114.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s114.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s114.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s114.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s114.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s114.addTransition(ScannerTransEntry(3 ,'U' ,4));
   s114.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s114.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s114.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s114.addTransition(ScannerTransEntry(5 ,'N' ,6));
   s114.addTransition(ScannerTransEntry(5 ,'n' ,6));
   _scannerList.Insert(s114);

   Scanner s115(REMOVE);
   s115.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(2 ,START));
   s115.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(6 ,FINAL));
   s115.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s115.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s115.addTransition(ScannerTransEntry(1 ,'M' ,3));
   s115.addTransition(ScannerTransEntry(1 ,'m' ,3));
   s115.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s115.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s115.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s115.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s115.addTransition(ScannerTransEntry(4 ,'V' ,5));
   s115.addTransition(ScannerTransEntry(4 ,'v' ,5));
   s115.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s115.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s115);

   Scanner s116(REPLACE);
   s116.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(2 ,START));
   s116.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(7 ,FINAL));
   s116.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s116.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s116.addTransition(ScannerTransEntry(1 ,'P' ,3));
   s116.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s116.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s116.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s116.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s116.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s116.addTransition(ScannerTransEntry(4 ,'A' ,5));
   s116.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s116.addTransition(ScannerTransEntry(5 ,'C' ,6));
   s116.addTransition(ScannerTransEntry(5 ,'c' ,6));
   s116.addTransition(ScannerTransEntry(6 ,'E' ,7));
   s116.addTransition(ScannerTransEntry(6 ,'e' ,7));
   _scannerList.Insert(s116);

   Scanner s117(RIGHT);
   s117.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(2 ,START));
   s117.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(5 ,FINAL));
   s117.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s117.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s117.addTransition(ScannerTransEntry(1 ,'G' ,3));
   s117.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s117.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s117.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s117.addTransition(ScannerTransEntry(3 ,'H' ,4));
   s117.addTransition(ScannerTransEntry(3 ,'h' ,4));
   s117.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s117.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s117);

   Scanner s118(ROLLBACK);
   s118.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(2 ,START));
   s118.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(8 ,FINAL));
   s118.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s118.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s118.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s118.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s118.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s118.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s118.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s118.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s118.addTransition(ScannerTransEntry(4 ,'B' ,5));
   s118.addTransition(ScannerTransEntry(4 ,'b' ,5));
   s118.addTransition(ScannerTransEntry(5 ,'A' ,6));
   s118.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s118.addTransition(ScannerTransEntry(6 ,'C' ,7));
   s118.addTransition(ScannerTransEntry(6 ,'c' ,7));
   s118.addTransition(ScannerTransEntry(7 ,'K' ,8));
   s118.addTransition(ScannerTransEntry(7 ,'k' ,8));
   _scannerList.Insert(s118);

   Scanner s119(ROUND);
   s119.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(2 ,START));
   s119.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(5 ,FINAL));
   s119.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s119.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s119.addTransition(ScannerTransEntry(1 ,'U' ,3));
   s119.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s119.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s119.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s119.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s119.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s119.addTransition(ScannerTransEntry(4 ,'D' ,5));
   s119.addTransition(ScannerTransEntry(4 ,'d' ,5));
   _scannerList.Insert(s119);

   Scanner s120(ROWLIMIT);
   s120.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(2 ,START));
   s120.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(8 ,FINAL));
   s120.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s120.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s120.addTransition(ScannerTransEntry(1 ,'W' ,3));
   s120.addTransition(ScannerTransEntry(1 ,'w' ,3));
   s120.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s120.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s120.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s120.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s120.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s120.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s120.addTransition(ScannerTransEntry(5 ,'M' ,6));
   s120.addTransition(ScannerTransEntry(5 ,'m' ,6));
   s120.addTransition(ScannerTransEntry(6 ,'I' ,7));
   s120.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s120.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s120.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s120);

   Scanner s121(RTRIM);
   s121.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(2 ,START));
   s121.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(5 ,FINAL));
   s121.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s121.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s121.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s121.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s121.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s121.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s121.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s121.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s121.addTransition(ScannerTransEntry(4 ,'M' ,5));
   s121.addTransition(ScannerTransEntry(4 ,'m' ,5));
   _scannerList.Insert(s121);

   Scanner s122(SELECT);
   s122.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(2 ,START));
   s122.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(6 ,FINAL));
   s122.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s122.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s122.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s122.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s122.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s122.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s122.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s122.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s122.addTransition(ScannerTransEntry(4 ,'C' ,5));
   s122.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s122.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s122.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s122);

   Scanner s123(SET);
   s123.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(2 ,START));
   s123.addState(ScannerStateEntry(3 ,FINAL));
   s123.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s123.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s123.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s123.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s123.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s123.addTransition(ScannerTransEntry(2 ,'s' ,0));
   _scannerList.Insert(s123);

   Scanner s124(SETCOUNT);
   s124.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(2 ,START));
   s124.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(8 ,FINAL));
   s124.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s124.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s124.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s124.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s124.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s124.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s124.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s124.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s124.addTransition(ScannerTransEntry(4 ,'O' ,5));
   s124.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s124.addTransition(ScannerTransEntry(5 ,'U' ,6));
   s124.addTransition(ScannerTransEntry(5 ,'u' ,6));
   s124.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s124.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s124.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s124.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s124);

   Scanner s125(SHOW);
   s125.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(2 ,START));
   s125.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(4 ,FINAL));
   s125.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s125.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s125.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s125.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s125.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s125.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s125.addTransition(ScannerTransEntry(3 ,'W' ,4));
   s125.addTransition(ScannerTransEntry(3 ,'w' ,4));
   _scannerList.Insert(s125);

   Scanner s126(SMALLINT);
   s126.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(2 ,START));
   s126.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(8 ,FINAL));
   s126.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s126.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s126.addTransition(ScannerTransEntry(1 ,'A' ,3));
   s126.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s126.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s126.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s126.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s126.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s126.addTransition(ScannerTransEntry(4 ,'L' ,5));
   s126.addTransition(ScannerTransEntry(4 ,'l' ,5));
   s126.addTransition(ScannerTransEntry(5 ,'I' ,6));
   s126.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s126.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s126.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s126.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s126.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s126);

   Scanner s127(START_TOKEN);
   s127.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(2 ,START));
   s127.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(5 ,FINAL));
   s127.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s127.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s127.addTransition(ScannerTransEntry(1 ,'A' ,3));
   s127.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s127.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s127.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s127.addTransition(ScannerTransEntry(3 ,'R' ,4));
   s127.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s127.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s127.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s127);

   Scanner s128(STRING);
   s128.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(2 ,START));
   s128.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(6 ,FINAL));
   s128.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s128.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s128.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s128.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s128.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s128.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s128.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s128.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s128.addTransition(ScannerTransEntry(4 ,'N' ,5));
   s128.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s128.addTransition(ScannerTransEntry(5 ,'G' ,6));
   s128.addTransition(ScannerTransEntry(5 ,'g' ,6));
   _scannerList.Insert(s128);

   Scanner s129(SUBSTR);
   s129.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(2 ,START));
   s129.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(6 ,FINAL));
   s129.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s129.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s129.addTransition(ScannerTransEntry(1 ,'B' ,3));
   s129.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s129.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s129.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s129.addTransition(ScannerTransEntry(3 ,'S' ,4));
   s129.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s129.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s129.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s129.addTransition(ScannerTransEntry(5 ,'R' ,6));
   s129.addTransition(ScannerTransEntry(5 ,'r' ,6));
   _scannerList.Insert(s129);

   Scanner s130(SUM);
   s130.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(2 ,START));
   s130.addState(ScannerStateEntry(3 ,FINAL));
   s130.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s130.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s130.addTransition(ScannerTransEntry(1 ,'M' ,3));
   s130.addTransition(ScannerTransEntry(1 ,'m' ,3));
   s130.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s130.addTransition(ScannerTransEntry(2 ,'s' ,0));
   _scannerList.Insert(s130);

   Scanner s131(SYNC);
   s131.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(2 ,START));
   s131.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(4 ,FINAL));
   s131.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s131.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s131.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s131.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s131.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s131.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s131.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s131.addTransition(ScannerTransEntry(3 ,'c' ,4));
   _scannerList.Insert(s131);

   Scanner s132(SYSDATE);
   s132.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(2 ,START));
   s132.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(7 ,FINAL));
   s132.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s132.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s132.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s132.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s132.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s132.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s132.addTransition(ScannerTransEntry(3 ,'D' ,4));
   s132.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s132.addTransition(ScannerTransEntry(4 ,'A' ,5));
   s132.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s132.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s132.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s132.addTransition(ScannerTransEntry(6 ,'E' ,7));
   s132.addTransition(ScannerTransEntry(6 ,'e' ,7));
   _scannerList.Insert(s132);

   Scanner s133(SYSTEMSPACE);
   s133.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(2 ,START));
   s133.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(10 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(11 ,FINAL));
   s133.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s133.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s133.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s133.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s133.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s133.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s133.addTransition(ScannerTransEntry(3 ,'T' ,4));
   s133.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s133.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s133.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s133.addTransition(ScannerTransEntry(5 ,'M' ,6));
   s133.addTransition(ScannerTransEntry(5 ,'m' ,6));
   s133.addTransition(ScannerTransEntry(6 ,'S' ,7));
   s133.addTransition(ScannerTransEntry(6 ,'s' ,7));
   s133.addTransition(ScannerTransEntry(7 ,'P' ,8));
   s133.addTransition(ScannerTransEntry(7 ,'p' ,8));
   s133.addTransition(ScannerTransEntry(8 ,'A' ,9));
   s133.addTransition(ScannerTransEntry(8 ,'a' ,9));
   s133.addTransition(ScannerTransEntry(9 ,'C' ,10));
   s133.addTransition(ScannerTransEntry(9 ,'c' ,10));
   s133.addTransition(ScannerTransEntry(10 ,'E' ,11));
   s133.addTransition(ScannerTransEntry(10 ,'e' ,11));
   _scannerList.Insert(s133);

   Scanner s134(SYSOBJ);
   s134.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(2 ,START));
   s134.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(6 ,FINAL));
   s134.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s134.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s134.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s134.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s134.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s134.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s134.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s134.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s134.addTransition(ScannerTransEntry(4 ,'B' ,5));
   s134.addTransition(ScannerTransEntry(4 ,'b' ,5));
   s134.addTransition(ScannerTransEntry(5 ,'J' ,6));
   s134.addTransition(ScannerTransEntry(5 ,'j' ,6));
   _scannerList.Insert(s134);

   Scanner s135(TABLEINFO);
   s135.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(2 ,START));
   s135.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(9 ,FINAL));
   s135.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s135.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s135.addTransition(ScannerTransEntry(1 ,'B' ,3));
   s135.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s135.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s135.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s135.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s135.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s135.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s135.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s135.addTransition(ScannerTransEntry(5 ,'I' ,6));
   s135.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s135.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s135.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s135.addTransition(ScannerTransEntry(7 ,'F' ,8));
   s135.addTransition(ScannerTransEntry(7 ,'f' ,8));
   s135.addTransition(ScannerTransEntry(8 ,'O' ,9));
   s135.addTransition(ScannerTransEntry(8 ,'o' ,9));
   _scannerList.Insert(s135);

   Scanner s136(TABLE);
   s136.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(2 ,START));
   s136.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(5 ,FINAL));
   s136.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s136.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s136.addTransition(ScannerTransEntry(1 ,'B' ,3));
   s136.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s136.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s136.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s136.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s136.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s136.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s136.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s136);

   Scanner s137(TABLESET);
   s137.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(2 ,START));
   s137.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(8 ,FINAL));
   s137.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s137.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s137.addTransition(ScannerTransEntry(1 ,'B' ,3));
   s137.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s137.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s137.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s137.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s137.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s137.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s137.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s137.addTransition(ScannerTransEntry(5 ,'S' ,6));
   s137.addTransition(ScannerTransEntry(5 ,'s' ,6));
   s137.addTransition(ScannerTransEntry(6 ,'E' ,7));
   s137.addTransition(ScannerTransEntry(6 ,'e' ,7));
   s137.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s137.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s137);

   Scanner s138(THEN);
   s138.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(2 ,START));
   s138.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(4 ,FINAL));
   s138.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s138.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s138.addTransition(ScannerTransEntry(1 ,'E' ,3));
   s138.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s138.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s138.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s138.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s138.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s138);

   Scanner s139(THROW);
   s139.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(2 ,START));
   s139.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(5 ,FINAL));
   s139.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s139.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s139.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s139.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s139.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s139.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s139.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s139.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s139.addTransition(ScannerTransEntry(4 ,'W' ,5));
   s139.addTransition(ScannerTransEntry(4 ,'w' ,5));
   _scannerList.Insert(s139);

   Scanner s140(TINYINT);
   s140.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(2 ,START));
   s140.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(7 ,FINAL));
   s140.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s140.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s140.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s140.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s140.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s140.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s140.addTransition(ScannerTransEntry(3 ,'Y' ,4));
   s140.addTransition(ScannerTransEntry(3 ,'y' ,4));
   s140.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s140.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s140.addTransition(ScannerTransEntry(5 ,'N' ,6));
   s140.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s140.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s140.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s140);

   Scanner s141(TMPOBJ);
   s141.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(2 ,START));
   s141.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(6 ,FINAL));
   s141.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s141.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s141.addTransition(ScannerTransEntry(1 ,'P' ,3));
   s141.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s141.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s141.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s141.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s141.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s141.addTransition(ScannerTransEntry(4 ,'B' ,5));
   s141.addTransition(ScannerTransEntry(4 ,'b' ,5));
   s141.addTransition(ScannerTransEntry(5 ,'J' ,6));
   s141.addTransition(ScannerTransEntry(5 ,'j' ,6));
   _scannerList.Insert(s141);

   Scanner s142(TRANSACTION);
   s142.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(2 ,START));
   s142.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(10 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(11 ,FINAL));
   s142.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s142.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s142.addTransition(ScannerTransEntry(1 ,'A' ,3));
   s142.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s142.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s142.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s142.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s142.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s142.addTransition(ScannerTransEntry(4 ,'S' ,5));
   s142.addTransition(ScannerTransEntry(4 ,'s' ,5));
   s142.addTransition(ScannerTransEntry(5 ,'A' ,6));
   s142.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s142.addTransition(ScannerTransEntry(6 ,'C' ,7));
   s142.addTransition(ScannerTransEntry(6 ,'c' ,7));
   s142.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s142.addTransition(ScannerTransEntry(7 ,'t' ,8));
   s142.addTransition(ScannerTransEntry(8 ,'I' ,9));
   s142.addTransition(ScannerTransEntry(8 ,'i' ,9));
   s142.addTransition(ScannerTransEntry(9 ,'O' ,10));
   s142.addTransition(ScannerTransEntry(9 ,'o' ,10));
   s142.addTransition(ScannerTransEntry(10 ,'N' ,11));
   s142.addTransition(ScannerTransEntry(10 ,'n' ,11));
   _scannerList.Insert(s142);

   Scanner s143(STR2INT);
   s143.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(2 ,START));
   s143.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(7 ,FINAL));
   s143.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s143.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s143.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s143.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s143.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s143.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s143.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s143.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s143.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s143.addTransition(ScannerTransEntry(5 ,'N' ,6));
   s143.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s143.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s143.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s143);

   Scanner s144(STR2LONG);
   s144.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(2 ,START));
   s144.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(8 ,FINAL));
   s144.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s144.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s144.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s144.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s144.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s144.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s144.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s144.addTransition(ScannerTransEntry(4 ,'L' ,5));
   s144.addTransition(ScannerTransEntry(4 ,'l' ,5));
   s144.addTransition(ScannerTransEntry(5 ,'O' ,6));
   s144.addTransition(ScannerTransEntry(5 ,'o' ,6));
   s144.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s144.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s144.addTransition(ScannerTransEntry(7 ,'G' ,8));
   s144.addTransition(ScannerTransEntry(7 ,'g' ,8));
   _scannerList.Insert(s144);

   Scanner s145(STR2DATE);
   s145.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(2 ,START));
   s145.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(8 ,FINAL));
   s145.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s145.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s145.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s145.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s145.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s145.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s145.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s145.addTransition(ScannerTransEntry(4 ,'D' ,5));
   s145.addTransition(ScannerTransEntry(4 ,'d' ,5));
   s145.addTransition(ScannerTransEntry(5 ,'A' ,6));
   s145.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s145.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s145.addTransition(ScannerTransEntry(6 ,'t' ,7));
   s145.addTransition(ScannerTransEntry(7 ,'E' ,8));
   s145.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s145);

   Scanner s146(TO);
   s146.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(1 ,FINAL));
   s146.addState(ScannerStateEntry(2 ,START));
   s146.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s146.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s146.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s146.addTransition(ScannerTransEntry(2 ,'t' ,0));
   _scannerList.Insert(s146);

   Scanner s147(TRIM);
   s147.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(2 ,START));
   s147.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(4 ,FINAL));
   s147.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s147.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s147.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s147.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s147.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s147.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s147.addTransition(ScannerTransEntry(3 ,'M' ,4));
   s147.addTransition(ScannerTransEntry(3 ,'m' ,4));
   _scannerList.Insert(s147);

   Scanner s148(TRUEVAL);
   s148.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(2 ,START));
   s148.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(4 ,FINAL));
   s148.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s148.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s148.addTransition(ScannerTransEntry(1 ,'U' ,3));
   s148.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s148.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s148.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s148.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s148.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s148);

   Scanner s149(TRUNC);
   s149.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(2 ,START));
   s149.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(5 ,FINAL));
   s149.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s149.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s149.addTransition(ScannerTransEntry(1 ,'U' ,3));
   s149.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s149.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s149.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s149.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s149.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s149.addTransition(ScannerTransEntry(4 ,'C' ,5));
   s149.addTransition(ScannerTransEntry(4 ,'c' ,5));
   _scannerList.Insert(s149);

   Scanner s150(UNION);
   s150.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(2 ,START));
   s150.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(5 ,FINAL));
   s150.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s150.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s150.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s150.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s150.addTransition(ScannerTransEntry(2 ,'U' ,0));
   s150.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s150.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s150.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s150.addTransition(ScannerTransEntry(4 ,'N' ,5));
   s150.addTransition(ScannerTransEntry(4 ,'n' ,5));
   _scannerList.Insert(s150);

   Scanner s151(UNIQUE);
   s151.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s151.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s151.addState(ScannerStateEntry(2 ,START));
   s151.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s151.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s151.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s151.addState(ScannerStateEntry(6 ,FINAL));
   s151.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s151.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s151.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s151.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s151.addTransition(ScannerTransEntry(2 ,'U' ,0));
   s151.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s151.addTransition(ScannerTransEntry(3 ,'Q' ,4));
   s151.addTransition(ScannerTransEntry(3 ,'q' ,4));
   s151.addTransition(ScannerTransEntry(4 ,'U' ,5));
   s151.addTransition(ScannerTransEntry(4 ,'u' ,5));
   s151.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s151.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s151);

   Scanner s152(UPDATE);
   s152.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s152.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s152.addState(ScannerStateEntry(2 ,START));
   s152.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s152.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s152.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s152.addState(ScannerStateEntry(6 ,FINAL));
   s152.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s152.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s152.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s152.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s152.addTransition(ScannerTransEntry(2 ,'U' ,0));
   s152.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s152.addTransition(ScannerTransEntry(3 ,'A' ,4));
   s152.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s152.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s152.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s152.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s152.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s152);

   Scanner s153(UPTIME);
   s153.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s153.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s153.addState(ScannerStateEntry(2 ,START));
   s153.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s153.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s153.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s153.addState(ScannerStateEntry(6 ,FINAL));
   s153.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s153.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s153.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s153.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s153.addTransition(ScannerTransEntry(2 ,'U' ,0));
   s153.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s153.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s153.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s153.addTransition(ScannerTransEntry(4 ,'M' ,5));
   s153.addTransition(ScannerTransEntry(4 ,'m' ,5));
   s153.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s153.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s153);

   Scanner s154(UPPER);
   s154.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s154.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s154.addState(ScannerStateEntry(2 ,START));
   s154.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s154.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s154.addState(ScannerStateEntry(5 ,FINAL));
   s154.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s154.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s154.addTransition(ScannerTransEntry(1 ,'P' ,3));
   s154.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s154.addTransition(ScannerTransEntry(2 ,'U' ,0));
   s154.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s154.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s154.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s154.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s154.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s154);

   Scanner s155(VAR);
   s155.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s155.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s155.addState(ScannerStateEntry(2 ,START));
   s155.addState(ScannerStateEntry(3 ,FINAL));
   s155.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s155.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s155.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s155.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s155.addTransition(ScannerTransEntry(2 ,'V' ,0));
   s155.addTransition(ScannerTransEntry(2 ,'v' ,0));
   _scannerList.Insert(s155);

   Scanner s156(VALUES);
   s156.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s156.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s156.addState(ScannerStateEntry(2 ,START));
   s156.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s156.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s156.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s156.addState(ScannerStateEntry(6 ,FINAL));
   s156.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s156.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s156.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s156.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s156.addTransition(ScannerTransEntry(2 ,'V' ,0));
   s156.addTransition(ScannerTransEntry(2 ,'v' ,0));
   s156.addTransition(ScannerTransEntry(3 ,'U' ,4));
   s156.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s156.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s156.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s156.addTransition(ScannerTransEntry(5 ,'S' ,6));
   s156.addTransition(ScannerTransEntry(5 ,'s' ,6));
   _scannerList.Insert(s156);

   Scanner s157(VIEW);
   s157.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s157.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s157.addState(ScannerStateEntry(2 ,START));
   s157.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s157.addState(ScannerStateEntry(4 ,FINAL));
   s157.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s157.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s157.addTransition(ScannerTransEntry(1 ,'E' ,3));
   s157.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s157.addTransition(ScannerTransEntry(2 ,'V' ,0));
   s157.addTransition(ScannerTransEntry(2 ,'v' ,0));
   s157.addTransition(ScannerTransEntry(3 ,'W' ,4));
   s157.addTransition(ScannerTransEntry(3 ,'w' ,4));
   _scannerList.Insert(s157);

   Scanner s158(WHEN);
   s158.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s158.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s158.addState(ScannerStateEntry(2 ,START));
   s158.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s158.addState(ScannerStateEntry(4 ,FINAL));
   s158.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s158.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s158.addTransition(ScannerTransEntry(1 ,'E' ,3));
   s158.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s158.addTransition(ScannerTransEntry(2 ,'W' ,0));
   s158.addTransition(ScannerTransEntry(2 ,'w' ,0));
   s158.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s158.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s158);

   Scanner s159(WHERE);
   s159.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s159.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s159.addState(ScannerStateEntry(2 ,START));
   s159.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s159.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s159.addState(ScannerStateEntry(5 ,FINAL));
   s159.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s159.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s159.addTransition(ScannerTransEntry(1 ,'E' ,3));
   s159.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s159.addTransition(ScannerTransEntry(2 ,'W' ,0));
   s159.addTransition(ScannerTransEntry(2 ,'w' ,0));
   s159.addTransition(ScannerTransEntry(3 ,'R' ,4));
   s159.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s159.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s159.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s159);

   Scanner s160(WHILE);
   s160.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s160.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s160.addState(ScannerStateEntry(2 ,START));
   s160.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s160.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s160.addState(ScannerStateEntry(5 ,FINAL));
   s160.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s160.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s160.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s160.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s160.addTransition(ScannerTransEntry(2 ,'W' ,0));
   s160.addTransition(ScannerTransEntry(2 ,'w' ,0));
   s160.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s160.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s160.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s160.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s160);

   Scanner s161(CONCAT);
   s161.addState(ScannerStateEntry(0 ,START));
   s161.addState(ScannerStateEntry(1 ,FINAL));
   s161.addTransition(ScannerTransEntry(0 ,'|' ,1));
   _scannerList.Insert(s161);

   Scanner s162(EQU);
   s162.addState(ScannerStateEntry(0 ,START));
   s162.addState(ScannerStateEntry(1 ,FINAL));
   s162.addTransition(ScannerTransEntry(0 ,'=' ,1));
   _scannerList.Insert(s162);

   Scanner s163(KSEP);
   s163.addState(ScannerStateEntry(0 ,START));
   s163.addState(ScannerStateEntry(1 ,FINAL));
   s163.addTransition(ScannerTransEntry(0 ,',' ,1));
   _scannerList.Insert(s163);

   Scanner s164(LB);
   s164.addState(ScannerStateEntry(0 ,START));
   s164.addState(ScannerStateEntry(1 ,FINAL));
   s164.addTransition(ScannerTransEntry(0 ,'(' ,1));
   _scannerList.Insert(s164);

   Scanner s165(LT);
   s165.addState(ScannerStateEntry(0 ,START));
   s165.addState(ScannerStateEntry(1 ,FINAL));
   s165.addTransition(ScannerTransEntry(0 ,'<' ,1));
   _scannerList.Insert(s165);

   Scanner s166(MT);
   s166.addState(ScannerStateEntry(0 ,START));
   s166.addState(ScannerStateEntry(1 ,FINAL));
   s166.addTransition(ScannerTransEntry(0 ,'>' ,1));
   _scannerList.Insert(s166);

   Scanner s167(NEGATION);
   s167.addState(ScannerStateEntry(0 ,START));
   s167.addState(ScannerStateEntry(1 ,FINAL));
   s167.addTransition(ScannerTransEntry(0 ,'!' ,1));
   _scannerList.Insert(s167);

   Scanner s168(RB);
   s168.addState(ScannerStateEntry(0 ,START));
   s168.addState(ScannerStateEntry(1 ,FINAL));
   s168.addTransition(ScannerTransEntry(0 ,')' ,1));
   _scannerList.Insert(s168);

   Scanner s169(LAB);
   s169.addState(ScannerStateEntry(0 ,START));
   s169.addState(ScannerStateEntry(1 ,FINAL));
   s169.addTransition(ScannerTransEntry(0 ,'[' ,1));
   _scannerList.Insert(s169);

   Scanner s170(RAB);
   s170.addState(ScannerStateEntry(0 ,START));
   s170.addState(ScannerStateEntry(1 ,FINAL));
   s170.addTransition(ScannerTransEntry(0 ,']' ,1));
   _scannerList.Insert(s170);

   Scanner s171(SEMICOLON);
   s171.addState(ScannerStateEntry(0 ,START));
   s171.addState(ScannerStateEntry(1 ,FINAL));
   s171.addTransition(ScannerTransEntry(0 ,';' ,1));
   _scannerList.Insert(s171);

   Scanner s172(STAR);
   s172.addState(ScannerStateEntry(0 ,START));
   s172.addState(ScannerStateEntry(1 ,FINAL));
   s172.addTransition(ScannerTransEntry(0 ,'*' ,1));
   _scannerList.Insert(s172);

   Scanner s173(DIVISION);
   s173.addState(ScannerStateEntry(0 ,START));
   s173.addState(ScannerStateEntry(1 ,FINAL));
   s173.addTransition(ScannerTransEntry(0 ,'/' ,1));
   _scannerList.Insert(s173);

   Scanner s174(MINUS);
   s174.addState(ScannerStateEntry(0 ,START));
   s174.addState(ScannerStateEntry(1 ,FINAL));
   s174.addTransition(ScannerTransEntry(0 ,'-' ,1));
   _scannerList.Insert(s174);

   Scanner s175(PLUS);
   s175.addState(ScannerStateEntry(0 ,START));
   s175.addState(ScannerStateEntry(1 ,FINAL));
   s175.addTransition(ScannerTransEntry(0 ,'+' ,1));
   _scannerList.Insert(s175);

   Scanner s176(INTVAL);
   s176.addState(ScannerStateEntry(0 ,START));
   s176.addState(ScannerStateEntry(1 ,FINAL));
   s176.addState(ScannerStateEntry(2 ,FINAL));
   s176.addTransition(ScannerTransEntry(0 ,'1' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'2' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'3' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'4' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'5' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'6' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'7' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'8' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'9' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'0' ,2));
   s176.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'9' ,1));
   _scannerList.Insert(s176);

   Scanner s177(FLOATVAL);
   s177.addState(ScannerStateEntry(0 ,START));
   s177.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s177.addState(ScannerStateEntry(2 ,INTERMEDIATE));
   s177.addState(ScannerStateEntry(3 ,FINAL));
   s177.addTransition(ScannerTransEntry(0 ,'1' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'2' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'3' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'4' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'5' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'6' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'7' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'8' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'9' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'0' ,2));
   s177.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'.' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'.' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'0' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'1' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'2' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'3' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'4' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'5' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'6' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'7' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'8' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'9' ,3));
   _scannerList.Insert(s177);

   Scanner s178(IDENTIFIER);
   s178.addState(ScannerStateEntry(0 ,START));
   s178.addState(ScannerStateEntry(1 ,FINAL));
   s178.addTransition(ScannerTransEntry(0 ,'$' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'z' ,1));
   _scannerList.Insert(s178);

   Scanner s179(VARREF);
   s179.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s179.addState(ScannerStateEntry(1 ,FINAL));
   s179.addState(ScannerStateEntry(2 ,START));
   s179.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s179.addTransition(ScannerTransEntry(2 ,':' ,0));
   _scannerList.Insert(s179);

   Scanner s180(QUALIFIEDOBJ);
   s180.addState(ScannerStateEntry(0 ,START));
   s180.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s180.addState(ScannerStateEntry(2 ,INTERMEDIATE));
   s180.addState(ScannerStateEntry(3 ,FINAL));
   s180.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'.' ,2));
   s180.addTransition(ScannerTransEntry(2 ,'$' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'A' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'B' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'C' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'D' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'E' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'F' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'G' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'H' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'I' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'J' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'K' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'L' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'M' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'N' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'O' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'P' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'Q' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'R' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'S' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'T' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'U' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'V' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'W' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'X' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'Y' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'Z' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'a' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'b' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'c' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'d' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'e' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'f' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'g' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'h' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'i' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'j' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'k' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'l' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'m' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'n' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'o' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'p' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'q' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'r' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'s' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'t' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'u' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'v' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'w' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'x' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'y' ,3));
   s180.addTransition(ScannerTransEntry(2 ,'z' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'0' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'1' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'2' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'3' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'4' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'5' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'6' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'7' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'8' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'9' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'A' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'B' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'C' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'D' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'E' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'F' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'G' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'H' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'I' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'J' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'K' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'L' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'M' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'N' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'O' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'P' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'Q' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'R' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'S' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'T' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'U' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'V' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'W' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'X' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'Y' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'Z' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'_' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'a' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'b' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'c' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'d' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'e' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'f' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'g' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'h' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'i' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'j' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'k' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'l' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'m' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'n' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'o' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'p' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'q' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'r' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'s' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'t' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'u' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'v' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'w' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'x' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'y' ,3));
   s180.addTransition(ScannerTransEntry(3 ,'z' ,3));
   _scannerList.Insert(s180);

   Scanner s181(QUALIFIEDPRE);
   s181.addState(ScannerStateEntry(0 ,START));
   s181.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s181.addState(ScannerStateEntry(2 ,FINAL));
   s181.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'.' ,2));
   _scannerList.Insert(s181);

   Scanner s182(QUALIFIEDTS);
   s182.addState(ScannerStateEntry(0 ,START));
   s182.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s182.addState(ScannerStateEntry(2 ,INTERMEDIATE));
   s182.addState(ScannerStateEntry(3 ,FINAL));
   s182.addTransition(ScannerTransEntry(0 ,'$' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'@' ,2));
   s182.addTransition(ScannerTransEntry(2 ,'A' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'B' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'C' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'D' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'E' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'F' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'G' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'H' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'I' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'J' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'K' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'L' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'M' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'N' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'O' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'P' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'Q' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'R' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'S' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'T' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'U' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'V' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'W' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'X' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'Y' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'Z' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'a' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'b' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'c' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'d' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'e' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'f' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'g' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'h' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'i' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'j' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'k' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'l' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'m' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'n' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'o' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'p' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'q' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'r' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'s' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'t' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'u' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'v' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'w' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'x' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'y' ,3));
   s182.addTransition(ScannerTransEntry(2 ,'z' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'0' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'1' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'2' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'3' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'4' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'5' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'6' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'7' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'8' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'9' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'A' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'B' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'C' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'D' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'E' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'F' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'G' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'H' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'I' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'J' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'K' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'L' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'M' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'N' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'O' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'P' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'Q' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'R' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'S' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'T' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'U' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'V' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'W' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'X' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'Y' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'Z' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'_' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'a' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'b' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'c' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'d' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'e' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'f' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'g' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'h' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'i' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'j' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'k' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'l' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'m' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'n' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'o' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'p' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'q' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'r' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'s' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'t' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'u' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'v' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'w' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'x' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'y' ,3));
   s182.addTransition(ScannerTransEntry(3 ,'z' ,3));
   _scannerList.Insert(s182);

}
void Cego::loadParser0()
{
   _actionMap[860][SEMICOLON] = ActionEntry(REDUCE, 68);
   _actionMap[859][RB] = ActionEntry(SHIFT, 860);
   _actionMap[858][IDENTIFIER] = ActionEntry(SHIFT, 740);
   _jumpMap[858][SimpleAttr] = 739;
   _jumpMap[858][SimpleAttrList] = 859;
   _actionMap[855][LB] = ActionEntry(SHIFT, 858);
   _actionMap[856][ROWLIMIT] = ActionEntry(REDUCE, 240);
   _actionMap[856][UNION] = ActionEntry(REDUCE, 240);
   _actionMap[856][ENDTOKEN] = ActionEntry(REDUCE, 240);
   _actionMap[856][RB] = ActionEntry(REDUCE, 240);
   _actionMap[856][SEMICOLON] = ActionEntry(REDUCE, 240);
   _actionMap[856][KSEP] = ActionEntry(REDUCE, 240);
   _actionMap[857][PLUS] = ActionEntry(SHIFT, 234);
   _actionMap[857][MINUS] = ActionEntry(SHIFT, 233);
   _actionMap[857][CONCAT] = ActionEntry(SHIFT, 232);
   _actionMap[857][ORDER] = ActionEntry(REDUCE, 234);
   _actionMap[857][ROWLIMIT] = ActionEntry(REDUCE, 234);
   _actionMap[857][UNION] = ActionEntry(REDUCE, 234);
   _actionMap[857][ENDTOKEN] = ActionEntry(REDUCE, 234);
   _actionMap[857][RB] = ActionEntry(REDUCE, 234);
   _actionMap[857][SEMICOLON] = ActionEntry(REDUCE, 234);
   _actionMap[851][IDENTIFIER] = ActionEntry(SHIFT, 855);
   _actionMap[852][SEMICOLON] = ActionEntry(REDUCE, 80);
   _actionMap[852][RB] = ActionEntry(REDUCE, 80);
   _actionMap[853][PLUS] = ActionEntry(SHIFT, 234);
   _actionMap[853][MINUS] = ActionEntry(SHIFT, 233);
   _actionMap[853][CONCAT] = ActionEntry(SHIFT, 232);
   _actionMap[853][ASC] = ActionEntry(SHIFT, 844);
   _actionMap[853][ROWLIMIT] = ActionEntry(REDUCE, 245);
   _actionMap[853][DESC] = ActionEntry(SHIFT, 845);
   _actionMap[853][UNION] = ActionEntry(REDUCE, 245);
   _actionMap[853][ENDTOKEN] = ActionEntry(REDUCE, 245);
   _actionMap[853][RB] = ActionEntry(REDUCE, 245);
   _actionMap[853][SEMICOLON] = ActionEntry(REDUCE, 245);
   _actionMap[853][KSEP] = ActionEntry(REDUCE, 245);
   _jumpMap[853][DefaultOrderOpt] = 843;
   _jumpMap[853][OrderingOpt] = 856;
   _actionMap[854][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[854][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[854][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[854][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[854][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[854][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[854][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[854][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[854][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[854][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[854][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[854][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[854][LEFT] = ActionEntry(SHIFT, 123);
}
void Cego::loadParser1()
{
   _actionMap[854][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[854][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[854][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[854][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[854][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[854][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[854][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[854][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[854][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[854][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[854][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[854][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[854][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[854][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[854][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[854][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[854][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[854][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[854][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[854][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[854][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[854][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[854][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[854][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[854][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[854][LB] = ActionEntry(SHIFT, 150);
   _actionMap[854][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[854][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[854][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[854][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[854][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[854][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[854][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[854][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[854][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[854][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[854][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[854][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[854][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[854][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[854][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[854][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[854][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[854][ObjSpec] = 102;
   _jumpMap[854][Constant] = 101;
   _jumpMap[854][SignedFloat] = 100;
   _jumpMap[854][SignedInt] = 99;
   _jumpMap[854][Attribute] = 98;
   _jumpMap[854][Function] = 97;
   _jumpMap[854][CasePrepare] = 96;
}
void Cego::loadParser2()
{
   _jumpMap[854][CaseClause] = 95;
   _jumpMap[854][Factor] = 94;
   _jumpMap[854][Term] = 93;
   _jumpMap[854][Expr] = 857;
   _actionMap[839][REFERENCES] = ActionEntry(SHIFT, 851);
   _actionMap[840][ELSE] = ActionEntry(REDUCE, 117);
   _actionMap[840][ELSIF] = ActionEntry(REDUCE, 117);
   _actionMap[840][EXCEPTION] = ActionEntry(REDUCE, 117);
   _actionMap[840][END_TOKEN] = ActionEntry(REDUCE, 117);
   _actionMap[840][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[840][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[840][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[840][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[840][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[840][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[840][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[840][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[840][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[840][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[840][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[840][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[840][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[840][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[840][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[840][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[840][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[840][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[840][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[840][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[840][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[840][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[840][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[840][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[840][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[840][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[840][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[840][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[840][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[840][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[840][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[840][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[840][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[840][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[840][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[840][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[840][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[840][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[840][LB] = ActionEntry(SHIFT, 150);
   _actionMap[840][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[840][DATE] = ActionEntry(SHIFT, 115);
}
void Cego::loadParser3()
{
   _actionMap[840][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[840][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[840][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[840][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[840][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[840][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[840][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[840][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[840][VARREF] = ActionEntry(SHIFT, 356);
   _actionMap[840][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[840][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[840][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[840][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[840][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[840][MAX] = ActionEntry(SHIFT, 128);
   _actionMap[840][IF] = ActionEntry(SHIFT, 350);
   _actionMap[840][BEGIN] = ActionEntry(SHIFT, 347);
   _actionMap[840][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[840][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[840][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[840][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[840][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[840][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[840][VAR] = ActionEntry(SHIFT, 354);
   _actionMap[840][CURSOR] = ActionEntry(SHIFT, 349);
   _actionMap[840][CLOSE] = ActionEntry(SHIFT, 348);
   _actionMap[840][NOOP] = ActionEntry(SHIFT, 351);
   _actionMap[840][THROW] = ActionEntry(SHIFT, 353);
   _actionMap[840][RETURNTOKEN] = ActionEntry(SHIFT, 352);
   _actionMap[840][WHILE] = ActionEntry(SHIFT, 355);
   _jumpMap[840][ObjSpec] = 102;
   _jumpMap[840][Constant] = 101;
   _jumpMap[840][SignedFloat] = 100;
   _jumpMap[840][SignedInt] = 99;
   _jumpMap[840][Attribute] = 98;
   _jumpMap[840][Function] = 97;
   _jumpMap[840][DeleteStatement] = 346;
   _jumpMap[840][UpdateStatement] = 345;
   _jumpMap[840][InsertStatement] = 344;
   _jumpMap[840][RollbackStatement] = 343;
   _jumpMap[840][CommitStatement] = 342;
   _jumpMap[840][StartStatement] = 341;
   _jumpMap[840][CasePrepare] = 96;
   _jumpMap[840][CaseClause] = 95;
   _jumpMap[840][Factor] = 94;
   _jumpMap[840][Term] = 93;
   _jumpMap[840][Expr] = 340;
   _jumpMap[840][ProcStatement] = 478;
   _jumpMap[840][ProcIfPart] = 338;
   _jumpMap[840][ProcBlockStart] = 337;
}
void Cego::loadParser4()
{
   _actionMap[841][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[841][SelectStatement] = 852;
   _actionMap[842][ROWLIMIT] = ActionEntry(REDUCE, 241);
   _actionMap[842][UNION] = ActionEntry(REDUCE, 241);
   _actionMap[842][ENDTOKEN] = ActionEntry(REDUCE, 241);
   _actionMap[842][RB] = ActionEntry(REDUCE, 241);
   _actionMap[842][SEMICOLON] = ActionEntry(REDUCE, 241);
   _actionMap[842][KSEP] = ActionEntry(REDUCE, 241);
   _actionMap[843][ROWLIMIT] = ActionEntry(REDUCE, 242);
   _actionMap[843][UNION] = ActionEntry(REDUCE, 242);
   _actionMap[843][ENDTOKEN] = ActionEntry(REDUCE, 242);
   _actionMap[843][RB] = ActionEntry(REDUCE, 242);
   _actionMap[843][SEMICOLON] = ActionEntry(REDUCE, 242);
   _actionMap[843][KSEP] = ActionEntry(REDUCE, 242);
   _actionMap[844][ROWLIMIT] = ActionEntry(REDUCE, 244);
   _actionMap[844][UNION] = ActionEntry(REDUCE, 244);
   _actionMap[844][ENDTOKEN] = ActionEntry(REDUCE, 244);
   _actionMap[844][RB] = ActionEntry(REDUCE, 244);
   _actionMap[844][SEMICOLON] = ActionEntry(REDUCE, 244);
   _actionMap[844][KSEP] = ActionEntry(REDUCE, 244);
   _actionMap[845][ROWLIMIT] = ActionEntry(REDUCE, 243);
   _actionMap[845][UNION] = ActionEntry(REDUCE, 243);
   _actionMap[845][ENDTOKEN] = ActionEntry(REDUCE, 243);
   _actionMap[845][RB] = ActionEntry(REDUCE, 243);
   _actionMap[845][SEMICOLON] = ActionEntry(REDUCE, 243);
   _actionMap[845][KSEP] = ActionEntry(REDUCE, 243);
   _actionMap[846][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[846][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[846][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[846][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[846][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[846][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[846][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[846][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[846][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[846][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[846][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[846][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[846][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[846][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[846][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[846][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[846][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[846][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[846][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[846][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[846][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[846][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[846][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[846][RANDINT] = ActionEntry(SHIFT, 134);
}
void Cego::loadParser5()
{
   _actionMap[846][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[846][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[846][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[846][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[846][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[846][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[846][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[846][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[846][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[846][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[846][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[846][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[846][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[846][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[846][LB] = ActionEntry(SHIFT, 150);
   _actionMap[846][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[846][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[846][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[846][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[846][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[846][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[846][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[846][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[846][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[846][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[846][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[846][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[846][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[846][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[846][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[846][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[846][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[846][ObjSpec] = 102;
   _jumpMap[846][Constant] = 101;
   _jumpMap[846][SignedFloat] = 100;
   _jumpMap[846][SignedInt] = 99;
   _jumpMap[846][Attribute] = 98;
   _jumpMap[846][Function] = 97;
   _jumpMap[846][CasePrepare] = 96;
   _jumpMap[846][CaseClause] = 95;
   _jumpMap[846][Factor] = 94;
   _jumpMap[846][Term] = 93;
   _jumpMap[846][Expr] = 853;
   _actionMap[847][PLUS] = ActionEntry(SHIFT, 234);
   _actionMap[847][MINUS] = ActionEntry(SHIFT, 233);
   _actionMap[847][CONCAT] = ActionEntry(SHIFT, 232);
   _actionMap[847][EQU] = ActionEntry(SHIFT, 524);
   _actionMap[847][NEGATION] = ActionEntry(SHIFT, 527);
   _actionMap[847][LT] = ActionEntry(SHIFT, 525);
   _actionMap[847][MT] = ActionEntry(SHIFT, 526);
}
void Cego::loadParser6()
{
   _jumpMap[847][Comparison] = 854;
   _actionMap[848][KSEP] = ActionEntry(REDUCE, 232);
   _actionMap[848][HAVING] = ActionEntry(REDUCE, 232);
   _actionMap[848][ORDER] = ActionEntry(REDUCE, 232);
   _actionMap[848][ROWLIMIT] = ActionEntry(REDUCE, 232);
   _actionMap[848][UNION] = ActionEntry(REDUCE, 232);
   _actionMap[848][ENDTOKEN] = ActionEntry(REDUCE, 232);
   _actionMap[848][RB] = ActionEntry(REDUCE, 232);
   _actionMap[848][SEMICOLON] = ActionEntry(REDUCE, 232);
   _actionMap[849][AND] = ActionEntry(SHIFT, 528);
   _actionMap[849][OR] = ActionEntry(SHIFT, 529);
   _actionMap[849][LEFT] = ActionEntry(REDUCE, 217);
   _actionMap[849][RIGHT] = ActionEntry(REDUCE, 217);
   _actionMap[849][INNER] = ActionEntry(REDUCE, 217);
   _actionMap[849][JOIN] = ActionEntry(REDUCE, 217);
   _actionMap[849][RETURNTOKEN] = ActionEntry(REDUCE, 217);
   _actionMap[849][SEMICOLON] = ActionEntry(REDUCE, 217);
   _actionMap[849][RB] = ActionEntry(REDUCE, 217);
   _actionMap[849][ENDTOKEN] = ActionEntry(REDUCE, 217);
   _actionMap[849][UNION] = ActionEntry(REDUCE, 217);
   _actionMap[849][ROWLIMIT] = ActionEntry(REDUCE, 217);
   _actionMap[849][ORDER] = ActionEntry(REDUCE, 217);
   _actionMap[849][GROUP] = ActionEntry(REDUCE, 217);
   _actionMap[849][WHERE] = ActionEntry(REDUCE, 217);
   _actionMap[850][AND] = ActionEntry(SHIFT, 528);
   _actionMap[850][OR] = ActionEntry(SHIFT, 529);
   _actionMap[850][LEFT] = ActionEntry(REDUCE, 218);
   _actionMap[850][RIGHT] = ActionEntry(REDUCE, 218);
   _actionMap[850][INNER] = ActionEntry(REDUCE, 218);
   _actionMap[850][JOIN] = ActionEntry(REDUCE, 218);
   _actionMap[850][RETURNTOKEN] = ActionEntry(REDUCE, 218);
   _actionMap[850][SEMICOLON] = ActionEntry(REDUCE, 218);
   _actionMap[850][RB] = ActionEntry(REDUCE, 218);
   _actionMap[850][ENDTOKEN] = ActionEntry(REDUCE, 218);
   _actionMap[850][UNION] = ActionEntry(REDUCE, 218);
   _actionMap[850][ROWLIMIT] = ActionEntry(REDUCE, 218);
   _actionMap[850][ORDER] = ActionEntry(REDUCE, 218);
   _actionMap[850][GROUP] = ActionEntry(REDUCE, 218);
   _actionMap[850][WHERE] = ActionEntry(REDUCE, 218);
   _actionMap[816][RB] = ActionEntry(SHIFT, 839);
   _actionMap[817][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[817][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[817][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[817][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[817][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[817][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[817][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[817][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[817][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[817][INT2DATE] = ActionEntry(SHIFT, 122);
}
void Cego::loadParser7()
{
   _actionMap[817][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[817][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[817][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[817][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[817][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[817][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[817][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[817][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[817][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[817][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[817][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[817][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[817][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[817][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[817][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[817][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[817][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[817][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[817][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[817][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[817][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[817][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[817][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[817][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[817][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[817][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[817][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[817][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[817][LB] = ActionEntry(SHIFT, 150);
   _actionMap[817][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[817][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[817][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[817][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[817][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[817][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[817][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[817][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[817][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[817][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[817][VARREF] = ActionEntry(SHIFT, 356);
   _actionMap[817][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[817][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[817][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[817][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[817][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[817][MAX] = ActionEntry(SHIFT, 128);
   _actionMap[817][IF] = ActionEntry(SHIFT, 350);
   _actionMap[817][BEGIN] = ActionEntry(SHIFT, 347);
   _actionMap[817][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[817][COMMIT] = ActionEntry(SHIFT, 16);
}
void Cego::loadParser8()
{
   _actionMap[817][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[817][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[817][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[817][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[817][VAR] = ActionEntry(SHIFT, 354);
   _actionMap[817][CURSOR] = ActionEntry(SHIFT, 349);
   _actionMap[817][CLOSE] = ActionEntry(SHIFT, 348);
   _actionMap[817][NOOP] = ActionEntry(SHIFT, 351);
   _actionMap[817][THROW] = ActionEntry(SHIFT, 353);
   _actionMap[817][RETURNTOKEN] = ActionEntry(SHIFT, 352);
   _actionMap[817][WHILE] = ActionEntry(SHIFT, 355);
   _jumpMap[817][ObjSpec] = 102;
   _jumpMap[817][Constant] = 101;
   _jumpMap[817][SignedFloat] = 100;
   _jumpMap[817][SignedInt] = 99;
   _jumpMap[817][Attribute] = 98;
   _jumpMap[817][Function] = 97;
   _jumpMap[817][DeleteStatement] = 346;
   _jumpMap[817][UpdateStatement] = 345;
   _jumpMap[817][InsertStatement] = 344;
   _jumpMap[817][RollbackStatement] = 343;
   _jumpMap[817][CommitStatement] = 342;
   _jumpMap[817][StartStatement] = 341;
   _jumpMap[817][CasePrepare] = 96;
   _jumpMap[817][CaseClause] = 95;
   _jumpMap[817][Factor] = 94;
   _jumpMap[817][Term] = 93;
   _jumpMap[817][Expr] = 340;
   _jumpMap[817][ProcStatement] = 339;
   _jumpMap[817][ProcIfPart] = 338;
   _jumpMap[817][ProcBlockStart] = 337;
   _jumpMap[817][ProcStatementList] = 840;
   _actionMap[818][BEGIN] = ActionEntry(REDUCE, 335);
   _actionMap[818][DEFAULT] = ActionEntry(REDUCE, 335);
   _actionMap[818][NULLTOKEN] = ActionEntry(REDUCE, 335);
   _actionMap[818][NOT] = ActionEntry(REDUCE, 335);
   _actionMap[818][KSEP] = ActionEntry(REDUCE, 335);
   _actionMap[818][RB] = ActionEntry(REDUCE, 335);
   _actionMap[818][EQU] = ActionEntry(REDUCE, 335);
   _actionMap[818][SEMICOLON] = ActionEntry(REDUCE, 335);
   _actionMap[819][BEGIN] = ActionEntry(REDUCE, 340);
   _actionMap[819][DEFAULT] = ActionEntry(REDUCE, 340);
   _actionMap[819][NULLTOKEN] = ActionEntry(REDUCE, 340);
   _actionMap[819][NOT] = ActionEntry(REDUCE, 340);
   _actionMap[819][KSEP] = ActionEntry(REDUCE, 340);
   _actionMap[819][RB] = ActionEntry(REDUCE, 340);
   _actionMap[819][EQU] = ActionEntry(REDUCE, 340);
   _actionMap[819][SEMICOLON] = ActionEntry(REDUCE, 340);
   _actionMap[820][BEGIN] = ActionEntry(REDUCE, 341);
   _actionMap[820][DEFAULT] = ActionEntry(REDUCE, 341);
}
void Cego::loadParser9()
{
   _actionMap[820][NULLTOKEN] = ActionEntry(REDUCE, 341);
   _actionMap[820][NOT] = ActionEntry(REDUCE, 341);
   _actionMap[820][KSEP] = ActionEntry(REDUCE, 341);
   _actionMap[820][RB] = ActionEntry(REDUCE, 341);
   _actionMap[820][EQU] = ActionEntry(REDUCE, 341);
   _actionMap[820][SEMICOLON] = ActionEntry(REDUCE, 341);
   _actionMap[821][BEGIN] = ActionEntry(REDUCE, 332);
   _actionMap[821][DEFAULT] = ActionEntry(REDUCE, 332);
   _actionMap[821][NULLTOKEN] = ActionEntry(REDUCE, 332);
   _actionMap[821][NOT] = ActionEntry(REDUCE, 332);
   _actionMap[821][KSEP] = ActionEntry(REDUCE, 332);
   _actionMap[821][RB] = ActionEntry(REDUCE, 332);
   _actionMap[821][EQU] = ActionEntry(REDUCE, 332);
   _actionMap[821][SEMICOLON] = ActionEntry(REDUCE, 332);
   _actionMap[822][SEMICOLON] = ActionEntry(REDUCE, 58);
   _actionMap[823][RB] = ActionEntry(REDUCE, 182);
   _actionMap[824][SEMICOLON] = ActionEntry(REDUCE, 176);
   _actionMap[824][KSEP] = ActionEntry(REDUCE, 176);
   _actionMap[824][RB] = ActionEntry(REDUCE, 176);
   _actionMap[825][LEFT] = ActionEntry(REDUCE, 321);
   _actionMap[825][RIGHT] = ActionEntry(REDUCE, 321);
   _actionMap[825][INNER] = ActionEntry(REDUCE, 321);
   _actionMap[825][JOIN] = ActionEntry(REDUCE, 321);
   _actionMap[825][RETURNTOKEN] = ActionEntry(REDUCE, 321);
   _actionMap[825][SEMICOLON] = ActionEntry(REDUCE, 321);
   _actionMap[825][ENDTOKEN] = ActionEntry(REDUCE, 321);
   _actionMap[825][UNION] = ActionEntry(REDUCE, 321);
   _actionMap[825][ROWLIMIT] = ActionEntry(REDUCE, 321);
   _actionMap[825][ORDER] = ActionEntry(REDUCE, 321);
   _actionMap[825][GROUP] = ActionEntry(REDUCE, 321);
   _actionMap[825][WHERE] = ActionEntry(REDUCE, 321);
   _actionMap[825][THEN] = ActionEntry(REDUCE, 321);
   _actionMap[825][AND] = ActionEntry(REDUCE, 321);
   _actionMap[825][OR] = ActionEntry(REDUCE, 321);
   _actionMap[825][RB] = ActionEntry(REDUCE, 321);
   _actionMap[826][SEMICOLON] = ActionEntry(REDUCE, 206);
   _actionMap[826][RB] = ActionEntry(REDUCE, 206);
   _actionMap[827][ALL] = ActionEntry(SHIFT, 841);
   _actionMap[828][UNION] = ActionEntry(REDUCE, 248);
   _actionMap[828][ENDTOKEN] = ActionEntry(REDUCE, 248);
   _actionMap[828][RB] = ActionEntry(REDUCE, 248);
   _actionMap[828][SEMICOLON] = ActionEntry(REDUCE, 248);
   _actionMap[829][PLUS] = ActionEntry(SHIFT, 234);
   _actionMap[829][MINUS] = ActionEntry(SHIFT, 233);
   _actionMap[829][CONCAT] = ActionEntry(SHIFT, 232);
   _actionMap[829][ASC] = ActionEntry(SHIFT, 844);
   _actionMap[829][ROWLIMIT] = ActionEntry(REDUCE, 245);
   _actionMap[829][DESC] = ActionEntry(SHIFT, 845);
   _actionMap[829][UNION] = ActionEntry(REDUCE, 245);
   _actionMap[829][ENDTOKEN] = ActionEntry(REDUCE, 245);
}
void Cego::loadParser10()
{
   _actionMap[829][RB] = ActionEntry(REDUCE, 245);
   _actionMap[829][SEMICOLON] = ActionEntry(REDUCE, 245);
   _actionMap[829][KSEP] = ActionEntry(REDUCE, 245);
   _jumpMap[829][DefaultOrderOpt] = 843;
   _jumpMap[829][OrderingOpt] = 842;
   _actionMap[830][KSEP] = ActionEntry(SHIFT, 846);
   _actionMap[830][ROWLIMIT] = ActionEntry(REDUCE, 237);
   _actionMap[830][UNION] = ActionEntry(REDUCE, 237);
   _actionMap[830][ENDTOKEN] = ActionEntry(REDUCE, 237);
   _actionMap[830][RB] = ActionEntry(REDUCE, 237);
   _actionMap[830][SEMICOLON] = ActionEntry(REDUCE, 237);
   _actionMap[831][ORDER] = ActionEntry(REDUCE, 229);
   _actionMap[831][ROWLIMIT] = ActionEntry(REDUCE, 229);
   _actionMap[831][UNION] = ActionEntry(REDUCE, 229);
   _actionMap[831][ENDTOKEN] = ActionEntry(REDUCE, 229);
   _actionMap[831][RB] = ActionEntry(REDUCE, 229);
   _actionMap[831][SEMICOLON] = ActionEntry(REDUCE, 229);
   _actionMap[832][ORDER] = ActionEntry(REDUCE, 235);
   _actionMap[832][ROWLIMIT] = ActionEntry(REDUCE, 235);
   _actionMap[832][UNION] = ActionEntry(REDUCE, 235);
   _actionMap[832][ENDTOKEN] = ActionEntry(REDUCE, 235);
   _actionMap[832][RB] = ActionEntry(REDUCE, 235);
   _actionMap[832][SEMICOLON] = ActionEntry(REDUCE, 235);
   _actionMap[833][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[833][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[833][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[833][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[833][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[833][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[833][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[833][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[833][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[833][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[833][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[833][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[833][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[833][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[833][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[833][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[833][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[833][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[833][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[833][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[833][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[833][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[833][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[833][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[833][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[833][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[833][POWER] = ActionEntry(SHIFT, 132);
}
void Cego::loadParser11()
{
   _actionMap[833][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[833][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[833][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[833][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[833][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[833][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[833][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[833][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[833][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[833][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[833][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[833][LB] = ActionEntry(SHIFT, 150);
   _actionMap[833][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[833][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[833][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[833][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[833][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[833][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[833][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[833][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[833][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[833][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[833][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[833][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[833][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[833][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[833][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[833][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[833][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[833][ObjSpec] = 102;
   _jumpMap[833][Constant] = 101;
   _jumpMap[833][SignedFloat] = 100;
   _jumpMap[833][SignedInt] = 99;
   _jumpMap[833][Attribute] = 98;
   _jumpMap[833][Function] = 97;
   _jumpMap[833][CasePrepare] = 96;
   _jumpMap[833][CaseClause] = 95;
   _jumpMap[833][Factor] = 94;
   _jumpMap[833][Term] = 93;
   _jumpMap[833][Expr] = 847;
   _actionMap[834][IDENTIFIER] = ActionEntry(SHIFT, 809);
   _actionMap[834][QUALIFIEDOBJ] = ActionEntry(SHIFT, 810);
   _actionMap[834][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _jumpMap[834][Attribute] = 848;
   _actionMap[835][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[835][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[835][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[835][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[835][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[835][LTRIM] = ActionEntry(SHIFT, 126);
}
void Cego::loadParser12()
{
   _actionMap[835][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[835][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[835][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[835][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[835][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[835][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[835][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[835][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[835][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[835][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[835][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[835][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[835][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[835][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[835][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[835][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[835][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[835][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[835][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[835][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[835][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[835][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[835][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[835][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[835][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[835][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[835][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[835][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[835][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[835][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[835][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[835][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[835][LB] = ActionEntry(SHIFT, 386);
   _actionMap[835][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[835][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[835][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[835][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[835][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[835][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[835][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[835][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[835][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[835][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[835][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[835][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[835][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[835][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[835][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[835][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[835][MAX] = ActionEntry(SHIFT, 128);
}
void Cego::loadParser13()
{
   _actionMap[835][EXISTS] = ActionEntry(SHIFT, 384);
   _actionMap[835][NOT] = ActionEntry(SHIFT, 385);
   _jumpMap[835][ObjSpec] = 102;
   _jumpMap[835][Constant] = 101;
   _jumpMap[835][SignedFloat] = 100;
   _jumpMap[835][SignedInt] = 99;
   _jumpMap[835][Attribute] = 98;
   _jumpMap[835][QueryPredicate] = 383;
   _jumpMap[835][QueryCondition] = 849;
   _jumpMap[835][Function] = 97;
   _jumpMap[835][CasePrepare] = 96;
   _jumpMap[835][CaseClause] = 95;
   _jumpMap[835][Factor] = 94;
   _jumpMap[835][Term] = 93;
   _jumpMap[835][Expr] = 381;
   _actionMap[836][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[836][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[836][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[836][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[836][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[836][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[836][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[836][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[836][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[836][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[836][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[836][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[836][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[836][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[836][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[836][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[836][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[836][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[836][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[836][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[836][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[836][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[836][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[836][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[836][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[836][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[836][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[836][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[836][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[836][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[836][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[836][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[836][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[836][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[836][SETCOUNT] = ActionEntry(SHIFT, 139);
}
void Cego::loadParser14()
{
   _actionMap[836][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[836][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[836][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[836][LB] = ActionEntry(SHIFT, 386);
   _actionMap[836][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[836][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[836][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[836][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[836][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[836][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[836][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[836][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[836][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[836][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[836][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[836][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[836][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[836][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[836][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[836][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[836][MAX] = ActionEntry(SHIFT, 128);
   _actionMap[836][EXISTS] = ActionEntry(SHIFT, 384);
   _actionMap[836][NOT] = ActionEntry(SHIFT, 385);
   _jumpMap[836][ObjSpec] = 102;
   _jumpMap[836][Constant] = 101;
   _jumpMap[836][SignedFloat] = 100;
   _jumpMap[836][SignedInt] = 99;
   _jumpMap[836][Attribute] = 98;
   _jumpMap[836][QueryPredicate] = 383;
   _jumpMap[836][QueryCondition] = 850;
   _jumpMap[836][Function] = 97;
   _jumpMap[836][CasePrepare] = 96;
   _jumpMap[836][CaseClause] = 95;
   _jumpMap[836][Factor] = 94;
   _jumpMap[836][Term] = 93;
   _jumpMap[836][Expr] = 381;
   _actionMap[837][SEMICOLON] = ActionEntry(REDUCE, 257);
   _actionMap[837][KSEP] = ActionEntry(REDUCE, 257);
   _actionMap[838][PLUS] = ActionEntry(SHIFT, 234);
   _actionMap[838][MINUS] = ActionEntry(SHIFT, 233);
   _actionMap[838][CONCAT] = ActionEntry(SHIFT, 232);
   _actionMap[838][SEMICOLON] = ActionEntry(REDUCE, 259);
   _actionMap[838][KSEP] = ActionEntry(REDUCE, 259);
   _actionMap[776][AND] = ActionEntry(SHIFT, 528);
   _actionMap[776][OR] = ActionEntry(SHIFT, 529);
   _actionMap[776][SEMICOLON] = ActionEntry(REDUCE, 69);
   _actionMap[777][IDENTIFIER] = ActionEntry(SHIFT, 740);
   _jumpMap[777][SimpleAttr] = 739;
   _jumpMap[777][SimpleAttrList] = 816;
   _actionMap[778][SEMICOLON] = ActionEntry(REDUCE, 269);
}
void Cego::loadParser15()
{
   _actionMap[778][KSEP] = ActionEntry(REDUCE, 269);
   _actionMap[779][THEN] = ActionEntry(SHIFT, 817);
   _actionMap[780][THEN] = ActionEntry(REDUCE, 122);
   _actionMap[781][END_TOKEN] = ActionEntry(REDUCE, 127);
   _actionMap[781][ELSE] = ActionEntry(REDUCE, 127);
   _actionMap[781][ELSIF] = ActionEntry(REDUCE, 127);
   _actionMap[782][BEGIN] = ActionEntry(REDUCE, 141);
   _actionMap[782][THEN] = ActionEntry(REDUCE, 141);
   _actionMap[782][OR] = ActionEntry(REDUCE, 141);
   _actionMap[782][AND] = ActionEntry(REDUCE, 141);
   _actionMap[782][RB] = ActionEntry(REDUCE, 141);
   _actionMap[783][PLUS] = ActionEntry(SHIFT, 234);
   _actionMap[783][MINUS] = ActionEntry(SHIFT, 233);
   _actionMap[783][CONCAT] = ActionEntry(SHIFT, 232);
   _actionMap[783][SEMICOLON] = ActionEntry(REDUCE, 101);
   _actionMap[784][RB] = ActionEntry(SHIFT, 818);
   _actionMap[785][RB] = ActionEntry(SHIFT, 819);
   _actionMap[786][RB] = ActionEntry(SHIFT, 820);
   _actionMap[787][RB] = ActionEntry(SHIFT, 821);
   _actionMap[788][SEMICOLON] = ActionEntry(REDUCE, 133);
   _actionMap[789][RB] = ActionEntry(SHIFT, 822);
   _actionMap[790][SEMICOLON] = ActionEntry(REDUCE, 57);
   _actionMap[791][IDENTIFIER] = ActionEntry(SHIFT, 740);
   _jumpMap[791][SimpleAttr] = 739;
   _jumpMap[791][SimpleAttrList] = 823;
   _actionMap[792][SEMICOLON] = ActionEntry(REDUCE, 174);
   _actionMap[792][KSEP] = ActionEntry(REDUCE, 174);
   _actionMap[792][RB] = ActionEntry(REDUCE, 174);
   _actionMap[793][SEMICOLON] = ActionEntry(REDUCE, 177);
   _actionMap[793][KSEP] = ActionEntry(REDUCE, 177);
   _actionMap[793][RB] = ActionEntry(REDUCE, 177);
   _actionMap[794][NULLTOKEN] = ActionEntry(SHIFT, 824);
   _actionMap[795][SEMICOLON] = ActionEntry(REDUCE, 175);
   _actionMap[795][KSEP] = ActionEntry(REDUCE, 175);
   _actionMap[795][RB] = ActionEntry(REDUCE, 175);
   _actionMap[796][NULLTOKEN] = ActionEntry(REDUCE, 179);
   _actionMap[796][NOT] = ActionEntry(REDUCE, 179);
   _actionMap[796][KSEP] = ActionEntry(REDUCE, 179);
   _actionMap[796][SEMICOLON] = ActionEntry(REDUCE, 179);
   _actionMap[796][RB] = ActionEntry(REDUCE, 179);
   _actionMap[797][LONG] = ActionEntry(SHIFT, 288);
   _actionMap[797][BIGINT] = ActionEntry(SHIFT, 284);
   _actionMap[797][SMALLINT] = ActionEntry(SHIFT, 289);
   _actionMap[797][TINYINT] = ActionEntry(SHIFT, 290);
   _actionMap[797][DOUBLE] = ActionEntry(SHIFT, 286);
   _actionMap[797][DECIMAL] = ActionEntry(SHIFT, 285);
   _actionMap[797][FIXED] = ActionEntry(SHIFT, 287);
   _actionMap[798][PLUS] = ActionEntry(SHIFT, 234);
   _actionMap[798][MINUS] = ActionEntry(SHIFT, 233);
   _actionMap[798][CONCAT] = ActionEntry(SHIFT, 232);
}
void Cego::loadParser16()
{
   _actionMap[798][KSEP] = ActionEntry(REDUCE, 204);
   _actionMap[798][RB] = ActionEntry(REDUCE, 204);
   _actionMap[799][PLUS] = ActionEntry(SHIFT, 234);
   _actionMap[799][MINUS] = ActionEntry(SHIFT, 233);
   _actionMap[799][CONCAT] = ActionEntry(SHIFT, 232);
   _actionMap[799][LEFT] = ActionEntry(REDUCE, 323);
   _actionMap[799][RIGHT] = ActionEntry(REDUCE, 323);
   _actionMap[799][INNER] = ActionEntry(REDUCE, 323);
   _actionMap[799][JOIN] = ActionEntry(REDUCE, 323);
   _actionMap[799][RETURNTOKEN] = ActionEntry(REDUCE, 323);
   _actionMap[799][SEMICOLON] = ActionEntry(REDUCE, 323);
   _actionMap[799][ENDTOKEN] = ActionEntry(REDUCE, 323);
   _actionMap[799][UNION] = ActionEntry(REDUCE, 323);
   _actionMap[799][ROWLIMIT] = ActionEntry(REDUCE, 323);
   _actionMap[799][ORDER] = ActionEntry(REDUCE, 323);
   _actionMap[799][GROUP] = ActionEntry(REDUCE, 323);
   _actionMap[799][WHERE] = ActionEntry(REDUCE, 323);
   _actionMap[799][THEN] = ActionEntry(REDUCE, 323);
   _actionMap[799][AND] = ActionEntry(REDUCE, 323);
   _actionMap[799][OR] = ActionEntry(REDUCE, 323);
   _actionMap[799][RB] = ActionEntry(REDUCE, 323);
   _actionMap[800][LEFT] = ActionEntry(REDUCE, 320);
   _actionMap[800][RIGHT] = ActionEntry(REDUCE, 320);
   _actionMap[800][INNER] = ActionEntry(REDUCE, 320);
   _actionMap[800][JOIN] = ActionEntry(REDUCE, 320);
   _actionMap[800][RETURNTOKEN] = ActionEntry(REDUCE, 320);
   _actionMap[800][SEMICOLON] = ActionEntry(REDUCE, 320);
   _actionMap[800][ENDTOKEN] = ActionEntry(REDUCE, 320);
   _actionMap[800][UNION] = ActionEntry(REDUCE, 320);
   _actionMap[800][ROWLIMIT] = ActionEntry(REDUCE, 320);
   _actionMap[800][ORDER] = ActionEntry(REDUCE, 320);
   _actionMap[800][GROUP] = ActionEntry(REDUCE, 320);
   _actionMap[800][WHERE] = ActionEntry(REDUCE, 320);
   _actionMap[800][THEN] = ActionEntry(REDUCE, 320);
   _actionMap[800][AND] = ActionEntry(REDUCE, 320);
   _actionMap[800][OR] = ActionEntry(REDUCE, 320);
   _actionMap[800][RB] = ActionEntry(REDUCE, 320);
   _actionMap[801][RB] = ActionEntry(SHIFT, 825);
   _actionMap[802][KSEP] = ActionEntry(REDUCE, 168);
   _actionMap[802][RB] = ActionEntry(REDUCE, 168);
   _actionMap[803][UNION] = ActionEntry(SHIFT, 827);
   _actionMap[803][SEMICOLON] = ActionEntry(REDUCE, 81);
   _actionMap[803][RB] = ActionEntry(REDUCE, 81);
   _jumpMap[803][UnionAllOpt] = 826;
   _actionMap[804][UNION] = ActionEntry(REDUCE, 249);
   _actionMap[804][ENDTOKEN] = ActionEntry(REDUCE, 249);
   _actionMap[804][RB] = ActionEntry(REDUCE, 249);
   _actionMap[804][SEMICOLON] = ActionEntry(REDUCE, 249);
   _actionMap[805][INTVAL] = ActionEntry(SHIFT, 828);
   _actionMap[806][FLOATVAL] = ActionEntry(SHIFT, 153);
}
void Cego::loadParser17()
{
   _actionMap[806][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[806][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[806][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[806][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[806][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[806][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[806][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[806][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[806][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[806][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[806][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[806][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[806][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[806][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[806][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[806][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[806][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[806][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[806][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[806][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[806][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[806][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[806][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[806][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[806][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[806][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[806][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[806][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[806][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[806][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[806][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[806][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[806][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[806][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[806][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[806][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[806][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[806][LB] = ActionEntry(SHIFT, 150);
   _actionMap[806][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[806][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[806][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[806][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[806][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[806][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[806][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[806][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[806][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[806][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[806][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[806][FETCH] = ActionEntry(SHIFT, 120);
}
void Cego::loadParser18()
{
   _actionMap[806][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[806][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[806][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[806][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[806][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[806][ObjSpec] = 102;
   _jumpMap[806][Constant] = 101;
   _jumpMap[806][SignedFloat] = 100;
   _jumpMap[806][SignedInt] = 99;
   _jumpMap[806][Attribute] = 98;
   _jumpMap[806][Function] = 97;
   _jumpMap[806][OrderingList] = 830;
   _jumpMap[806][CasePrepare] = 96;
   _jumpMap[806][CaseClause] = 95;
   _jumpMap[806][Factor] = 94;
   _jumpMap[806][Term] = 93;
   _jumpMap[806][Expr] = 829;
   _actionMap[807][KSEP] = ActionEntry(SHIFT, 834);
   _actionMap[807][ORDER] = ActionEntry(REDUCE, 236);
   _actionMap[807][HAVING] = ActionEntry(SHIFT, 833);
   _actionMap[807][ROWLIMIT] = ActionEntry(REDUCE, 236);
   _actionMap[807][UNION] = ActionEntry(REDUCE, 236);
   _actionMap[807][ENDTOKEN] = ActionEntry(REDUCE, 236);
   _actionMap[807][RB] = ActionEntry(REDUCE, 236);
   _actionMap[807][SEMICOLON] = ActionEntry(REDUCE, 236);
   _jumpMap[807][NoHaving] = 832;
   _jumpMap[807][HavingClause] = 831;
   _actionMap[808][KSEP] = ActionEntry(REDUCE, 233);
   _actionMap[808][HAVING] = ActionEntry(REDUCE, 233);
   _actionMap[808][ORDER] = ActionEntry(REDUCE, 233);
   _actionMap[808][ROWLIMIT] = ActionEntry(REDUCE, 233);
   _actionMap[808][UNION] = ActionEntry(REDUCE, 233);
   _actionMap[808][ENDTOKEN] = ActionEntry(REDUCE, 233);
   _actionMap[808][RB] = ActionEntry(REDUCE, 233);
   _actionMap[808][SEMICOLON] = ActionEntry(REDUCE, 233);
   _actionMap[809][KSEP] = ActionEntry(REDUCE, 350);
   _actionMap[809][HAVING] = ActionEntry(REDUCE, 350);
   _actionMap[809][ORDER] = ActionEntry(REDUCE, 350);
   _actionMap[809][ROWLIMIT] = ActionEntry(REDUCE, 350);
   _actionMap[809][UNION] = ActionEntry(REDUCE, 350);
   _actionMap[809][ENDTOKEN] = ActionEntry(REDUCE, 350);
   _actionMap[809][RB] = ActionEntry(REDUCE, 350);
   _actionMap[809][SEMICOLON] = ActionEntry(REDUCE, 350);
   _actionMap[810][KSEP] = ActionEntry(REDUCE, 351);
   _actionMap[810][HAVING] = ActionEntry(REDUCE, 351);
   _actionMap[810][ORDER] = ActionEntry(REDUCE, 351);
   _actionMap[810][ROWLIMIT] = ActionEntry(REDUCE, 351);
   _actionMap[810][UNION] = ActionEntry(REDUCE, 351);
   _actionMap[810][ENDTOKEN] = ActionEntry(REDUCE, 351);
   _actionMap[810][RB] = ActionEntry(REDUCE, 351);
}
void Cego::loadParser19()
{
   _actionMap[810][SEMICOLON] = ActionEntry(REDUCE, 351);
   _actionMap[811][AND] = ActionEntry(SHIFT, 528);
   _actionMap[811][OR] = ActionEntry(SHIFT, 529);
   _actionMap[811][LEFT] = ActionEntry(REDUCE, 216);
   _actionMap[811][RIGHT] = ActionEntry(REDUCE, 216);
   _actionMap[811][INNER] = ActionEntry(REDUCE, 216);
   _actionMap[811][JOIN] = ActionEntry(REDUCE, 216);
   _actionMap[811][RETURNTOKEN] = ActionEntry(REDUCE, 216);
   _actionMap[811][SEMICOLON] = ActionEntry(REDUCE, 216);
   _actionMap[811][RB] = ActionEntry(REDUCE, 216);
   _actionMap[811][ENDTOKEN] = ActionEntry(REDUCE, 216);
   _actionMap[811][UNION] = ActionEntry(REDUCE, 216);
   _actionMap[811][ROWLIMIT] = ActionEntry(REDUCE, 216);
   _actionMap[811][ORDER] = ActionEntry(REDUCE, 216);
   _actionMap[811][GROUP] = ActionEntry(REDUCE, 216);
   _actionMap[811][WHERE] = ActionEntry(REDUCE, 216);
   _actionMap[812][ON] = ActionEntry(SHIFT, 770);
   _jumpMap[812][JoinTableOn] = 835;
   _actionMap[813][ON] = ActionEntry(SHIFT, 770);
   _jumpMap[813][JoinTableOn] = 836;
   _actionMap[814][VARREF] = ActionEntry(SHIFT, 775);
   _jumpMap[814][ReturnVar] = 837;
   _actionMap[815][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[815][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[815][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[815][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[815][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[815][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[815][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[815][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[815][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[815][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[815][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[815][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[815][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[815][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[815][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[815][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[815][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[815][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[815][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[815][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[815][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[815][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[815][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[815][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[815][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[815][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[815][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[815][BITAND] = ActionEntry(SHIFT, 105);
}
void Cego::loadParser20()
{
   _actionMap[815][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[815][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[815][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[815][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[815][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[815][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[815][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[815][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[815][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[815][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[815][LB] = ActionEntry(SHIFT, 150);
   _actionMap[815][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[815][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[815][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[815][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[815][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[815][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[815][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[815][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[815][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[815][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[815][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[815][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[815][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[815][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[815][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[815][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[815][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[815][ObjSpec] = 102;
   _jumpMap[815][Constant] = 101;
   _jumpMap[815][SignedFloat] = 100;
   _jumpMap[815][SignedInt] = 99;
   _jumpMap[815][Attribute] = 98;
   _jumpMap[815][Function] = 97;
   _jumpMap[815][CasePrepare] = 96;
   _jumpMap[815][CaseClause] = 95;
   _jumpMap[815][Factor] = 94;
   _jumpMap[815][Term] = 93;
   _jumpMap[815][Expr] = 838;
   _actionMap[714][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[714][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[714][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[714][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[714][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[714][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[714][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[714][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[714][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[714][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[714][LOWER] = ActionEntry(SHIFT, 125);
}
void Cego::loadParser21()
{
   _actionMap[714][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[714][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[714][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[714][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[714][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[714][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[714][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[714][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[714][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[714][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[714][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[714][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[714][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[714][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[714][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[714][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[714][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[714][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[714][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[714][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[714][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[714][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[714][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[714][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[714][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[714][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[714][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[714][LB] = ActionEntry(SHIFT, 386);
   _actionMap[714][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[714][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[714][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[714][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[714][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[714][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[714][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[714][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[714][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[714][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[714][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[714][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[714][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[714][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[714][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[714][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[714][MAX] = ActionEntry(SHIFT, 128);
   _actionMap[714][EXISTS] = ActionEntry(SHIFT, 384);
   _actionMap[714][NOT] = ActionEntry(SHIFT, 385);
   _jumpMap[714][ObjSpec] = 102;
   _jumpMap[714][Constant] = 101;
   _jumpMap[714][SignedFloat] = 100;
}
void Cego::loadParser22()
{
   _jumpMap[714][SignedInt] = 99;
   _jumpMap[714][Attribute] = 98;
   _jumpMap[714][QueryPredicate] = 383;
   _jumpMap[714][QueryCondition] = 776;
   _jumpMap[714][Function] = 97;
   _jumpMap[714][CasePrepare] = 96;
   _jumpMap[714][CaseClause] = 95;
   _jumpMap[714][Factor] = 94;
   _jumpMap[714][Term] = 93;
   _jumpMap[714][Expr] = 381;
   _actionMap[715][LB] = ActionEntry(SHIFT, 777);
   _actionMap[716][IDENTIFIER] = ActionEntry(SHIFT, 778);
   _actionMap[717][SEMICOLON] = ActionEntry(REDUCE, 30);
   _actionMap[718][IDENTIFIER] = ActionEntry(SHIFT, 780);
   _jumpMap[718][ProcExceptionType] = 779;
   _actionMap[719][END_TOKEN] = ActionEntry(REDUCE, 128);
   _actionMap[720][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[720][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[720][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[720][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[720][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[720][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[720][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[720][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[720][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[720][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[720][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[720][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[720][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[720][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[720][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[720][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[720][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[720][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[720][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[720][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[720][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[720][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[720][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[720][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[720][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[720][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[720][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[720][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[720][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[720][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[720][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[720][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[720][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[720][NEXTCOUNT] = ActionEntry(SHIFT, 130);
}
void Cego::loadParser23()
{
   _actionMap[720][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[720][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[720][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[720][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[720][LB] = ActionEntry(SHIFT, 150);
   _actionMap[720][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[720][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[720][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[720][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[720][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[720][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[720][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[720][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[720][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[720][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[720][VARREF] = ActionEntry(SHIFT, 356);
   _actionMap[720][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[720][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[720][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[720][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[720][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[720][MAX] = ActionEntry(SHIFT, 128);
   _actionMap[720][IF] = ActionEntry(SHIFT, 350);
   _actionMap[720][BEGIN] = ActionEntry(SHIFT, 347);
   _actionMap[720][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[720][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[720][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[720][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[720][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[720][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[720][VAR] = ActionEntry(SHIFT, 354);
   _actionMap[720][CURSOR] = ActionEntry(SHIFT, 349);
   _actionMap[720][CLOSE] = ActionEntry(SHIFT, 348);
   _actionMap[720][NOOP] = ActionEntry(SHIFT, 351);
   _actionMap[720][THROW] = ActionEntry(SHIFT, 353);
   _actionMap[720][RETURNTOKEN] = ActionEntry(SHIFT, 352);
   _actionMap[720][WHILE] = ActionEntry(SHIFT, 355);
   _jumpMap[720][ObjSpec] = 102;
   _jumpMap[720][Constant] = 101;
   _jumpMap[720][SignedFloat] = 100;
   _jumpMap[720][SignedInt] = 99;
   _jumpMap[720][Attribute] = 98;
   _jumpMap[720][Function] = 97;
   _jumpMap[720][DeleteStatement] = 346;
   _jumpMap[720][UpdateStatement] = 345;
   _jumpMap[720][InsertStatement] = 344;
   _jumpMap[720][RollbackStatement] = 343;
   _jumpMap[720][CommitStatement] = 342;
   _jumpMap[720][StartStatement] = 341;
   _jumpMap[720][CasePrepare] = 96;
}
void Cego::loadParser24()
{
   _jumpMap[720][CaseClause] = 95;
   _jumpMap[720][Factor] = 94;
   _jumpMap[720][Term] = 93;
   _jumpMap[720][Expr] = 340;
   _jumpMap[720][ProcStatement] = 339;
   _jumpMap[720][ProcIfPart] = 338;
   _jumpMap[720][ProcBlockStart] = 337;
   _jumpMap[720][ProcStatementList] = 336;
   _jumpMap[720][ProcStmtBlock] = 781;
   _actionMap[721][SEMICOLON] = ActionEntry(REDUCE, 96);
   _actionMap[722][END_TOKEN] = ActionEntry(REDUCE, 124);
   _actionMap[722][ELSE] = ActionEntry(REDUCE, 124);
   _actionMap[722][ELSIF] = ActionEntry(REDUCE, 124);
   _actionMap[723][BEGIN] = ActionEntry(REDUCE, 136);
   _actionMap[723][RB] = ActionEntry(REDUCE, 136);
   _actionMap[723][AND] = ActionEntry(REDUCE, 136);
   _actionMap[723][OR] = ActionEntry(REDUCE, 136);
   _actionMap[723][THEN] = ActionEntry(REDUCE, 136);
   _actionMap[724][BEGIN] = ActionEntry(REDUCE, 135);
   _actionMap[724][RB] = ActionEntry(REDUCE, 135);
   _actionMap[724][AND] = ActionEntry(REDUCE, 135);
   _actionMap[724][OR] = ActionEntry(REDUCE, 135);
   _actionMap[724][THEN] = ActionEntry(REDUCE, 135);
   _actionMap[725][PLUS] = ActionEntry(SHIFT, 234);
   _actionMap[725][MINUS] = ActionEntry(SHIFT, 233);
   _actionMap[725][CONCAT] = ActionEntry(SHIFT, 232);
   _actionMap[725][BEGIN] = ActionEntry(REDUCE, 139);
   _actionMap[725][THEN] = ActionEntry(REDUCE, 139);
   _actionMap[725][OR] = ActionEntry(REDUCE, 139);
   _actionMap[725][AND] = ActionEntry(REDUCE, 139);
   _actionMap[725][RB] = ActionEntry(REDUCE, 139);
   _actionMap[726][NULLTOKEN] = ActionEntry(SHIFT, 782);
   _actionMap[727][BEGIN] = ActionEntry(REDUCE, 140);
   _actionMap[727][THEN] = ActionEntry(REDUCE, 140);
   _actionMap[727][OR] = ActionEntry(REDUCE, 140);
   _actionMap[727][AND] = ActionEntry(REDUCE, 140);
   _actionMap[727][RB] = ActionEntry(REDUCE, 140);
   _actionMap[728][BEGIN] = ActionEntry(REDUCE, 138);
   _actionMap[728][RB] = ActionEntry(REDUCE, 138);
   _actionMap[728][AND] = ActionEntry(REDUCE, 138);
   _actionMap[728][OR] = ActionEntry(REDUCE, 138);
   _actionMap[728][THEN] = ActionEntry(REDUCE, 138);
   _actionMap[729][SEMICOLON] = ActionEntry(REDUCE, 95);
   _actionMap[730][SEMICOLON] = ActionEntry(REDUCE, 102);
   _actionMap[731][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[731][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[731][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[731][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[731][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[731][LTRIM] = ActionEntry(SHIFT, 126);
}
void Cego::loadParser25()
{
   _actionMap[731][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[731][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[731][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[731][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[731][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[731][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[731][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[731][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[731][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[731][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[731][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[731][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[731][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[731][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[731][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[731][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[731][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[731][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[731][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[731][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[731][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[731][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[731][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[731][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[731][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[731][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[731][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[731][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[731][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[731][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[731][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[731][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[731][LB] = ActionEntry(SHIFT, 150);
   _actionMap[731][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[731][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[731][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[731][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[731][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[731][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[731][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[731][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[731][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[731][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[731][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[731][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[731][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[731][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[731][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[731][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[731][MAX] = ActionEntry(SHIFT, 128);
}
void Cego::loadParser26()
{
   _jumpMap[731][ObjSpec] = 102;
   _jumpMap[731][Constant] = 101;
   _jumpMap[731][SignedFloat] = 100;
   _jumpMap[731][SignedInt] = 99;
   _jumpMap[731][Attribute] = 98;
   _jumpMap[731][Function] = 97;
   _jumpMap[731][CasePrepare] = 96;
   _jumpMap[731][CaseClause] = 95;
   _jumpMap[731][Factor] = 94;
   _jumpMap[731][Term] = 93;
   _jumpMap[731][Expr] = 783;
   _actionMap[732][INTVAL] = ActionEntry(SHIFT, 784);
   _actionMap[733][INTVAL] = ActionEntry(SHIFT, 785);
   _actionMap[734][INTVAL] = ActionEntry(SHIFT, 786);
   _actionMap[735][INTVAL] = ActionEntry(SHIFT, 787);
   _actionMap[736][END_TOKEN] = ActionEntry(SHIFT, 788);
   _actionMap[737][IDENTIFIER] = ActionEntry(SHIFT, 740);
   _jumpMap[737][SimpleAttr] = 739;
   _jumpMap[737][SimpleAttrList] = 789;
   _actionMap[738][RB] = ActionEntry(SHIFT, 790);
   _actionMap[739][KSEP] = ActionEntry(SHIFT, 791);
   _actionMap[739][RB] = ActionEntry(REDUCE, 183);
   _actionMap[740][RB] = ActionEntry(REDUCE, 184);
   _actionMap[740][KSEP] = ActionEntry(REDUCE, 184);
   _actionMap[741][KSEP] = ActionEntry(REDUCE, 88);
   _actionMap[741][RB] = ActionEntry(REDUCE, 88);
   _actionMap[742][BEGIN] = ActionEntry(REDUCE, 84);
   _actionMap[743][KSEP] = ActionEntry(REDUCE, 90);
   _actionMap[743][RB] = ActionEntry(REDUCE, 90);
   _actionMap[744][KSEP] = ActionEntry(REDUCE, 91);
   _actionMap[744][RB] = ActionEntry(REDUCE, 91);
   _actionMap[745][KSEP] = ActionEntry(REDUCE, 170);
   _actionMap[745][RB] = ActionEntry(REDUCE, 170);
   _actionMap[746][SEMICOLON] = ActionEntry(REDUCE, 178);
   _actionMap[746][NULLTOKEN] = ActionEntry(SHIFT, 795);
   _actionMap[746][NOT] = ActionEntry(SHIFT, 794);
   _actionMap[746][KSEP] = ActionEntry(REDUCE, 178);
   _actionMap[746][RB] = ActionEntry(REDUCE, 178);
   _jumpMap[746][DefaultNullOpt] = 793;
   _jumpMap[746][NullOpt] = 792;
   _actionMap[747][NULLTOKEN] = ActionEntry(REDUCE, 180);
   _actionMap[747][NOT] = ActionEntry(REDUCE, 180);
   _actionMap[747][KSEP] = ActionEntry(REDUCE, 180);
   _actionMap[747][SEMICOLON] = ActionEntry(REDUCE, 180);
   _actionMap[747][RB] = ActionEntry(REDUCE, 180);
   _actionMap[748][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[748][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[748][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[748][LB] = ActionEntry(SHIFT, 797);
   _actionMap[748][STRINGVAL] = ActionEntry(SHIFT, 103);
}
void Cego::loadParser27()
{
   _actionMap[748][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[748][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[748][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[748][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[748][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[748][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[748][CLOB] = ActionEntry(SHIFT, 111);
   _jumpMap[748][Constant] = 796;
   _jumpMap[748][SignedFloat] = 100;
   _jumpMap[748][SignedInt] = 99;
   _actionMap[749][SEMICOLON] = ActionEntry(REDUCE, 199);
   _actionMap[749][KSEP] = ActionEntry(REDUCE, 199);
   _actionMap[750][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[750][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[750][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[750][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[750][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[750][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[750][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[750][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[750][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[750][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[750][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[750][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[750][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[750][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[750][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[750][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[750][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[750][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[750][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[750][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[750][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[750][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[750][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[750][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[750][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[750][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[750][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[750][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[750][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[750][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[750][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[750][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[750][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[750][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[750][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[750][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[750][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[750][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
}
void Cego::loadParser28()
{
   _actionMap[750][LB] = ActionEntry(SHIFT, 150);
   _actionMap[750][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[750][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[750][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[750][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[750][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[750][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[750][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[750][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[750][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[750][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[750][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[750][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[750][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[750][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[750][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[750][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[750][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[750][ObjSpec] = 102;
   _jumpMap[750][Constant] = 101;
   _jumpMap[750][SignedFloat] = 100;
   _jumpMap[750][SignedInt] = 99;
   _jumpMap[750][Attribute] = 98;
   _jumpMap[750][Function] = 97;
   _jumpMap[750][CasePrepare] = 96;
   _jumpMap[750][CaseClause] = 95;
   _jumpMap[750][Factor] = 94;
   _jumpMap[750][Term] = 93;
   _jumpMap[750][Expr] = 798;
   _actionMap[751][SEMICOLON] = ActionEntry(REDUCE, 201);
   _actionMap[751][KSEP] = ActionEntry(REDUCE, 201);
   _actionMap[752][KSEP] = ActionEntry(REDUCE, 202);
   _actionMap[752][RB] = ActionEntry(REDUCE, 202);
   _actionMap[753][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[753][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[753][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[753][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[753][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[753][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[753][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[753][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[753][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[753][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[753][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[753][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[753][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[753][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[753][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[753][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[753][REPLACE] = ActionEntry(SHIFT, 135);
}
void Cego::loadParser29()
{
   _actionMap[753][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[753][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[753][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[753][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[753][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[753][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[753][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[753][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[753][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[753][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[753][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[753][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[753][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[753][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[753][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[753][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[753][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[753][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[753][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[753][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[753][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[753][LB] = ActionEntry(SHIFT, 150);
   _actionMap[753][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[753][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[753][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[753][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[753][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[753][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[753][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[753][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[753][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[753][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[753][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[753][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[753][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[753][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[753][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[753][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[753][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[753][ObjSpec] = 102;
   _jumpMap[753][Constant] = 101;
   _jumpMap[753][SignedFloat] = 100;
   _jumpMap[753][SignedInt] = 99;
   _jumpMap[753][Attribute] = 98;
   _jumpMap[753][Function] = 97;
   _jumpMap[753][CasePrepare] = 96;
   _jumpMap[753][CaseClause] = 95;
   _jumpMap[753][Factor] = 94;
   _jumpMap[753][Term] = 93;
   _jumpMap[753][Expr] = 799;
}
void Cego::loadParser30()
{
   _actionMap[754][RB] = ActionEntry(SHIFT, 800);
   _actionMap[755][LEFT] = ActionEntry(REDUCE, 325);
   _actionMap[755][RIGHT] = ActionEntry(REDUCE, 325);
   _actionMap[755][INNER] = ActionEntry(REDUCE, 325);
   _actionMap[755][JOIN] = ActionEntry(REDUCE, 325);
   _actionMap[755][RETURNTOKEN] = ActionEntry(REDUCE, 325);
   _actionMap[755][SEMICOLON] = ActionEntry(REDUCE, 325);
   _actionMap[755][ENDTOKEN] = ActionEntry(REDUCE, 325);
   _actionMap[755][UNION] = ActionEntry(REDUCE, 325);
   _actionMap[755][ROWLIMIT] = ActionEntry(REDUCE, 325);
   _actionMap[755][ORDER] = ActionEntry(REDUCE, 325);
   _actionMap[755][GROUP] = ActionEntry(REDUCE, 325);
   _actionMap[755][WHERE] = ActionEntry(REDUCE, 325);
   _actionMap[755][THEN] = ActionEntry(REDUCE, 325);
   _actionMap[755][AND] = ActionEntry(REDUCE, 325);
   _actionMap[755][OR] = ActionEntry(REDUCE, 325);
   _actionMap[755][RB] = ActionEntry(REDUCE, 325);
   _actionMap[756][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[756][SelectStatement] = 801;
   _actionMap[757][LEFT] = ActionEntry(REDUCE, 327);
   _actionMap[757][RIGHT] = ActionEntry(REDUCE, 327);
   _actionMap[757][INNER] = ActionEntry(REDUCE, 327);
   _actionMap[757][JOIN] = ActionEntry(REDUCE, 327);
   _actionMap[757][RETURNTOKEN] = ActionEntry(REDUCE, 327);
   _actionMap[757][SEMICOLON] = ActionEntry(REDUCE, 327);
   _actionMap[757][ENDTOKEN] = ActionEntry(REDUCE, 327);
   _actionMap[757][UNION] = ActionEntry(REDUCE, 327);
   _actionMap[757][ROWLIMIT] = ActionEntry(REDUCE, 327);
   _actionMap[757][ORDER] = ActionEntry(REDUCE, 327);
   _actionMap[757][GROUP] = ActionEntry(REDUCE, 327);
   _actionMap[757][WHERE] = ActionEntry(REDUCE, 327);
   _actionMap[757][THEN] = ActionEntry(REDUCE, 327);
   _actionMap[757][AND] = ActionEntry(REDUCE, 327);
   _actionMap[757][OR] = ActionEntry(REDUCE, 327);
   _actionMap[757][RB] = ActionEntry(REDUCE, 327);
   _actionMap[758][THEN] = ActionEntry(REDUCE, 319);
   _actionMap[758][LEFT] = ActionEntry(REDUCE, 319);
   _actionMap[758][RIGHT] = ActionEntry(REDUCE, 319);
   _actionMap[758][INNER] = ActionEntry(REDUCE, 319);
   _actionMap[758][JOIN] = ActionEntry(REDUCE, 319);
   _actionMap[758][RETURNTOKEN] = ActionEntry(REDUCE, 319);
   _actionMap[758][SEMICOLON] = ActionEntry(REDUCE, 319);
   _actionMap[758][RB] = ActionEntry(REDUCE, 319);
   _actionMap[758][ENDTOKEN] = ActionEntry(REDUCE, 319);
   _actionMap[758][UNION] = ActionEntry(REDUCE, 319);
   _actionMap[758][ROWLIMIT] = ActionEntry(REDUCE, 319);
   _actionMap[758][ORDER] = ActionEntry(REDUCE, 319);
   _actionMap[758][GROUP] = ActionEntry(REDUCE, 319);
   _actionMap[758][WHERE] = ActionEntry(REDUCE, 319);
   _actionMap[758][AND] = ActionEntry(REDUCE, 319);
}
void Cego::loadParser31()
{
   _actionMap[758][OR] = ActionEntry(REDUCE, 319);
   _actionMap[759][WHEN] = ActionEntry(REDUCE, 372);
   _actionMap[759][ELSE] = ActionEntry(REDUCE, 372);
   _actionMap[759][LEFT] = ActionEntry(REDUCE, 372);
   _actionMap[759][RIGHT] = ActionEntry(REDUCE, 372);
   _actionMap[759][INNER] = ActionEntry(REDUCE, 372);
   _actionMap[759][JOIN] = ActionEntry(REDUCE, 372);
   _actionMap[759][RETURNTOKEN] = ActionEntry(REDUCE, 372);
   _actionMap[759][ORDER] = ActionEntry(REDUCE, 372);
   _actionMap[759][GROUP] = ActionEntry(REDUCE, 372);
   _actionMap[759][WHERE] = ActionEntry(REDUCE, 372);
   _actionMap[759][NULLTOKEN] = ActionEntry(REDUCE, 372);
   _actionMap[759][FROM] = ActionEntry(REDUCE, 372);
   _actionMap[759][AS] = ActionEntry(REDUCE, 372);
   _actionMap[759][END_TOKEN] = ActionEntry(REDUCE, 372);
   _actionMap[759][BEGIN] = ActionEntry(REDUCE, 372);
   _actionMap[759][THEN] = ActionEntry(REDUCE, 372);
   _actionMap[759][OR] = ActionEntry(REDUCE, 372);
   _actionMap[759][AND] = ActionEntry(REDUCE, 372);
   _actionMap[759][INTOK] = ActionEntry(REDUCE, 372);
   _actionMap[759][NOT] = ActionEntry(REDUCE, 372);
   _actionMap[759][BETWEEN] = ActionEntry(REDUCE, 372);
   _actionMap[759][IS] = ActionEntry(REDUCE, 372);
   _actionMap[759][LIKE] = ActionEntry(REDUCE, 372);
   _actionMap[759][MT] = ActionEntry(REDUCE, 372);
   _actionMap[759][LT] = ActionEntry(REDUCE, 372);
   _actionMap[759][NEGATION] = ActionEntry(REDUCE, 372);
   _actionMap[759][EQU] = ActionEntry(REDUCE, 372);
   _actionMap[759][RB] = ActionEntry(REDUCE, 372);
   _actionMap[759][ENDTOKEN] = ActionEntry(REDUCE, 372);
   _actionMap[759][UNION] = ActionEntry(REDUCE, 372);
   _actionMap[759][ROWLIMIT] = ActionEntry(REDUCE, 372);
   _actionMap[759][KSEP] = ActionEntry(REDUCE, 372);
   _actionMap[759][ASC] = ActionEntry(REDUCE, 372);
   _actionMap[759][DESC] = ActionEntry(REDUCE, 372);
   _actionMap[759][SEMICOLON] = ActionEntry(REDUCE, 372);
   _actionMap[759][PLUS] = ActionEntry(REDUCE, 372);
   _actionMap[759][MINUS] = ActionEntry(REDUCE, 372);
   _actionMap[759][DIVISION] = ActionEntry(REDUCE, 372);
   _actionMap[759][STAR] = ActionEntry(REDUCE, 372);
   _actionMap[759][CONCAT] = ActionEntry(REDUCE, 372);
   _actionMap[760][WHEN] = ActionEntry(REDUCE, 373);
   _actionMap[760][ELSE] = ActionEntry(REDUCE, 373);
   _actionMap[760][LEFT] = ActionEntry(REDUCE, 373);
   _actionMap[760][RIGHT] = ActionEntry(REDUCE, 373);
   _actionMap[760][INNER] = ActionEntry(REDUCE, 373);
   _actionMap[760][JOIN] = ActionEntry(REDUCE, 373);
   _actionMap[760][RETURNTOKEN] = ActionEntry(REDUCE, 373);
   _actionMap[760][ORDER] = ActionEntry(REDUCE, 373);
   _actionMap[760][GROUP] = ActionEntry(REDUCE, 373);
}
void Cego::loadParser32()
{
   _actionMap[760][WHERE] = ActionEntry(REDUCE, 373);
   _actionMap[760][NULLTOKEN] = ActionEntry(REDUCE, 373);
   _actionMap[760][FROM] = ActionEntry(REDUCE, 373);
   _actionMap[760][AS] = ActionEntry(REDUCE, 373);
   _actionMap[760][END_TOKEN] = ActionEntry(REDUCE, 373);
   _actionMap[760][BEGIN] = ActionEntry(REDUCE, 373);
   _actionMap[760][THEN] = ActionEntry(REDUCE, 373);
   _actionMap[760][OR] = ActionEntry(REDUCE, 373);
   _actionMap[760][AND] = ActionEntry(REDUCE, 373);
   _actionMap[760][INTOK] = ActionEntry(REDUCE, 373);
   _actionMap[760][NOT] = ActionEntry(REDUCE, 373);
   _actionMap[760][BETWEEN] = ActionEntry(REDUCE, 373);
   _actionMap[760][IS] = ActionEntry(REDUCE, 373);
   _actionMap[760][LIKE] = ActionEntry(REDUCE, 373);
   _actionMap[760][MT] = ActionEntry(REDUCE, 373);
   _actionMap[760][LT] = ActionEntry(REDUCE, 373);
   _actionMap[760][NEGATION] = ActionEntry(REDUCE, 373);
   _actionMap[760][EQU] = ActionEntry(REDUCE, 373);
   _actionMap[760][RB] = ActionEntry(REDUCE, 373);
   _actionMap[760][ENDTOKEN] = ActionEntry(REDUCE, 373);
   _actionMap[760][UNION] = ActionEntry(REDUCE, 373);
   _actionMap[760][ROWLIMIT] = ActionEntry(REDUCE, 373);
   _actionMap[760][KSEP] = ActionEntry(REDUCE, 373);
   _actionMap[760][ASC] = ActionEntry(REDUCE, 373);
   _actionMap[760][DESC] = ActionEntry(REDUCE, 373);
   _actionMap[760][SEMICOLON] = ActionEntry(REDUCE, 373);
   _actionMap[760][PLUS] = ActionEntry(REDUCE, 373);
   _actionMap[760][MINUS] = ActionEntry(REDUCE, 373);
   _actionMap[760][DIVISION] = ActionEntry(REDUCE, 373);
   _actionMap[760][STAR] = ActionEntry(REDUCE, 373);
   _actionMap[760][CONCAT] = ActionEntry(REDUCE, 373);
   _actionMap[761][WHEN] = ActionEntry(REDUCE, 367);
   _actionMap[761][ELSE] = ActionEntry(REDUCE, 367);
   _actionMap[761][LEFT] = ActionEntry(REDUCE, 367);
   _actionMap[761][RIGHT] = ActionEntry(REDUCE, 367);
   _actionMap[761][INNER] = ActionEntry(REDUCE, 367);
   _actionMap[761][JOIN] = ActionEntry(REDUCE, 367);
   _actionMap[761][RETURNTOKEN] = ActionEntry(REDUCE, 367);
   _actionMap[761][ORDER] = ActionEntry(REDUCE, 367);
   _actionMap[761][GROUP] = ActionEntry(REDUCE, 367);
   _actionMap[761][WHERE] = ActionEntry(REDUCE, 367);
   _actionMap[761][NULLTOKEN] = ActionEntry(REDUCE, 367);
   _actionMap[761][FROM] = ActionEntry(REDUCE, 367);
   _actionMap[761][AS] = ActionEntry(REDUCE, 367);
   _actionMap[761][END_TOKEN] = ActionEntry(REDUCE, 367);
   _actionMap[761][BEGIN] = ActionEntry(REDUCE, 367);
   _actionMap[761][THEN] = ActionEntry(REDUCE, 367);
   _actionMap[761][OR] = ActionEntry(REDUCE, 367);
   _actionMap[761][AND] = ActionEntry(REDUCE, 367);
   _actionMap[761][INTOK] = ActionEntry(REDUCE, 367);
}
void Cego::loadParser33()
{
   _actionMap[761][NOT] = ActionEntry(REDUCE, 367);
   _actionMap[761][BETWEEN] = ActionEntry(REDUCE, 367);
   _actionMap[761][IS] = ActionEntry(REDUCE, 367);
   _actionMap[761][LIKE] = ActionEntry(REDUCE, 367);
   _actionMap[761][MT] = ActionEntry(REDUCE, 367);
   _actionMap[761][LT] = ActionEntry(REDUCE, 367);
   _actionMap[761][NEGATION] = ActionEntry(REDUCE, 367);
   _actionMap[761][EQU] = ActionEntry(REDUCE, 367);
   _actionMap[761][RB] = ActionEntry(REDUCE, 367);
   _actionMap[761][ENDTOKEN] = ActionEntry(REDUCE, 367);
   _actionMap[761][UNION] = ActionEntry(REDUCE, 367);
   _actionMap[761][ROWLIMIT] = ActionEntry(REDUCE, 367);
   _actionMap[761][KSEP] = ActionEntry(REDUCE, 367);
   _actionMap[761][ASC] = ActionEntry(REDUCE, 367);
   _actionMap[761][DESC] = ActionEntry(REDUCE, 367);
   _actionMap[761][SEMICOLON] = ActionEntry(REDUCE, 367);
   _actionMap[761][PLUS] = ActionEntry(REDUCE, 367);
   _actionMap[761][MINUS] = ActionEntry(REDUCE, 367);
   _actionMap[761][DIVISION] = ActionEntry(REDUCE, 367);
   _actionMap[761][STAR] = ActionEntry(REDUCE, 367);
   _actionMap[761][CONCAT] = ActionEntry(REDUCE, 367);
   _actionMap[762][VARREF] = ActionEntry(SHIFT, 802);
   _actionMap[763][WHEN] = ActionEntry(REDUCE, 151);
   _actionMap[763][ELSE] = ActionEntry(REDUCE, 151);
   _actionMap[763][LEFT] = ActionEntry(REDUCE, 151);
   _actionMap[763][RIGHT] = ActionEntry(REDUCE, 151);
   _actionMap[763][INNER] = ActionEntry(REDUCE, 151);
   _actionMap[763][JOIN] = ActionEntry(REDUCE, 151);
   _actionMap[763][RETURNTOKEN] = ActionEntry(REDUCE, 151);
   _actionMap[763][ORDER] = ActionEntry(REDUCE, 151);
   _actionMap[763][GROUP] = ActionEntry(REDUCE, 151);
   _actionMap[763][WHERE] = ActionEntry(REDUCE, 151);
   _actionMap[763][AS] = ActionEntry(REDUCE, 151);
   _actionMap[763][FROM] = ActionEntry(REDUCE, 151);
   _actionMap[763][END_TOKEN] = ActionEntry(REDUCE, 151);
   _actionMap[763][BEGIN] = ActionEntry(REDUCE, 151);
   _actionMap[763][THEN] = ActionEntry(REDUCE, 151);
   _actionMap[763][OR] = ActionEntry(REDUCE, 151);
   _actionMap[763][AND] = ActionEntry(REDUCE, 151);
   _actionMap[763][LIKE] = ActionEntry(REDUCE, 151);
   _actionMap[763][IS] = ActionEntry(REDUCE, 151);
   _actionMap[763][BETWEEN] = ActionEntry(REDUCE, 151);
   _actionMap[763][NOT] = ActionEntry(REDUCE, 151);
   _actionMap[763][INTOK] = ActionEntry(REDUCE, 151);
   _actionMap[763][EQU] = ActionEntry(REDUCE, 151);
   _actionMap[763][NEGATION] = ActionEntry(REDUCE, 151);
   _actionMap[763][LT] = ActionEntry(REDUCE, 151);
   _actionMap[763][MT] = ActionEntry(REDUCE, 151);
   _actionMap[763][DESC] = ActionEntry(REDUCE, 151);
   _actionMap[763][ASC] = ActionEntry(REDUCE, 151);
}
void Cego::loadParser34()
{
   _actionMap[763][KSEP] = ActionEntry(REDUCE, 151);
   _actionMap[763][ROWLIMIT] = ActionEntry(REDUCE, 151);
   _actionMap[763][UNION] = ActionEntry(REDUCE, 151);
   _actionMap[763][ENDTOKEN] = ActionEntry(REDUCE, 151);
   _actionMap[763][RB] = ActionEntry(REDUCE, 151);
   _actionMap[763][SEMICOLON] = ActionEntry(REDUCE, 151);
   _actionMap[763][CONCAT] = ActionEntry(REDUCE, 151);
   _actionMap[763][STAR] = ActionEntry(REDUCE, 151);
   _actionMap[763][DIVISION] = ActionEntry(REDUCE, 151);
   _actionMap[763][MINUS] = ActionEntry(REDUCE, 151);
   _actionMap[763][PLUS] = ActionEntry(REDUCE, 151);
   _actionMap[764][WHEN] = ActionEntry(REDUCE, 308);
   _actionMap[764][ELSE] = ActionEntry(REDUCE, 308);
   _actionMap[764][LEFT] = ActionEntry(REDUCE, 308);
   _actionMap[764][RIGHT] = ActionEntry(REDUCE, 308);
   _actionMap[764][INNER] = ActionEntry(REDUCE, 308);
   _actionMap[764][JOIN] = ActionEntry(REDUCE, 308);
   _actionMap[764][RETURNTOKEN] = ActionEntry(REDUCE, 308);
   _actionMap[764][ORDER] = ActionEntry(REDUCE, 308);
   _actionMap[764][GROUP] = ActionEntry(REDUCE, 308);
   _actionMap[764][WHERE] = ActionEntry(REDUCE, 308);
   _actionMap[764][FROM] = ActionEntry(REDUCE, 308);
   _actionMap[764][AS] = ActionEntry(REDUCE, 308);
   _actionMap[764][END_TOKEN] = ActionEntry(REDUCE, 308);
   _actionMap[764][BEGIN] = ActionEntry(REDUCE, 308);
   _actionMap[764][THEN] = ActionEntry(REDUCE, 308);
   _actionMap[764][OR] = ActionEntry(REDUCE, 308);
   _actionMap[764][AND] = ActionEntry(REDUCE, 308);
   _actionMap[764][INTOK] = ActionEntry(REDUCE, 308);
   _actionMap[764][NOT] = ActionEntry(REDUCE, 308);
   _actionMap[764][BETWEEN] = ActionEntry(REDUCE, 308);
   _actionMap[764][IS] = ActionEntry(REDUCE, 308);
   _actionMap[764][LIKE] = ActionEntry(REDUCE, 308);
   _actionMap[764][MT] = ActionEntry(REDUCE, 308);
   _actionMap[764][LT] = ActionEntry(REDUCE, 308);
   _actionMap[764][NEGATION] = ActionEntry(REDUCE, 308);
   _actionMap[764][EQU] = ActionEntry(REDUCE, 308);
   _actionMap[764][RB] = ActionEntry(REDUCE, 308);
   _actionMap[764][ENDTOKEN] = ActionEntry(REDUCE, 308);
   _actionMap[764][UNION] = ActionEntry(REDUCE, 308);
   _actionMap[764][ROWLIMIT] = ActionEntry(REDUCE, 308);
   _actionMap[764][KSEP] = ActionEntry(REDUCE, 308);
   _actionMap[764][ASC] = ActionEntry(REDUCE, 308);
   _actionMap[764][DESC] = ActionEntry(REDUCE, 308);
   _actionMap[764][SEMICOLON] = ActionEntry(REDUCE, 308);
   _actionMap[764][PLUS] = ActionEntry(REDUCE, 308);
   _actionMap[764][MINUS] = ActionEntry(REDUCE, 308);
   _actionMap[764][DIVISION] = ActionEntry(REDUCE, 308);
   _actionMap[764][STAR] = ActionEntry(REDUCE, 308);
   _actionMap[764][CONCAT] = ActionEntry(REDUCE, 308);
}
void Cego::loadParser35()
{
   _actionMap[765][SEMICOLON] = ActionEntry(REDUCE, 250);
   _actionMap[765][RB] = ActionEntry(REDUCE, 250);
   _actionMap[765][ENDTOKEN] = ActionEntry(REDUCE, 250);
   _actionMap[765][UNION] = ActionEntry(REDUCE, 250);
   _actionMap[765][ROWLIMIT] = ActionEntry(SHIFT, 805);
   _jumpMap[765][NoLimit] = 804;
   _jumpMap[765][LimitOpt] = 803;
   _actionMap[766][ROWLIMIT] = ActionEntry(REDUCE, 238);
   _actionMap[766][UNION] = ActionEntry(REDUCE, 238);
   _actionMap[766][ENDTOKEN] = ActionEntry(REDUCE, 238);
   _actionMap[766][RB] = ActionEntry(REDUCE, 238);
   _actionMap[766][SEMICOLON] = ActionEntry(REDUCE, 238);
   _actionMap[767][BY] = ActionEntry(SHIFT, 806);
   _actionMap[768][IDENTIFIER] = ActionEntry(SHIFT, 809);
   _actionMap[768][QUALIFIEDOBJ] = ActionEntry(SHIFT, 810);
   _actionMap[768][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _jumpMap[768][Attribute] = 808;
   _jumpMap[768][GroupList] = 807;
   _actionMap[769][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[769][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[769][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[769][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[769][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[769][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[769][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[769][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[769][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[769][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[769][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[769][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[769][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[769][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[769][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[769][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[769][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[769][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[769][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[769][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[769][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[769][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[769][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[769][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[769][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[769][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[769][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[769][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[769][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[769][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[769][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[769][CLOBSIZE] = ActionEntry(SHIFT, 112);
}
void Cego::loadParser36()
{
   _actionMap[769][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[769][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[769][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[769][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[769][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[769][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[769][LB] = ActionEntry(SHIFT, 386);
   _actionMap[769][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[769][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[769][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[769][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[769][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[769][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[769][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[769][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[769][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[769][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[769][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[769][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[769][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[769][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[769][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[769][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[769][MAX] = ActionEntry(SHIFT, 128);
   _actionMap[769][EXISTS] = ActionEntry(SHIFT, 384);
   _actionMap[769][NOT] = ActionEntry(SHIFT, 385);
   _jumpMap[769][ObjSpec] = 102;
   _jumpMap[769][Constant] = 101;
   _jumpMap[769][SignedFloat] = 100;
   _jumpMap[769][SignedInt] = 99;
   _jumpMap[769][Attribute] = 98;
   _jumpMap[769][QueryPredicate] = 383;
   _jumpMap[769][QueryCondition] = 811;
   _jumpMap[769][Function] = 97;
   _jumpMap[769][CasePrepare] = 96;
   _jumpMap[769][CaseClause] = 95;
   _jumpMap[769][Factor] = 94;
   _jumpMap[769][Term] = 93;
   _jumpMap[769][Expr] = 381;
   _actionMap[770][EXISTS] = ActionEntry(REDUCE, 225);
   _actionMap[770][LB] = ActionEntry(REDUCE, 225);
   _actionMap[770][NOT] = ActionEntry(REDUCE, 225);
   _actionMap[770][VARREF] = ActionEntry(REDUCE, 225);
   _actionMap[770][FETCH] = ActionEntry(REDUCE, 225);
   _actionMap[770][COUNT] = ActionEntry(REDUCE, 225);
   _actionMap[770][SUM] = ActionEntry(REDUCE, 225);
   _actionMap[770][AVG] = ActionEntry(REDUCE, 225);
   _actionMap[770][MIN] = ActionEntry(REDUCE, 225);
   _actionMap[770][MAX] = ActionEntry(REDUCE, 225);
   _actionMap[770][CASE] = ActionEntry(REDUCE, 225);
}
void Cego::loadParser37()
{
   _actionMap[770][TRIM] = ActionEntry(REDUCE, 225);
   _actionMap[770][RTRIM] = ActionEntry(REDUCE, 225);
   _actionMap[770][LTRIM] = ActionEntry(REDUCE, 225);
   _actionMap[770][ROUND] = ActionEntry(REDUCE, 225);
   _actionMap[770][DATE2STR] = ActionEntry(REDUCE, 225);
   _actionMap[770][DATE2INT] = ActionEntry(REDUCE, 225);
   _actionMap[770][INT2DATE] = ActionEntry(REDUCE, 225);
   _actionMap[770][LOWER] = ActionEntry(REDUCE, 225);
   _actionMap[770][UPPER] = ActionEntry(REDUCE, 225);
   _actionMap[770][LEFT] = ActionEntry(REDUCE, 225);
   _actionMap[770][RIGHT] = ActionEntry(REDUCE, 225);
   _actionMap[770][GETPOS] = ActionEntry(REDUCE, 225);
   _actionMap[770][SUBSTR] = ActionEntry(REDUCE, 225);
   _actionMap[770][REPLACE] = ActionEntry(REDUCE, 225);
   _actionMap[770][LENGTH] = ActionEntry(REDUCE, 225);
   _actionMap[770][TRUNC] = ActionEntry(REDUCE, 225);
   _actionMap[770][STR2INT] = ActionEntry(REDUCE, 225);
   _actionMap[770][STR2LONG] = ActionEntry(REDUCE, 225);
   _actionMap[770][STR2DATE] = ActionEntry(REDUCE, 225);
   _actionMap[770][RANDSTR] = ActionEntry(REDUCE, 225);
   _actionMap[770][RANDINT] = ActionEntry(REDUCE, 225);
   _actionMap[770][MOD] = ActionEntry(REDUCE, 225);
   _actionMap[770][DIV] = ActionEntry(REDUCE, 225);
   _actionMap[770][POWER] = ActionEntry(REDUCE, 225);
   _actionMap[770][BITAND] = ActionEntry(REDUCE, 225);
   _actionMap[770][BITOR] = ActionEntry(REDUCE, 225);
   _actionMap[770][BITXOR] = ActionEntry(REDUCE, 225);
   _actionMap[770][BLOBSIZE] = ActionEntry(REDUCE, 225);
   _actionMap[770][CLOBSIZE] = ActionEntry(REDUCE, 225);
   _actionMap[770][CLOB2STR] = ActionEntry(REDUCE, 225);
   _actionMap[770][NEXTCOUNT] = ActionEntry(REDUCE, 225);
   _actionMap[770][SETCOUNT] = ActionEntry(REDUCE, 225);
   _actionMap[770][IDENTIFIER] = ActionEntry(REDUCE, 225);
   _actionMap[770][QUALIFIEDOBJ] = ActionEntry(REDUCE, 225);
   _actionMap[770][QUALIFIEDTS] = ActionEntry(REDUCE, 225);
   _actionMap[770][QUALIFIEDPRE] = ActionEntry(REDUCE, 225);
   _actionMap[770][STRINGVAL] = ActionEntry(REDUCE, 225);
   _actionMap[770][DATE] = ActionEntry(REDUCE, 225);
   _actionMap[770][SYSDATE] = ActionEntry(REDUCE, 225);
   _actionMap[770][NULLTOKEN] = ActionEntry(REDUCE, 225);
   _actionMap[770][TRUEVAL] = ActionEntry(REDUCE, 225);
   _actionMap[770][FALSEVAL] = ActionEntry(REDUCE, 225);
   _actionMap[770][BLOB] = ActionEntry(REDUCE, 225);
   _actionMap[770][CLOB] = ActionEntry(REDUCE, 225);
   _actionMap[770][FLOATVAL] = ActionEntry(REDUCE, 225);
   _actionMap[770][MINUS] = ActionEntry(REDUCE, 225);
   _actionMap[770][INTVAL] = ActionEntry(REDUCE, 225);
   _actionMap[771][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[771][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[771][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
}
void Cego::loadParser38()
{
   _jumpMap[771][ObjSpec] = 454;
   _jumpMap[771][Table] = 812;
   _actionMap[772][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[772][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[772][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[772][ObjSpec] = 454;
   _jumpMap[772][Table] = 813;
   _actionMap[773][KSEP] = ActionEntry(SHIFT, 814);
   _actionMap[773][SEMICOLON] = ActionEntry(REDUCE, 255);
   _actionMap[774][SEMICOLON] = ActionEntry(REDUCE, 258);
   _actionMap[774][KSEP] = ActionEntry(REDUCE, 258);
   _actionMap[775][EQU] = ActionEntry(SHIFT, 815);
   _actionMap[612][SEMICOLON] = ActionEntry(REDUCE, 264);
   _actionMap[613][COLUMN] = ActionEntry(SHIFT, 469);
   _actionMap[614][ON] = ActionEntry(SHIFT, 714);
   _actionMap[615][SEMICOLON] = ActionEntry(REDUCE, 267);
   _actionMap[615][KSEP] = ActionEntry(REDUCE, 267);
   _actionMap[616][IDENTIFIER] = ActionEntry(SHIFT, 715);
   _actionMap[617][SEMICOLON] = ActionEntry(REDUCE, 266);
   _actionMap[617][KSEP] = ActionEntry(REDUCE, 266);
   _actionMap[618][SEMICOLON] = ActionEntry(REDUCE, 268);
   _actionMap[618][KSEP] = ActionEntry(REDUCE, 268);
   _actionMap[619][TO] = ActionEntry(SHIFT, 716);
   _actionMap[620][IDENTIFIER] = ActionEntry(SHIFT, 717);
   _actionMap[621][PLUS] = ActionEntry(SHIFT, 234);
   _actionMap[621][MINUS] = ActionEntry(SHIFT, 233);
   _actionMap[621][CONCAT] = ActionEntry(SHIFT, 232);
   _actionMap[621][KSEP] = ActionEntry(REDUCE, 120);
   _actionMap[621][RB] = ActionEntry(REDUCE, 120);
   _actionMap[622][ELSE] = ActionEntry(REDUCE, 115);
   _actionMap[622][ELSIF] = ActionEntry(REDUCE, 115);
   _actionMap[622][EXCEPTION] = ActionEntry(REDUCE, 115);
   _actionMap[622][END_TOKEN] = ActionEntry(REDUCE, 115);
   _actionMap[623][WHEN] = ActionEntry(SHIFT, 718);
   _actionMap[624][EXCEPTION] = ActionEntry(REDUCE, 93);
   _actionMap[624][END_TOKEN] = ActionEntry(REDUCE, 93);
   _actionMap[624][ELSE] = ActionEntry(REDUCE, 93);
   _actionMap[624][ELSIF] = ActionEntry(REDUCE, 93);
   _actionMap[624][VAR] = ActionEntry(REDUCE, 93);
   _actionMap[624][CURSOR] = ActionEntry(REDUCE, 93);
   _actionMap[624][CLOSE] = ActionEntry(REDUCE, 93);
   _actionMap[624][VARREF] = ActionEntry(REDUCE, 93);
   _actionMap[624][NOOP] = ActionEntry(REDUCE, 93);
   _actionMap[624][THROW] = ActionEntry(REDUCE, 93);
   _actionMap[624][RETURNTOKEN] = ActionEntry(REDUCE, 93);
   _actionMap[624][WHILE] = ActionEntry(REDUCE, 93);
   _actionMap[624][IF] = ActionEntry(REDUCE, 93);
   _actionMap[624][BEGIN] = ActionEntry(REDUCE, 93);
   _actionMap[624][ROLLBACK] = ActionEntry(REDUCE, 93);
   _actionMap[624][COMMIT] = ActionEntry(REDUCE, 93);
}
void Cego::loadParser39()
{
   _actionMap[624][START_TOKEN] = ActionEntry(REDUCE, 93);
   _actionMap[624][UPDATE] = ActionEntry(REDUCE, 93);
   _actionMap[624][DELETETOK] = ActionEntry(REDUCE, 93);
   _actionMap[624][INSERT] = ActionEntry(REDUCE, 93);
   _actionMap[624][FETCH] = ActionEntry(REDUCE, 93);
   _actionMap[624][LB] = ActionEntry(REDUCE, 93);
   _actionMap[624][COUNT] = ActionEntry(REDUCE, 93);
   _actionMap[624][SUM] = ActionEntry(REDUCE, 93);
   _actionMap[624][AVG] = ActionEntry(REDUCE, 93);
   _actionMap[624][MIN] = ActionEntry(REDUCE, 93);
   _actionMap[624][MAX] = ActionEntry(REDUCE, 93);
   _actionMap[624][CASE] = ActionEntry(REDUCE, 93);
   _actionMap[624][TRIM] = ActionEntry(REDUCE, 93);
   _actionMap[624][RTRIM] = ActionEntry(REDUCE, 93);
   _actionMap[624][LTRIM] = ActionEntry(REDUCE, 93);
   _actionMap[624][ROUND] = ActionEntry(REDUCE, 93);
   _actionMap[624][DATE2STR] = ActionEntry(REDUCE, 93);
   _actionMap[624][DATE2INT] = ActionEntry(REDUCE, 93);
   _actionMap[624][INT2DATE] = ActionEntry(REDUCE, 93);
   _actionMap[624][LOWER] = ActionEntry(REDUCE, 93);
   _actionMap[624][UPPER] = ActionEntry(REDUCE, 93);
   _actionMap[624][LEFT] = ActionEntry(REDUCE, 93);
   _actionMap[624][RIGHT] = ActionEntry(REDUCE, 93);
   _actionMap[624][GETPOS] = ActionEntry(REDUCE, 93);
   _actionMap[624][SUBSTR] = ActionEntry(REDUCE, 93);
   _actionMap[624][REPLACE] = ActionEntry(REDUCE, 93);
   _actionMap[624][LENGTH] = ActionEntry(REDUCE, 93);
   _actionMap[624][TRUNC] = ActionEntry(REDUCE, 93);
   _actionMap[624][STR2INT] = ActionEntry(REDUCE, 93);
   _actionMap[624][STR2LONG] = ActionEntry(REDUCE, 93);
   _actionMap[624][STR2DATE] = ActionEntry(REDUCE, 93);
   _actionMap[624][RANDSTR] = ActionEntry(REDUCE, 93);
   _actionMap[624][RANDINT] = ActionEntry(REDUCE, 93);
   _actionMap[624][MOD] = ActionEntry(REDUCE, 93);
   _actionMap[624][DIV] = ActionEntry(REDUCE, 93);
   _actionMap[624][POWER] = ActionEntry(REDUCE, 93);
   _actionMap[624][BITAND] = ActionEntry(REDUCE, 93);
   _actionMap[624][BITOR] = ActionEntry(REDUCE, 93);
   _actionMap[624][BITXOR] = ActionEntry(REDUCE, 93);
   _actionMap[624][BLOBSIZE] = ActionEntry(REDUCE, 93);
   _actionMap[624][CLOBSIZE] = ActionEntry(REDUCE, 93);
   _actionMap[624][CLOB2STR] = ActionEntry(REDUCE, 93);
   _actionMap[624][NEXTCOUNT] = ActionEntry(REDUCE, 93);
   _actionMap[624][SETCOUNT] = ActionEntry(REDUCE, 93);
   _actionMap[624][IDENTIFIER] = ActionEntry(REDUCE, 93);
   _actionMap[624][QUALIFIEDOBJ] = ActionEntry(REDUCE, 93);
   _actionMap[624][QUALIFIEDTS] = ActionEntry(REDUCE, 93);
   _actionMap[624][QUALIFIEDPRE] = ActionEntry(REDUCE, 93);
   _actionMap[624][STRINGVAL] = ActionEntry(REDUCE, 93);
   _actionMap[624][DATE] = ActionEntry(REDUCE, 93);
}
void Cego::loadParser40()
{
   _actionMap[624][SYSDATE] = ActionEntry(REDUCE, 93);
   _actionMap[624][NULLTOKEN] = ActionEntry(REDUCE, 93);
   _actionMap[624][TRUEVAL] = ActionEntry(REDUCE, 93);
   _actionMap[624][FALSEVAL] = ActionEntry(REDUCE, 93);
   _actionMap[624][BLOB] = ActionEntry(REDUCE, 93);
   _actionMap[624][CLOB] = ActionEntry(REDUCE, 93);
   _actionMap[624][FLOATVAL] = ActionEntry(REDUCE, 93);
   _actionMap[624][MINUS] = ActionEntry(REDUCE, 93);
   _actionMap[624][INTVAL] = ActionEntry(REDUCE, 93);
   _actionMap[625][SEMICOLON] = ActionEntry(REDUCE, 113);
   _actionMap[626][END_TOKEN] = ActionEntry(SHIFT, 629);
   _actionMap[627][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[627][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[627][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[627][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[627][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[627][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[627][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[627][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[627][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[627][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[627][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[627][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[627][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[627][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[627][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[627][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[627][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[627][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[627][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[627][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[627][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[627][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[627][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[627][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[627][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[627][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[627][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[627][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[627][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[627][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[627][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[627][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[627][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[627][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[627][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[627][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[627][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[627][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[627][LB] = ActionEntry(SHIFT, 150);
}
void Cego::loadParser41()
{
   _actionMap[627][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[627][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[627][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[627][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[627][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[627][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[627][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[627][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[627][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[627][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[627][VARREF] = ActionEntry(SHIFT, 356);
   _actionMap[627][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[627][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[627][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[627][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[627][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[627][MAX] = ActionEntry(SHIFT, 128);
   _actionMap[627][IF] = ActionEntry(SHIFT, 350);
   _actionMap[627][BEGIN] = ActionEntry(SHIFT, 347);
   _actionMap[627][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[627][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[627][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[627][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[627][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[627][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[627][VAR] = ActionEntry(SHIFT, 354);
   _actionMap[627][CURSOR] = ActionEntry(SHIFT, 349);
   _actionMap[627][CLOSE] = ActionEntry(SHIFT, 348);
   _actionMap[627][NOOP] = ActionEntry(SHIFT, 351);
   _actionMap[627][THROW] = ActionEntry(SHIFT, 353);
   _actionMap[627][RETURNTOKEN] = ActionEntry(SHIFT, 352);
   _actionMap[627][WHILE] = ActionEntry(SHIFT, 355);
   _jumpMap[627][ObjSpec] = 102;
   _jumpMap[627][Constant] = 101;
   _jumpMap[627][SignedFloat] = 100;
   _jumpMap[627][SignedInt] = 99;
   _jumpMap[627][Attribute] = 98;
   _jumpMap[627][Function] = 97;
   _jumpMap[627][DeleteStatement] = 346;
   _jumpMap[627][UpdateStatement] = 345;
   _jumpMap[627][InsertStatement] = 344;
   _jumpMap[627][RollbackStatement] = 343;
   _jumpMap[627][CommitStatement] = 342;
   _jumpMap[627][StartStatement] = 341;
   _jumpMap[627][CasePrepare] = 96;
   _jumpMap[627][CaseClause] = 95;
   _jumpMap[627][Factor] = 94;
   _jumpMap[627][Term] = 93;
   _jumpMap[627][Expr] = 340;
   _jumpMap[627][ProcStatement] = 339;
}
void Cego::loadParser42()
{
   _jumpMap[627][ProcIfPart] = 338;
   _jumpMap[627][ProcBlockStart] = 337;
   _jumpMap[627][ProcStatementList] = 336;
   _jumpMap[627][ProcStmtBlock] = 719;
   _actionMap[628][VAR] = ActionEntry(REDUCE, 130);
   _actionMap[628][CURSOR] = ActionEntry(REDUCE, 130);
   _actionMap[628][CLOSE] = ActionEntry(REDUCE, 130);
   _actionMap[628][VARREF] = ActionEntry(REDUCE, 130);
   _actionMap[628][NOOP] = ActionEntry(REDUCE, 130);
   _actionMap[628][THROW] = ActionEntry(REDUCE, 130);
   _actionMap[628][RETURNTOKEN] = ActionEntry(REDUCE, 130);
   _actionMap[628][WHILE] = ActionEntry(REDUCE, 130);
   _actionMap[628][IF] = ActionEntry(REDUCE, 130);
   _actionMap[628][BEGIN] = ActionEntry(REDUCE, 130);
   _actionMap[628][ROLLBACK] = ActionEntry(REDUCE, 130);
   _actionMap[628][COMMIT] = ActionEntry(REDUCE, 130);
   _actionMap[628][START_TOKEN] = ActionEntry(REDUCE, 130);
   _actionMap[628][UPDATE] = ActionEntry(REDUCE, 130);
   _actionMap[628][DELETETOK] = ActionEntry(REDUCE, 130);
   _actionMap[628][INSERT] = ActionEntry(REDUCE, 130);
   _actionMap[628][FETCH] = ActionEntry(REDUCE, 130);
   _actionMap[628][LB] = ActionEntry(REDUCE, 130);
   _actionMap[628][COUNT] = ActionEntry(REDUCE, 130);
   _actionMap[628][SUM] = ActionEntry(REDUCE, 130);
   _actionMap[628][AVG] = ActionEntry(REDUCE, 130);
   _actionMap[628][MIN] = ActionEntry(REDUCE, 130);
   _actionMap[628][MAX] = ActionEntry(REDUCE, 130);
   _actionMap[628][CASE] = ActionEntry(REDUCE, 130);
   _actionMap[628][TRIM] = ActionEntry(REDUCE, 130);
   _actionMap[628][RTRIM] = ActionEntry(REDUCE, 130);
   _actionMap[628][LTRIM] = ActionEntry(REDUCE, 130);
   _actionMap[628][ROUND] = ActionEntry(REDUCE, 130);
   _actionMap[628][DATE2STR] = ActionEntry(REDUCE, 130);
   _actionMap[628][DATE2INT] = ActionEntry(REDUCE, 130);
   _actionMap[628][INT2DATE] = ActionEntry(REDUCE, 130);
   _actionMap[628][LOWER] = ActionEntry(REDUCE, 130);
   _actionMap[628][UPPER] = ActionEntry(REDUCE, 130);
   _actionMap[628][LEFT] = ActionEntry(REDUCE, 130);
   _actionMap[628][RIGHT] = ActionEntry(REDUCE, 130);
   _actionMap[628][GETPOS] = ActionEntry(REDUCE, 130);
   _actionMap[628][SUBSTR] = ActionEntry(REDUCE, 130);
   _actionMap[628][REPLACE] = ActionEntry(REDUCE, 130);
   _actionMap[628][LENGTH] = ActionEntry(REDUCE, 130);
   _actionMap[628][TRUNC] = ActionEntry(REDUCE, 130);
   _actionMap[628][STR2INT] = ActionEntry(REDUCE, 130);
   _actionMap[628][STR2LONG] = ActionEntry(REDUCE, 130);
   _actionMap[628][STR2DATE] = ActionEntry(REDUCE, 130);
   _actionMap[628][RANDSTR] = ActionEntry(REDUCE, 130);
   _actionMap[628][RANDINT] = ActionEntry(REDUCE, 130);
   _actionMap[628][MOD] = ActionEntry(REDUCE, 130);
}
void Cego::loadParser43()
{
   _actionMap[628][DIV] = ActionEntry(REDUCE, 130);
   _actionMap[628][POWER] = ActionEntry(REDUCE, 130);
   _actionMap[628][BITAND] = ActionEntry(REDUCE, 130);
   _actionMap[628][BITOR] = ActionEntry(REDUCE, 130);
   _actionMap[628][BITXOR] = ActionEntry(REDUCE, 130);
   _actionMap[628][BLOBSIZE] = ActionEntry(REDUCE, 130);
   _actionMap[628][CLOBSIZE] = ActionEntry(REDUCE, 130);
   _actionMap[628][CLOB2STR] = ActionEntry(REDUCE, 130);
   _actionMap[628][NEXTCOUNT] = ActionEntry(REDUCE, 130);
   _actionMap[628][SETCOUNT] = ActionEntry(REDUCE, 130);
   _actionMap[628][IDENTIFIER] = ActionEntry(REDUCE, 130);
   _actionMap[628][QUALIFIEDOBJ] = ActionEntry(REDUCE, 130);
   _actionMap[628][QUALIFIEDTS] = ActionEntry(REDUCE, 130);
   _actionMap[628][QUALIFIEDPRE] = ActionEntry(REDUCE, 130);
   _actionMap[628][STRINGVAL] = ActionEntry(REDUCE, 130);
   _actionMap[628][DATE] = ActionEntry(REDUCE, 130);
   _actionMap[628][SYSDATE] = ActionEntry(REDUCE, 130);
   _actionMap[628][NULLTOKEN] = ActionEntry(REDUCE, 130);
   _actionMap[628][TRUEVAL] = ActionEntry(REDUCE, 130);
   _actionMap[628][FALSEVAL] = ActionEntry(REDUCE, 130);
   _actionMap[628][BLOB] = ActionEntry(REDUCE, 130);
   _actionMap[628][CLOB] = ActionEntry(REDUCE, 130);
   _actionMap[628][FLOATVAL] = ActionEntry(REDUCE, 130);
   _actionMap[628][MINUS] = ActionEntry(REDUCE, 130);
   _actionMap[628][INTVAL] = ActionEntry(REDUCE, 130);
   _actionMap[629][SEMICOLON] = ActionEntry(REDUCE, 123);
   _actionMap[630][END_TOKEN] = ActionEntry(REDUCE, 125);
   _actionMap[630][ELSE] = ActionEntry(REDUCE, 125);
   _actionMap[631][THEN] = ActionEntry(SHIFT, 720);
   _actionMap[632][OR] = ActionEntry(SHIFT, 636);
   _actionMap[632][AND] = ActionEntry(SHIFT, 635);
   _actionMap[632][THEN] = ActionEntry(REDUCE, 132);
   _actionMap[633][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[633][SelectStatement] = 721;
   _actionMap[634][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[634][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[634][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[634][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[634][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[634][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[634][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[634][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[634][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[634][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[634][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[634][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[634][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[634][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[634][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[634][SUBSTR] = ActionEntry(SHIFT, 140);
}
void Cego::loadParser44()
{
   _actionMap[634][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[634][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[634][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[634][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[634][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[634][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[634][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[634][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[634][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[634][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[634][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[634][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[634][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[634][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[634][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[634][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[634][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[634][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[634][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[634][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[634][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[634][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[634][LB] = ActionEntry(SHIFT, 150);
   _actionMap[634][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[634][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[634][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[634][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[634][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[634][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[634][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[634][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[634][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[634][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[634][VARREF] = ActionEntry(SHIFT, 356);
   _actionMap[634][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[634][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[634][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[634][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[634][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[634][MAX] = ActionEntry(SHIFT, 128);
   _actionMap[634][IF] = ActionEntry(SHIFT, 350);
   _actionMap[634][BEGIN] = ActionEntry(SHIFT, 347);
   _actionMap[634][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[634][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[634][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[634][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[634][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[634][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[634][VAR] = ActionEntry(SHIFT, 354);
   _actionMap[634][CURSOR] = ActionEntry(SHIFT, 349);
}
void Cego::loadParser45()
{
   _actionMap[634][CLOSE] = ActionEntry(SHIFT, 348);
   _actionMap[634][NOOP] = ActionEntry(SHIFT, 351);
   _actionMap[634][THROW] = ActionEntry(SHIFT, 353);
   _actionMap[634][RETURNTOKEN] = ActionEntry(SHIFT, 352);
   _actionMap[634][WHILE] = ActionEntry(SHIFT, 355);
   _jumpMap[634][ObjSpec] = 102;
   _jumpMap[634][Constant] = 101;
   _jumpMap[634][SignedFloat] = 100;
   _jumpMap[634][SignedInt] = 99;
   _jumpMap[634][Attribute] = 98;
   _jumpMap[634][Function] = 97;
   _jumpMap[634][DeleteStatement] = 346;
   _jumpMap[634][UpdateStatement] = 345;
   _jumpMap[634][InsertStatement] = 344;
   _jumpMap[634][RollbackStatement] = 343;
   _jumpMap[634][CommitStatement] = 342;
   _jumpMap[634][StartStatement] = 341;
   _jumpMap[634][CasePrepare] = 96;
   _jumpMap[634][CaseClause] = 95;
   _jumpMap[634][Factor] = 94;
   _jumpMap[634][Term] = 93;
   _jumpMap[634][Expr] = 340;
   _jumpMap[634][ProcStatement] = 339;
   _jumpMap[634][ProcIfPart] = 338;
   _jumpMap[634][ProcBlockStart] = 337;
   _jumpMap[634][ProcStatementList] = 336;
   _jumpMap[634][ProcStmtBlock] = 722;
   _actionMap[635][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[635][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[635][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[635][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[635][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[635][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[635][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[635][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[635][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[635][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[635][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[635][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[635][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[635][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[635][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[635][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[635][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[635][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[635][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[635][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[635][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[635][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[635][RANDSTR] = ActionEntry(SHIFT, 133);
}
void Cego::loadParser46()
{
   _actionMap[635][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[635][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[635][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[635][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[635][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[635][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[635][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[635][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[635][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[635][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[635][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[635][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[635][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[635][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[635][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[635][LB] = ActionEntry(SHIFT, 490);
   _actionMap[635][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[635][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[635][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[635][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[635][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[635][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[635][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[635][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[635][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[635][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[635][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[635][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[635][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[635][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[635][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[635][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[635][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[635][ObjSpec] = 102;
   _jumpMap[635][Constant] = 101;
   _jumpMap[635][SignedFloat] = 100;
   _jumpMap[635][SignedInt] = 99;
   _jumpMap[635][Attribute] = 98;
   _jumpMap[635][Function] = 97;
   _jumpMap[635][CasePrepare] = 96;
   _jumpMap[635][CaseClause] = 95;
   _jumpMap[635][Factor] = 94;
   _jumpMap[635][Term] = 93;
   _jumpMap[635][Expr] = 489;
   _jumpMap[635][ProcPredicate] = 723;
   _actionMap[636][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[636][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[636][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[636][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[636][RTRIM] = ActionEntry(SHIFT, 138);
}
void Cego::loadParser47()
{
   _actionMap[636][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[636][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[636][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[636][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[636][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[636][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[636][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[636][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[636][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[636][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[636][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[636][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[636][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[636][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[636][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[636][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[636][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[636][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[636][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[636][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[636][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[636][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[636][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[636][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[636][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[636][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[636][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[636][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[636][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[636][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[636][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[636][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[636][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[636][LB] = ActionEntry(SHIFT, 490);
   _actionMap[636][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[636][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[636][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[636][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[636][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[636][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[636][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[636][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[636][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[636][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[636][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[636][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[636][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[636][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[636][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[636][MIN] = ActionEntry(SHIFT, 127);
}
void Cego::loadParser48()
{
   _actionMap[636][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[636][ObjSpec] = 102;
   _jumpMap[636][Constant] = 101;
   _jumpMap[636][SignedFloat] = 100;
   _jumpMap[636][SignedInt] = 99;
   _jumpMap[636][Attribute] = 98;
   _jumpMap[636][Function] = 97;
   _jumpMap[636][CasePrepare] = 96;
   _jumpMap[636][CaseClause] = 95;
   _jumpMap[636][Factor] = 94;
   _jumpMap[636][Term] = 93;
   _jumpMap[636][Expr] = 489;
   _jumpMap[636][ProcPredicate] = 724;
   _actionMap[637][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[637][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[637][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[637][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[637][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[637][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[637][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[637][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[637][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[637][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[637][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[637][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[637][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[637][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[637][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[637][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[637][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[637][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[637][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[637][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[637][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[637][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[637][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[637][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[637][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[637][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[637][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[637][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[637][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[637][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[637][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[637][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[637][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[637][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[637][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[637][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[637][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
}
void Cego::loadParser49()
{
   _actionMap[637][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[637][LB] = ActionEntry(SHIFT, 150);
   _actionMap[637][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[637][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[637][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[637][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[637][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[637][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[637][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[637][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[637][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[637][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[637][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[637][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[637][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[637][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[637][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[637][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[637][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[637][ObjSpec] = 102;
   _jumpMap[637][Constant] = 101;
   _jumpMap[637][SignedFloat] = 100;
   _jumpMap[637][SignedInt] = 99;
   _jumpMap[637][Attribute] = 98;
   _jumpMap[637][Function] = 97;
   _jumpMap[637][CasePrepare] = 96;
   _jumpMap[637][CaseClause] = 95;
   _jumpMap[637][Factor] = 94;
   _jumpMap[637][Term] = 93;
   _jumpMap[637][Expr] = 725;
   _actionMap[638][NOT] = ActionEntry(SHIFT, 726);
   _actionMap[638][NULLTOKEN] = ActionEntry(SHIFT, 727);
   _actionMap[639][RB] = ActionEntry(SHIFT, 728);
   _actionMap[639][OR] = ActionEntry(SHIFT, 636);
   _actionMap[639][AND] = ActionEntry(SHIFT, 635);
   _actionMap[640][RB] = ActionEntry(SHIFT, 434);
   _actionMap[640][PLUS] = ActionEntry(SHIFT, 234);
   _actionMap[640][MINUS] = ActionEntry(SHIFT, 233);
   _actionMap[640][CONCAT] = ActionEntry(SHIFT, 232);
   _actionMap[640][IS] = ActionEntry(SHIFT, 638);
   _actionMap[640][EQU] = ActionEntry(SHIFT, 524);
   _actionMap[640][NEGATION] = ActionEntry(SHIFT, 527);
   _actionMap[640][LT] = ActionEntry(SHIFT, 525);
   _actionMap[640][MT] = ActionEntry(SHIFT, 526);
   _jumpMap[640][Comparison] = 637;
   _actionMap[641][SEMICOLON] = ActionEntry(REDUCE, 103);
   _actionMap[641][EQU] = ActionEntry(SHIFT, 731);
   _jumpMap[641][ProcNoAssignment] = 730;
   _jumpMap[641][ProcInitialAssignment] = 729;
   _actionMap[642][LB] = ActionEntry(SHIFT, 732);
}
void Cego::loadParser50()
{
   _actionMap[643][BEGIN] = ActionEntry(REDUCE, 342);
   _actionMap[643][DEFAULT] = ActionEntry(REDUCE, 342);
   _actionMap[643][NULLTOKEN] = ActionEntry(REDUCE, 342);
   _actionMap[643][NOT] = ActionEntry(REDUCE, 342);
   _actionMap[643][KSEP] = ActionEntry(REDUCE, 342);
   _actionMap[643][RB] = ActionEntry(REDUCE, 342);
   _actionMap[643][EQU] = ActionEntry(REDUCE, 342);
   _actionMap[643][SEMICOLON] = ActionEntry(REDUCE, 342);
   _actionMap[644][BEGIN] = ActionEntry(REDUCE, 334);
   _actionMap[644][DEFAULT] = ActionEntry(REDUCE, 334);
   _actionMap[644][NULLTOKEN] = ActionEntry(REDUCE, 334);
   _actionMap[644][NOT] = ActionEntry(REDUCE, 334);
   _actionMap[644][KSEP] = ActionEntry(REDUCE, 334);
   _actionMap[644][RB] = ActionEntry(REDUCE, 334);
   _actionMap[644][EQU] = ActionEntry(REDUCE, 334);
   _actionMap[644][SEMICOLON] = ActionEntry(REDUCE, 334);
   _actionMap[645][BEGIN] = ActionEntry(REDUCE, 343);
   _actionMap[645][DEFAULT] = ActionEntry(REDUCE, 343);
   _actionMap[645][NULLTOKEN] = ActionEntry(REDUCE, 343);
   _actionMap[645][NOT] = ActionEntry(REDUCE, 343);
   _actionMap[645][KSEP] = ActionEntry(REDUCE, 343);
   _actionMap[645][RB] = ActionEntry(REDUCE, 343);
   _actionMap[645][EQU] = ActionEntry(REDUCE, 343);
   _actionMap[645][SEMICOLON] = ActionEntry(REDUCE, 343);
   _actionMap[646][BEGIN] = ActionEntry(REDUCE, 333);
   _actionMap[646][DEFAULT] = ActionEntry(REDUCE, 333);
   _actionMap[646][NULLTOKEN] = ActionEntry(REDUCE, 333);
   _actionMap[646][NOT] = ActionEntry(REDUCE, 333);
   _actionMap[646][KSEP] = ActionEntry(REDUCE, 333);
   _actionMap[646][RB] = ActionEntry(REDUCE, 333);
   _actionMap[646][EQU] = ActionEntry(REDUCE, 333);
   _actionMap[646][SEMICOLON] = ActionEntry(REDUCE, 333);
   _actionMap[647][LB] = ActionEntry(SHIFT, 733);
   _actionMap[648][BEGIN] = ActionEntry(REDUCE, 337);
   _actionMap[648][DEFAULT] = ActionEntry(REDUCE, 337);
   _actionMap[648][NULLTOKEN] = ActionEntry(REDUCE, 337);
   _actionMap[648][NOT] = ActionEntry(REDUCE, 337);
   _actionMap[648][KSEP] = ActionEntry(REDUCE, 337);
   _actionMap[648][RB] = ActionEntry(REDUCE, 337);
   _actionMap[648][EQU] = ActionEntry(REDUCE, 337);
   _actionMap[648][SEMICOLON] = ActionEntry(REDUCE, 337);
   _actionMap[649][LB] = ActionEntry(SHIFT, 734);
   _actionMap[650][BEGIN] = ActionEntry(REDUCE, 336);
   _actionMap[650][DEFAULT] = ActionEntry(REDUCE, 336);
   _actionMap[650][NULLTOKEN] = ActionEntry(REDUCE, 336);
   _actionMap[650][NOT] = ActionEntry(REDUCE, 336);
   _actionMap[650][KSEP] = ActionEntry(REDUCE, 336);
   _actionMap[650][RB] = ActionEntry(REDUCE, 336);
   _actionMap[650][EQU] = ActionEntry(REDUCE, 336);
   _actionMap[650][SEMICOLON] = ActionEntry(REDUCE, 336);
}
void Cego::loadParser51()
{
   _actionMap[651][BEGIN] = ActionEntry(REDUCE, 330);
   _actionMap[651][DEFAULT] = ActionEntry(REDUCE, 330);
   _actionMap[651][NULLTOKEN] = ActionEntry(REDUCE, 330);
   _actionMap[651][NOT] = ActionEntry(REDUCE, 330);
   _actionMap[651][KSEP] = ActionEntry(REDUCE, 330);
   _actionMap[651][RB] = ActionEntry(REDUCE, 330);
   _actionMap[651][EQU] = ActionEntry(REDUCE, 330);
   _actionMap[651][SEMICOLON] = ActionEntry(REDUCE, 330);
   _actionMap[652][BEGIN] = ActionEntry(REDUCE, 331);
   _actionMap[652][DEFAULT] = ActionEntry(REDUCE, 331);
   _actionMap[652][NULLTOKEN] = ActionEntry(REDUCE, 331);
   _actionMap[652][NOT] = ActionEntry(REDUCE, 331);
   _actionMap[652][KSEP] = ActionEntry(REDUCE, 331);
   _actionMap[652][RB] = ActionEntry(REDUCE, 331);
   _actionMap[652][EQU] = ActionEntry(REDUCE, 331);
   _actionMap[652][SEMICOLON] = ActionEntry(REDUCE, 331);
   _actionMap[653][BEGIN] = ActionEntry(REDUCE, 338);
   _actionMap[653][DEFAULT] = ActionEntry(REDUCE, 338);
   _actionMap[653][NULLTOKEN] = ActionEntry(REDUCE, 338);
   _actionMap[653][NOT] = ActionEntry(REDUCE, 338);
   _actionMap[653][KSEP] = ActionEntry(REDUCE, 338);
   _actionMap[653][RB] = ActionEntry(REDUCE, 338);
   _actionMap[653][EQU] = ActionEntry(REDUCE, 338);
   _actionMap[653][SEMICOLON] = ActionEntry(REDUCE, 338);
   _actionMap[654][LB] = ActionEntry(SHIFT, 735);
   _actionMap[655][BEGIN] = ActionEntry(REDUCE, 339);
   _actionMap[655][DEFAULT] = ActionEntry(REDUCE, 339);
   _actionMap[655][NULLTOKEN] = ActionEntry(REDUCE, 339);
   _actionMap[655][NOT] = ActionEntry(REDUCE, 339);
   _actionMap[655][KSEP] = ActionEntry(REDUCE, 339);
   _actionMap[655][RB] = ActionEntry(REDUCE, 339);
   _actionMap[655][EQU] = ActionEntry(REDUCE, 339);
   _actionMap[655][SEMICOLON] = ActionEntry(REDUCE, 339);
   _actionMap[656][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[656][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[656][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[656][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[656][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[656][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[656][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[656][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[656][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[656][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[656][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[656][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[656][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[656][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[656][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[656][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[656][REPLACE] = ActionEntry(SHIFT, 135);
}
void Cego::loadParser52()
{
   _actionMap[656][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[656][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[656][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[656][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[656][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[656][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[656][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[656][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[656][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[656][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[656][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[656][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[656][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[656][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[656][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[656][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[656][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[656][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[656][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[656][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[656][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[656][LB] = ActionEntry(SHIFT, 150);
   _actionMap[656][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[656][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[656][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[656][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[656][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[656][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[656][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[656][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[656][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[656][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[656][VARREF] = ActionEntry(SHIFT, 356);
   _actionMap[656][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[656][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[656][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[656][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[656][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[656][MAX] = ActionEntry(SHIFT, 128);
   _actionMap[656][IF] = ActionEntry(SHIFT, 350);
   _actionMap[656][BEGIN] = ActionEntry(SHIFT, 347);
   _actionMap[656][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[656][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[656][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[656][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[656][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[656][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[656][VAR] = ActionEntry(SHIFT, 354);
   _actionMap[656][CURSOR] = ActionEntry(SHIFT, 349);
   _actionMap[656][CLOSE] = ActionEntry(SHIFT, 348);
}
void Cego::loadParser53()
{
   _actionMap[656][NOOP] = ActionEntry(SHIFT, 351);
   _actionMap[656][THROW] = ActionEntry(SHIFT, 353);
   _actionMap[656][RETURNTOKEN] = ActionEntry(SHIFT, 352);
   _actionMap[656][WHILE] = ActionEntry(SHIFT, 355);
   _jumpMap[656][ObjSpec] = 102;
   _jumpMap[656][Constant] = 101;
   _jumpMap[656][SignedFloat] = 100;
   _jumpMap[656][SignedInt] = 99;
   _jumpMap[656][Attribute] = 98;
   _jumpMap[656][Function] = 97;
   _jumpMap[656][DeleteStatement] = 346;
   _jumpMap[656][UpdateStatement] = 345;
   _jumpMap[656][InsertStatement] = 344;
   _jumpMap[656][RollbackStatement] = 343;
   _jumpMap[656][CommitStatement] = 342;
   _jumpMap[656][StartStatement] = 341;
   _jumpMap[656][CasePrepare] = 96;
   _jumpMap[656][CaseClause] = 95;
   _jumpMap[656][Factor] = 94;
   _jumpMap[656][Term] = 93;
   _jumpMap[656][Expr] = 340;
   _jumpMap[656][ProcStatement] = 339;
   _jumpMap[656][ProcIfPart] = 338;
   _jumpMap[656][ProcBlockStart] = 337;
   _jumpMap[656][ProcStatementList] = 336;
   _jumpMap[656][ProcStmtBlock] = 736;
   _actionMap[657][PLUS] = ActionEntry(SHIFT, 234);
   _actionMap[657][MINUS] = ActionEntry(SHIFT, 233);
   _actionMap[657][CONCAT] = ActionEntry(SHIFT, 232);
   _actionMap[657][SEMICOLON] = ActionEntry(REDUCE, 98);
   _actionMap[658][LB] = ActionEntry(SHIFT, 737);
   _actionMap[659][IDENTIFIER] = ActionEntry(SHIFT, 740);
   _jumpMap[659][SimpleAttr] = 739;
   _jumpMap[659][SimpleAttrList] = 738;
   _actionMap[660][IDENTIFIER] = ActionEntry(SHIFT, 503);
   _jumpMap[660][ProcArg] = 741;
   _actionMap[661][BEGIN] = ActionEntry(REDUCE, 82);
   _actionMap[662][INT] = ActionEntry(SHIFT, 651);
   _actionMap[662][LONG] = ActionEntry(SHIFT, 652);
   _actionMap[662][STRING] = ActionEntry(SHIFT, 654);
   _actionMap[662][DATETIME] = ActionEntry(SHIFT, 646);
   _actionMap[662][BOOL] = ActionEntry(SHIFT, 644);
   _actionMap[662][BIGINT] = ActionEntry(SHIFT, 642);
   _actionMap[662][FLOAT] = ActionEntry(SHIFT, 650);
   _actionMap[662][DOUBLE] = ActionEntry(SHIFT, 648);
   _actionMap[662][SMALLINT] = ActionEntry(SHIFT, 653);
   _actionMap[662][TINYINT] = ActionEntry(SHIFT, 655);
   _actionMap[662][DECIMAL] = ActionEntry(SHIFT, 647);
   _actionMap[662][FIXED] = ActionEntry(SHIFT, 649);
   _actionMap[662][BLOB] = ActionEntry(SHIFT, 643);
}
void Cego::loadParser54()
{
   _actionMap[662][CLOB] = ActionEntry(SHIFT, 645);
   _jumpMap[662][DataTypeProd] = 742;
   _actionMap[663][INT] = ActionEntry(SHIFT, 651);
   _actionMap[663][LONG] = ActionEntry(SHIFT, 652);
   _actionMap[663][STRING] = ActionEntry(SHIFT, 654);
   _actionMap[663][DATETIME] = ActionEntry(SHIFT, 646);
   _actionMap[663][BOOL] = ActionEntry(SHIFT, 644);
   _actionMap[663][BIGINT] = ActionEntry(SHIFT, 642);
   _actionMap[663][FLOAT] = ActionEntry(SHIFT, 650);
   _actionMap[663][DOUBLE] = ActionEntry(SHIFT, 648);
   _actionMap[663][SMALLINT] = ActionEntry(SHIFT, 653);
   _actionMap[663][TINYINT] = ActionEntry(SHIFT, 655);
   _actionMap[663][DECIMAL] = ActionEntry(SHIFT, 647);
   _actionMap[663][FIXED] = ActionEntry(SHIFT, 649);
   _actionMap[663][BLOB] = ActionEntry(SHIFT, 643);
   _actionMap[663][CLOB] = ActionEntry(SHIFT, 645);
   _jumpMap[663][DataTypeProd] = 743;
   _actionMap[664][INT] = ActionEntry(SHIFT, 651);
   _actionMap[664][LONG] = ActionEntry(SHIFT, 652);
   _actionMap[664][STRING] = ActionEntry(SHIFT, 654);
   _actionMap[664][DATETIME] = ActionEntry(SHIFT, 646);
   _actionMap[664][BOOL] = ActionEntry(SHIFT, 644);
   _actionMap[664][BIGINT] = ActionEntry(SHIFT, 642);
   _actionMap[664][FLOAT] = ActionEntry(SHIFT, 650);
   _actionMap[664][DOUBLE] = ActionEntry(SHIFT, 648);
   _actionMap[664][SMALLINT] = ActionEntry(SHIFT, 653);
   _actionMap[664][TINYINT] = ActionEntry(SHIFT, 655);
   _actionMap[664][DECIMAL] = ActionEntry(SHIFT, 647);
   _actionMap[664][FIXED] = ActionEntry(SHIFT, 649);
   _actionMap[664][BLOB] = ActionEntry(SHIFT, 643);
   _actionMap[664][CLOB] = ActionEntry(SHIFT, 645);
   _jumpMap[664][DataTypeProd] = 744;
   _actionMap[665][IDENTIFIER] = ActionEntry(SHIFT, 508);
   _actionMap[665][PRIMARY] = ActionEntry(SHIFT, 507);
   _jumpMap[665][ColumnDesc] = 506;
   _jumpMap[665][KeyColumn] = 745;
   _actionMap[666][SEMICOLON] = ActionEntry(REDUCE, 56);
   _actionMap[667][KSEP] = ActionEntry(REDUCE, 172);
   _actionMap[667][RB] = ActionEntry(REDUCE, 172);
   _actionMap[668][RB] = ActionEntry(REDUCE, 181);
   _actionMap[668][SEMICOLON] = ActionEntry(REDUCE, 181);
   _actionMap[668][KSEP] = ActionEntry(REDUCE, 181);
   _actionMap[668][NOT] = ActionEntry(REDUCE, 181);
   _actionMap[668][NULLTOKEN] = ActionEntry(REDUCE, 181);
   _actionMap[668][DEFAULT] = ActionEntry(SHIFT, 748);
   _jumpMap[668][DefaultDefOpt] = 747;
   _jumpMap[668][DefaultOpt] = 746;
   _actionMap[669][LB] = ActionEntry(SHIFT, 513);
   _jumpMap[669][InsertValueSpec] = 749;
   _actionMap[670][PLUS] = ActionEntry(SHIFT, 234);
}
void Cego::loadParser55()
{
   _actionMap[670][MINUS] = ActionEntry(SHIFT, 233);
   _actionMap[670][CONCAT] = ActionEntry(SHIFT, 232);
   _actionMap[670][KSEP] = ActionEntry(REDUCE, 205);
   _actionMap[670][RB] = ActionEntry(REDUCE, 205);
   _actionMap[671][RB] = ActionEntry(SHIFT, 751);
   _actionMap[671][KSEP] = ActionEntry(SHIFT, 750);
   _actionMap[672][IDENTIFIER] = ActionEntry(SHIFT, 752);
   _actionMap[673][SELECT] = ActionEntry(REDUCE, 196);
   _actionMap[673][VALUES] = ActionEntry(REDUCE, 196);
   _actionMap[674][WHEN] = ActionEntry(REDUCE, 163);
   _actionMap[674][ELSE] = ActionEntry(REDUCE, 163);
   _actionMap[674][LEFT] = ActionEntry(REDUCE, 163);
   _actionMap[674][RIGHT] = ActionEntry(REDUCE, 163);
   _actionMap[674][INNER] = ActionEntry(REDUCE, 163);
   _actionMap[674][JOIN] = ActionEntry(REDUCE, 163);
   _actionMap[674][RETURNTOKEN] = ActionEntry(REDUCE, 163);
   _actionMap[674][ORDER] = ActionEntry(REDUCE, 163);
   _actionMap[674][GROUP] = ActionEntry(REDUCE, 163);
   _actionMap[674][WHERE] = ActionEntry(REDUCE, 163);
   _actionMap[674][BEGIN] = ActionEntry(REDUCE, 163);
   _actionMap[674][THEN] = ActionEntry(REDUCE, 163);
   _actionMap[674][OR] = ActionEntry(REDUCE, 163);
   _actionMap[674][FROM] = ActionEntry(REDUCE, 163);
   _actionMap[674][AS] = ActionEntry(REDUCE, 163);
   _actionMap[674][END_TOKEN] = ActionEntry(REDUCE, 163);
   _actionMap[674][AND] = ActionEntry(REDUCE, 163);
   _actionMap[674][INTOK] = ActionEntry(REDUCE, 163);
   _actionMap[674][NOT] = ActionEntry(REDUCE, 163);
   _actionMap[674][BETWEEN] = ActionEntry(REDUCE, 163);
   _actionMap[674][IS] = ActionEntry(REDUCE, 163);
   _actionMap[674][LIKE] = ActionEntry(REDUCE, 163);
   _actionMap[674][MT] = ActionEntry(REDUCE, 163);
   _actionMap[674][LT] = ActionEntry(REDUCE, 163);
   _actionMap[674][NEGATION] = ActionEntry(REDUCE, 163);
   _actionMap[674][EQU] = ActionEntry(REDUCE, 163);
   _actionMap[674][RB] = ActionEntry(REDUCE, 163);
   _actionMap[674][ENDTOKEN] = ActionEntry(REDUCE, 163);
   _actionMap[674][UNION] = ActionEntry(REDUCE, 163);
   _actionMap[674][ROWLIMIT] = ActionEntry(REDUCE, 163);
   _actionMap[674][KSEP] = ActionEntry(REDUCE, 163);
   _actionMap[674][ASC] = ActionEntry(REDUCE, 163);
   _actionMap[674][DESC] = ActionEntry(REDUCE, 163);
   _actionMap[674][SEMICOLON] = ActionEntry(REDUCE, 163);
   _actionMap[674][PLUS] = ActionEntry(REDUCE, 163);
   _actionMap[674][MINUS] = ActionEntry(REDUCE, 163);
   _actionMap[674][DIVISION] = ActionEntry(REDUCE, 163);
   _actionMap[674][STAR] = ActionEntry(REDUCE, 163);
   _actionMap[674][CONCAT] = ActionEntry(REDUCE, 163);
   _actionMap[675][PLUS] = ActionEntry(SHIFT, 234);
   _actionMap[675][MINUS] = ActionEntry(SHIFT, 233);
}
void Cego::loadParser56()
{
   _actionMap[675][CONCAT] = ActionEntry(SHIFT, 232);
   _actionMap[675][LEFT] = ActionEntry(REDUCE, 322);
   _actionMap[675][RIGHT] = ActionEntry(REDUCE, 322);
   _actionMap[675][INNER] = ActionEntry(REDUCE, 322);
   _actionMap[675][JOIN] = ActionEntry(REDUCE, 322);
   _actionMap[675][RETURNTOKEN] = ActionEntry(REDUCE, 322);
   _actionMap[675][SEMICOLON] = ActionEntry(REDUCE, 322);
   _actionMap[675][ENDTOKEN] = ActionEntry(REDUCE, 322);
   _actionMap[675][UNION] = ActionEntry(REDUCE, 322);
   _actionMap[675][ROWLIMIT] = ActionEntry(REDUCE, 322);
   _actionMap[675][ORDER] = ActionEntry(REDUCE, 322);
   _actionMap[675][GROUP] = ActionEntry(REDUCE, 322);
   _actionMap[675][WHERE] = ActionEntry(REDUCE, 322);
   _actionMap[675][THEN] = ActionEntry(REDUCE, 322);
   _actionMap[675][AND] = ActionEntry(REDUCE, 322);
   _actionMap[675][OR] = ActionEntry(REDUCE, 322);
   _actionMap[675][RB] = ActionEntry(REDUCE, 322);
   _actionMap[676][AND] = ActionEntry(SHIFT, 753);
   _actionMap[676][PLUS] = ActionEntry(SHIFT, 234);
   _actionMap[676][MINUS] = ActionEntry(SHIFT, 233);
   _actionMap[676][CONCAT] = ActionEntry(SHIFT, 232);
   _actionMap[677][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[677][SelectStatement] = 754;
   _actionMap[678][NULLTOKEN] = ActionEntry(SHIFT, 755);
   _actionMap[679][LEFT] = ActionEntry(REDUCE, 324);
   _actionMap[679][RIGHT] = ActionEntry(REDUCE, 324);
   _actionMap[679][INNER] = ActionEntry(REDUCE, 324);
   _actionMap[679][JOIN] = ActionEntry(REDUCE, 324);
   _actionMap[679][RETURNTOKEN] = ActionEntry(REDUCE, 324);
   _actionMap[679][SEMICOLON] = ActionEntry(REDUCE, 324);
   _actionMap[679][ENDTOKEN] = ActionEntry(REDUCE, 324);
   _actionMap[679][UNION] = ActionEntry(REDUCE, 324);
   _actionMap[679][ROWLIMIT] = ActionEntry(REDUCE, 324);
   _actionMap[679][ORDER] = ActionEntry(REDUCE, 324);
   _actionMap[679][GROUP] = ActionEntry(REDUCE, 324);
   _actionMap[679][WHERE] = ActionEntry(REDUCE, 324);
   _actionMap[679][THEN] = ActionEntry(REDUCE, 324);
   _actionMap[679][AND] = ActionEntry(REDUCE, 324);
   _actionMap[679][OR] = ActionEntry(REDUCE, 324);
   _actionMap[679][RB] = ActionEntry(REDUCE, 324);
   _actionMap[680][LEFT] = ActionEntry(REDUCE, 326);
   _actionMap[680][RIGHT] = ActionEntry(REDUCE, 326);
   _actionMap[680][INNER] = ActionEntry(REDUCE, 326);
   _actionMap[680][JOIN] = ActionEntry(REDUCE, 326);
   _actionMap[680][RETURNTOKEN] = ActionEntry(REDUCE, 326);
   _actionMap[680][SEMICOLON] = ActionEntry(REDUCE, 326);
   _actionMap[680][ENDTOKEN] = ActionEntry(REDUCE, 326);
   _actionMap[680][UNION] = ActionEntry(REDUCE, 326);
   _actionMap[680][ROWLIMIT] = ActionEntry(REDUCE, 326);
   _actionMap[680][ORDER] = ActionEntry(REDUCE, 326);
}
void Cego::loadParser57()
{
   _actionMap[680][GROUP] = ActionEntry(REDUCE, 326);
   _actionMap[680][WHERE] = ActionEntry(REDUCE, 326);
   _actionMap[680][THEN] = ActionEntry(REDUCE, 326);
   _actionMap[680][AND] = ActionEntry(REDUCE, 326);
   _actionMap[680][OR] = ActionEntry(REDUCE, 326);
   _actionMap[680][RB] = ActionEntry(REDUCE, 326);
   _actionMap[681][LB] = ActionEntry(SHIFT, 756);
   _actionMap[682][STRINGVAL] = ActionEntry(SHIFT, 757);
   _actionMap[683][VARREF] = ActionEntry(REDUCE, 348);
   _actionMap[683][FETCH] = ActionEntry(REDUCE, 348);
   _actionMap[683][LB] = ActionEntry(REDUCE, 348);
   _actionMap[683][COUNT] = ActionEntry(REDUCE, 348);
   _actionMap[683][SUM] = ActionEntry(REDUCE, 348);
   _actionMap[683][AVG] = ActionEntry(REDUCE, 348);
   _actionMap[683][MIN] = ActionEntry(REDUCE, 348);
   _actionMap[683][MAX] = ActionEntry(REDUCE, 348);
   _actionMap[683][CASE] = ActionEntry(REDUCE, 348);
   _actionMap[683][TRIM] = ActionEntry(REDUCE, 348);
   _actionMap[683][RTRIM] = ActionEntry(REDUCE, 348);
   _actionMap[683][LTRIM] = ActionEntry(REDUCE, 348);
   _actionMap[683][ROUND] = ActionEntry(REDUCE, 348);
   _actionMap[683][DATE2STR] = ActionEntry(REDUCE, 348);
   _actionMap[683][DATE2INT] = ActionEntry(REDUCE, 348);
   _actionMap[683][INT2DATE] = ActionEntry(REDUCE, 348);
   _actionMap[683][LOWER] = ActionEntry(REDUCE, 348);
   _actionMap[683][UPPER] = ActionEntry(REDUCE, 348);
   _actionMap[683][LEFT] = ActionEntry(REDUCE, 348);
   _actionMap[683][RIGHT] = ActionEntry(REDUCE, 348);
   _actionMap[683][GETPOS] = ActionEntry(REDUCE, 348);
   _actionMap[683][SUBSTR] = ActionEntry(REDUCE, 348);
   _actionMap[683][REPLACE] = ActionEntry(REDUCE, 348);
   _actionMap[683][LENGTH] = ActionEntry(REDUCE, 348);
   _actionMap[683][TRUNC] = ActionEntry(REDUCE, 348);
   _actionMap[683][STR2INT] = ActionEntry(REDUCE, 348);
   _actionMap[683][STR2LONG] = ActionEntry(REDUCE, 348);
   _actionMap[683][STR2DATE] = ActionEntry(REDUCE, 348);
   _actionMap[683][RANDSTR] = ActionEntry(REDUCE, 348);
   _actionMap[683][RANDINT] = ActionEntry(REDUCE, 348);
   _actionMap[683][MOD] = ActionEntry(REDUCE, 348);
   _actionMap[683][DIV] = ActionEntry(REDUCE, 348);
   _actionMap[683][POWER] = ActionEntry(REDUCE, 348);
   _actionMap[683][BITAND] = ActionEntry(REDUCE, 348);
   _actionMap[683][BITOR] = ActionEntry(REDUCE, 348);
   _actionMap[683][BITXOR] = ActionEntry(REDUCE, 348);
   _actionMap[683][BLOBSIZE] = ActionEntry(REDUCE, 348);
   _actionMap[683][CLOBSIZE] = ActionEntry(REDUCE, 348);
   _actionMap[683][CLOB2STR] = ActionEntry(REDUCE, 348);
   _actionMap[683][NEXTCOUNT] = ActionEntry(REDUCE, 348);
   _actionMap[683][SETCOUNT] = ActionEntry(REDUCE, 348);
   _actionMap[683][IDENTIFIER] = ActionEntry(REDUCE, 348);
}
void Cego::loadParser58()
{
   _actionMap[683][QUALIFIEDOBJ] = ActionEntry(REDUCE, 348);
   _actionMap[683][QUALIFIEDTS] = ActionEntry(REDUCE, 348);
   _actionMap[683][QUALIFIEDPRE] = ActionEntry(REDUCE, 348);
   _actionMap[683][STRINGVAL] = ActionEntry(REDUCE, 348);
   _actionMap[683][DATE] = ActionEntry(REDUCE, 348);
   _actionMap[683][SYSDATE] = ActionEntry(REDUCE, 348);
   _actionMap[683][NULLTOKEN] = ActionEntry(REDUCE, 348);
   _actionMap[683][TRUEVAL] = ActionEntry(REDUCE, 348);
   _actionMap[683][FALSEVAL] = ActionEntry(REDUCE, 348);
   _actionMap[683][BLOB] = ActionEntry(REDUCE, 348);
   _actionMap[683][CLOB] = ActionEntry(REDUCE, 348);
   _actionMap[683][FLOATVAL] = ActionEntry(REDUCE, 348);
   _actionMap[683][MINUS] = ActionEntry(REDUCE, 348);
   _actionMap[683][INTVAL] = ActionEntry(REDUCE, 348);
   _actionMap[684][VARREF] = ActionEntry(REDUCE, 349);
   _actionMap[684][FETCH] = ActionEntry(REDUCE, 349);
   _actionMap[684][LB] = ActionEntry(REDUCE, 349);
   _actionMap[684][COUNT] = ActionEntry(REDUCE, 349);
   _actionMap[684][SUM] = ActionEntry(REDUCE, 349);
   _actionMap[684][AVG] = ActionEntry(REDUCE, 349);
   _actionMap[684][MIN] = ActionEntry(REDUCE, 349);
   _actionMap[684][MAX] = ActionEntry(REDUCE, 349);
   _actionMap[684][CASE] = ActionEntry(REDUCE, 349);
   _actionMap[684][TRIM] = ActionEntry(REDUCE, 349);
   _actionMap[684][RTRIM] = ActionEntry(REDUCE, 349);
   _actionMap[684][LTRIM] = ActionEntry(REDUCE, 349);
   _actionMap[684][ROUND] = ActionEntry(REDUCE, 349);
   _actionMap[684][DATE2STR] = ActionEntry(REDUCE, 349);
   _actionMap[684][DATE2INT] = ActionEntry(REDUCE, 349);
   _actionMap[684][INT2DATE] = ActionEntry(REDUCE, 349);
   _actionMap[684][LOWER] = ActionEntry(REDUCE, 349);
   _actionMap[684][UPPER] = ActionEntry(REDUCE, 349);
   _actionMap[684][LEFT] = ActionEntry(REDUCE, 349);
   _actionMap[684][RIGHT] = ActionEntry(REDUCE, 349);
   _actionMap[684][GETPOS] = ActionEntry(REDUCE, 349);
   _actionMap[684][SUBSTR] = ActionEntry(REDUCE, 349);
   _actionMap[684][REPLACE] = ActionEntry(REDUCE, 349);
   _actionMap[684][LENGTH] = ActionEntry(REDUCE, 349);
   _actionMap[684][TRUNC] = ActionEntry(REDUCE, 349);
   _actionMap[684][STR2INT] = ActionEntry(REDUCE, 349);
   _actionMap[684][STR2LONG] = ActionEntry(REDUCE, 349);
   _actionMap[684][STR2DATE] = ActionEntry(REDUCE, 349);
   _actionMap[684][RANDSTR] = ActionEntry(REDUCE, 349);
   _actionMap[684][RANDINT] = ActionEntry(REDUCE, 349);
   _actionMap[684][MOD] = ActionEntry(REDUCE, 349);
   _actionMap[684][DIV] = ActionEntry(REDUCE, 349);
   _actionMap[684][POWER] = ActionEntry(REDUCE, 349);
   _actionMap[684][BITAND] = ActionEntry(REDUCE, 349);
   _actionMap[684][BITOR] = ActionEntry(REDUCE, 349);
   _actionMap[684][BITXOR] = ActionEntry(REDUCE, 349);
}
void Cego::loadParser59()
{
   _actionMap[684][BLOBSIZE] = ActionEntry(REDUCE, 349);
   _actionMap[684][CLOBSIZE] = ActionEntry(REDUCE, 349);
   _actionMap[684][CLOB2STR] = ActionEntry(REDUCE, 349);
   _actionMap[684][NEXTCOUNT] = ActionEntry(REDUCE, 349);
   _actionMap[684][SETCOUNT] = ActionEntry(REDUCE, 349);
   _actionMap[684][IDENTIFIER] = ActionEntry(REDUCE, 349);
   _actionMap[684][QUALIFIEDOBJ] = ActionEntry(REDUCE, 349);
   _actionMap[684][QUALIFIEDTS] = ActionEntry(REDUCE, 349);
   _actionMap[684][QUALIFIEDPRE] = ActionEntry(REDUCE, 349);
   _actionMap[684][STRINGVAL] = ActionEntry(REDUCE, 349);
   _actionMap[684][DATE] = ActionEntry(REDUCE, 349);
   _actionMap[684][SYSDATE] = ActionEntry(REDUCE, 349);
   _actionMap[684][NULLTOKEN] = ActionEntry(REDUCE, 349);
   _actionMap[684][TRUEVAL] = ActionEntry(REDUCE, 349);
   _actionMap[684][FALSEVAL] = ActionEntry(REDUCE, 349);
   _actionMap[684][BLOB] = ActionEntry(REDUCE, 349);
   _actionMap[684][CLOB] = ActionEntry(REDUCE, 349);
   _actionMap[684][FLOATVAL] = ActionEntry(REDUCE, 349);
   _actionMap[684][MINUS] = ActionEntry(REDUCE, 349);
   _actionMap[684][INTVAL] = ActionEntry(REDUCE, 349);
   _actionMap[685][VARREF] = ActionEntry(REDUCE, 345);
   _actionMap[685][FETCH] = ActionEntry(REDUCE, 345);
   _actionMap[685][LB] = ActionEntry(REDUCE, 345);
   _actionMap[685][COUNT] = ActionEntry(REDUCE, 345);
   _actionMap[685][SUM] = ActionEntry(REDUCE, 345);
   _actionMap[685][AVG] = ActionEntry(REDUCE, 345);
   _actionMap[685][MIN] = ActionEntry(REDUCE, 345);
   _actionMap[685][MAX] = ActionEntry(REDUCE, 345);
   _actionMap[685][CASE] = ActionEntry(REDUCE, 345);
   _actionMap[685][TRIM] = ActionEntry(REDUCE, 345);
   _actionMap[685][RTRIM] = ActionEntry(REDUCE, 345);
   _actionMap[685][LTRIM] = ActionEntry(REDUCE, 345);
   _actionMap[685][ROUND] = ActionEntry(REDUCE, 345);
   _actionMap[685][DATE2STR] = ActionEntry(REDUCE, 345);
   _actionMap[685][DATE2INT] = ActionEntry(REDUCE, 345);
   _actionMap[685][INT2DATE] = ActionEntry(REDUCE, 345);
   _actionMap[685][LOWER] = ActionEntry(REDUCE, 345);
   _actionMap[685][UPPER] = ActionEntry(REDUCE, 345);
   _actionMap[685][LEFT] = ActionEntry(REDUCE, 345);
   _actionMap[685][RIGHT] = ActionEntry(REDUCE, 345);
   _actionMap[685][GETPOS] = ActionEntry(REDUCE, 345);
   _actionMap[685][SUBSTR] = ActionEntry(REDUCE, 345);
   _actionMap[685][REPLACE] = ActionEntry(REDUCE, 345);
   _actionMap[685][LENGTH] = ActionEntry(REDUCE, 345);
   _actionMap[685][TRUNC] = ActionEntry(REDUCE, 345);
   _actionMap[685][STR2INT] = ActionEntry(REDUCE, 345);
   _actionMap[685][STR2LONG] = ActionEntry(REDUCE, 345);
   _actionMap[685][STR2DATE] = ActionEntry(REDUCE, 345);
   _actionMap[685][RANDSTR] = ActionEntry(REDUCE, 345);
   _actionMap[685][RANDINT] = ActionEntry(REDUCE, 345);
}
void Cego::loadParser60()
{
   _actionMap[685][MOD] = ActionEntry(REDUCE, 345);
   _actionMap[685][DIV] = ActionEntry(REDUCE, 345);
   _actionMap[685][POWER] = ActionEntry(REDUCE, 345);
   _actionMap[685][BITAND] = ActionEntry(REDUCE, 345);
   _actionMap[685][BITOR] = ActionEntry(REDUCE, 345);
   _actionMap[685][BITXOR] = ActionEntry(REDUCE, 345);
   _actionMap[685][BLOBSIZE] = ActionEntry(REDUCE, 345);
   _actionMap[685][CLOBSIZE] = ActionEntry(REDUCE, 345);
   _actionMap[685][CLOB2STR] = ActionEntry(REDUCE, 345);
   _actionMap[685][NEXTCOUNT] = ActionEntry(REDUCE, 345);
   _actionMap[685][SETCOUNT] = ActionEntry(REDUCE, 345);
   _actionMap[685][IDENTIFIER] = ActionEntry(REDUCE, 345);
   _actionMap[685][QUALIFIEDOBJ] = ActionEntry(REDUCE, 345);
   _actionMap[685][QUALIFIEDTS] = ActionEntry(REDUCE, 345);
   _actionMap[685][QUALIFIEDPRE] = ActionEntry(REDUCE, 345);
   _actionMap[685][STRINGVAL] = ActionEntry(REDUCE, 345);
   _actionMap[685][DATE] = ActionEntry(REDUCE, 345);
   _actionMap[685][SYSDATE] = ActionEntry(REDUCE, 345);
   _actionMap[685][NULLTOKEN] = ActionEntry(REDUCE, 345);
   _actionMap[685][TRUEVAL] = ActionEntry(REDUCE, 345);
   _actionMap[685][FALSEVAL] = ActionEntry(REDUCE, 345);
   _actionMap[685][BLOB] = ActionEntry(REDUCE, 345);
   _actionMap[685][CLOB] = ActionEntry(REDUCE, 345);
   _actionMap[685][FLOATVAL] = ActionEntry(REDUCE, 345);
   _actionMap[685][MINUS] = ActionEntry(REDUCE, 345);
   _actionMap[685][INTVAL] = ActionEntry(REDUCE, 345);
   _actionMap[686][THEN] = ActionEntry(REDUCE, 316);
   _actionMap[686][LEFT] = ActionEntry(REDUCE, 316);
   _actionMap[686][RIGHT] = ActionEntry(REDUCE, 316);
   _actionMap[686][INNER] = ActionEntry(REDUCE, 316);
   _actionMap[686][JOIN] = ActionEntry(REDUCE, 316);
   _actionMap[686][RETURNTOKEN] = ActionEntry(REDUCE, 316);
   _actionMap[686][SEMICOLON] = ActionEntry(REDUCE, 316);
   _actionMap[686][RB] = ActionEntry(REDUCE, 316);
   _actionMap[686][ENDTOKEN] = ActionEntry(REDUCE, 316);
   _actionMap[686][UNION] = ActionEntry(REDUCE, 316);
   _actionMap[686][ROWLIMIT] = ActionEntry(REDUCE, 316);
   _actionMap[686][ORDER] = ActionEntry(REDUCE, 316);
   _actionMap[686][GROUP] = ActionEntry(REDUCE, 316);
   _actionMap[686][WHERE] = ActionEntry(REDUCE, 316);
   _actionMap[686][OR] = ActionEntry(REDUCE, 316);
   _actionMap[686][AND] = ActionEntry(REDUCE, 316);
   _actionMap[687][THEN] = ActionEntry(REDUCE, 317);
   _actionMap[687][LEFT] = ActionEntry(REDUCE, 317);
   _actionMap[687][RIGHT] = ActionEntry(REDUCE, 317);
   _actionMap[687][INNER] = ActionEntry(REDUCE, 317);
   _actionMap[687][JOIN] = ActionEntry(REDUCE, 317);
   _actionMap[687][RETURNTOKEN] = ActionEntry(REDUCE, 317);
   _actionMap[687][SEMICOLON] = ActionEntry(REDUCE, 317);
   _actionMap[687][RB] = ActionEntry(REDUCE, 317);
}
void Cego::loadParser61()
{
   _actionMap[687][ENDTOKEN] = ActionEntry(REDUCE, 317);
   _actionMap[687][UNION] = ActionEntry(REDUCE, 317);
   _actionMap[687][ROWLIMIT] = ActionEntry(REDUCE, 317);
   _actionMap[687][ORDER] = ActionEntry(REDUCE, 317);
   _actionMap[687][GROUP] = ActionEntry(REDUCE, 317);
   _actionMap[687][WHERE] = ActionEntry(REDUCE, 317);
   _actionMap[687][OR] = ActionEntry(REDUCE, 317);
   _actionMap[687][AND] = ActionEntry(REDUCE, 317);
   _actionMap[688][PLUS] = ActionEntry(SHIFT, 234);
   _actionMap[688][MINUS] = ActionEntry(SHIFT, 233);
   _actionMap[688][CONCAT] = ActionEntry(SHIFT, 232);
   _actionMap[688][WHEN] = ActionEntry(REDUCE, 166);
   _actionMap[688][ELSE] = ActionEntry(REDUCE, 166);
   _actionMap[689][RB] = ActionEntry(SHIFT, 758);
   _actionMap[690][THEN] = ActionEntry(REDUCE, 328);
   _actionMap[690][LEFT] = ActionEntry(REDUCE, 328);
   _actionMap[690][RIGHT] = ActionEntry(REDUCE, 328);
   _actionMap[690][INNER] = ActionEntry(REDUCE, 328);
   _actionMap[690][JOIN] = ActionEntry(REDUCE, 328);
   _actionMap[690][RETURNTOKEN] = ActionEntry(REDUCE, 328);
   _actionMap[690][SEMICOLON] = ActionEntry(REDUCE, 328);
   _actionMap[690][RB] = ActionEntry(REDUCE, 328);
   _actionMap[690][ENDTOKEN] = ActionEntry(REDUCE, 328);
   _actionMap[690][UNION] = ActionEntry(REDUCE, 328);
   _actionMap[690][ROWLIMIT] = ActionEntry(REDUCE, 328);
   _actionMap[690][ORDER] = ActionEntry(REDUCE, 328);
   _actionMap[690][GROUP] = ActionEntry(REDUCE, 328);
   _actionMap[690][WHERE] = ActionEntry(REDUCE, 328);
   _actionMap[690][AND] = ActionEntry(REDUCE, 328);
   _actionMap[690][OR] = ActionEntry(REDUCE, 328);
   _actionMap[691][PLUS] = ActionEntry(SHIFT, 234);
   _actionMap[691][MINUS] = ActionEntry(SHIFT, 233);
   _actionMap[691][CONCAT] = ActionEntry(SHIFT, 232);
   _actionMap[691][KSEP] = ActionEntry(REDUCE, 311);
   _actionMap[691][RB] = ActionEntry(REDUCE, 311);
   _actionMap[692][RAB] = ActionEntry(SHIFT, 759);
   _actionMap[693][RAB] = ActionEntry(SHIFT, 760);
   _actionMap[694][RB] = ActionEntry(SHIFT, 761);
   _actionMap[695][RB] = ActionEntry(REDUCE, 375);
   _actionMap[696][RB] = ActionEntry(SHIFT, 763);
   _actionMap[696][KSEP] = ActionEntry(SHIFT, 762);
   _actionMap[697][KSEP] = ActionEntry(REDUCE, 169);
   _actionMap[697][RB] = ActionEntry(REDUCE, 169);
   _actionMap[698][RB] = ActionEntry(SHIFT, 764);
   _actionMap[698][PLUS] = ActionEntry(SHIFT, 234);
   _actionMap[698][MINUS] = ActionEntry(SHIFT, 233);
   _actionMap[698][CONCAT] = ActionEntry(SHIFT, 232);
   _actionMap[699][SEMICOLON] = ActionEntry(REDUCE, 239);
   _actionMap[699][RB] = ActionEntry(REDUCE, 239);
   _actionMap[699][ENDTOKEN] = ActionEntry(REDUCE, 239);
}
void Cego::loadParser62()
{
   _actionMap[699][UNION] = ActionEntry(REDUCE, 239);
   _actionMap[699][ROWLIMIT] = ActionEntry(REDUCE, 239);
   _actionMap[699][ORDER] = ActionEntry(SHIFT, 767);
   _jumpMap[699][NoOrdering] = 766;
   _jumpMap[699][OrderingClause] = 765;
   _actionMap[700][ORDER] = ActionEntry(REDUCE, 230);
   _actionMap[700][ROWLIMIT] = ActionEntry(REDUCE, 230);
   _actionMap[700][UNION] = ActionEntry(REDUCE, 230);
   _actionMap[700][ENDTOKEN] = ActionEntry(REDUCE, 230);
   _actionMap[700][RB] = ActionEntry(REDUCE, 230);
   _actionMap[700][SEMICOLON] = ActionEntry(REDUCE, 230);
   _actionMap[701][BY] = ActionEntry(SHIFT, 768);
   _actionMap[702][ON] = ActionEntry(SHIFT, 770);
   _jumpMap[702][JoinTableOn] = 769;
   _actionMap[703][IDENTIFIER] = ActionEntry(REDUCE, 219);
   _actionMap[703][QUALIFIEDOBJ] = ActionEntry(REDUCE, 219);
   _actionMap[703][QUALIFIEDTS] = ActionEntry(REDUCE, 219);
   _actionMap[704][JOIN] = ActionEntry(SHIFT, 771);
   _actionMap[705][JOIN] = ActionEntry(SHIFT, 772);
   _actionMap[706][RETURNTOKEN] = ActionEntry(REDUCE, 221);
   _actionMap[706][SEMICOLON] = ActionEntry(REDUCE, 221);
   _actionMap[706][RB] = ActionEntry(REDUCE, 221);
   _actionMap[706][ENDTOKEN] = ActionEntry(REDUCE, 221);
   _actionMap[706][UNION] = ActionEntry(REDUCE, 221);
   _actionMap[706][ROWLIMIT] = ActionEntry(REDUCE, 221);
   _actionMap[706][ORDER] = ActionEntry(REDUCE, 221);
   _actionMap[706][GROUP] = ActionEntry(REDUCE, 221);
   _actionMap[706][WHERE] = ActionEntry(REDUCE, 221);
   _actionMap[707][KSEP] = ActionEntry(SHIFT, 603);
   _actionMap[707][RETURNTOKEN] = ActionEntry(REDUCE, 222);
   _actionMap[707][SEMICOLON] = ActionEntry(REDUCE, 222);
   _actionMap[707][RB] = ActionEntry(REDUCE, 222);
   _actionMap[707][ENDTOKEN] = ActionEntry(REDUCE, 222);
   _actionMap[707][UNION] = ActionEntry(REDUCE, 222);
   _actionMap[707][ROWLIMIT] = ActionEntry(REDUCE, 222);
   _actionMap[707][ORDER] = ActionEntry(REDUCE, 222);
   _actionMap[707][GROUP] = ActionEntry(REDUCE, 222);
   _actionMap[707][WHERE] = ActionEntry(REDUCE, 222);
   _actionMap[708][SEMICOLON] = ActionEntry(REDUCE, 251);
   _actionMap[709][VARREF] = ActionEntry(SHIFT, 775);
   _jumpMap[709][ReturnVar] = 774;
   _jumpMap[709][ReturnVarList] = 773;
   _actionMap[710][KSEP] = ActionEntry(REDUCE, 252);
   _actionMap[710][WHERE] = ActionEntry(REDUCE, 252);
   _actionMap[710][GROUP] = ActionEntry(REDUCE, 252);
   _actionMap[710][ORDER] = ActionEntry(REDUCE, 252);
   _actionMap[710][ROWLIMIT] = ActionEntry(REDUCE, 252);
   _actionMap[710][UNION] = ActionEntry(REDUCE, 252);
   _actionMap[710][ENDTOKEN] = ActionEntry(REDUCE, 252);
   _actionMap[710][RB] = ActionEntry(REDUCE, 252);
}
void Cego::loadParser63()
{
   _actionMap[710][SEMICOLON] = ActionEntry(REDUCE, 252);
   _actionMap[710][RETURNTOKEN] = ActionEntry(REDUCE, 252);
   _actionMap[711][PLUS] = ActionEntry(SHIFT, 234);
   _actionMap[711][MINUS] = ActionEntry(SHIFT, 233);
   _actionMap[711][CONCAT] = ActionEntry(SHIFT, 232);
   _actionMap[711][KSEP] = ActionEntry(REDUCE, 254);
   _actionMap[711][WHERE] = ActionEntry(REDUCE, 254);
   _actionMap[711][GROUP] = ActionEntry(REDUCE, 254);
   _actionMap[711][ORDER] = ActionEntry(REDUCE, 254);
   _actionMap[711][ROWLIMIT] = ActionEntry(REDUCE, 254);
   _actionMap[711][UNION] = ActionEntry(REDUCE, 254);
   _actionMap[711][ENDTOKEN] = ActionEntry(REDUCE, 254);
   _actionMap[711][RB] = ActionEntry(REDUCE, 254);
   _actionMap[711][SEMICOLON] = ActionEntry(REDUCE, 254);
   _actionMap[711][RETURNTOKEN] = ActionEntry(REDUCE, 254);
   _actionMap[712][RB] = ActionEntry(SHIFT, 713);
   _actionMap[713][SEMICOLON] = ActionEntry(REDUCE, 55);
   _actionMap[467][DROP] = ActionEntry(SHIFT, 327);
   _actionMap[467][ADD] = ActionEntry(SHIFT, 613);
   _actionMap[467][MODIFY] = ActionEntry(SHIFT, 328);
   _actionMap[467][RENAME] = ActionEntry(SHIFT, 329);
   _jumpMap[467][AlterOption] = 325;
   _jumpMap[467][AlterList] = 612;
   _actionMap[468][IDENTIFIER] = ActionEntry(SHIFT, 614);
   _actionMap[469][IDENTIFIER] = ActionEntry(SHIFT, 508);
   _jumpMap[469][ColumnDesc] = 615;
   _actionMap[470][KEY] = ActionEntry(SHIFT, 616);
   _actionMap[471][IDENTIFIER] = ActionEntry(SHIFT, 617);
   _actionMap[472][IDENTIFIER] = ActionEntry(SHIFT, 508);
   _jumpMap[472][ColumnDesc] = 618;
   _actionMap[473][IDENTIFIER] = ActionEntry(SHIFT, 619);
   _actionMap[474][FOR] = ActionEntry(SHIFT, 620);
   _actionMap[475][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[475][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[475][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[475][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[475][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[475][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[475][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[475][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[475][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[475][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[475][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[475][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[475][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[475][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[475][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[475][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[475][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[475][LENGTH] = ActionEntry(SHIFT, 124);
}
void Cego::loadParser64()
{
   _actionMap[475][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[475][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[475][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[475][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[475][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[475][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[475][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[475][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[475][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[475][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[475][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[475][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[475][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[475][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[475][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[475][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[475][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[475][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[475][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[475][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[475][LB] = ActionEntry(SHIFT, 150);
   _actionMap[475][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[475][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[475][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[475][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[475][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[475][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[475][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[475][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[475][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[475][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[475][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[475][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[475][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[475][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[475][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[475][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[475][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[475][ObjSpec] = 102;
   _jumpMap[475][Constant] = 101;
   _jumpMap[475][SignedFloat] = 100;
   _jumpMap[475][SignedInt] = 99;
   _jumpMap[475][Attribute] = 98;
   _jumpMap[475][Function] = 97;
   _jumpMap[475][CasePrepare] = 96;
   _jumpMap[475][CaseClause] = 95;
   _jumpMap[475][Factor] = 94;
   _jumpMap[475][Term] = 93;
   _jumpMap[475][Expr] = 621;
   _actionMap[476][SEMICOLON] = ActionEntry(REDUCE, 83);
}
void Cego::loadParser65()
{
   _actionMap[477][ELSE] = ActionEntry(REDUCE, 92);
   _actionMap[477][ELSIF] = ActionEntry(REDUCE, 92);
   _actionMap[477][END_TOKEN] = ActionEntry(REDUCE, 92);
   _actionMap[477][EXCEPTION] = ActionEntry(SHIFT, 623);
   _jumpMap[477][ProcExceptionStmt] = 622;
   _actionMap[478][SEMICOLON] = ActionEntry(SHIFT, 624);
   _actionMap[479][END_TOKEN] = ActionEntry(SHIFT, 625);
   _actionMap[480][ELSE] = ActionEntry(SHIFT, 628);
   _actionMap[480][END_TOKEN] = ActionEntry(REDUCE, 129);
   _jumpMap[480][ProcElsePart] = 627;
   _jumpMap[480][ProcElseOpt] = 626;
   _actionMap[481][ELSIF] = ActionEntry(SHIFT, 482);
   _actionMap[481][END_TOKEN] = ActionEntry(REDUCE, 126);
   _actionMap[481][ELSE] = ActionEntry(REDUCE, 126);
   _jumpMap[481][ProcElsIfOpt] = 481;
   _jumpMap[481][ProcElsIfList] = 630;
   _actionMap[482][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[482][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[482][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[482][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[482][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[482][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[482][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[482][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[482][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[482][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[482][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[482][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[482][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[482][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[482][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[482][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[482][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[482][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[482][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[482][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[482][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[482][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[482][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[482][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[482][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[482][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[482][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[482][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[482][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[482][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[482][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[482][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[482][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[482][NEXTCOUNT] = ActionEntry(SHIFT, 130);
}
void Cego::loadParser66()
{
   _actionMap[482][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[482][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[482][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[482][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[482][LB] = ActionEntry(SHIFT, 490);
   _actionMap[482][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[482][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[482][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[482][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[482][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[482][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[482][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[482][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[482][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[482][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[482][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[482][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[482][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[482][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[482][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[482][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[482][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[482][ObjSpec] = 102;
   _jumpMap[482][Constant] = 101;
   _jumpMap[482][SignedFloat] = 100;
   _jumpMap[482][SignedInt] = 99;
   _jumpMap[482][Attribute] = 98;
   _jumpMap[482][Function] = 97;
   _jumpMap[482][CasePrepare] = 96;
   _jumpMap[482][CaseClause] = 95;
   _jumpMap[482][Factor] = 94;
   _jumpMap[482][Term] = 93;
   _jumpMap[482][Expr] = 489;
   _jumpMap[482][ProcPredicate] = 488;
   _jumpMap[482][ProcCondition] = 632;
   _jumpMap[482][ProcElsIfCondition] = 631;
   _actionMap[483][EXCEPTION] = ActionEntry(REDUCE, 94);
   _actionMap[483][END_TOKEN] = ActionEntry(REDUCE, 94);
   _actionMap[483][ELSE] = ActionEntry(REDUCE, 94);
   _actionMap[483][ELSIF] = ActionEntry(REDUCE, 94);
   _actionMap[483][VAR] = ActionEntry(REDUCE, 94);
   _actionMap[483][CURSOR] = ActionEntry(REDUCE, 94);
   _actionMap[483][CLOSE] = ActionEntry(REDUCE, 94);
   _actionMap[483][VARREF] = ActionEntry(REDUCE, 94);
   _actionMap[483][NOOP] = ActionEntry(REDUCE, 94);
   _actionMap[483][THROW] = ActionEntry(REDUCE, 94);
   _actionMap[483][RETURNTOKEN] = ActionEntry(REDUCE, 94);
   _actionMap[483][WHILE] = ActionEntry(REDUCE, 94);
   _actionMap[483][IF] = ActionEntry(REDUCE, 94);
   _actionMap[483][BEGIN] = ActionEntry(REDUCE, 94);
}
void Cego::loadParser67()
{
   _actionMap[483][ROLLBACK] = ActionEntry(REDUCE, 94);
   _actionMap[483][COMMIT] = ActionEntry(REDUCE, 94);
   _actionMap[483][START_TOKEN] = ActionEntry(REDUCE, 94);
   _actionMap[483][UPDATE] = ActionEntry(REDUCE, 94);
   _actionMap[483][DELETETOK] = ActionEntry(REDUCE, 94);
   _actionMap[483][INSERT] = ActionEntry(REDUCE, 94);
   _actionMap[483][FETCH] = ActionEntry(REDUCE, 94);
   _actionMap[483][LB] = ActionEntry(REDUCE, 94);
   _actionMap[483][COUNT] = ActionEntry(REDUCE, 94);
   _actionMap[483][SUM] = ActionEntry(REDUCE, 94);
   _actionMap[483][AVG] = ActionEntry(REDUCE, 94);
   _actionMap[483][MIN] = ActionEntry(REDUCE, 94);
   _actionMap[483][MAX] = ActionEntry(REDUCE, 94);
   _actionMap[483][CASE] = ActionEntry(REDUCE, 94);
   _actionMap[483][TRIM] = ActionEntry(REDUCE, 94);
   _actionMap[483][RTRIM] = ActionEntry(REDUCE, 94);
   _actionMap[483][LTRIM] = ActionEntry(REDUCE, 94);
   _actionMap[483][ROUND] = ActionEntry(REDUCE, 94);
   _actionMap[483][DATE2STR] = ActionEntry(REDUCE, 94);
   _actionMap[483][DATE2INT] = ActionEntry(REDUCE, 94);
   _actionMap[483][INT2DATE] = ActionEntry(REDUCE, 94);
   _actionMap[483][LOWER] = ActionEntry(REDUCE, 94);
   _actionMap[483][UPPER] = ActionEntry(REDUCE, 94);
   _actionMap[483][LEFT] = ActionEntry(REDUCE, 94);
   _actionMap[483][RIGHT] = ActionEntry(REDUCE, 94);
   _actionMap[483][GETPOS] = ActionEntry(REDUCE, 94);
   _actionMap[483][SUBSTR] = ActionEntry(REDUCE, 94);
   _actionMap[483][REPLACE] = ActionEntry(REDUCE, 94);
   _actionMap[483][LENGTH] = ActionEntry(REDUCE, 94);
   _actionMap[483][TRUNC] = ActionEntry(REDUCE, 94);
   _actionMap[483][STR2INT] = ActionEntry(REDUCE, 94);
   _actionMap[483][STR2LONG] = ActionEntry(REDUCE, 94);
   _actionMap[483][STR2DATE] = ActionEntry(REDUCE, 94);
   _actionMap[483][RANDSTR] = ActionEntry(REDUCE, 94);
   _actionMap[483][RANDINT] = ActionEntry(REDUCE, 94);
   _actionMap[483][MOD] = ActionEntry(REDUCE, 94);
   _actionMap[483][DIV] = ActionEntry(REDUCE, 94);
   _actionMap[483][POWER] = ActionEntry(REDUCE, 94);
   _actionMap[483][BITAND] = ActionEntry(REDUCE, 94);
   _actionMap[483][BITOR] = ActionEntry(REDUCE, 94);
   _actionMap[483][BITXOR] = ActionEntry(REDUCE, 94);
   _actionMap[483][BLOBSIZE] = ActionEntry(REDUCE, 94);
   _actionMap[483][CLOBSIZE] = ActionEntry(REDUCE, 94);
   _actionMap[483][CLOB2STR] = ActionEntry(REDUCE, 94);
   _actionMap[483][NEXTCOUNT] = ActionEntry(REDUCE, 94);
   _actionMap[483][SETCOUNT] = ActionEntry(REDUCE, 94);
   _actionMap[483][IDENTIFIER] = ActionEntry(REDUCE, 94);
   _actionMap[483][QUALIFIEDOBJ] = ActionEntry(REDUCE, 94);
   _actionMap[483][QUALIFIEDTS] = ActionEntry(REDUCE, 94);
   _actionMap[483][QUALIFIEDPRE] = ActionEntry(REDUCE, 94);
}
void Cego::loadParser68()
{
   _actionMap[483][STRINGVAL] = ActionEntry(REDUCE, 94);
   _actionMap[483][DATE] = ActionEntry(REDUCE, 94);
   _actionMap[483][SYSDATE] = ActionEntry(REDUCE, 94);
   _actionMap[483][NULLTOKEN] = ActionEntry(REDUCE, 94);
   _actionMap[483][TRUEVAL] = ActionEntry(REDUCE, 94);
   _actionMap[483][FALSEVAL] = ActionEntry(REDUCE, 94);
   _actionMap[483][BLOB] = ActionEntry(REDUCE, 94);
   _actionMap[483][CLOB] = ActionEntry(REDUCE, 94);
   _actionMap[483][FLOATVAL] = ActionEntry(REDUCE, 94);
   _actionMap[483][MINUS] = ActionEntry(REDUCE, 94);
   _actionMap[483][INTVAL] = ActionEntry(REDUCE, 94);
   _actionMap[484][SEMICOLON] = ActionEntry(REDUCE, 97);
   _actionMap[485][AS] = ActionEntry(SHIFT, 633);
   _actionMap[486][THEN] = ActionEntry(SHIFT, 634);
   _actionMap[487][OR] = ActionEntry(SHIFT, 636);
   _actionMap[487][AND] = ActionEntry(SHIFT, 635);
   _actionMap[487][THEN] = ActionEntry(REDUCE, 131);
   _actionMap[488][BEGIN] = ActionEntry(REDUCE, 137);
   _actionMap[488][RB] = ActionEntry(REDUCE, 137);
   _actionMap[488][AND] = ActionEntry(REDUCE, 137);
   _actionMap[488][OR] = ActionEntry(REDUCE, 137);
   _actionMap[488][THEN] = ActionEntry(REDUCE, 137);
   _actionMap[489][IS] = ActionEntry(SHIFT, 638);
   _actionMap[489][PLUS] = ActionEntry(SHIFT, 234);
   _actionMap[489][MINUS] = ActionEntry(SHIFT, 233);
   _actionMap[489][CONCAT] = ActionEntry(SHIFT, 232);
   _actionMap[489][EQU] = ActionEntry(SHIFT, 524);
   _actionMap[489][NEGATION] = ActionEntry(SHIFT, 527);
   _actionMap[489][LT] = ActionEntry(SHIFT, 525);
   _actionMap[489][MT] = ActionEntry(SHIFT, 526);
   _jumpMap[489][Comparison] = 637;
   _actionMap[490][LONG] = ActionEntry(SHIFT, 288);
   _actionMap[490][BIGINT] = ActionEntry(SHIFT, 284);
   _actionMap[490][SMALLINT] = ActionEntry(SHIFT, 289);
   _actionMap[490][TINYINT] = ActionEntry(SHIFT, 290);
   _actionMap[490][DOUBLE] = ActionEntry(SHIFT, 286);
   _actionMap[490][DECIMAL] = ActionEntry(SHIFT, 285);
   _actionMap[490][FIXED] = ActionEntry(SHIFT, 287);
   _actionMap[490][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[490][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[490][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[490][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[490][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[490][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[490][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[490][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[490][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[490][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[490][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[490][UPPER] = ActionEntry(SHIFT, 149);
}
void Cego::loadParser69()
{
   _actionMap[490][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[490][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[490][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[490][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[490][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[490][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[490][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[490][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[490][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[490][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[490][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[490][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[490][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[490][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[490][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[490][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[490][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[490][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[490][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[490][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[490][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[490][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[490][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[490][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[490][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[490][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[490][LB] = ActionEntry(SHIFT, 490);
   _actionMap[490][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[490][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[490][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[490][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[490][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[490][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[490][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[490][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[490][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[490][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[490][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[490][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[490][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[490][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[490][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[490][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[490][MAX] = ActionEntry(SHIFT, 128);
   _actionMap[490][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[490][ObjSpec] = 102;
   _jumpMap[490][Constant] = 101;
   _jumpMap[490][SignedFloat] = 100;
   _jumpMap[490][SignedInt] = 99;
   _jumpMap[490][Attribute] = 98;
}
void Cego::loadParser70()
{
   _jumpMap[490][Function] = 97;
   _jumpMap[490][SelectStatement] = 283;
   _jumpMap[490][CasePrepare] = 96;
   _jumpMap[490][CaseClause] = 95;
   _jumpMap[490][Factor] = 94;
   _jumpMap[490][Term] = 93;
   _jumpMap[490][Expr] = 640;
   _jumpMap[490][ProcPredicate] = 488;
   _jumpMap[490][ProcCondition] = 639;
   _actionMap[491][PLUS] = ActionEntry(SHIFT, 234);
   _actionMap[491][MINUS] = ActionEntry(SHIFT, 233);
   _actionMap[491][CONCAT] = ActionEntry(SHIFT, 232);
   _actionMap[491][SEMICOLON] = ActionEntry(REDUCE, 112);
   _actionMap[492][PLUS] = ActionEntry(SHIFT, 234);
   _actionMap[492][MINUS] = ActionEntry(SHIFT, 233);
   _actionMap[492][CONCAT] = ActionEntry(SHIFT, 232);
   _actionMap[492][SEMICOLON] = ActionEntry(REDUCE, 104);
   _actionMap[493][INT] = ActionEntry(SHIFT, 651);
   _actionMap[493][LONG] = ActionEntry(SHIFT, 652);
   _actionMap[493][STRING] = ActionEntry(SHIFT, 654);
   _actionMap[493][DATETIME] = ActionEntry(SHIFT, 646);
   _actionMap[493][BOOL] = ActionEntry(SHIFT, 644);
   _actionMap[493][BIGINT] = ActionEntry(SHIFT, 642);
   _actionMap[493][FLOAT] = ActionEntry(SHIFT, 650);
   _actionMap[493][DOUBLE] = ActionEntry(SHIFT, 648);
   _actionMap[493][SMALLINT] = ActionEntry(SHIFT, 653);
   _actionMap[493][TINYINT] = ActionEntry(SHIFT, 655);
   _actionMap[493][DECIMAL] = ActionEntry(SHIFT, 647);
   _actionMap[493][FIXED] = ActionEntry(SHIFT, 649);
   _actionMap[493][BLOB] = ActionEntry(SHIFT, 643);
   _actionMap[493][CLOB] = ActionEntry(SHIFT, 645);
   _jumpMap[493][DataTypeProd] = 641;
   _actionMap[494][BEGIN] = ActionEntry(SHIFT, 656);
   _actionMap[495][OR] = ActionEntry(SHIFT, 636);
   _actionMap[495][AND] = ActionEntry(SHIFT, 635);
   _actionMap[495][BEGIN] = ActionEntry(REDUCE, 134);
   _actionMap[496][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[496][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[496][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[496][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[496][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[496][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[496][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[496][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[496][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[496][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[496][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[496][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[496][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[496][RIGHT] = ActionEntry(SHIFT, 136);
}
void Cego::loadParser71()
{
   _actionMap[496][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[496][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[496][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[496][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[496][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[496][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[496][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[496][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[496][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[496][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[496][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[496][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[496][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[496][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[496][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[496][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[496][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[496][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[496][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[496][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[496][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[496][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[496][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[496][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[496][LB] = ActionEntry(SHIFT, 150);
   _actionMap[496][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[496][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[496][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[496][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[496][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[496][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[496][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[496][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[496][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[496][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[496][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[496][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[496][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[496][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[496][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[496][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[496][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[496][ObjSpec] = 102;
   _jumpMap[496][Constant] = 101;
   _jumpMap[496][SignedFloat] = 100;
   _jumpMap[496][SignedInt] = 99;
   _jumpMap[496][Attribute] = 98;
   _jumpMap[496][Function] = 97;
   _jumpMap[496][CasePrepare] = 96;
   _jumpMap[496][CaseClause] = 95;
}
void Cego::loadParser72()
{
   _jumpMap[496][Factor] = 94;
   _jumpMap[496][Term] = 93;
   _jumpMap[496][Expr] = 657;
   _actionMap[497][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[497][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[497][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[497][ObjSpec] = 658;
   _actionMap[498][LB] = ActionEntry(SHIFT, 659);
   _actionMap[499][RB] = ActionEntry(SHIFT, 502);
   _actionMap[500][KSEP] = ActionEntry(SHIFT, 660);
   _actionMap[500][RB] = ActionEntry(REDUCE, 86);
   _actionMap[501][KSEP] = ActionEntry(REDUCE, 89);
   _actionMap[501][RB] = ActionEntry(REDUCE, 89);
   _actionMap[502][RETURNTOKEN] = ActionEntry(SHIFT, 662);
   _actionMap[502][BEGIN] = ActionEntry(REDUCE, 85);
   _jumpMap[502][ReturnOpt] = 661;
   _actionMap[503][INTOK] = ActionEntry(SHIFT, 663);
   _actionMap[503][OUTTOK] = ActionEntry(SHIFT, 664);
   _actionMap[504][RB] = ActionEntry(SHIFT, 666);
   _actionMap[504][KSEP] = ActionEntry(SHIFT, 665);
   _actionMap[505][KSEP] = ActionEntry(REDUCE, 171);
   _actionMap[505][RB] = ActionEntry(REDUCE, 171);
   _actionMap[506][KSEP] = ActionEntry(REDUCE, 173);
   _actionMap[506][RB] = ActionEntry(REDUCE, 173);
   _actionMap[507][IDENTIFIER] = ActionEntry(SHIFT, 508);
   _jumpMap[507][ColumnDesc] = 667;
   _actionMap[508][INT] = ActionEntry(SHIFT, 651);
   _actionMap[508][LONG] = ActionEntry(SHIFT, 652);
   _actionMap[508][STRING] = ActionEntry(SHIFT, 654);
   _actionMap[508][DATETIME] = ActionEntry(SHIFT, 646);
   _actionMap[508][BOOL] = ActionEntry(SHIFT, 644);
   _actionMap[508][BIGINT] = ActionEntry(SHIFT, 642);
   _actionMap[508][FLOAT] = ActionEntry(SHIFT, 650);
   _actionMap[508][DOUBLE] = ActionEntry(SHIFT, 648);
   _actionMap[508][SMALLINT] = ActionEntry(SHIFT, 653);
   _actionMap[508][TINYINT] = ActionEntry(SHIFT, 655);
   _actionMap[508][DECIMAL] = ActionEntry(SHIFT, 647);
   _actionMap[508][FIXED] = ActionEntry(SHIFT, 649);
   _actionMap[508][BLOB] = ActionEntry(SHIFT, 643);
   _actionMap[508][CLOB] = ActionEntry(SHIFT, 645);
   _jumpMap[508][DataTypeProd] = 668;
   _actionMap[509][SEMICOLON] = ActionEntry(REDUCE, 50);
   _actionMap[510][AND] = ActionEntry(SHIFT, 528);
   _actionMap[510][OR] = ActionEntry(SHIFT, 529);
   _actionMap[510][RETURNTOKEN] = ActionEntry(REDUCE, 313);
   _actionMap[510][GROUP] = ActionEntry(REDUCE, 313);
   _actionMap[510][ORDER] = ActionEntry(REDUCE, 313);
   _actionMap[510][ROWLIMIT] = ActionEntry(REDUCE, 313);
   _actionMap[510][UNION] = ActionEntry(REDUCE, 313);
   _actionMap[510][ENDTOKEN] = ActionEntry(REDUCE, 313);
}
void Cego::loadParser73()
{
   _actionMap[510][RB] = ActionEntry(REDUCE, 313);
   _actionMap[510][SEMICOLON] = ActionEntry(REDUCE, 313);
   _actionMap[511][KSEP] = ActionEntry(SHIFT, 669);
   _actionMap[511][SEMICOLON] = ActionEntry(REDUCE, 194);
   _actionMap[512][SEMICOLON] = ActionEntry(REDUCE, 200);
   _actionMap[512][KSEP] = ActionEntry(REDUCE, 200);
   _actionMap[513][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[513][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[513][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[513][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[513][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[513][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[513][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[513][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[513][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[513][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[513][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[513][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[513][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[513][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[513][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[513][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[513][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[513][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[513][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[513][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[513][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[513][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[513][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[513][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[513][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[513][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[513][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[513][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[513][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[513][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[513][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[513][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[513][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[513][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[513][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[513][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[513][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[513][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[513][LB] = ActionEntry(SHIFT, 150);
   _actionMap[513][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[513][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[513][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[513][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[513][TRUEVAL] = ActionEntry(SHIFT, 147);
}
void Cego::loadParser74()
{
   _actionMap[513][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[513][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[513][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[513][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[513][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[513][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[513][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[513][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[513][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[513][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[513][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[513][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[513][ObjSpec] = 102;
   _jumpMap[513][Constant] = 101;
   _jumpMap[513][SignedFloat] = 100;
   _jumpMap[513][SignedInt] = 99;
   _jumpMap[513][Attribute] = 98;
   _jumpMap[513][Function] = 97;
   _jumpMap[513][InsertValueList] = 671;
   _jumpMap[513][CasePrepare] = 96;
   _jumpMap[513][CaseClause] = 95;
   _jumpMap[513][Factor] = 94;
   _jumpMap[513][Term] = 93;
   _jumpMap[513][Expr] = 670;
   _actionMap[514][RB] = ActionEntry(SHIFT, 673);
   _actionMap[514][KSEP] = ActionEntry(SHIFT, 672);
   _actionMap[515][KSEP] = ActionEntry(REDUCE, 203);
   _actionMap[515][RB] = ActionEntry(REDUCE, 203);
   _actionMap[516][SEMICOLON] = ActionEntry(REDUCE, 51);
   _actionMap[517][END_TOKEN] = ActionEntry(SHIFT, 674);
   _actionMap[517][PLUS] = ActionEntry(SHIFT, 234);
   _actionMap[517][MINUS] = ActionEntry(SHIFT, 233);
   _actionMap[517][CONCAT] = ActionEntry(SHIFT, 232);
   _actionMap[518][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[518][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[518][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[518][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[518][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[518][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[518][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[518][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[518][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[518][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[518][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[518][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[518][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[518][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[518][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[518][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[518][REPLACE] = ActionEntry(SHIFT, 135);
}
void Cego::loadParser75()
{
   _actionMap[518][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[518][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[518][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[518][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[518][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[518][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[518][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[518][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[518][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[518][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[518][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[518][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[518][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[518][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[518][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[518][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[518][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[518][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[518][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[518][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[518][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[518][LB] = ActionEntry(SHIFT, 150);
   _actionMap[518][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[518][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[518][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[518][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[518][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[518][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[518][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[518][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[518][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[518][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[518][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[518][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[518][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[518][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[518][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[518][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[518][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[518][ObjSpec] = 102;
   _jumpMap[518][Constant] = 101;
   _jumpMap[518][SignedFloat] = 100;
   _jumpMap[518][SignedInt] = 99;
   _jumpMap[518][Attribute] = 98;
   _jumpMap[518][Function] = 97;
   _jumpMap[518][CasePrepare] = 96;
   _jumpMap[518][CaseClause] = 95;
   _jumpMap[518][Factor] = 94;
   _jumpMap[518][Term] = 93;
   _jumpMap[518][Expr] = 675;
}
void Cego::loadParser76()
{
   _actionMap[519][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[519][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[519][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[519][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[519][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[519][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[519][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[519][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[519][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[519][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[519][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[519][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[519][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[519][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[519][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[519][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[519][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[519][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[519][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[519][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[519][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[519][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[519][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[519][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[519][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[519][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[519][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[519][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[519][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[519][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[519][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[519][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[519][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[519][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[519][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[519][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[519][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[519][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[519][LB] = ActionEntry(SHIFT, 150);
   _actionMap[519][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[519][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[519][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[519][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[519][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[519][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[519][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[519][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[519][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[519][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[519][VARREF] = ActionEntry(SHIFT, 155);
}
void Cego::loadParser77()
{
   _actionMap[519][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[519][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[519][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[519][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[519][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[519][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[519][ObjSpec] = 102;
   _jumpMap[519][Constant] = 101;
   _jumpMap[519][SignedFloat] = 100;
   _jumpMap[519][SignedInt] = 99;
   _jumpMap[519][Attribute] = 98;
   _jumpMap[519][Function] = 97;
   _jumpMap[519][CasePrepare] = 96;
   _jumpMap[519][CaseClause] = 95;
   _jumpMap[519][Factor] = 94;
   _jumpMap[519][Term] = 93;
   _jumpMap[519][Expr] = 676;
   _actionMap[520][LB] = ActionEntry(SHIFT, 677);
   _actionMap[521][NOT] = ActionEntry(SHIFT, 678);
   _actionMap[521][NULLTOKEN] = ActionEntry(SHIFT, 679);
   _actionMap[522][STRINGVAL] = ActionEntry(SHIFT, 680);
   _actionMap[523][LIKE] = ActionEntry(SHIFT, 682);
   _actionMap[523][INTOK] = ActionEntry(SHIFT, 681);
   _actionMap[524][VARREF] = ActionEntry(REDUCE, 344);
   _actionMap[524][FETCH] = ActionEntry(REDUCE, 344);
   _actionMap[524][LB] = ActionEntry(REDUCE, 344);
   _actionMap[524][COUNT] = ActionEntry(REDUCE, 344);
   _actionMap[524][SUM] = ActionEntry(REDUCE, 344);
   _actionMap[524][AVG] = ActionEntry(REDUCE, 344);
   _actionMap[524][MIN] = ActionEntry(REDUCE, 344);
   _actionMap[524][MAX] = ActionEntry(REDUCE, 344);
   _actionMap[524][CASE] = ActionEntry(REDUCE, 344);
   _actionMap[524][TRIM] = ActionEntry(REDUCE, 344);
   _actionMap[524][RTRIM] = ActionEntry(REDUCE, 344);
   _actionMap[524][LTRIM] = ActionEntry(REDUCE, 344);
   _actionMap[524][ROUND] = ActionEntry(REDUCE, 344);
   _actionMap[524][DATE2STR] = ActionEntry(REDUCE, 344);
   _actionMap[524][DATE2INT] = ActionEntry(REDUCE, 344);
   _actionMap[524][INT2DATE] = ActionEntry(REDUCE, 344);
   _actionMap[524][LOWER] = ActionEntry(REDUCE, 344);
   _actionMap[524][UPPER] = ActionEntry(REDUCE, 344);
   _actionMap[524][LEFT] = ActionEntry(REDUCE, 344);
   _actionMap[524][RIGHT] = ActionEntry(REDUCE, 344);
   _actionMap[524][GETPOS] = ActionEntry(REDUCE, 344);
   _actionMap[524][SUBSTR] = ActionEntry(REDUCE, 344);
   _actionMap[524][REPLACE] = ActionEntry(REDUCE, 344);
   _actionMap[524][LENGTH] = ActionEntry(REDUCE, 344);
   _actionMap[524][TRUNC] = ActionEntry(REDUCE, 344);
   _actionMap[524][STR2INT] = ActionEntry(REDUCE, 344);
   _actionMap[524][STR2LONG] = ActionEntry(REDUCE, 344);
}
void Cego::loadParser78()
{
   _actionMap[524][STR2DATE] = ActionEntry(REDUCE, 344);
   _actionMap[524][RANDSTR] = ActionEntry(REDUCE, 344);
   _actionMap[524][RANDINT] = ActionEntry(REDUCE, 344);
   _actionMap[524][MOD] = ActionEntry(REDUCE, 344);
   _actionMap[524][DIV] = ActionEntry(REDUCE, 344);
   _actionMap[524][POWER] = ActionEntry(REDUCE, 344);
   _actionMap[524][BITAND] = ActionEntry(REDUCE, 344);
   _actionMap[524][BITOR] = ActionEntry(REDUCE, 344);
   _actionMap[524][BITXOR] = ActionEntry(REDUCE, 344);
   _actionMap[524][BLOBSIZE] = ActionEntry(REDUCE, 344);
   _actionMap[524][CLOBSIZE] = ActionEntry(REDUCE, 344);
   _actionMap[524][CLOB2STR] = ActionEntry(REDUCE, 344);
   _actionMap[524][NEXTCOUNT] = ActionEntry(REDUCE, 344);
   _actionMap[524][SETCOUNT] = ActionEntry(REDUCE, 344);
   _actionMap[524][IDENTIFIER] = ActionEntry(REDUCE, 344);
   _actionMap[524][QUALIFIEDOBJ] = ActionEntry(REDUCE, 344);
   _actionMap[524][QUALIFIEDTS] = ActionEntry(REDUCE, 344);
   _actionMap[524][QUALIFIEDPRE] = ActionEntry(REDUCE, 344);
   _actionMap[524][STRINGVAL] = ActionEntry(REDUCE, 344);
   _actionMap[524][DATE] = ActionEntry(REDUCE, 344);
   _actionMap[524][SYSDATE] = ActionEntry(REDUCE, 344);
   _actionMap[524][NULLTOKEN] = ActionEntry(REDUCE, 344);
   _actionMap[524][TRUEVAL] = ActionEntry(REDUCE, 344);
   _actionMap[524][FALSEVAL] = ActionEntry(REDUCE, 344);
   _actionMap[524][BLOB] = ActionEntry(REDUCE, 344);
   _actionMap[524][CLOB] = ActionEntry(REDUCE, 344);
   _actionMap[524][FLOATVAL] = ActionEntry(REDUCE, 344);
   _actionMap[524][MINUS] = ActionEntry(REDUCE, 344);
   _actionMap[524][INTVAL] = ActionEntry(REDUCE, 344);
   _actionMap[525][VARREF] = ActionEntry(REDUCE, 346);
   _actionMap[525][FETCH] = ActionEntry(REDUCE, 346);
   _actionMap[525][LB] = ActionEntry(REDUCE, 346);
   _actionMap[525][COUNT] = ActionEntry(REDUCE, 346);
   _actionMap[525][SUM] = ActionEntry(REDUCE, 346);
   _actionMap[525][AVG] = ActionEntry(REDUCE, 346);
   _actionMap[525][MIN] = ActionEntry(REDUCE, 346);
   _actionMap[525][MAX] = ActionEntry(REDUCE, 346);
   _actionMap[525][CASE] = ActionEntry(REDUCE, 346);
   _actionMap[525][TRIM] = ActionEntry(REDUCE, 346);
   _actionMap[525][RTRIM] = ActionEntry(REDUCE, 346);
   _actionMap[525][LTRIM] = ActionEntry(REDUCE, 346);
   _actionMap[525][ROUND] = ActionEntry(REDUCE, 346);
   _actionMap[525][DATE2STR] = ActionEntry(REDUCE, 346);
   _actionMap[525][DATE2INT] = ActionEntry(REDUCE, 346);
   _actionMap[525][INT2DATE] = ActionEntry(REDUCE, 346);
   _actionMap[525][LOWER] = ActionEntry(REDUCE, 346);
   _actionMap[525][UPPER] = ActionEntry(REDUCE, 346);
   _actionMap[525][LEFT] = ActionEntry(REDUCE, 346);
   _actionMap[525][RIGHT] = ActionEntry(REDUCE, 346);
   _actionMap[525][GETPOS] = ActionEntry(REDUCE, 346);
}
void Cego::loadParser79()
{
   _actionMap[525][SUBSTR] = ActionEntry(REDUCE, 346);
   _actionMap[525][REPLACE] = ActionEntry(REDUCE, 346);
   _actionMap[525][LENGTH] = ActionEntry(REDUCE, 346);
   _actionMap[525][TRUNC] = ActionEntry(REDUCE, 346);
   _actionMap[525][STR2INT] = ActionEntry(REDUCE, 346);
   _actionMap[525][STR2LONG] = ActionEntry(REDUCE, 346);
   _actionMap[525][STR2DATE] = ActionEntry(REDUCE, 346);
   _actionMap[525][RANDSTR] = ActionEntry(REDUCE, 346);
   _actionMap[525][RANDINT] = ActionEntry(REDUCE, 346);
   _actionMap[525][MOD] = ActionEntry(REDUCE, 346);
   _actionMap[525][DIV] = ActionEntry(REDUCE, 346);
   _actionMap[525][POWER] = ActionEntry(REDUCE, 346);
   _actionMap[525][BITAND] = ActionEntry(REDUCE, 346);
   _actionMap[525][BITOR] = ActionEntry(REDUCE, 346);
   _actionMap[525][BITXOR] = ActionEntry(REDUCE, 346);
   _actionMap[525][BLOBSIZE] = ActionEntry(REDUCE, 346);
   _actionMap[525][CLOBSIZE] = ActionEntry(REDUCE, 346);
   _actionMap[525][CLOB2STR] = ActionEntry(REDUCE, 346);
   _actionMap[525][NEXTCOUNT] = ActionEntry(REDUCE, 346);
   _actionMap[525][SETCOUNT] = ActionEntry(REDUCE, 346);
   _actionMap[525][IDENTIFIER] = ActionEntry(REDUCE, 346);
   _actionMap[525][QUALIFIEDOBJ] = ActionEntry(REDUCE, 346);
   _actionMap[525][QUALIFIEDTS] = ActionEntry(REDUCE, 346);
   _actionMap[525][QUALIFIEDPRE] = ActionEntry(REDUCE, 346);
   _actionMap[525][STRINGVAL] = ActionEntry(REDUCE, 346);
   _actionMap[525][DATE] = ActionEntry(REDUCE, 346);
   _actionMap[525][SYSDATE] = ActionEntry(REDUCE, 346);
   _actionMap[525][NULLTOKEN] = ActionEntry(REDUCE, 346);
   _actionMap[525][TRUEVAL] = ActionEntry(REDUCE, 346);
   _actionMap[525][FALSEVAL] = ActionEntry(REDUCE, 346);
   _actionMap[525][BLOB] = ActionEntry(REDUCE, 346);
   _actionMap[525][CLOB] = ActionEntry(REDUCE, 346);
   _actionMap[525][FLOATVAL] = ActionEntry(REDUCE, 346);
   _actionMap[525][MINUS] = ActionEntry(REDUCE, 346);
   _actionMap[525][INTVAL] = ActionEntry(REDUCE, 346);
   _actionMap[525][EQU] = ActionEntry(SHIFT, 683);
   _actionMap[526][VARREF] = ActionEntry(REDUCE, 347);
   _actionMap[526][FETCH] = ActionEntry(REDUCE, 347);
   _actionMap[526][LB] = ActionEntry(REDUCE, 347);
   _actionMap[526][COUNT] = ActionEntry(REDUCE, 347);
   _actionMap[526][SUM] = ActionEntry(REDUCE, 347);
   _actionMap[526][AVG] = ActionEntry(REDUCE, 347);
   _actionMap[526][MIN] = ActionEntry(REDUCE, 347);
   _actionMap[526][MAX] = ActionEntry(REDUCE, 347);
   _actionMap[526][CASE] = ActionEntry(REDUCE, 347);
   _actionMap[526][TRIM] = ActionEntry(REDUCE, 347);
   _actionMap[526][RTRIM] = ActionEntry(REDUCE, 347);
   _actionMap[526][LTRIM] = ActionEntry(REDUCE, 347);
   _actionMap[526][ROUND] = ActionEntry(REDUCE, 347);
   _actionMap[526][DATE2STR] = ActionEntry(REDUCE, 347);
}
void Cego::loadParser80()
{
   _actionMap[526][DATE2INT] = ActionEntry(REDUCE, 347);
   _actionMap[526][INT2DATE] = ActionEntry(REDUCE, 347);
   _actionMap[526][LOWER] = ActionEntry(REDUCE, 347);
   _actionMap[526][UPPER] = ActionEntry(REDUCE, 347);
   _actionMap[526][LEFT] = ActionEntry(REDUCE, 347);
   _actionMap[526][RIGHT] = ActionEntry(REDUCE, 347);
   _actionMap[526][GETPOS] = ActionEntry(REDUCE, 347);
   _actionMap[526][SUBSTR] = ActionEntry(REDUCE, 347);
   _actionMap[526][REPLACE] = ActionEntry(REDUCE, 347);
   _actionMap[526][LENGTH] = ActionEntry(REDUCE, 347);
   _actionMap[526][TRUNC] = ActionEntry(REDUCE, 347);
   _actionMap[526][STR2INT] = ActionEntry(REDUCE, 347);
   _actionMap[526][STR2LONG] = ActionEntry(REDUCE, 347);
   _actionMap[526][STR2DATE] = ActionEntry(REDUCE, 347);
   _actionMap[526][RANDSTR] = ActionEntry(REDUCE, 347);
   _actionMap[526][RANDINT] = ActionEntry(REDUCE, 347);
   _actionMap[526][MOD] = ActionEntry(REDUCE, 347);
   _actionMap[526][DIV] = ActionEntry(REDUCE, 347);
   _actionMap[526][POWER] = ActionEntry(REDUCE, 347);
   _actionMap[526][BITAND] = ActionEntry(REDUCE, 347);
   _actionMap[526][BITOR] = ActionEntry(REDUCE, 347);
   _actionMap[526][BITXOR] = ActionEntry(REDUCE, 347);
   _actionMap[526][BLOBSIZE] = ActionEntry(REDUCE, 347);
   _actionMap[526][CLOBSIZE] = ActionEntry(REDUCE, 347);
   _actionMap[526][CLOB2STR] = ActionEntry(REDUCE, 347);
   _actionMap[526][NEXTCOUNT] = ActionEntry(REDUCE, 347);
   _actionMap[526][SETCOUNT] = ActionEntry(REDUCE, 347);
   _actionMap[526][IDENTIFIER] = ActionEntry(REDUCE, 347);
   _actionMap[526][QUALIFIEDOBJ] = ActionEntry(REDUCE, 347);
   _actionMap[526][QUALIFIEDTS] = ActionEntry(REDUCE, 347);
   _actionMap[526][QUALIFIEDPRE] = ActionEntry(REDUCE, 347);
   _actionMap[526][STRINGVAL] = ActionEntry(REDUCE, 347);
   _actionMap[526][DATE] = ActionEntry(REDUCE, 347);
   _actionMap[526][SYSDATE] = ActionEntry(REDUCE, 347);
   _actionMap[526][NULLTOKEN] = ActionEntry(REDUCE, 347);
   _actionMap[526][TRUEVAL] = ActionEntry(REDUCE, 347);
   _actionMap[526][FALSEVAL] = ActionEntry(REDUCE, 347);
   _actionMap[526][BLOB] = ActionEntry(REDUCE, 347);
   _actionMap[526][CLOB] = ActionEntry(REDUCE, 347);
   _actionMap[526][FLOATVAL] = ActionEntry(REDUCE, 347);
   _actionMap[526][MINUS] = ActionEntry(REDUCE, 347);
   _actionMap[526][INTVAL] = ActionEntry(REDUCE, 347);
   _actionMap[526][EQU] = ActionEntry(SHIFT, 684);
   _actionMap[527][EQU] = ActionEntry(SHIFT, 685);
   _actionMap[528][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[528][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[528][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[528][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[528][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[528][LTRIM] = ActionEntry(SHIFT, 126);
}
void Cego::loadParser81()
{
   _actionMap[528][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[528][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[528][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[528][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[528][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[528][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[528][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[528][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[528][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[528][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[528][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[528][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[528][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[528][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[528][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[528][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[528][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[528][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[528][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[528][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[528][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[528][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[528][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[528][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[528][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[528][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[528][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[528][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[528][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[528][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[528][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[528][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[528][LB] = ActionEntry(SHIFT, 386);
   _actionMap[528][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[528][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[528][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[528][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[528][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[528][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[528][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[528][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[528][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[528][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[528][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[528][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[528][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[528][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[528][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[528][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[528][MAX] = ActionEntry(SHIFT, 128);
}
void Cego::loadParser82()
{
   _actionMap[528][EXISTS] = ActionEntry(SHIFT, 384);
   _actionMap[528][NOT] = ActionEntry(SHIFT, 385);
   _jumpMap[528][ObjSpec] = 102;
   _jumpMap[528][Constant] = 101;
   _jumpMap[528][SignedFloat] = 100;
   _jumpMap[528][SignedInt] = 99;
   _jumpMap[528][Attribute] = 98;
   _jumpMap[528][QueryPredicate] = 686;
   _jumpMap[528][Function] = 97;
   _jumpMap[528][CasePrepare] = 96;
   _jumpMap[528][CaseClause] = 95;
   _jumpMap[528][Factor] = 94;
   _jumpMap[528][Term] = 93;
   _jumpMap[528][Expr] = 381;
   _actionMap[529][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[529][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[529][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[529][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[529][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[529][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[529][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[529][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[529][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[529][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[529][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[529][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[529][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[529][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[529][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[529][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[529][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[529][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[529][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[529][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[529][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[529][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[529][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[529][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[529][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[529][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[529][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[529][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[529][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[529][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[529][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[529][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[529][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[529][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[529][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[529][IDENTIFIER] = ActionEntry(SHIFT, 154);
}
void Cego::loadParser83()
{
   _actionMap[529][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[529][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[529][LB] = ActionEntry(SHIFT, 386);
   _actionMap[529][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[529][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[529][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[529][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[529][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[529][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[529][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[529][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[529][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[529][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[529][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[529][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[529][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[529][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[529][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[529][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[529][MAX] = ActionEntry(SHIFT, 128);
   _actionMap[529][EXISTS] = ActionEntry(SHIFT, 384);
   _actionMap[529][NOT] = ActionEntry(SHIFT, 385);
   _jumpMap[529][ObjSpec] = 102;
   _jumpMap[529][Constant] = 101;
   _jumpMap[529][SignedFloat] = 100;
   _jumpMap[529][SignedInt] = 99;
   _jumpMap[529][Attribute] = 98;
   _jumpMap[529][QueryPredicate] = 687;
   _jumpMap[529][Function] = 97;
   _jumpMap[529][CasePrepare] = 96;
   _jumpMap[529][CaseClause] = 95;
   _jumpMap[529][Factor] = 94;
   _jumpMap[529][Term] = 93;
   _jumpMap[529][Expr] = 381;
   _actionMap[530][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[530][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[530][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[530][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[530][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[530][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[530][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[530][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[530][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[530][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[530][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[530][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[530][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[530][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[530][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[530][SUBSTR] = ActionEntry(SHIFT, 140);
}
void Cego::loadParser84()
{
   _actionMap[530][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[530][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[530][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[530][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[530][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[530][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[530][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[530][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[530][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[530][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[530][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[530][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[530][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[530][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[530][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[530][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[530][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[530][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[530][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[530][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[530][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[530][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[530][LB] = ActionEntry(SHIFT, 150);
   _actionMap[530][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[530][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[530][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[530][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[530][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[530][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[530][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[530][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[530][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[530][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[530][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[530][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[530][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[530][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[530][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[530][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[530][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[530][ObjSpec] = 102;
   _jumpMap[530][Constant] = 101;
   _jumpMap[530][SignedFloat] = 100;
   _jumpMap[530][SignedInt] = 99;
   _jumpMap[530][Attribute] = 98;
   _jumpMap[530][Function] = 97;
   _jumpMap[530][CasePrepare] = 96;
   _jumpMap[530][CaseClause] = 95;
   _jumpMap[530][Factor] = 94;
   _jumpMap[530][Term] = 93;
}
void Cego::loadParser85()
{
   _jumpMap[530][Expr] = 688;
   _actionMap[531][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[531][SelectStatement] = 689;
   _actionMap[532][THEN] = ActionEntry(REDUCE, 329);
   _actionMap[532][LEFT] = ActionEntry(REDUCE, 329);
   _actionMap[532][RIGHT] = ActionEntry(REDUCE, 329);
   _actionMap[532][INNER] = ActionEntry(REDUCE, 329);
   _actionMap[532][JOIN] = ActionEntry(REDUCE, 329);
   _actionMap[532][RETURNTOKEN] = ActionEntry(REDUCE, 329);
   _actionMap[532][SEMICOLON] = ActionEntry(REDUCE, 329);
   _actionMap[532][RB] = ActionEntry(REDUCE, 329);
   _actionMap[532][ENDTOKEN] = ActionEntry(REDUCE, 329);
   _actionMap[532][UNION] = ActionEntry(REDUCE, 329);
   _actionMap[532][ROWLIMIT] = ActionEntry(REDUCE, 329);
   _actionMap[532][ORDER] = ActionEntry(REDUCE, 329);
   _actionMap[532][GROUP] = ActionEntry(REDUCE, 329);
   _actionMap[532][WHERE] = ActionEntry(REDUCE, 329);
   _actionMap[532][AND] = ActionEntry(REDUCE, 329);
   _actionMap[532][OR] = ActionEntry(REDUCE, 329);
   _actionMap[533][RB] = ActionEntry(SHIFT, 434);
   _actionMap[533][PLUS] = ActionEntry(SHIFT, 234);
   _actionMap[533][MINUS] = ActionEntry(SHIFT, 233);
   _actionMap[533][CONCAT] = ActionEntry(SHIFT, 232);
   _actionMap[533][INTOK] = ActionEntry(SHIFT, 520);
   _actionMap[533][NOT] = ActionEntry(SHIFT, 523);
   _actionMap[533][BETWEEN] = ActionEntry(SHIFT, 519);
   _actionMap[533][IS] = ActionEntry(SHIFT, 521);
   _actionMap[533][LIKE] = ActionEntry(SHIFT, 522);
   _actionMap[533][EQU] = ActionEntry(SHIFT, 524);
   _actionMap[533][NEGATION] = ActionEntry(SHIFT, 527);
   _actionMap[533][LT] = ActionEntry(SHIFT, 525);
   _actionMap[533][MT] = ActionEntry(SHIFT, 526);
   _jumpMap[533][Comparison] = 518;
   _actionMap[534][RB] = ActionEntry(SHIFT, 690);
   _actionMap[534][AND] = ActionEntry(SHIFT, 528);
   _actionMap[534][OR] = ActionEntry(SHIFT, 529);
   _actionMap[535][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[535][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[535][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[535][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[535][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[535][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[535][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[535][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[535][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[535][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[535][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[535][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[535][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[535][RIGHT] = ActionEntry(SHIFT, 136);
}
void Cego::loadParser86()
{
   _actionMap[535][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[535][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[535][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[535][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[535][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[535][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[535][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[535][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[535][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[535][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[535][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[535][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[535][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[535][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[535][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[535][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[535][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[535][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[535][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[535][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[535][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[535][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[535][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[535][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[535][LB] = ActionEntry(SHIFT, 150);
   _actionMap[535][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[535][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[535][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[535][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[535][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[535][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[535][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[535][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[535][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[535][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[535][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[535][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[535][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[535][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[535][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[535][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[535][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[535][ObjSpec] = 102;
   _jumpMap[535][Constant] = 101;
   _jumpMap[535][SignedFloat] = 100;
   _jumpMap[535][SignedInt] = 99;
   _jumpMap[535][Attribute] = 98;
   _jumpMap[535][Function] = 97;
   _jumpMap[535][CasePrepare] = 96;
   _jumpMap[535][CaseClause] = 95;
}
void Cego::loadParser87()
{
   _jumpMap[535][Factor] = 94;
   _jumpMap[535][Term] = 93;
   _jumpMap[535][Expr] = 691;
   _actionMap[536][WHEN] = ActionEntry(REDUCE, 309);
   _actionMap[536][ELSE] = ActionEntry(REDUCE, 309);
   _actionMap[536][LEFT] = ActionEntry(REDUCE, 309);
   _actionMap[536][RIGHT] = ActionEntry(REDUCE, 309);
   _actionMap[536][INNER] = ActionEntry(REDUCE, 309);
   _actionMap[536][JOIN] = ActionEntry(REDUCE, 309);
   _actionMap[536][RETURNTOKEN] = ActionEntry(REDUCE, 309);
   _actionMap[536][ORDER] = ActionEntry(REDUCE, 309);
   _actionMap[536][GROUP] = ActionEntry(REDUCE, 309);
   _actionMap[536][WHERE] = ActionEntry(REDUCE, 309);
   _actionMap[536][FROM] = ActionEntry(REDUCE, 309);
   _actionMap[536][AS] = ActionEntry(REDUCE, 309);
   _actionMap[536][END_TOKEN] = ActionEntry(REDUCE, 309);
   _actionMap[536][BEGIN] = ActionEntry(REDUCE, 309);
   _actionMap[536][THEN] = ActionEntry(REDUCE, 309);
   _actionMap[536][OR] = ActionEntry(REDUCE, 309);
   _actionMap[536][AND] = ActionEntry(REDUCE, 309);
   _actionMap[536][INTOK] = ActionEntry(REDUCE, 309);
   _actionMap[536][NOT] = ActionEntry(REDUCE, 309);
   _actionMap[536][BETWEEN] = ActionEntry(REDUCE, 309);
   _actionMap[536][IS] = ActionEntry(REDUCE, 309);
   _actionMap[536][LIKE] = ActionEntry(REDUCE, 309);
   _actionMap[536][MT] = ActionEntry(REDUCE, 309);
   _actionMap[536][LT] = ActionEntry(REDUCE, 309);
   _actionMap[536][NEGATION] = ActionEntry(REDUCE, 309);
   _actionMap[536][EQU] = ActionEntry(REDUCE, 309);
   _actionMap[536][RB] = ActionEntry(REDUCE, 309);
   _actionMap[536][ENDTOKEN] = ActionEntry(REDUCE, 309);
   _actionMap[536][UNION] = ActionEntry(REDUCE, 309);
   _actionMap[536][ROWLIMIT] = ActionEntry(REDUCE, 309);
   _actionMap[536][KSEP] = ActionEntry(REDUCE, 309);
   _actionMap[536][ASC] = ActionEntry(REDUCE, 309);
   _actionMap[536][DESC] = ActionEntry(REDUCE, 309);
   _actionMap[536][SEMICOLON] = ActionEntry(REDUCE, 309);
   _actionMap[536][PLUS] = ActionEntry(REDUCE, 309);
   _actionMap[536][MINUS] = ActionEntry(REDUCE, 309);
   _actionMap[536][DIVISION] = ActionEntry(REDUCE, 309);
   _actionMap[536][STAR] = ActionEntry(REDUCE, 309);
   _actionMap[536][CONCAT] = ActionEntry(REDUCE, 309);
   _actionMap[537][WHEN] = ActionEntry(REDUCE, 159);
   _actionMap[537][ELSE] = ActionEntry(REDUCE, 159);
   _actionMap[537][LEFT] = ActionEntry(REDUCE, 159);
   _actionMap[537][RIGHT] = ActionEntry(REDUCE, 159);
   _actionMap[537][INNER] = ActionEntry(REDUCE, 159);
   _actionMap[537][JOIN] = ActionEntry(REDUCE, 159);
   _actionMap[537][RETURNTOKEN] = ActionEntry(REDUCE, 159);
   _actionMap[537][ORDER] = ActionEntry(REDUCE, 159);
}
void Cego::loadParser88()
{
   _actionMap[537][GROUP] = ActionEntry(REDUCE, 159);
   _actionMap[537][WHERE] = ActionEntry(REDUCE, 159);
   _actionMap[537][AS] = ActionEntry(REDUCE, 159);
   _actionMap[537][FROM] = ActionEntry(REDUCE, 159);
   _actionMap[537][END_TOKEN] = ActionEntry(REDUCE, 159);
   _actionMap[537][BEGIN] = ActionEntry(REDUCE, 159);
   _actionMap[537][THEN] = ActionEntry(REDUCE, 159);
   _actionMap[537][OR] = ActionEntry(REDUCE, 159);
   _actionMap[537][AND] = ActionEntry(REDUCE, 159);
   _actionMap[537][LIKE] = ActionEntry(REDUCE, 159);
   _actionMap[537][IS] = ActionEntry(REDUCE, 159);
   _actionMap[537][BETWEEN] = ActionEntry(REDUCE, 159);
   _actionMap[537][NOT] = ActionEntry(REDUCE, 159);
   _actionMap[537][INTOK] = ActionEntry(REDUCE, 159);
   _actionMap[537][EQU] = ActionEntry(REDUCE, 159);
   _actionMap[537][NEGATION] = ActionEntry(REDUCE, 159);
   _actionMap[537][LT] = ActionEntry(REDUCE, 159);
   _actionMap[537][MT] = ActionEntry(REDUCE, 159);
   _actionMap[537][DESC] = ActionEntry(REDUCE, 159);
   _actionMap[537][ASC] = ActionEntry(REDUCE, 159);
   _actionMap[537][KSEP] = ActionEntry(REDUCE, 159);
   _actionMap[537][ROWLIMIT] = ActionEntry(REDUCE, 159);
   _actionMap[537][UNION] = ActionEntry(REDUCE, 159);
   _actionMap[537][ENDTOKEN] = ActionEntry(REDUCE, 159);
   _actionMap[537][RB] = ActionEntry(REDUCE, 159);
   _actionMap[537][SEMICOLON] = ActionEntry(REDUCE, 159);
   _actionMap[537][CONCAT] = ActionEntry(REDUCE, 159);
   _actionMap[537][STAR] = ActionEntry(REDUCE, 159);
   _actionMap[537][DIVISION] = ActionEntry(REDUCE, 159);
   _actionMap[537][MINUS] = ActionEntry(REDUCE, 159);
   _actionMap[537][PLUS] = ActionEntry(REDUCE, 159);
   _actionMap[538][WHEN] = ActionEntry(REDUCE, 301);
   _actionMap[538][ELSE] = ActionEntry(REDUCE, 301);
   _actionMap[538][LEFT] = ActionEntry(REDUCE, 301);
   _actionMap[538][RIGHT] = ActionEntry(REDUCE, 301);
   _actionMap[538][INNER] = ActionEntry(REDUCE, 301);
   _actionMap[538][JOIN] = ActionEntry(REDUCE, 301);
   _actionMap[538][RETURNTOKEN] = ActionEntry(REDUCE, 301);
   _actionMap[538][ORDER] = ActionEntry(REDUCE, 301);
   _actionMap[538][GROUP] = ActionEntry(REDUCE, 301);
   _actionMap[538][WHERE] = ActionEntry(REDUCE, 301);
   _actionMap[538][FROM] = ActionEntry(REDUCE, 301);
   _actionMap[538][AS] = ActionEntry(REDUCE, 301);
   _actionMap[538][END_TOKEN] = ActionEntry(REDUCE, 301);
   _actionMap[538][BEGIN] = ActionEntry(REDUCE, 301);
   _actionMap[538][THEN] = ActionEntry(REDUCE, 301);
   _actionMap[538][OR] = ActionEntry(REDUCE, 301);
   _actionMap[538][AND] = ActionEntry(REDUCE, 301);
   _actionMap[538][INTOK] = ActionEntry(REDUCE, 301);
   _actionMap[538][NOT] = ActionEntry(REDUCE, 301);
}
void Cego::loadParser89()
{
   _actionMap[538][BETWEEN] = ActionEntry(REDUCE, 301);
   _actionMap[538][IS] = ActionEntry(REDUCE, 301);
   _actionMap[538][LIKE] = ActionEntry(REDUCE, 301);
   _actionMap[538][MT] = ActionEntry(REDUCE, 301);
   _actionMap[538][LT] = ActionEntry(REDUCE, 301);
   _actionMap[538][NEGATION] = ActionEntry(REDUCE, 301);
   _actionMap[538][EQU] = ActionEntry(REDUCE, 301);
   _actionMap[538][RB] = ActionEntry(REDUCE, 301);
   _actionMap[538][ENDTOKEN] = ActionEntry(REDUCE, 301);
   _actionMap[538][UNION] = ActionEntry(REDUCE, 301);
   _actionMap[538][ROWLIMIT] = ActionEntry(REDUCE, 301);
   _actionMap[538][KSEP] = ActionEntry(REDUCE, 301);
   _actionMap[538][ASC] = ActionEntry(REDUCE, 301);
   _actionMap[538][DESC] = ActionEntry(REDUCE, 301);
   _actionMap[538][SEMICOLON] = ActionEntry(REDUCE, 301);
   _actionMap[538][PLUS] = ActionEntry(REDUCE, 301);
   _actionMap[538][MINUS] = ActionEntry(REDUCE, 301);
   _actionMap[538][DIVISION] = ActionEntry(REDUCE, 301);
   _actionMap[538][STAR] = ActionEntry(REDUCE, 301);
   _actionMap[538][CONCAT] = ActionEntry(REDUCE, 301);
   _actionMap[539][WHEN] = ActionEntry(REDUCE, 302);
   _actionMap[539][ELSE] = ActionEntry(REDUCE, 302);
   _actionMap[539][LEFT] = ActionEntry(REDUCE, 302);
   _actionMap[539][RIGHT] = ActionEntry(REDUCE, 302);
   _actionMap[539][INNER] = ActionEntry(REDUCE, 302);
   _actionMap[539][JOIN] = ActionEntry(REDUCE, 302);
   _actionMap[539][RETURNTOKEN] = ActionEntry(REDUCE, 302);
   _actionMap[539][ORDER] = ActionEntry(REDUCE, 302);
   _actionMap[539][GROUP] = ActionEntry(REDUCE, 302);
   _actionMap[539][WHERE] = ActionEntry(REDUCE, 302);
   _actionMap[539][FROM] = ActionEntry(REDUCE, 302);
   _actionMap[539][AS] = ActionEntry(REDUCE, 302);
   _actionMap[539][END_TOKEN] = ActionEntry(REDUCE, 302);
   _actionMap[539][BEGIN] = ActionEntry(REDUCE, 302);
   _actionMap[539][THEN] = ActionEntry(REDUCE, 302);
   _actionMap[539][OR] = ActionEntry(REDUCE, 302);
   _actionMap[539][AND] = ActionEntry(REDUCE, 302);
   _actionMap[539][INTOK] = ActionEntry(REDUCE, 302);
   _actionMap[539][NOT] = ActionEntry(REDUCE, 302);
   _actionMap[539][BETWEEN] = ActionEntry(REDUCE, 302);
   _actionMap[539][IS] = ActionEntry(REDUCE, 302);
   _actionMap[539][LIKE] = ActionEntry(REDUCE, 302);
   _actionMap[539][MT] = ActionEntry(REDUCE, 302);
   _actionMap[539][LT] = ActionEntry(REDUCE, 302);
   _actionMap[539][NEGATION] = ActionEntry(REDUCE, 302);
   _actionMap[539][EQU] = ActionEntry(REDUCE, 302);
   _actionMap[539][RB] = ActionEntry(REDUCE, 302);
   _actionMap[539][ENDTOKEN] = ActionEntry(REDUCE, 302);
   _actionMap[539][UNION] = ActionEntry(REDUCE, 302);
   _actionMap[539][ROWLIMIT] = ActionEntry(REDUCE, 302);
}
void Cego::loadParser90()
{
   _actionMap[539][KSEP] = ActionEntry(REDUCE, 302);
   _actionMap[539][ASC] = ActionEntry(REDUCE, 302);
   _actionMap[539][DESC] = ActionEntry(REDUCE, 302);
   _actionMap[539][SEMICOLON] = ActionEntry(REDUCE, 302);
   _actionMap[539][PLUS] = ActionEntry(REDUCE, 302);
   _actionMap[539][MINUS] = ActionEntry(REDUCE, 302);
   _actionMap[539][DIVISION] = ActionEntry(REDUCE, 302);
   _actionMap[539][STAR] = ActionEntry(REDUCE, 302);
   _actionMap[539][CONCAT] = ActionEntry(REDUCE, 302);
   _actionMap[540][WHEN] = ActionEntry(REDUCE, 303);
   _actionMap[540][ELSE] = ActionEntry(REDUCE, 303);
   _actionMap[540][LEFT] = ActionEntry(REDUCE, 303);
   _actionMap[540][RIGHT] = ActionEntry(REDUCE, 303);
   _actionMap[540][INNER] = ActionEntry(REDUCE, 303);
   _actionMap[540][JOIN] = ActionEntry(REDUCE, 303);
   _actionMap[540][RETURNTOKEN] = ActionEntry(REDUCE, 303);
   _actionMap[540][ORDER] = ActionEntry(REDUCE, 303);
   _actionMap[540][GROUP] = ActionEntry(REDUCE, 303);
   _actionMap[540][WHERE] = ActionEntry(REDUCE, 303);
   _actionMap[540][FROM] = ActionEntry(REDUCE, 303);
   _actionMap[540][AS] = ActionEntry(REDUCE, 303);
   _actionMap[540][END_TOKEN] = ActionEntry(REDUCE, 303);
   _actionMap[540][BEGIN] = ActionEntry(REDUCE, 303);
   _actionMap[540][THEN] = ActionEntry(REDUCE, 303);
   _actionMap[540][OR] = ActionEntry(REDUCE, 303);
   _actionMap[540][AND] = ActionEntry(REDUCE, 303);
   _actionMap[540][INTOK] = ActionEntry(REDUCE, 303);
   _actionMap[540][NOT] = ActionEntry(REDUCE, 303);
   _actionMap[540][BETWEEN] = ActionEntry(REDUCE, 303);
   _actionMap[540][IS] = ActionEntry(REDUCE, 303);
   _actionMap[540][LIKE] = ActionEntry(REDUCE, 303);
   _actionMap[540][MT] = ActionEntry(REDUCE, 303);
   _actionMap[540][LT] = ActionEntry(REDUCE, 303);
   _actionMap[540][NEGATION] = ActionEntry(REDUCE, 303);
   _actionMap[540][EQU] = ActionEntry(REDUCE, 303);
   _actionMap[540][RB] = ActionEntry(REDUCE, 303);
   _actionMap[540][ENDTOKEN] = ActionEntry(REDUCE, 303);
   _actionMap[540][UNION] = ActionEntry(REDUCE, 303);
   _actionMap[540][ROWLIMIT] = ActionEntry(REDUCE, 303);
   _actionMap[540][KSEP] = ActionEntry(REDUCE, 303);
   _actionMap[540][ASC] = ActionEntry(REDUCE, 303);
   _actionMap[540][DESC] = ActionEntry(REDUCE, 303);
   _actionMap[540][SEMICOLON] = ActionEntry(REDUCE, 303);
   _actionMap[540][PLUS] = ActionEntry(REDUCE, 303);
   _actionMap[540][MINUS] = ActionEntry(REDUCE, 303);
   _actionMap[540][DIVISION] = ActionEntry(REDUCE, 303);
   _actionMap[540][STAR] = ActionEntry(REDUCE, 303);
   _actionMap[540][CONCAT] = ActionEntry(REDUCE, 303);
   _actionMap[541][INTVAL] = ActionEntry(SHIFT, 692);
   _actionMap[542][WHEN] = ActionEntry(REDUCE, 304);
}
void Cego::loadParser91()
{
   _actionMap[542][ELSE] = ActionEntry(REDUCE, 304);
   _actionMap[542][LEFT] = ActionEntry(REDUCE, 304);
   _actionMap[542][RIGHT] = ActionEntry(REDUCE, 304);
   _actionMap[542][INNER] = ActionEntry(REDUCE, 304);
   _actionMap[542][JOIN] = ActionEntry(REDUCE, 304);
   _actionMap[542][RETURNTOKEN] = ActionEntry(REDUCE, 304);
   _actionMap[542][ORDER] = ActionEntry(REDUCE, 304);
   _actionMap[542][GROUP] = ActionEntry(REDUCE, 304);
   _actionMap[542][WHERE] = ActionEntry(REDUCE, 304);
   _actionMap[542][FROM] = ActionEntry(REDUCE, 304);
   _actionMap[542][AS] = ActionEntry(REDUCE, 304);
   _actionMap[542][END_TOKEN] = ActionEntry(REDUCE, 304);
   _actionMap[542][BEGIN] = ActionEntry(REDUCE, 304);
   _actionMap[542][THEN] = ActionEntry(REDUCE, 304);
   _actionMap[542][OR] = ActionEntry(REDUCE, 304);
   _actionMap[542][AND] = ActionEntry(REDUCE, 304);
   _actionMap[542][INTOK] = ActionEntry(REDUCE, 304);
   _actionMap[542][NOT] = ActionEntry(REDUCE, 304);
   _actionMap[542][BETWEEN] = ActionEntry(REDUCE, 304);
   _actionMap[542][IS] = ActionEntry(REDUCE, 304);
   _actionMap[542][LIKE] = ActionEntry(REDUCE, 304);
   _actionMap[542][MT] = ActionEntry(REDUCE, 304);
   _actionMap[542][LT] = ActionEntry(REDUCE, 304);
   _actionMap[542][NEGATION] = ActionEntry(REDUCE, 304);
   _actionMap[542][EQU] = ActionEntry(REDUCE, 304);
   _actionMap[542][RB] = ActionEntry(REDUCE, 304);
   _actionMap[542][ENDTOKEN] = ActionEntry(REDUCE, 304);
   _actionMap[542][UNION] = ActionEntry(REDUCE, 304);
   _actionMap[542][ROWLIMIT] = ActionEntry(REDUCE, 304);
   _actionMap[542][KSEP] = ActionEntry(REDUCE, 304);
   _actionMap[542][ASC] = ActionEntry(REDUCE, 304);
   _actionMap[542][DESC] = ActionEntry(REDUCE, 304);
   _actionMap[542][SEMICOLON] = ActionEntry(REDUCE, 304);
   _actionMap[542][PLUS] = ActionEntry(REDUCE, 304);
   _actionMap[542][MINUS] = ActionEntry(REDUCE, 304);
   _actionMap[542][DIVISION] = ActionEntry(REDUCE, 304);
   _actionMap[542][STAR] = ActionEntry(REDUCE, 304);
   _actionMap[542][CONCAT] = ActionEntry(REDUCE, 304);
   _actionMap[543][INTVAL] = ActionEntry(SHIFT, 693);
   _actionMap[544][WHEN] = ActionEntry(REDUCE, 305);
   _actionMap[544][ELSE] = ActionEntry(REDUCE, 305);
   _actionMap[544][LEFT] = ActionEntry(REDUCE, 305);
   _actionMap[544][RIGHT] = ActionEntry(REDUCE, 305);
   _actionMap[544][INNER] = ActionEntry(REDUCE, 305);
   _actionMap[544][JOIN] = ActionEntry(REDUCE, 305);
   _actionMap[544][RETURNTOKEN] = ActionEntry(REDUCE, 305);
   _actionMap[544][ORDER] = ActionEntry(REDUCE, 305);
   _actionMap[544][GROUP] = ActionEntry(REDUCE, 305);
   _actionMap[544][WHERE] = ActionEntry(REDUCE, 305);
   _actionMap[544][FROM] = ActionEntry(REDUCE, 305);
}
void Cego::loadParser92()
{
   _actionMap[544][AS] = ActionEntry(REDUCE, 305);
   _actionMap[544][END_TOKEN] = ActionEntry(REDUCE, 305);
   _actionMap[544][BEGIN] = ActionEntry(REDUCE, 305);
   _actionMap[544][THEN] = ActionEntry(REDUCE, 305);
   _actionMap[544][OR] = ActionEntry(REDUCE, 305);
   _actionMap[544][AND] = ActionEntry(REDUCE, 305);
   _actionMap[544][INTOK] = ActionEntry(REDUCE, 305);
   _actionMap[544][NOT] = ActionEntry(REDUCE, 305);
   _actionMap[544][BETWEEN] = ActionEntry(REDUCE, 305);
   _actionMap[544][IS] = ActionEntry(REDUCE, 305);
   _actionMap[544][LIKE] = ActionEntry(REDUCE, 305);
   _actionMap[544][MT] = ActionEntry(REDUCE, 305);
   _actionMap[544][LT] = ActionEntry(REDUCE, 305);
   _actionMap[544][NEGATION] = ActionEntry(REDUCE, 305);
   _actionMap[544][EQU] = ActionEntry(REDUCE, 305);
   _actionMap[544][RB] = ActionEntry(REDUCE, 305);
   _actionMap[544][ENDTOKEN] = ActionEntry(REDUCE, 305);
   _actionMap[544][UNION] = ActionEntry(REDUCE, 305);
   _actionMap[544][ROWLIMIT] = ActionEntry(REDUCE, 305);
   _actionMap[544][KSEP] = ActionEntry(REDUCE, 305);
   _actionMap[544][ASC] = ActionEntry(REDUCE, 305);
   _actionMap[544][DESC] = ActionEntry(REDUCE, 305);
   _actionMap[544][SEMICOLON] = ActionEntry(REDUCE, 305);
   _actionMap[544][PLUS] = ActionEntry(REDUCE, 305);
   _actionMap[544][MINUS] = ActionEntry(REDUCE, 305);
   _actionMap[544][DIVISION] = ActionEntry(REDUCE, 305);
   _actionMap[544][STAR] = ActionEntry(REDUCE, 305);
   _actionMap[544][CONCAT] = ActionEntry(REDUCE, 305);
   _actionMap[545][WHEN] = ActionEntry(REDUCE, 306);
   _actionMap[545][ELSE] = ActionEntry(REDUCE, 306);
   _actionMap[545][LEFT] = ActionEntry(REDUCE, 306);
   _actionMap[545][RIGHT] = ActionEntry(REDUCE, 306);
   _actionMap[545][INNER] = ActionEntry(REDUCE, 306);
   _actionMap[545][JOIN] = ActionEntry(REDUCE, 306);
   _actionMap[545][RETURNTOKEN] = ActionEntry(REDUCE, 306);
   _actionMap[545][ORDER] = ActionEntry(REDUCE, 306);
   _actionMap[545][GROUP] = ActionEntry(REDUCE, 306);
   _actionMap[545][WHERE] = ActionEntry(REDUCE, 306);
   _actionMap[545][FROM] = ActionEntry(REDUCE, 306);
   _actionMap[545][AS] = ActionEntry(REDUCE, 306);
   _actionMap[545][END_TOKEN] = ActionEntry(REDUCE, 306);
   _actionMap[545][BEGIN] = ActionEntry(REDUCE, 306);
   _actionMap[545][THEN] = ActionEntry(REDUCE, 306);
   _actionMap[545][OR] = ActionEntry(REDUCE, 306);
   _actionMap[545][AND] = ActionEntry(REDUCE, 306);
   _actionMap[545][INTOK] = ActionEntry(REDUCE, 306);
   _actionMap[545][NOT] = ActionEntry(REDUCE, 306);
   _actionMap[545][BETWEEN] = ActionEntry(REDUCE, 306);
   _actionMap[545][IS] = ActionEntry(REDUCE, 306);
   _actionMap[545][LIKE] = ActionEntry(REDUCE, 306);
}
void Cego::loadParser93()
{
   _actionMap[545][MT] = ActionEntry(REDUCE, 306);
   _actionMap[545][LT] = ActionEntry(REDUCE, 306);
   _actionMap[545][NEGATION] = ActionEntry(REDUCE, 306);
   _actionMap[545][EQU] = ActionEntry(REDUCE, 306);
   _actionMap[545][RB] = ActionEntry(REDUCE, 306);
   _actionMap[545][ENDTOKEN] = ActionEntry(REDUCE, 306);
   _actionMap[545][UNION] = ActionEntry(REDUCE, 306);
   _actionMap[545][ROWLIMIT] = ActionEntry(REDUCE, 306);
   _actionMap[545][KSEP] = ActionEntry(REDUCE, 306);
   _actionMap[545][ASC] = ActionEntry(REDUCE, 306);
   _actionMap[545][DESC] = ActionEntry(REDUCE, 306);
   _actionMap[545][SEMICOLON] = ActionEntry(REDUCE, 306);
   _actionMap[545][PLUS] = ActionEntry(REDUCE, 306);
   _actionMap[545][MINUS] = ActionEntry(REDUCE, 306);
   _actionMap[545][DIVISION] = ActionEntry(REDUCE, 306);
   _actionMap[545][STAR] = ActionEntry(REDUCE, 306);
   _actionMap[545][CONCAT] = ActionEntry(REDUCE, 306);
   _actionMap[546][WHEN] = ActionEntry(REDUCE, 160);
   _actionMap[546][ELSE] = ActionEntry(REDUCE, 160);
   _actionMap[546][LEFT] = ActionEntry(REDUCE, 160);
   _actionMap[546][RIGHT] = ActionEntry(REDUCE, 160);
   _actionMap[546][INNER] = ActionEntry(REDUCE, 160);
   _actionMap[546][JOIN] = ActionEntry(REDUCE, 160);
   _actionMap[546][RETURNTOKEN] = ActionEntry(REDUCE, 160);
   _actionMap[546][ORDER] = ActionEntry(REDUCE, 160);
   _actionMap[546][GROUP] = ActionEntry(REDUCE, 160);
   _actionMap[546][WHERE] = ActionEntry(REDUCE, 160);
   _actionMap[546][AS] = ActionEntry(REDUCE, 160);
   _actionMap[546][FROM] = ActionEntry(REDUCE, 160);
   _actionMap[546][END_TOKEN] = ActionEntry(REDUCE, 160);
   _actionMap[546][BEGIN] = ActionEntry(REDUCE, 160);
   _actionMap[546][THEN] = ActionEntry(REDUCE, 160);
   _actionMap[546][OR] = ActionEntry(REDUCE, 160);
   _actionMap[546][AND] = ActionEntry(REDUCE, 160);
   _actionMap[546][LIKE] = ActionEntry(REDUCE, 160);
   _actionMap[546][IS] = ActionEntry(REDUCE, 160);
   _actionMap[546][BETWEEN] = ActionEntry(REDUCE, 160);
   _actionMap[546][NOT] = ActionEntry(REDUCE, 160);
   _actionMap[546][INTOK] = ActionEntry(REDUCE, 160);
   _actionMap[546][EQU] = ActionEntry(REDUCE, 160);
   _actionMap[546][NEGATION] = ActionEntry(REDUCE, 160);
   _actionMap[546][LT] = ActionEntry(REDUCE, 160);
   _actionMap[546][MT] = ActionEntry(REDUCE, 160);
   _actionMap[546][DESC] = ActionEntry(REDUCE, 160);
   _actionMap[546][ASC] = ActionEntry(REDUCE, 160);
   _actionMap[546][KSEP] = ActionEntry(REDUCE, 160);
   _actionMap[546][ROWLIMIT] = ActionEntry(REDUCE, 160);
   _actionMap[546][UNION] = ActionEntry(REDUCE, 160);
   _actionMap[546][ENDTOKEN] = ActionEntry(REDUCE, 160);
   _actionMap[546][RB] = ActionEntry(REDUCE, 160);
}
void Cego::loadParser94()
{
   _actionMap[546][SEMICOLON] = ActionEntry(REDUCE, 160);
   _actionMap[546][CONCAT] = ActionEntry(REDUCE, 160);
   _actionMap[546][STAR] = ActionEntry(REDUCE, 160);
   _actionMap[546][DIVISION] = ActionEntry(REDUCE, 160);
   _actionMap[546][MINUS] = ActionEntry(REDUCE, 160);
   _actionMap[546][PLUS] = ActionEntry(REDUCE, 160);
   _actionMap[547][WHEN] = ActionEntry(REDUCE, 157);
   _actionMap[547][ELSE] = ActionEntry(REDUCE, 157);
   _actionMap[547][LEFT] = ActionEntry(REDUCE, 157);
   _actionMap[547][RIGHT] = ActionEntry(REDUCE, 157);
   _actionMap[547][INNER] = ActionEntry(REDUCE, 157);
   _actionMap[547][JOIN] = ActionEntry(REDUCE, 157);
   _actionMap[547][RETURNTOKEN] = ActionEntry(REDUCE, 157);
   _actionMap[547][ORDER] = ActionEntry(REDUCE, 157);
   _actionMap[547][GROUP] = ActionEntry(REDUCE, 157);
   _actionMap[547][WHERE] = ActionEntry(REDUCE, 157);
   _actionMap[547][AS] = ActionEntry(REDUCE, 157);
   _actionMap[547][FROM] = ActionEntry(REDUCE, 157);
   _actionMap[547][END_TOKEN] = ActionEntry(REDUCE, 157);
   _actionMap[547][BEGIN] = ActionEntry(REDUCE, 157);
   _actionMap[547][THEN] = ActionEntry(REDUCE, 157);
   _actionMap[547][OR] = ActionEntry(REDUCE, 157);
   _actionMap[547][AND] = ActionEntry(REDUCE, 157);
   _actionMap[547][LIKE] = ActionEntry(REDUCE, 157);
   _actionMap[547][IS] = ActionEntry(REDUCE, 157);
   _actionMap[547][BETWEEN] = ActionEntry(REDUCE, 157);
   _actionMap[547][NOT] = ActionEntry(REDUCE, 157);
   _actionMap[547][INTOK] = ActionEntry(REDUCE, 157);
   _actionMap[547][EQU] = ActionEntry(REDUCE, 157);
   _actionMap[547][NEGATION] = ActionEntry(REDUCE, 157);
   _actionMap[547][LT] = ActionEntry(REDUCE, 157);
   _actionMap[547][MT] = ActionEntry(REDUCE, 157);
   _actionMap[547][DESC] = ActionEntry(REDUCE, 157);
   _actionMap[547][ASC] = ActionEntry(REDUCE, 157);
   _actionMap[547][KSEP] = ActionEntry(REDUCE, 157);
   _actionMap[547][ROWLIMIT] = ActionEntry(REDUCE, 157);
   _actionMap[547][UNION] = ActionEntry(REDUCE, 157);
   _actionMap[547][ENDTOKEN] = ActionEntry(REDUCE, 157);
   _actionMap[547][RB] = ActionEntry(REDUCE, 157);
   _actionMap[547][SEMICOLON] = ActionEntry(REDUCE, 157);
   _actionMap[547][CONCAT] = ActionEntry(REDUCE, 157);
   _actionMap[547][STAR] = ActionEntry(REDUCE, 157);
   _actionMap[547][DIVISION] = ActionEntry(REDUCE, 157);
   _actionMap[547][MINUS] = ActionEntry(REDUCE, 157);
   _actionMap[547][PLUS] = ActionEntry(REDUCE, 157);
   _actionMap[548][STRINGVAL] = ActionEntry(SHIFT, 695);
   _jumpMap[548][DateValue] = 694;
   _actionMap[549][WHEN] = ActionEntry(REDUCE, 281);
   _actionMap[549][ELSE] = ActionEntry(REDUCE, 281);
   _actionMap[549][LEFT] = ActionEntry(REDUCE, 281);
}
void Cego::loadParser95()
{
   _actionMap[549][RIGHT] = ActionEntry(REDUCE, 281);
   _actionMap[549][INNER] = ActionEntry(REDUCE, 281);
   _actionMap[549][JOIN] = ActionEntry(REDUCE, 281);
   _actionMap[549][RETURNTOKEN] = ActionEntry(REDUCE, 281);
   _actionMap[549][ORDER] = ActionEntry(REDUCE, 281);
   _actionMap[549][GROUP] = ActionEntry(REDUCE, 281);
   _actionMap[549][WHERE] = ActionEntry(REDUCE, 281);
   _actionMap[549][FROM] = ActionEntry(REDUCE, 281);
   _actionMap[549][AS] = ActionEntry(REDUCE, 281);
   _actionMap[549][END_TOKEN] = ActionEntry(REDUCE, 281);
   _actionMap[549][BEGIN] = ActionEntry(REDUCE, 281);
   _actionMap[549][THEN] = ActionEntry(REDUCE, 281);
   _actionMap[549][OR] = ActionEntry(REDUCE, 281);
   _actionMap[549][AND] = ActionEntry(REDUCE, 281);
   _actionMap[549][INTOK] = ActionEntry(REDUCE, 281);
   _actionMap[549][NOT] = ActionEntry(REDUCE, 281);
   _actionMap[549][BETWEEN] = ActionEntry(REDUCE, 281);
   _actionMap[549][IS] = ActionEntry(REDUCE, 281);
   _actionMap[549][LIKE] = ActionEntry(REDUCE, 281);
   _actionMap[549][MT] = ActionEntry(REDUCE, 281);
   _actionMap[549][LT] = ActionEntry(REDUCE, 281);
   _actionMap[549][NEGATION] = ActionEntry(REDUCE, 281);
   _actionMap[549][EQU] = ActionEntry(REDUCE, 281);
   _actionMap[549][RB] = ActionEntry(REDUCE, 281);
   _actionMap[549][ENDTOKEN] = ActionEntry(REDUCE, 281);
   _actionMap[549][UNION] = ActionEntry(REDUCE, 281);
   _actionMap[549][ROWLIMIT] = ActionEntry(REDUCE, 281);
   _actionMap[549][KSEP] = ActionEntry(REDUCE, 281);
   _actionMap[549][ASC] = ActionEntry(REDUCE, 281);
   _actionMap[549][DESC] = ActionEntry(REDUCE, 281);
   _actionMap[549][SEMICOLON] = ActionEntry(REDUCE, 281);
   _actionMap[549][PLUS] = ActionEntry(REDUCE, 281);
   _actionMap[549][MINUS] = ActionEntry(REDUCE, 281);
   _actionMap[549][DIVISION] = ActionEntry(REDUCE, 281);
   _actionMap[549][STAR] = ActionEntry(REDUCE, 281);
   _actionMap[549][CONCAT] = ActionEntry(REDUCE, 281);
   _actionMap[550][WHEN] = ActionEntry(REDUCE, 282);
   _actionMap[550][ELSE] = ActionEntry(REDUCE, 282);
   _actionMap[550][LEFT] = ActionEntry(REDUCE, 282);
   _actionMap[550][RIGHT] = ActionEntry(REDUCE, 282);
   _actionMap[550][INNER] = ActionEntry(REDUCE, 282);
   _actionMap[550][JOIN] = ActionEntry(REDUCE, 282);
   _actionMap[550][RETURNTOKEN] = ActionEntry(REDUCE, 282);
   _actionMap[550][ORDER] = ActionEntry(REDUCE, 282);
   _actionMap[550][GROUP] = ActionEntry(REDUCE, 282);
   _actionMap[550][WHERE] = ActionEntry(REDUCE, 282);
   _actionMap[550][FROM] = ActionEntry(REDUCE, 282);
   _actionMap[550][AS] = ActionEntry(REDUCE, 282);
   _actionMap[550][END_TOKEN] = ActionEntry(REDUCE, 282);
   _actionMap[550][BEGIN] = ActionEntry(REDUCE, 282);
}
void Cego::loadParser96()
{
   _actionMap[550][THEN] = ActionEntry(REDUCE, 282);
   _actionMap[550][OR] = ActionEntry(REDUCE, 282);
   _actionMap[550][AND] = ActionEntry(REDUCE, 282);
   _actionMap[550][INTOK] = ActionEntry(REDUCE, 282);
   _actionMap[550][NOT] = ActionEntry(REDUCE, 282);
   _actionMap[550][BETWEEN] = ActionEntry(REDUCE, 282);
   _actionMap[550][IS] = ActionEntry(REDUCE, 282);
   _actionMap[550][LIKE] = ActionEntry(REDUCE, 282);
   _actionMap[550][MT] = ActionEntry(REDUCE, 282);
   _actionMap[550][LT] = ActionEntry(REDUCE, 282);
   _actionMap[550][NEGATION] = ActionEntry(REDUCE, 282);
   _actionMap[550][EQU] = ActionEntry(REDUCE, 282);
   _actionMap[550][RB] = ActionEntry(REDUCE, 282);
   _actionMap[550][ENDTOKEN] = ActionEntry(REDUCE, 282);
   _actionMap[550][UNION] = ActionEntry(REDUCE, 282);
   _actionMap[550][ROWLIMIT] = ActionEntry(REDUCE, 282);
   _actionMap[550][KSEP] = ActionEntry(REDUCE, 282);
   _actionMap[550][ASC] = ActionEntry(REDUCE, 282);
   _actionMap[550][DESC] = ActionEntry(REDUCE, 282);
   _actionMap[550][SEMICOLON] = ActionEntry(REDUCE, 282);
   _actionMap[550][PLUS] = ActionEntry(REDUCE, 282);
   _actionMap[550][MINUS] = ActionEntry(REDUCE, 282);
   _actionMap[550][DIVISION] = ActionEntry(REDUCE, 282);
   _actionMap[550][STAR] = ActionEntry(REDUCE, 282);
   _actionMap[550][CONCAT] = ActionEntry(REDUCE, 282);
   _actionMap[551][WHEN] = ActionEntry(REDUCE, 299);
   _actionMap[551][ELSE] = ActionEntry(REDUCE, 299);
   _actionMap[551][LEFT] = ActionEntry(REDUCE, 299);
   _actionMap[551][RIGHT] = ActionEntry(REDUCE, 299);
   _actionMap[551][INNER] = ActionEntry(REDUCE, 299);
   _actionMap[551][JOIN] = ActionEntry(REDUCE, 299);
   _actionMap[551][RETURNTOKEN] = ActionEntry(REDUCE, 299);
   _actionMap[551][ORDER] = ActionEntry(REDUCE, 299);
   _actionMap[551][GROUP] = ActionEntry(REDUCE, 299);
   _actionMap[551][WHERE] = ActionEntry(REDUCE, 299);
   _actionMap[551][FROM] = ActionEntry(REDUCE, 299);
   _actionMap[551][AS] = ActionEntry(REDUCE, 299);
   _actionMap[551][END_TOKEN] = ActionEntry(REDUCE, 299);
   _actionMap[551][BEGIN] = ActionEntry(REDUCE, 299);
   _actionMap[551][THEN] = ActionEntry(REDUCE, 299);
   _actionMap[551][OR] = ActionEntry(REDUCE, 299);
   _actionMap[551][AND] = ActionEntry(REDUCE, 299);
   _actionMap[551][INTOK] = ActionEntry(REDUCE, 299);
   _actionMap[551][NOT] = ActionEntry(REDUCE, 299);
   _actionMap[551][BETWEEN] = ActionEntry(REDUCE, 299);
   _actionMap[551][IS] = ActionEntry(REDUCE, 299);
   _actionMap[551][LIKE] = ActionEntry(REDUCE, 299);
   _actionMap[551][MT] = ActionEntry(REDUCE, 299);
   _actionMap[551][LT] = ActionEntry(REDUCE, 299);
   _actionMap[551][NEGATION] = ActionEntry(REDUCE, 299);
}
void Cego::loadParser97()
{
   _actionMap[551][EQU] = ActionEntry(REDUCE, 299);
   _actionMap[551][RB] = ActionEntry(REDUCE, 299);
   _actionMap[551][ENDTOKEN] = ActionEntry(REDUCE, 299);
   _actionMap[551][UNION] = ActionEntry(REDUCE, 299);
   _actionMap[551][ROWLIMIT] = ActionEntry(REDUCE, 299);
   _actionMap[551][KSEP] = ActionEntry(REDUCE, 299);
   _actionMap[551][ASC] = ActionEntry(REDUCE, 299);
   _actionMap[551][DESC] = ActionEntry(REDUCE, 299);
   _actionMap[551][SEMICOLON] = ActionEntry(REDUCE, 299);
   _actionMap[551][PLUS] = ActionEntry(REDUCE, 299);
   _actionMap[551][MINUS] = ActionEntry(REDUCE, 299);
   _actionMap[551][DIVISION] = ActionEntry(REDUCE, 299);
   _actionMap[551][STAR] = ActionEntry(REDUCE, 299);
   _actionMap[551][CONCAT] = ActionEntry(REDUCE, 299);
   _actionMap[552][VARREF] = ActionEntry(SHIFT, 697);
   _jumpMap[552][FetchArgList] = 696;
   _actionMap[553][WHEN] = ActionEntry(REDUCE, 288);
   _actionMap[553][ELSE] = ActionEntry(REDUCE, 288);
   _actionMap[553][LEFT] = ActionEntry(REDUCE, 288);
   _actionMap[553][RIGHT] = ActionEntry(REDUCE, 288);
   _actionMap[553][INNER] = ActionEntry(REDUCE, 288);
   _actionMap[553][JOIN] = ActionEntry(REDUCE, 288);
   _actionMap[553][RETURNTOKEN] = ActionEntry(REDUCE, 288);
   _actionMap[553][ORDER] = ActionEntry(REDUCE, 288);
   _actionMap[553][GROUP] = ActionEntry(REDUCE, 288);
   _actionMap[553][WHERE] = ActionEntry(REDUCE, 288);
   _actionMap[553][FROM] = ActionEntry(REDUCE, 288);
   _actionMap[553][AS] = ActionEntry(REDUCE, 288);
   _actionMap[553][END_TOKEN] = ActionEntry(REDUCE, 288);
   _actionMap[553][BEGIN] = ActionEntry(REDUCE, 288);
   _actionMap[553][THEN] = ActionEntry(REDUCE, 288);
   _actionMap[553][OR] = ActionEntry(REDUCE, 288);
   _actionMap[553][AND] = ActionEntry(REDUCE, 288);
   _actionMap[553][INTOK] = ActionEntry(REDUCE, 288);
   _actionMap[553][NOT] = ActionEntry(REDUCE, 288);
   _actionMap[553][BETWEEN] = ActionEntry(REDUCE, 288);
   _actionMap[553][IS] = ActionEntry(REDUCE, 288);
   _actionMap[553][LIKE] = ActionEntry(REDUCE, 288);
   _actionMap[553][MT] = ActionEntry(REDUCE, 288);
   _actionMap[553][LT] = ActionEntry(REDUCE, 288);
   _actionMap[553][NEGATION] = ActionEntry(REDUCE, 288);
   _actionMap[553][EQU] = ActionEntry(REDUCE, 288);
   _actionMap[553][RB] = ActionEntry(REDUCE, 288);
   _actionMap[553][ENDTOKEN] = ActionEntry(REDUCE, 288);
   _actionMap[553][UNION] = ActionEntry(REDUCE, 288);
   _actionMap[553][ROWLIMIT] = ActionEntry(REDUCE, 288);
   _actionMap[553][KSEP] = ActionEntry(REDUCE, 288);
   _actionMap[553][ASC] = ActionEntry(REDUCE, 288);
   _actionMap[553][DESC] = ActionEntry(REDUCE, 288);
   _actionMap[553][SEMICOLON] = ActionEntry(REDUCE, 288);
}
void Cego::loadParser98()
{
   _actionMap[553][PLUS] = ActionEntry(REDUCE, 288);
   _actionMap[553][MINUS] = ActionEntry(REDUCE, 288);
   _actionMap[553][DIVISION] = ActionEntry(REDUCE, 288);
   _actionMap[553][STAR] = ActionEntry(REDUCE, 288);
   _actionMap[553][CONCAT] = ActionEntry(REDUCE, 288);
   _actionMap[554][WHEN] = ActionEntry(REDUCE, 283);
   _actionMap[554][ELSE] = ActionEntry(REDUCE, 283);
   _actionMap[554][LEFT] = ActionEntry(REDUCE, 283);
   _actionMap[554][RIGHT] = ActionEntry(REDUCE, 283);
   _actionMap[554][INNER] = ActionEntry(REDUCE, 283);
   _actionMap[554][JOIN] = ActionEntry(REDUCE, 283);
   _actionMap[554][RETURNTOKEN] = ActionEntry(REDUCE, 283);
   _actionMap[554][ORDER] = ActionEntry(REDUCE, 283);
   _actionMap[554][GROUP] = ActionEntry(REDUCE, 283);
   _actionMap[554][WHERE] = ActionEntry(REDUCE, 283);
   _actionMap[554][FROM] = ActionEntry(REDUCE, 283);
   _actionMap[554][AS] = ActionEntry(REDUCE, 283);
   _actionMap[554][END_TOKEN] = ActionEntry(REDUCE, 283);
   _actionMap[554][BEGIN] = ActionEntry(REDUCE, 283);
   _actionMap[554][THEN] = ActionEntry(REDUCE, 283);
   _actionMap[554][OR] = ActionEntry(REDUCE, 283);
   _actionMap[554][AND] = ActionEntry(REDUCE, 283);
   _actionMap[554][INTOK] = ActionEntry(REDUCE, 283);
   _actionMap[554][NOT] = ActionEntry(REDUCE, 283);
   _actionMap[554][BETWEEN] = ActionEntry(REDUCE, 283);
   _actionMap[554][IS] = ActionEntry(REDUCE, 283);
   _actionMap[554][LIKE] = ActionEntry(REDUCE, 283);
   _actionMap[554][MT] = ActionEntry(REDUCE, 283);
   _actionMap[554][LT] = ActionEntry(REDUCE, 283);
   _actionMap[554][NEGATION] = ActionEntry(REDUCE, 283);
   _actionMap[554][EQU] = ActionEntry(REDUCE, 283);
   _actionMap[554][RB] = ActionEntry(REDUCE, 283);
   _actionMap[554][ENDTOKEN] = ActionEntry(REDUCE, 283);
   _actionMap[554][UNION] = ActionEntry(REDUCE, 283);
   _actionMap[554][ROWLIMIT] = ActionEntry(REDUCE, 283);
   _actionMap[554][KSEP] = ActionEntry(REDUCE, 283);
   _actionMap[554][ASC] = ActionEntry(REDUCE, 283);
   _actionMap[554][DESC] = ActionEntry(REDUCE, 283);
   _actionMap[554][SEMICOLON] = ActionEntry(REDUCE, 283);
   _actionMap[554][PLUS] = ActionEntry(REDUCE, 283);
   _actionMap[554][MINUS] = ActionEntry(REDUCE, 283);
   _actionMap[554][DIVISION] = ActionEntry(REDUCE, 283);
   _actionMap[554][STAR] = ActionEntry(REDUCE, 283);
   _actionMap[554][CONCAT] = ActionEntry(REDUCE, 283);
   _actionMap[555][WHEN] = ActionEntry(REDUCE, 286);
   _actionMap[555][ELSE] = ActionEntry(REDUCE, 286);
   _actionMap[555][LEFT] = ActionEntry(REDUCE, 286);
   _actionMap[555][RIGHT] = ActionEntry(REDUCE, 286);
   _actionMap[555][INNER] = ActionEntry(REDUCE, 286);
   _actionMap[555][JOIN] = ActionEntry(REDUCE, 286);
}
void Cego::loadParser99()
{
   _actionMap[555][RETURNTOKEN] = ActionEntry(REDUCE, 286);
   _actionMap[555][ORDER] = ActionEntry(REDUCE, 286);
   _actionMap[555][GROUP] = ActionEntry(REDUCE, 286);
   _actionMap[555][WHERE] = ActionEntry(REDUCE, 286);
   _actionMap[555][FROM] = ActionEntry(REDUCE, 286);
   _actionMap[555][AS] = ActionEntry(REDUCE, 286);
   _actionMap[555][END_TOKEN] = ActionEntry(REDUCE, 286);
   _actionMap[555][BEGIN] = ActionEntry(REDUCE, 286);
   _actionMap[555][THEN] = ActionEntry(REDUCE, 286);
   _actionMap[555][OR] = ActionEntry(REDUCE, 286);
   _actionMap[555][AND] = ActionEntry(REDUCE, 286);
   _actionMap[555][INTOK] = ActionEntry(REDUCE, 286);
   _actionMap[555][NOT] = ActionEntry(REDUCE, 286);
   _actionMap[555][BETWEEN] = ActionEntry(REDUCE, 286);
   _actionMap[555][IS] = ActionEntry(REDUCE, 286);
   _actionMap[555][LIKE] = ActionEntry(REDUCE, 286);
   _actionMap[555][MT] = ActionEntry(REDUCE, 286);
   _actionMap[555][LT] = ActionEntry(REDUCE, 286);
   _actionMap[555][NEGATION] = ActionEntry(REDUCE, 286);
   _actionMap[555][EQU] = ActionEntry(REDUCE, 286);
   _actionMap[555][RB] = ActionEntry(REDUCE, 286);
   _actionMap[555][ENDTOKEN] = ActionEntry(REDUCE, 286);
   _actionMap[555][UNION] = ActionEntry(REDUCE, 286);
   _actionMap[555][ROWLIMIT] = ActionEntry(REDUCE, 286);
   _actionMap[555][KSEP] = ActionEntry(REDUCE, 286);
   _actionMap[555][ASC] = ActionEntry(REDUCE, 286);
   _actionMap[555][DESC] = ActionEntry(REDUCE, 286);
   _actionMap[555][SEMICOLON] = ActionEntry(REDUCE, 286);
   _actionMap[555][PLUS] = ActionEntry(REDUCE, 286);
   _actionMap[555][MINUS] = ActionEntry(REDUCE, 286);
   _actionMap[555][DIVISION] = ActionEntry(REDUCE, 286);
   _actionMap[555][STAR] = ActionEntry(REDUCE, 286);
   _actionMap[555][CONCAT] = ActionEntry(REDUCE, 286);
   _actionMap[556][WHEN] = ActionEntry(REDUCE, 291);
   _actionMap[556][ELSE] = ActionEntry(REDUCE, 291);
   _actionMap[556][LEFT] = ActionEntry(REDUCE, 291);
   _actionMap[556][RIGHT] = ActionEntry(REDUCE, 291);
   _actionMap[556][INNER] = ActionEntry(REDUCE, 291);
   _actionMap[556][JOIN] = ActionEntry(REDUCE, 291);
   _actionMap[556][RETURNTOKEN] = ActionEntry(REDUCE, 291);
   _actionMap[556][ORDER] = ActionEntry(REDUCE, 291);
   _actionMap[556][GROUP] = ActionEntry(REDUCE, 291);
   _actionMap[556][WHERE] = ActionEntry(REDUCE, 291);
   _actionMap[556][FROM] = ActionEntry(REDUCE, 291);
   _actionMap[556][AS] = ActionEntry(REDUCE, 291);
   _actionMap[556][END_TOKEN] = ActionEntry(REDUCE, 291);
   _actionMap[556][BEGIN] = ActionEntry(REDUCE, 291);
   _actionMap[556][THEN] = ActionEntry(REDUCE, 291);
   _actionMap[556][OR] = ActionEntry(REDUCE, 291);
   _actionMap[556][AND] = ActionEntry(REDUCE, 291);
}
void Cego::loadParser100()
{
   _actionMap[556][INTOK] = ActionEntry(REDUCE, 291);
   _actionMap[556][NOT] = ActionEntry(REDUCE, 291);
   _actionMap[556][BETWEEN] = ActionEntry(REDUCE, 291);
   _actionMap[556][IS] = ActionEntry(REDUCE, 291);
   _actionMap[556][LIKE] = ActionEntry(REDUCE, 291);
   _actionMap[556][MT] = ActionEntry(REDUCE, 291);
   _actionMap[556][LT] = ActionEntry(REDUCE, 291);
   _actionMap[556][NEGATION] = ActionEntry(REDUCE, 291);
   _actionMap[556][EQU] = ActionEntry(REDUCE, 291);
   _actionMap[556][RB] = ActionEntry(REDUCE, 291);
   _actionMap[556][ENDTOKEN] = ActionEntry(REDUCE, 291);
   _actionMap[556][UNION] = ActionEntry(REDUCE, 291);
   _actionMap[556][ROWLIMIT] = ActionEntry(REDUCE, 291);
   _actionMap[556][KSEP] = ActionEntry(REDUCE, 291);
   _actionMap[556][ASC] = ActionEntry(REDUCE, 291);
   _actionMap[556][DESC] = ActionEntry(REDUCE, 291);
   _actionMap[556][SEMICOLON] = ActionEntry(REDUCE, 291);
   _actionMap[556][PLUS] = ActionEntry(REDUCE, 291);
   _actionMap[556][MINUS] = ActionEntry(REDUCE, 291);
   _actionMap[556][DIVISION] = ActionEntry(REDUCE, 291);
   _actionMap[556][STAR] = ActionEntry(REDUCE, 291);
   _actionMap[556][CONCAT] = ActionEntry(REDUCE, 291);
   _actionMap[557][WHEN] = ActionEntry(REDUCE, 284);
   _actionMap[557][ELSE] = ActionEntry(REDUCE, 284);
   _actionMap[557][LEFT] = ActionEntry(REDUCE, 284);
   _actionMap[557][RIGHT] = ActionEntry(REDUCE, 284);
   _actionMap[557][INNER] = ActionEntry(REDUCE, 284);
   _actionMap[557][JOIN] = ActionEntry(REDUCE, 284);
   _actionMap[557][RETURNTOKEN] = ActionEntry(REDUCE, 284);
   _actionMap[557][ORDER] = ActionEntry(REDUCE, 284);
   _actionMap[557][GROUP] = ActionEntry(REDUCE, 284);
   _actionMap[557][WHERE] = ActionEntry(REDUCE, 284);
   _actionMap[557][FROM] = ActionEntry(REDUCE, 284);
   _actionMap[557][AS] = ActionEntry(REDUCE, 284);
   _actionMap[557][END_TOKEN] = ActionEntry(REDUCE, 284);
   _actionMap[557][BEGIN] = ActionEntry(REDUCE, 284);
   _actionMap[557][THEN] = ActionEntry(REDUCE, 284);
   _actionMap[557][OR] = ActionEntry(REDUCE, 284);
   _actionMap[557][AND] = ActionEntry(REDUCE, 284);
   _actionMap[557][INTOK] = ActionEntry(REDUCE, 284);
   _actionMap[557][NOT] = ActionEntry(REDUCE, 284);
   _actionMap[557][BETWEEN] = ActionEntry(REDUCE, 284);
   _actionMap[557][IS] = ActionEntry(REDUCE, 284);
   _actionMap[557][LIKE] = ActionEntry(REDUCE, 284);
   _actionMap[557][MT] = ActionEntry(REDUCE, 284);
   _actionMap[557][LT] = ActionEntry(REDUCE, 284);
   _actionMap[557][NEGATION] = ActionEntry(REDUCE, 284);
   _actionMap[557][EQU] = ActionEntry(REDUCE, 284);
   _actionMap[557][RB] = ActionEntry(REDUCE, 284);
   _actionMap[557][ENDTOKEN] = ActionEntry(REDUCE, 284);
}
void Cego::loadParser101()
{
   _actionMap[557][UNION] = ActionEntry(REDUCE, 284);
   _actionMap[557][ROWLIMIT] = ActionEntry(REDUCE, 284);
   _actionMap[557][KSEP] = ActionEntry(REDUCE, 284);
   _actionMap[557][ASC] = ActionEntry(REDUCE, 284);
   _actionMap[557][DESC] = ActionEntry(REDUCE, 284);
   _actionMap[557][SEMICOLON] = ActionEntry(REDUCE, 284);
   _actionMap[557][PLUS] = ActionEntry(REDUCE, 284);
   _actionMap[557][MINUS] = ActionEntry(REDUCE, 284);
   _actionMap[557][DIVISION] = ActionEntry(REDUCE, 284);
   _actionMap[557][STAR] = ActionEntry(REDUCE, 284);
   _actionMap[557][CONCAT] = ActionEntry(REDUCE, 284);
   _actionMap[558][WHEN] = ActionEntry(REDUCE, 279);
   _actionMap[558][ELSE] = ActionEntry(REDUCE, 279);
   _actionMap[558][LEFT] = ActionEntry(REDUCE, 279);
   _actionMap[558][RIGHT] = ActionEntry(REDUCE, 279);
   _actionMap[558][INNER] = ActionEntry(REDUCE, 279);
   _actionMap[558][JOIN] = ActionEntry(REDUCE, 279);
   _actionMap[558][RETURNTOKEN] = ActionEntry(REDUCE, 279);
   _actionMap[558][ORDER] = ActionEntry(REDUCE, 279);
   _actionMap[558][GROUP] = ActionEntry(REDUCE, 279);
   _actionMap[558][WHERE] = ActionEntry(REDUCE, 279);
   _actionMap[558][FROM] = ActionEntry(REDUCE, 279);
   _actionMap[558][AS] = ActionEntry(REDUCE, 279);
   _actionMap[558][END_TOKEN] = ActionEntry(REDUCE, 279);
   _actionMap[558][BEGIN] = ActionEntry(REDUCE, 279);
   _actionMap[558][THEN] = ActionEntry(REDUCE, 279);
   _actionMap[558][OR] = ActionEntry(REDUCE, 279);
   _actionMap[558][AND] = ActionEntry(REDUCE, 279);
   _actionMap[558][INTOK] = ActionEntry(REDUCE, 279);
   _actionMap[558][NOT] = ActionEntry(REDUCE, 279);
   _actionMap[558][BETWEEN] = ActionEntry(REDUCE, 279);
   _actionMap[558][IS] = ActionEntry(REDUCE, 279);
   _actionMap[558][LIKE] = ActionEntry(REDUCE, 279);
   _actionMap[558][MT] = ActionEntry(REDUCE, 279);
   _actionMap[558][LT] = ActionEntry(REDUCE, 279);
   _actionMap[558][NEGATION] = ActionEntry(REDUCE, 279);
   _actionMap[558][EQU] = ActionEntry(REDUCE, 279);
   _actionMap[558][RB] = ActionEntry(REDUCE, 279);
   _actionMap[558][ENDTOKEN] = ActionEntry(REDUCE, 279);
   _actionMap[558][UNION] = ActionEntry(REDUCE, 279);
   _actionMap[558][ROWLIMIT] = ActionEntry(REDUCE, 279);
   _actionMap[558][KSEP] = ActionEntry(REDUCE, 279);
   _actionMap[558][ASC] = ActionEntry(REDUCE, 279);
   _actionMap[558][DESC] = ActionEntry(REDUCE, 279);
   _actionMap[558][SEMICOLON] = ActionEntry(REDUCE, 279);
   _actionMap[558][PLUS] = ActionEntry(REDUCE, 279);
   _actionMap[558][MINUS] = ActionEntry(REDUCE, 279);
   _actionMap[558][DIVISION] = ActionEntry(REDUCE, 279);
   _actionMap[558][STAR] = ActionEntry(REDUCE, 279);
   _actionMap[558][CONCAT] = ActionEntry(REDUCE, 279);
}
void Cego::loadParser102()
{
   _actionMap[559][WHEN] = ActionEntry(REDUCE, 161);
   _actionMap[559][ELSE] = ActionEntry(REDUCE, 161);
   _actionMap[559][LEFT] = ActionEntry(REDUCE, 161);
   _actionMap[559][RIGHT] = ActionEntry(REDUCE, 161);
   _actionMap[559][INNER] = ActionEntry(REDUCE, 161);
   _actionMap[559][JOIN] = ActionEntry(REDUCE, 161);
   _actionMap[559][RETURNTOKEN] = ActionEntry(REDUCE, 161);
   _actionMap[559][ORDER] = ActionEntry(REDUCE, 161);
   _actionMap[559][GROUP] = ActionEntry(REDUCE, 161);
   _actionMap[559][WHERE] = ActionEntry(REDUCE, 161);
   _actionMap[559][AS] = ActionEntry(REDUCE, 161);
   _actionMap[559][FROM] = ActionEntry(REDUCE, 161);
   _actionMap[559][END_TOKEN] = ActionEntry(REDUCE, 161);
   _actionMap[559][BEGIN] = ActionEntry(REDUCE, 161);
   _actionMap[559][THEN] = ActionEntry(REDUCE, 161);
   _actionMap[559][OR] = ActionEntry(REDUCE, 161);
   _actionMap[559][AND] = ActionEntry(REDUCE, 161);
   _actionMap[559][LIKE] = ActionEntry(REDUCE, 161);
   _actionMap[559][IS] = ActionEntry(REDUCE, 161);
   _actionMap[559][BETWEEN] = ActionEntry(REDUCE, 161);
   _actionMap[559][NOT] = ActionEntry(REDUCE, 161);
   _actionMap[559][INTOK] = ActionEntry(REDUCE, 161);
   _actionMap[559][EQU] = ActionEntry(REDUCE, 161);
   _actionMap[559][NEGATION] = ActionEntry(REDUCE, 161);
   _actionMap[559][LT] = ActionEntry(REDUCE, 161);
   _actionMap[559][MT] = ActionEntry(REDUCE, 161);
   _actionMap[559][DESC] = ActionEntry(REDUCE, 161);
   _actionMap[559][ASC] = ActionEntry(REDUCE, 161);
   _actionMap[559][KSEP] = ActionEntry(REDUCE, 161);
   _actionMap[559][ROWLIMIT] = ActionEntry(REDUCE, 161);
   _actionMap[559][UNION] = ActionEntry(REDUCE, 161);
   _actionMap[559][ENDTOKEN] = ActionEntry(REDUCE, 161);
   _actionMap[559][RB] = ActionEntry(REDUCE, 161);
   _actionMap[559][SEMICOLON] = ActionEntry(REDUCE, 161);
   _actionMap[559][CONCAT] = ActionEntry(REDUCE, 161);
   _actionMap[559][STAR] = ActionEntry(REDUCE, 161);
   _actionMap[559][DIVISION] = ActionEntry(REDUCE, 161);
   _actionMap[559][MINUS] = ActionEntry(REDUCE, 161);
   _actionMap[559][PLUS] = ActionEntry(REDUCE, 161);
   _actionMap[560][WHEN] = ActionEntry(REDUCE, 162);
   _actionMap[560][ELSE] = ActionEntry(REDUCE, 162);
   _actionMap[560][LEFT] = ActionEntry(REDUCE, 162);
   _actionMap[560][RIGHT] = ActionEntry(REDUCE, 162);
   _actionMap[560][INNER] = ActionEntry(REDUCE, 162);
   _actionMap[560][JOIN] = ActionEntry(REDUCE, 162);
   _actionMap[560][RETURNTOKEN] = ActionEntry(REDUCE, 162);
   _actionMap[560][ORDER] = ActionEntry(REDUCE, 162);
   _actionMap[560][GROUP] = ActionEntry(REDUCE, 162);
   _actionMap[560][WHERE] = ActionEntry(REDUCE, 162);
   _actionMap[560][AS] = ActionEntry(REDUCE, 162);
}
void Cego::loadParser103()
{
   _actionMap[560][FROM] = ActionEntry(REDUCE, 162);
   _actionMap[560][END_TOKEN] = ActionEntry(REDUCE, 162);
   _actionMap[560][BEGIN] = ActionEntry(REDUCE, 162);
   _actionMap[560][THEN] = ActionEntry(REDUCE, 162);
   _actionMap[560][OR] = ActionEntry(REDUCE, 162);
   _actionMap[560][AND] = ActionEntry(REDUCE, 162);
   _actionMap[560][LIKE] = ActionEntry(REDUCE, 162);
   _actionMap[560][IS] = ActionEntry(REDUCE, 162);
   _actionMap[560][BETWEEN] = ActionEntry(REDUCE, 162);
   _actionMap[560][NOT] = ActionEntry(REDUCE, 162);
   _actionMap[560][INTOK] = ActionEntry(REDUCE, 162);
   _actionMap[560][EQU] = ActionEntry(REDUCE, 162);
   _actionMap[560][NEGATION] = ActionEntry(REDUCE, 162);
   _actionMap[560][LT] = ActionEntry(REDUCE, 162);
   _actionMap[560][MT] = ActionEntry(REDUCE, 162);
   _actionMap[560][DESC] = ActionEntry(REDUCE, 162);
   _actionMap[560][ASC] = ActionEntry(REDUCE, 162);
   _actionMap[560][KSEP] = ActionEntry(REDUCE, 162);
   _actionMap[560][ROWLIMIT] = ActionEntry(REDUCE, 162);
   _actionMap[560][UNION] = ActionEntry(REDUCE, 162);
   _actionMap[560][ENDTOKEN] = ActionEntry(REDUCE, 162);
   _actionMap[560][RB] = ActionEntry(REDUCE, 162);
   _actionMap[560][SEMICOLON] = ActionEntry(REDUCE, 162);
   _actionMap[560][CONCAT] = ActionEntry(REDUCE, 162);
   _actionMap[560][STAR] = ActionEntry(REDUCE, 162);
   _actionMap[560][DIVISION] = ActionEntry(REDUCE, 162);
   _actionMap[560][MINUS] = ActionEntry(REDUCE, 162);
   _actionMap[560][PLUS] = ActionEntry(REDUCE, 162);
   _actionMap[561][WHEN] = ActionEntry(REDUCE, 298);
   _actionMap[561][ELSE] = ActionEntry(REDUCE, 298);
   _actionMap[561][LEFT] = ActionEntry(REDUCE, 298);
   _actionMap[561][RIGHT] = ActionEntry(REDUCE, 298);
   _actionMap[561][INNER] = ActionEntry(REDUCE, 298);
   _actionMap[561][JOIN] = ActionEntry(REDUCE, 298);
   _actionMap[561][RETURNTOKEN] = ActionEntry(REDUCE, 298);
   _actionMap[561][ORDER] = ActionEntry(REDUCE, 298);
   _actionMap[561][GROUP] = ActionEntry(REDUCE, 298);
   _actionMap[561][WHERE] = ActionEntry(REDUCE, 298);
   _actionMap[561][FROM] = ActionEntry(REDUCE, 298);
   _actionMap[561][AS] = ActionEntry(REDUCE, 298);
   _actionMap[561][END_TOKEN] = ActionEntry(REDUCE, 298);
   _actionMap[561][BEGIN] = ActionEntry(REDUCE, 298);
   _actionMap[561][THEN] = ActionEntry(REDUCE, 298);
   _actionMap[561][OR] = ActionEntry(REDUCE, 298);
   _actionMap[561][AND] = ActionEntry(REDUCE, 298);
   _actionMap[561][INTOK] = ActionEntry(REDUCE, 298);
   _actionMap[561][NOT] = ActionEntry(REDUCE, 298);
   _actionMap[561][BETWEEN] = ActionEntry(REDUCE, 298);
   _actionMap[561][IS] = ActionEntry(REDUCE, 298);
   _actionMap[561][LIKE] = ActionEntry(REDUCE, 298);
}
void Cego::loadParser104()
{
   _actionMap[561][MT] = ActionEntry(REDUCE, 298);
   _actionMap[561][LT] = ActionEntry(REDUCE, 298);
   _actionMap[561][NEGATION] = ActionEntry(REDUCE, 298);
   _actionMap[561][EQU] = ActionEntry(REDUCE, 298);
   _actionMap[561][RB] = ActionEntry(REDUCE, 298);
   _actionMap[561][ENDTOKEN] = ActionEntry(REDUCE, 298);
   _actionMap[561][UNION] = ActionEntry(REDUCE, 298);
   _actionMap[561][ROWLIMIT] = ActionEntry(REDUCE, 298);
   _actionMap[561][KSEP] = ActionEntry(REDUCE, 298);
   _actionMap[561][ASC] = ActionEntry(REDUCE, 298);
   _actionMap[561][DESC] = ActionEntry(REDUCE, 298);
   _actionMap[561][SEMICOLON] = ActionEntry(REDUCE, 298);
   _actionMap[561][PLUS] = ActionEntry(REDUCE, 298);
   _actionMap[561][MINUS] = ActionEntry(REDUCE, 298);
   _actionMap[561][DIVISION] = ActionEntry(REDUCE, 298);
   _actionMap[561][STAR] = ActionEntry(REDUCE, 298);
   _actionMap[561][CONCAT] = ActionEntry(REDUCE, 298);
   _actionMap[562][WHEN] = ActionEntry(REDUCE, 307);
   _actionMap[562][ELSE] = ActionEntry(REDUCE, 307);
   _actionMap[562][LEFT] = ActionEntry(REDUCE, 307);
   _actionMap[562][RIGHT] = ActionEntry(REDUCE, 307);
   _actionMap[562][INNER] = ActionEntry(REDUCE, 307);
   _actionMap[562][JOIN] = ActionEntry(REDUCE, 307);
   _actionMap[562][RETURNTOKEN] = ActionEntry(REDUCE, 307);
   _actionMap[562][ORDER] = ActionEntry(REDUCE, 307);
   _actionMap[562][GROUP] = ActionEntry(REDUCE, 307);
   _actionMap[562][WHERE] = ActionEntry(REDUCE, 307);
   _actionMap[562][FROM] = ActionEntry(REDUCE, 307);
   _actionMap[562][AS] = ActionEntry(REDUCE, 307);
   _actionMap[562][END_TOKEN] = ActionEntry(REDUCE, 307);
   _actionMap[562][BEGIN] = ActionEntry(REDUCE, 307);
   _actionMap[562][THEN] = ActionEntry(REDUCE, 307);
   _actionMap[562][OR] = ActionEntry(REDUCE, 307);
   _actionMap[562][AND] = ActionEntry(REDUCE, 307);
   _actionMap[562][INTOK] = ActionEntry(REDUCE, 307);
   _actionMap[562][NOT] = ActionEntry(REDUCE, 307);
   _actionMap[562][BETWEEN] = ActionEntry(REDUCE, 307);
   _actionMap[562][IS] = ActionEntry(REDUCE, 307);
   _actionMap[562][LIKE] = ActionEntry(REDUCE, 307);
   _actionMap[562][MT] = ActionEntry(REDUCE, 307);
   _actionMap[562][LT] = ActionEntry(REDUCE, 307);
   _actionMap[562][NEGATION] = ActionEntry(REDUCE, 307);
   _actionMap[562][EQU] = ActionEntry(REDUCE, 307);
   _actionMap[562][RB] = ActionEntry(REDUCE, 307);
   _actionMap[562][ENDTOKEN] = ActionEntry(REDUCE, 307);
   _actionMap[562][UNION] = ActionEntry(REDUCE, 307);
   _actionMap[562][ROWLIMIT] = ActionEntry(REDUCE, 307);
   _actionMap[562][KSEP] = ActionEntry(REDUCE, 307);
   _actionMap[562][ASC] = ActionEntry(REDUCE, 307);
   _actionMap[562][DESC] = ActionEntry(REDUCE, 307);
}
void Cego::loadParser105()
{
   _actionMap[562][SEMICOLON] = ActionEntry(REDUCE, 307);
   _actionMap[562][PLUS] = ActionEntry(REDUCE, 307);
   _actionMap[562][MINUS] = ActionEntry(REDUCE, 307);
   _actionMap[562][DIVISION] = ActionEntry(REDUCE, 307);
   _actionMap[562][STAR] = ActionEntry(REDUCE, 307);
   _actionMap[562][CONCAT] = ActionEntry(REDUCE, 307);
   _actionMap[563][WHEN] = ActionEntry(REDUCE, 300);
   _actionMap[563][ELSE] = ActionEntry(REDUCE, 300);
   _actionMap[563][LEFT] = ActionEntry(REDUCE, 300);
   _actionMap[563][RIGHT] = ActionEntry(REDUCE, 300);
   _actionMap[563][INNER] = ActionEntry(REDUCE, 300);
   _actionMap[563][JOIN] = ActionEntry(REDUCE, 300);
   _actionMap[563][RETURNTOKEN] = ActionEntry(REDUCE, 300);
   _actionMap[563][ORDER] = ActionEntry(REDUCE, 300);
   _actionMap[563][GROUP] = ActionEntry(REDUCE, 300);
   _actionMap[563][WHERE] = ActionEntry(REDUCE, 300);
   _actionMap[563][FROM] = ActionEntry(REDUCE, 300);
   _actionMap[563][AS] = ActionEntry(REDUCE, 300);
   _actionMap[563][END_TOKEN] = ActionEntry(REDUCE, 300);
   _actionMap[563][BEGIN] = ActionEntry(REDUCE, 300);
   _actionMap[563][THEN] = ActionEntry(REDUCE, 300);
   _actionMap[563][OR] = ActionEntry(REDUCE, 300);
   _actionMap[563][AND] = ActionEntry(REDUCE, 300);
   _actionMap[563][INTOK] = ActionEntry(REDUCE, 300);
   _actionMap[563][NOT] = ActionEntry(REDUCE, 300);
   _actionMap[563][BETWEEN] = ActionEntry(REDUCE, 300);
   _actionMap[563][IS] = ActionEntry(REDUCE, 300);
   _actionMap[563][LIKE] = ActionEntry(REDUCE, 300);
   _actionMap[563][MT] = ActionEntry(REDUCE, 300);
   _actionMap[563][LT] = ActionEntry(REDUCE, 300);
   _actionMap[563][NEGATION] = ActionEntry(REDUCE, 300);
   _actionMap[563][EQU] = ActionEntry(REDUCE, 300);
   _actionMap[563][RB] = ActionEntry(REDUCE, 300);
   _actionMap[563][ENDTOKEN] = ActionEntry(REDUCE, 300);
   _actionMap[563][UNION] = ActionEntry(REDUCE, 300);
   _actionMap[563][ROWLIMIT] = ActionEntry(REDUCE, 300);
   _actionMap[563][KSEP] = ActionEntry(REDUCE, 300);
   _actionMap[563][ASC] = ActionEntry(REDUCE, 300);
   _actionMap[563][DESC] = ActionEntry(REDUCE, 300);
   _actionMap[563][SEMICOLON] = ActionEntry(REDUCE, 300);
   _actionMap[563][PLUS] = ActionEntry(REDUCE, 300);
   _actionMap[563][MINUS] = ActionEntry(REDUCE, 300);
   _actionMap[563][DIVISION] = ActionEntry(REDUCE, 300);
   _actionMap[563][STAR] = ActionEntry(REDUCE, 300);
   _actionMap[563][CONCAT] = ActionEntry(REDUCE, 300);
   _actionMap[564][WHEN] = ActionEntry(REDUCE, 296);
   _actionMap[564][ELSE] = ActionEntry(REDUCE, 296);
   _actionMap[564][LEFT] = ActionEntry(REDUCE, 296);
   _actionMap[564][RIGHT] = ActionEntry(REDUCE, 296);
   _actionMap[564][INNER] = ActionEntry(REDUCE, 296);
}
void Cego::loadParser106()
{
   _actionMap[564][JOIN] = ActionEntry(REDUCE, 296);
   _actionMap[564][RETURNTOKEN] = ActionEntry(REDUCE, 296);
   _actionMap[564][ORDER] = ActionEntry(REDUCE, 296);
   _actionMap[564][GROUP] = ActionEntry(REDUCE, 296);
   _actionMap[564][WHERE] = ActionEntry(REDUCE, 296);
   _actionMap[564][FROM] = ActionEntry(REDUCE, 296);
   _actionMap[564][AS] = ActionEntry(REDUCE, 296);
   _actionMap[564][END_TOKEN] = ActionEntry(REDUCE, 296);
   _actionMap[564][BEGIN] = ActionEntry(REDUCE, 296);
   _actionMap[564][THEN] = ActionEntry(REDUCE, 296);
   _actionMap[564][OR] = ActionEntry(REDUCE, 296);
   _actionMap[564][AND] = ActionEntry(REDUCE, 296);
   _actionMap[564][INTOK] = ActionEntry(REDUCE, 296);
   _actionMap[564][NOT] = ActionEntry(REDUCE, 296);
   _actionMap[564][BETWEEN] = ActionEntry(REDUCE, 296);
   _actionMap[564][IS] = ActionEntry(REDUCE, 296);
   _actionMap[564][LIKE] = ActionEntry(REDUCE, 296);
   _actionMap[564][MT] = ActionEntry(REDUCE, 296);
   _actionMap[564][LT] = ActionEntry(REDUCE, 296);
   _actionMap[564][NEGATION] = ActionEntry(REDUCE, 296);
   _actionMap[564][EQU] = ActionEntry(REDUCE, 296);
   _actionMap[564][RB] = ActionEntry(REDUCE, 296);
   _actionMap[564][ENDTOKEN] = ActionEntry(REDUCE, 296);
   _actionMap[564][UNION] = ActionEntry(REDUCE, 296);
   _actionMap[564][ROWLIMIT] = ActionEntry(REDUCE, 296);
   _actionMap[564][KSEP] = ActionEntry(REDUCE, 296);
   _actionMap[564][ASC] = ActionEntry(REDUCE, 296);
   _actionMap[564][DESC] = ActionEntry(REDUCE, 296);
   _actionMap[564][SEMICOLON] = ActionEntry(REDUCE, 296);
   _actionMap[564][PLUS] = ActionEntry(REDUCE, 296);
   _actionMap[564][MINUS] = ActionEntry(REDUCE, 296);
   _actionMap[564][DIVISION] = ActionEntry(REDUCE, 296);
   _actionMap[564][STAR] = ActionEntry(REDUCE, 296);
   _actionMap[564][CONCAT] = ActionEntry(REDUCE, 296);
   _actionMap[565][WHEN] = ActionEntry(REDUCE, 297);
   _actionMap[565][ELSE] = ActionEntry(REDUCE, 297);
   _actionMap[565][LEFT] = ActionEntry(REDUCE, 297);
   _actionMap[565][RIGHT] = ActionEntry(REDUCE, 297);
   _actionMap[565][INNER] = ActionEntry(REDUCE, 297);
   _actionMap[565][JOIN] = ActionEntry(REDUCE, 297);
   _actionMap[565][RETURNTOKEN] = ActionEntry(REDUCE, 297);
   _actionMap[565][ORDER] = ActionEntry(REDUCE, 297);
   _actionMap[565][GROUP] = ActionEntry(REDUCE, 297);
   _actionMap[565][WHERE] = ActionEntry(REDUCE, 297);
   _actionMap[565][FROM] = ActionEntry(REDUCE, 297);
   _actionMap[565][AS] = ActionEntry(REDUCE, 297);
   _actionMap[565][END_TOKEN] = ActionEntry(REDUCE, 297);
   _actionMap[565][BEGIN] = ActionEntry(REDUCE, 297);
   _actionMap[565][THEN] = ActionEntry(REDUCE, 297);
   _actionMap[565][OR] = ActionEntry(REDUCE, 297);
}
void Cego::loadParser107()
{
   _actionMap[565][AND] = ActionEntry(REDUCE, 297);
   _actionMap[565][INTOK] = ActionEntry(REDUCE, 297);
   _actionMap[565][NOT] = ActionEntry(REDUCE, 297);
   _actionMap[565][BETWEEN] = ActionEntry(REDUCE, 297);
   _actionMap[565][IS] = ActionEntry(REDUCE, 297);
   _actionMap[565][LIKE] = ActionEntry(REDUCE, 297);
   _actionMap[565][MT] = ActionEntry(REDUCE, 297);
   _actionMap[565][LT] = ActionEntry(REDUCE, 297);
   _actionMap[565][NEGATION] = ActionEntry(REDUCE, 297);
   _actionMap[565][EQU] = ActionEntry(REDUCE, 297);
   _actionMap[565][RB] = ActionEntry(REDUCE, 297);
   _actionMap[565][ENDTOKEN] = ActionEntry(REDUCE, 297);
   _actionMap[565][UNION] = ActionEntry(REDUCE, 297);
   _actionMap[565][ROWLIMIT] = ActionEntry(REDUCE, 297);
   _actionMap[565][KSEP] = ActionEntry(REDUCE, 297);
   _actionMap[565][ASC] = ActionEntry(REDUCE, 297);
   _actionMap[565][DESC] = ActionEntry(REDUCE, 297);
   _actionMap[565][SEMICOLON] = ActionEntry(REDUCE, 297);
   _actionMap[565][PLUS] = ActionEntry(REDUCE, 297);
   _actionMap[565][MINUS] = ActionEntry(REDUCE, 297);
   _actionMap[565][DIVISION] = ActionEntry(REDUCE, 297);
   _actionMap[565][STAR] = ActionEntry(REDUCE, 297);
   _actionMap[565][CONCAT] = ActionEntry(REDUCE, 297);
   _actionMap[566][WHEN] = ActionEntry(REDUCE, 290);
   _actionMap[566][ELSE] = ActionEntry(REDUCE, 290);
   _actionMap[566][LEFT] = ActionEntry(REDUCE, 290);
   _actionMap[566][RIGHT] = ActionEntry(REDUCE, 290);
   _actionMap[566][INNER] = ActionEntry(REDUCE, 290);
   _actionMap[566][JOIN] = ActionEntry(REDUCE, 290);
   _actionMap[566][RETURNTOKEN] = ActionEntry(REDUCE, 290);
   _actionMap[566][ORDER] = ActionEntry(REDUCE, 290);
   _actionMap[566][GROUP] = ActionEntry(REDUCE, 290);
   _actionMap[566][WHERE] = ActionEntry(REDUCE, 290);
   _actionMap[566][FROM] = ActionEntry(REDUCE, 290);
   _actionMap[566][AS] = ActionEntry(REDUCE, 290);
   _actionMap[566][END_TOKEN] = ActionEntry(REDUCE, 290);
   _actionMap[566][BEGIN] = ActionEntry(REDUCE, 290);
   _actionMap[566][THEN] = ActionEntry(REDUCE, 290);
   _actionMap[566][OR] = ActionEntry(REDUCE, 290);
   _actionMap[566][AND] = ActionEntry(REDUCE, 290);
   _actionMap[566][INTOK] = ActionEntry(REDUCE, 290);
   _actionMap[566][NOT] = ActionEntry(REDUCE, 290);
   _actionMap[566][BETWEEN] = ActionEntry(REDUCE, 290);
   _actionMap[566][IS] = ActionEntry(REDUCE, 290);
   _actionMap[566][LIKE] = ActionEntry(REDUCE, 290);
   _actionMap[566][MT] = ActionEntry(REDUCE, 290);
   _actionMap[566][LT] = ActionEntry(REDUCE, 290);
   _actionMap[566][NEGATION] = ActionEntry(REDUCE, 290);
   _actionMap[566][EQU] = ActionEntry(REDUCE, 290);
   _actionMap[566][RB] = ActionEntry(REDUCE, 290);
}
void Cego::loadParser108()
{
   _actionMap[566][ENDTOKEN] = ActionEntry(REDUCE, 290);
   _actionMap[566][UNION] = ActionEntry(REDUCE, 290);
   _actionMap[566][ROWLIMIT] = ActionEntry(REDUCE, 290);
   _actionMap[566][KSEP] = ActionEntry(REDUCE, 290);
   _actionMap[566][ASC] = ActionEntry(REDUCE, 290);
   _actionMap[566][DESC] = ActionEntry(REDUCE, 290);
   _actionMap[566][SEMICOLON] = ActionEntry(REDUCE, 290);
   _actionMap[566][PLUS] = ActionEntry(REDUCE, 290);
   _actionMap[566][MINUS] = ActionEntry(REDUCE, 290);
   _actionMap[566][DIVISION] = ActionEntry(REDUCE, 290);
   _actionMap[566][STAR] = ActionEntry(REDUCE, 290);
   _actionMap[566][CONCAT] = ActionEntry(REDUCE, 290);
   _actionMap[567][WHEN] = ActionEntry(REDUCE, 287);
   _actionMap[567][ELSE] = ActionEntry(REDUCE, 287);
   _actionMap[567][LEFT] = ActionEntry(REDUCE, 287);
   _actionMap[567][RIGHT] = ActionEntry(REDUCE, 287);
   _actionMap[567][INNER] = ActionEntry(REDUCE, 287);
   _actionMap[567][JOIN] = ActionEntry(REDUCE, 287);
   _actionMap[567][RETURNTOKEN] = ActionEntry(REDUCE, 287);
   _actionMap[567][ORDER] = ActionEntry(REDUCE, 287);
   _actionMap[567][GROUP] = ActionEntry(REDUCE, 287);
   _actionMap[567][WHERE] = ActionEntry(REDUCE, 287);
   _actionMap[567][FROM] = ActionEntry(REDUCE, 287);
   _actionMap[567][AS] = ActionEntry(REDUCE, 287);
   _actionMap[567][END_TOKEN] = ActionEntry(REDUCE, 287);
   _actionMap[567][BEGIN] = ActionEntry(REDUCE, 287);
   _actionMap[567][THEN] = ActionEntry(REDUCE, 287);
   _actionMap[567][OR] = ActionEntry(REDUCE, 287);
   _actionMap[567][AND] = ActionEntry(REDUCE, 287);
   _actionMap[567][INTOK] = ActionEntry(REDUCE, 287);
   _actionMap[567][NOT] = ActionEntry(REDUCE, 287);
   _actionMap[567][BETWEEN] = ActionEntry(REDUCE, 287);
   _actionMap[567][IS] = ActionEntry(REDUCE, 287);
   _actionMap[567][LIKE] = ActionEntry(REDUCE, 287);
   _actionMap[567][MT] = ActionEntry(REDUCE, 287);
   _actionMap[567][LT] = ActionEntry(REDUCE, 287);
   _actionMap[567][NEGATION] = ActionEntry(REDUCE, 287);
   _actionMap[567][EQU] = ActionEntry(REDUCE, 287);
   _actionMap[567][RB] = ActionEntry(REDUCE, 287);
   _actionMap[567][ENDTOKEN] = ActionEntry(REDUCE, 287);
   _actionMap[567][UNION] = ActionEntry(REDUCE, 287);
   _actionMap[567][ROWLIMIT] = ActionEntry(REDUCE, 287);
   _actionMap[567][KSEP] = ActionEntry(REDUCE, 287);
   _actionMap[567][ASC] = ActionEntry(REDUCE, 287);
   _actionMap[567][DESC] = ActionEntry(REDUCE, 287);
   _actionMap[567][SEMICOLON] = ActionEntry(REDUCE, 287);
   _actionMap[567][PLUS] = ActionEntry(REDUCE, 287);
   _actionMap[567][MINUS] = ActionEntry(REDUCE, 287);
   _actionMap[567][DIVISION] = ActionEntry(REDUCE, 287);
   _actionMap[567][STAR] = ActionEntry(REDUCE, 287);
}
void Cego::loadParser109()
{
   _actionMap[567][CONCAT] = ActionEntry(REDUCE, 287);
   _actionMap[568][WHEN] = ActionEntry(REDUCE, 280);
   _actionMap[568][ELSE] = ActionEntry(REDUCE, 280);
   _actionMap[568][LEFT] = ActionEntry(REDUCE, 280);
   _actionMap[568][RIGHT] = ActionEntry(REDUCE, 280);
   _actionMap[568][INNER] = ActionEntry(REDUCE, 280);
   _actionMap[568][JOIN] = ActionEntry(REDUCE, 280);
   _actionMap[568][RETURNTOKEN] = ActionEntry(REDUCE, 280);
   _actionMap[568][ORDER] = ActionEntry(REDUCE, 280);
   _actionMap[568][GROUP] = ActionEntry(REDUCE, 280);
   _actionMap[568][WHERE] = ActionEntry(REDUCE, 280);
   _actionMap[568][FROM] = ActionEntry(REDUCE, 280);
   _actionMap[568][AS] = ActionEntry(REDUCE, 280);
   _actionMap[568][END_TOKEN] = ActionEntry(REDUCE, 280);
   _actionMap[568][BEGIN] = ActionEntry(REDUCE, 280);
   _actionMap[568][THEN] = ActionEntry(REDUCE, 280);
   _actionMap[568][OR] = ActionEntry(REDUCE, 280);
   _actionMap[568][AND] = ActionEntry(REDUCE, 280);
   _actionMap[568][INTOK] = ActionEntry(REDUCE, 280);
   _actionMap[568][NOT] = ActionEntry(REDUCE, 280);
   _actionMap[568][BETWEEN] = ActionEntry(REDUCE, 280);
   _actionMap[568][IS] = ActionEntry(REDUCE, 280);
   _actionMap[568][LIKE] = ActionEntry(REDUCE, 280);
   _actionMap[568][MT] = ActionEntry(REDUCE, 280);
   _actionMap[568][LT] = ActionEntry(REDUCE, 280);
   _actionMap[568][NEGATION] = ActionEntry(REDUCE, 280);
   _actionMap[568][EQU] = ActionEntry(REDUCE, 280);
   _actionMap[568][RB] = ActionEntry(REDUCE, 280);
   _actionMap[568][ENDTOKEN] = ActionEntry(REDUCE, 280);
   _actionMap[568][UNION] = ActionEntry(REDUCE, 280);
   _actionMap[568][ROWLIMIT] = ActionEntry(REDUCE, 280);
   _actionMap[568][KSEP] = ActionEntry(REDUCE, 280);
   _actionMap[568][ASC] = ActionEntry(REDUCE, 280);
   _actionMap[568][DESC] = ActionEntry(REDUCE, 280);
   _actionMap[568][SEMICOLON] = ActionEntry(REDUCE, 280);
   _actionMap[568][PLUS] = ActionEntry(REDUCE, 280);
   _actionMap[568][MINUS] = ActionEntry(REDUCE, 280);
   _actionMap[568][DIVISION] = ActionEntry(REDUCE, 280);
   _actionMap[568][STAR] = ActionEntry(REDUCE, 280);
   _actionMap[568][CONCAT] = ActionEntry(REDUCE, 280);
   _actionMap[569][WHEN] = ActionEntry(REDUCE, 278);
   _actionMap[569][ELSE] = ActionEntry(REDUCE, 278);
   _actionMap[569][LEFT] = ActionEntry(REDUCE, 278);
   _actionMap[569][RIGHT] = ActionEntry(REDUCE, 278);
   _actionMap[569][INNER] = ActionEntry(REDUCE, 278);
   _actionMap[569][JOIN] = ActionEntry(REDUCE, 278);
   _actionMap[569][RETURNTOKEN] = ActionEntry(REDUCE, 278);
   _actionMap[569][ORDER] = ActionEntry(REDUCE, 278);
   _actionMap[569][GROUP] = ActionEntry(REDUCE, 278);
   _actionMap[569][WHERE] = ActionEntry(REDUCE, 278);
}
void Cego::loadParser110()
{
   _actionMap[569][FROM] = ActionEntry(REDUCE, 278);
   _actionMap[569][AS] = ActionEntry(REDUCE, 278);
   _actionMap[569][END_TOKEN] = ActionEntry(REDUCE, 278);
   _actionMap[569][BEGIN] = ActionEntry(REDUCE, 278);
   _actionMap[569][THEN] = ActionEntry(REDUCE, 278);
   _actionMap[569][OR] = ActionEntry(REDUCE, 278);
   _actionMap[569][AND] = ActionEntry(REDUCE, 278);
   _actionMap[569][INTOK] = ActionEntry(REDUCE, 278);
   _actionMap[569][NOT] = ActionEntry(REDUCE, 278);
   _actionMap[569][BETWEEN] = ActionEntry(REDUCE, 278);
   _actionMap[569][IS] = ActionEntry(REDUCE, 278);
   _actionMap[569][LIKE] = ActionEntry(REDUCE, 278);
   _actionMap[569][MT] = ActionEntry(REDUCE, 278);
   _actionMap[569][LT] = ActionEntry(REDUCE, 278);
   _actionMap[569][NEGATION] = ActionEntry(REDUCE, 278);
   _actionMap[569][EQU] = ActionEntry(REDUCE, 278);
   _actionMap[569][RB] = ActionEntry(REDUCE, 278);
   _actionMap[569][ENDTOKEN] = ActionEntry(REDUCE, 278);
   _actionMap[569][UNION] = ActionEntry(REDUCE, 278);
   _actionMap[569][ROWLIMIT] = ActionEntry(REDUCE, 278);
   _actionMap[569][KSEP] = ActionEntry(REDUCE, 278);
   _actionMap[569][ASC] = ActionEntry(REDUCE, 278);
   _actionMap[569][DESC] = ActionEntry(REDUCE, 278);
   _actionMap[569][SEMICOLON] = ActionEntry(REDUCE, 278);
   _actionMap[569][PLUS] = ActionEntry(REDUCE, 278);
   _actionMap[569][MINUS] = ActionEntry(REDUCE, 278);
   _actionMap[569][DIVISION] = ActionEntry(REDUCE, 278);
   _actionMap[569][STAR] = ActionEntry(REDUCE, 278);
   _actionMap[569][CONCAT] = ActionEntry(REDUCE, 278);
   _actionMap[570][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[570][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[570][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[570][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[570][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[570][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[570][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[570][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[570][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[570][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[570][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[570][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[570][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[570][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[570][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[570][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[570][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[570][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[570][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[570][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[570][STR2LONG] = ActionEntry(SHIFT, 144);
}
void Cego::loadParser111()
{
   _actionMap[570][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[570][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[570][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[570][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[570][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[570][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[570][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[570][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[570][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[570][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[570][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[570][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[570][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[570][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[570][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[570][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[570][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[570][LB] = ActionEntry(SHIFT, 150);
   _actionMap[570][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[570][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[570][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[570][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[570][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[570][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[570][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[570][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[570][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[570][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[570][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[570][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[570][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[570][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[570][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[570][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[570][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[570][ObjSpec] = 102;
   _jumpMap[570][Constant] = 101;
   _jumpMap[570][SignedFloat] = 100;
   _jumpMap[570][SignedInt] = 99;
   _jumpMap[570][Attribute] = 98;
   _jumpMap[570][Function] = 97;
   _jumpMap[570][CasePrepare] = 96;
   _jumpMap[570][CaseClause] = 95;
   _jumpMap[570][Factor] = 94;
   _jumpMap[570][Term] = 93;
   _jumpMap[570][Expr] = 698;
   _actionMap[571][WHEN] = ActionEntry(REDUCE, 289);
   _actionMap[571][ELSE] = ActionEntry(REDUCE, 289);
   _actionMap[571][LEFT] = ActionEntry(REDUCE, 289);
   _actionMap[571][RIGHT] = ActionEntry(REDUCE, 289);
}
void Cego::loadParser112()
{
   _actionMap[571][INNER] = ActionEntry(REDUCE, 289);
   _actionMap[571][JOIN] = ActionEntry(REDUCE, 289);
   _actionMap[571][RETURNTOKEN] = ActionEntry(REDUCE, 289);
   _actionMap[571][ORDER] = ActionEntry(REDUCE, 289);
   _actionMap[571][GROUP] = ActionEntry(REDUCE, 289);
   _actionMap[571][WHERE] = ActionEntry(REDUCE, 289);
   _actionMap[571][FROM] = ActionEntry(REDUCE, 289);
   _actionMap[571][AS] = ActionEntry(REDUCE, 289);
   _actionMap[571][END_TOKEN] = ActionEntry(REDUCE, 289);
   _actionMap[571][BEGIN] = ActionEntry(REDUCE, 289);
   _actionMap[571][THEN] = ActionEntry(REDUCE, 289);
   _actionMap[571][OR] = ActionEntry(REDUCE, 289);
   _actionMap[571][AND] = ActionEntry(REDUCE, 289);
   _actionMap[571][INTOK] = ActionEntry(REDUCE, 289);
   _actionMap[571][NOT] = ActionEntry(REDUCE, 289);
   _actionMap[571][BETWEEN] = ActionEntry(REDUCE, 289);
   _actionMap[571][IS] = ActionEntry(REDUCE, 289);
   _actionMap[571][LIKE] = ActionEntry(REDUCE, 289);
   _actionMap[571][MT] = ActionEntry(REDUCE, 289);
   _actionMap[571][LT] = ActionEntry(REDUCE, 289);
   _actionMap[571][NEGATION] = ActionEntry(REDUCE, 289);
   _actionMap[571][EQU] = ActionEntry(REDUCE, 289);
   _actionMap[571][RB] = ActionEntry(REDUCE, 289);
   _actionMap[571][ENDTOKEN] = ActionEntry(REDUCE, 289);
   _actionMap[571][UNION] = ActionEntry(REDUCE, 289);
   _actionMap[571][ROWLIMIT] = ActionEntry(REDUCE, 289);
   _actionMap[571][KSEP] = ActionEntry(REDUCE, 289);
   _actionMap[571][ASC] = ActionEntry(REDUCE, 289);
   _actionMap[571][DESC] = ActionEntry(REDUCE, 289);
   _actionMap[571][SEMICOLON] = ActionEntry(REDUCE, 289);
   _actionMap[571][PLUS] = ActionEntry(REDUCE, 289);
   _actionMap[571][MINUS] = ActionEntry(REDUCE, 289);
   _actionMap[571][DIVISION] = ActionEntry(REDUCE, 289);
   _actionMap[571][STAR] = ActionEntry(REDUCE, 289);
   _actionMap[571][CONCAT] = ActionEntry(REDUCE, 289);
   _actionMap[572][WHEN] = ActionEntry(REDUCE, 158);
   _actionMap[572][ELSE] = ActionEntry(REDUCE, 158);
   _actionMap[572][LEFT] = ActionEntry(REDUCE, 158);
   _actionMap[572][RIGHT] = ActionEntry(REDUCE, 158);
   _actionMap[572][INNER] = ActionEntry(REDUCE, 158);
   _actionMap[572][JOIN] = ActionEntry(REDUCE, 158);
   _actionMap[572][RETURNTOKEN] = ActionEntry(REDUCE, 158);
   _actionMap[572][ORDER] = ActionEntry(REDUCE, 158);
   _actionMap[572][GROUP] = ActionEntry(REDUCE, 158);
   _actionMap[572][WHERE] = ActionEntry(REDUCE, 158);
   _actionMap[572][AS] = ActionEntry(REDUCE, 158);
   _actionMap[572][FROM] = ActionEntry(REDUCE, 158);
   _actionMap[572][END_TOKEN] = ActionEntry(REDUCE, 158);
   _actionMap[572][BEGIN] = ActionEntry(REDUCE, 158);
   _actionMap[572][THEN] = ActionEntry(REDUCE, 158);
}
void Cego::loadParser113()
{
   _actionMap[572][OR] = ActionEntry(REDUCE, 158);
   _actionMap[572][AND] = ActionEntry(REDUCE, 158);
   _actionMap[572][LIKE] = ActionEntry(REDUCE, 158);
   _actionMap[572][IS] = ActionEntry(REDUCE, 158);
   _actionMap[572][BETWEEN] = ActionEntry(REDUCE, 158);
   _actionMap[572][NOT] = ActionEntry(REDUCE, 158);
   _actionMap[572][INTOK] = ActionEntry(REDUCE, 158);
   _actionMap[572][EQU] = ActionEntry(REDUCE, 158);
   _actionMap[572][NEGATION] = ActionEntry(REDUCE, 158);
   _actionMap[572][LT] = ActionEntry(REDUCE, 158);
   _actionMap[572][MT] = ActionEntry(REDUCE, 158);
   _actionMap[572][DESC] = ActionEntry(REDUCE, 158);
   _actionMap[572][ASC] = ActionEntry(REDUCE, 158);
   _actionMap[572][KSEP] = ActionEntry(REDUCE, 158);
   _actionMap[572][ROWLIMIT] = ActionEntry(REDUCE, 158);
   _actionMap[572][UNION] = ActionEntry(REDUCE, 158);
   _actionMap[572][ENDTOKEN] = ActionEntry(REDUCE, 158);
   _actionMap[572][RB] = ActionEntry(REDUCE, 158);
   _actionMap[572][SEMICOLON] = ActionEntry(REDUCE, 158);
   _actionMap[572][CONCAT] = ActionEntry(REDUCE, 158);
   _actionMap[572][STAR] = ActionEntry(REDUCE, 158);
   _actionMap[572][DIVISION] = ActionEntry(REDUCE, 158);
   _actionMap[572][MINUS] = ActionEntry(REDUCE, 158);
   _actionMap[572][PLUS] = ActionEntry(REDUCE, 158);
   _actionMap[573][WHEN] = ActionEntry(REDUCE, 293);
   _actionMap[573][ELSE] = ActionEntry(REDUCE, 293);
   _actionMap[573][LEFT] = ActionEntry(REDUCE, 293);
   _actionMap[573][RIGHT] = ActionEntry(REDUCE, 293);
   _actionMap[573][INNER] = ActionEntry(REDUCE, 293);
   _actionMap[573][JOIN] = ActionEntry(REDUCE, 293);
   _actionMap[573][RETURNTOKEN] = ActionEntry(REDUCE, 293);
   _actionMap[573][ORDER] = ActionEntry(REDUCE, 293);
   _actionMap[573][GROUP] = ActionEntry(REDUCE, 293);
   _actionMap[573][WHERE] = ActionEntry(REDUCE, 293);
   _actionMap[573][FROM] = ActionEntry(REDUCE, 293);
   _actionMap[573][AS] = ActionEntry(REDUCE, 293);
   _actionMap[573][END_TOKEN] = ActionEntry(REDUCE, 293);
   _actionMap[573][BEGIN] = ActionEntry(REDUCE, 293);
   _actionMap[573][THEN] = ActionEntry(REDUCE, 293);
   _actionMap[573][OR] = ActionEntry(REDUCE, 293);
   _actionMap[573][AND] = ActionEntry(REDUCE, 293);
   _actionMap[573][INTOK] = ActionEntry(REDUCE, 293);
   _actionMap[573][NOT] = ActionEntry(REDUCE, 293);
   _actionMap[573][BETWEEN] = ActionEntry(REDUCE, 293);
   _actionMap[573][IS] = ActionEntry(REDUCE, 293);
   _actionMap[573][LIKE] = ActionEntry(REDUCE, 293);
   _actionMap[573][MT] = ActionEntry(REDUCE, 293);
   _actionMap[573][LT] = ActionEntry(REDUCE, 293);
   _actionMap[573][NEGATION] = ActionEntry(REDUCE, 293);
   _actionMap[573][EQU] = ActionEntry(REDUCE, 293);
}
void Cego::loadParser114()
{
   _actionMap[573][RB] = ActionEntry(REDUCE, 293);
   _actionMap[573][ENDTOKEN] = ActionEntry(REDUCE, 293);
   _actionMap[573][UNION] = ActionEntry(REDUCE, 293);
   _actionMap[573][ROWLIMIT] = ActionEntry(REDUCE, 293);
   _actionMap[573][KSEP] = ActionEntry(REDUCE, 293);
   _actionMap[573][ASC] = ActionEntry(REDUCE, 293);
   _actionMap[573][DESC] = ActionEntry(REDUCE, 293);
   _actionMap[573][SEMICOLON] = ActionEntry(REDUCE, 293);
   _actionMap[573][PLUS] = ActionEntry(REDUCE, 293);
   _actionMap[573][MINUS] = ActionEntry(REDUCE, 293);
   _actionMap[573][DIVISION] = ActionEntry(REDUCE, 293);
   _actionMap[573][STAR] = ActionEntry(REDUCE, 293);
   _actionMap[573][CONCAT] = ActionEntry(REDUCE, 293);
   _actionMap[574][WHEN] = ActionEntry(REDUCE, 294);
   _actionMap[574][ELSE] = ActionEntry(REDUCE, 294);
   _actionMap[574][LEFT] = ActionEntry(REDUCE, 294);
   _actionMap[574][RIGHT] = ActionEntry(REDUCE, 294);
   _actionMap[574][INNER] = ActionEntry(REDUCE, 294);
   _actionMap[574][JOIN] = ActionEntry(REDUCE, 294);
   _actionMap[574][RETURNTOKEN] = ActionEntry(REDUCE, 294);
   _actionMap[574][ORDER] = ActionEntry(REDUCE, 294);
   _actionMap[574][GROUP] = ActionEntry(REDUCE, 294);
   _actionMap[574][WHERE] = ActionEntry(REDUCE, 294);
   _actionMap[574][FROM] = ActionEntry(REDUCE, 294);
   _actionMap[574][AS] = ActionEntry(REDUCE, 294);
   _actionMap[574][END_TOKEN] = ActionEntry(REDUCE, 294);
   _actionMap[574][BEGIN] = ActionEntry(REDUCE, 294);
   _actionMap[574][THEN] = ActionEntry(REDUCE, 294);
   _actionMap[574][OR] = ActionEntry(REDUCE, 294);
   _actionMap[574][AND] = ActionEntry(REDUCE, 294);
   _actionMap[574][INTOK] = ActionEntry(REDUCE, 294);
   _actionMap[574][NOT] = ActionEntry(REDUCE, 294);
   _actionMap[574][BETWEEN] = ActionEntry(REDUCE, 294);
   _actionMap[574][IS] = ActionEntry(REDUCE, 294);
   _actionMap[574][LIKE] = ActionEntry(REDUCE, 294);
   _actionMap[574][MT] = ActionEntry(REDUCE, 294);
   _actionMap[574][LT] = ActionEntry(REDUCE, 294);
   _actionMap[574][NEGATION] = ActionEntry(REDUCE, 294);
   _actionMap[574][EQU] = ActionEntry(REDUCE, 294);
   _actionMap[574][RB] = ActionEntry(REDUCE, 294);
   _actionMap[574][ENDTOKEN] = ActionEntry(REDUCE, 294);
   _actionMap[574][UNION] = ActionEntry(REDUCE, 294);
   _actionMap[574][ROWLIMIT] = ActionEntry(REDUCE, 294);
   _actionMap[574][KSEP] = ActionEntry(REDUCE, 294);
   _actionMap[574][ASC] = ActionEntry(REDUCE, 294);
   _actionMap[574][DESC] = ActionEntry(REDUCE, 294);
   _actionMap[574][SEMICOLON] = ActionEntry(REDUCE, 294);
   _actionMap[574][PLUS] = ActionEntry(REDUCE, 294);
   _actionMap[574][MINUS] = ActionEntry(REDUCE, 294);
   _actionMap[574][DIVISION] = ActionEntry(REDUCE, 294);
}
void Cego::loadParser115()
{
   _actionMap[574][STAR] = ActionEntry(REDUCE, 294);
   _actionMap[574][CONCAT] = ActionEntry(REDUCE, 294);
   _actionMap[575][WHEN] = ActionEntry(REDUCE, 295);
   _actionMap[575][ELSE] = ActionEntry(REDUCE, 295);
   _actionMap[575][LEFT] = ActionEntry(REDUCE, 295);
   _actionMap[575][RIGHT] = ActionEntry(REDUCE, 295);
   _actionMap[575][INNER] = ActionEntry(REDUCE, 295);
   _actionMap[575][JOIN] = ActionEntry(REDUCE, 295);
   _actionMap[575][RETURNTOKEN] = ActionEntry(REDUCE, 295);
   _actionMap[575][ORDER] = ActionEntry(REDUCE, 295);
   _actionMap[575][GROUP] = ActionEntry(REDUCE, 295);
   _actionMap[575][WHERE] = ActionEntry(REDUCE, 295);
   _actionMap[575][FROM] = ActionEntry(REDUCE, 295);
   _actionMap[575][AS] = ActionEntry(REDUCE, 295);
   _actionMap[575][END_TOKEN] = ActionEntry(REDUCE, 295);
   _actionMap[575][BEGIN] = ActionEntry(REDUCE, 295);
   _actionMap[575][THEN] = ActionEntry(REDUCE, 295);
   _actionMap[575][OR] = ActionEntry(REDUCE, 295);
   _actionMap[575][AND] = ActionEntry(REDUCE, 295);
   _actionMap[575][INTOK] = ActionEntry(REDUCE, 295);
   _actionMap[575][NOT] = ActionEntry(REDUCE, 295);
   _actionMap[575][BETWEEN] = ActionEntry(REDUCE, 295);
   _actionMap[575][IS] = ActionEntry(REDUCE, 295);
   _actionMap[575][LIKE] = ActionEntry(REDUCE, 295);
   _actionMap[575][MT] = ActionEntry(REDUCE, 295);
   _actionMap[575][LT] = ActionEntry(REDUCE, 295);
   _actionMap[575][NEGATION] = ActionEntry(REDUCE, 295);
   _actionMap[575][EQU] = ActionEntry(REDUCE, 295);
   _actionMap[575][RB] = ActionEntry(REDUCE, 295);
   _actionMap[575][ENDTOKEN] = ActionEntry(REDUCE, 295);
   _actionMap[575][UNION] = ActionEntry(REDUCE, 295);
   _actionMap[575][ROWLIMIT] = ActionEntry(REDUCE, 295);
   _actionMap[575][KSEP] = ActionEntry(REDUCE, 295);
   _actionMap[575][ASC] = ActionEntry(REDUCE, 295);
   _actionMap[575][DESC] = ActionEntry(REDUCE, 295);
   _actionMap[575][SEMICOLON] = ActionEntry(REDUCE, 295);
   _actionMap[575][PLUS] = ActionEntry(REDUCE, 295);
   _actionMap[575][MINUS] = ActionEntry(REDUCE, 295);
   _actionMap[575][DIVISION] = ActionEntry(REDUCE, 295);
   _actionMap[575][STAR] = ActionEntry(REDUCE, 295);
   _actionMap[575][CONCAT] = ActionEntry(REDUCE, 295);
   _actionMap[576][WHEN] = ActionEntry(REDUCE, 277);
   _actionMap[576][ELSE] = ActionEntry(REDUCE, 277);
   _actionMap[576][LEFT] = ActionEntry(REDUCE, 277);
   _actionMap[576][RIGHT] = ActionEntry(REDUCE, 277);
   _actionMap[576][INNER] = ActionEntry(REDUCE, 277);
   _actionMap[576][JOIN] = ActionEntry(REDUCE, 277);
   _actionMap[576][RETURNTOKEN] = ActionEntry(REDUCE, 277);
   _actionMap[576][ORDER] = ActionEntry(REDUCE, 277);
   _actionMap[576][GROUP] = ActionEntry(REDUCE, 277);
}
void Cego::loadParser116()
{
   _actionMap[576][WHERE] = ActionEntry(REDUCE, 277);
   _actionMap[576][FROM] = ActionEntry(REDUCE, 277);
   _actionMap[576][AS] = ActionEntry(REDUCE, 277);
   _actionMap[576][END_TOKEN] = ActionEntry(REDUCE, 277);
   _actionMap[576][BEGIN] = ActionEntry(REDUCE, 277);
   _actionMap[576][THEN] = ActionEntry(REDUCE, 277);
   _actionMap[576][OR] = ActionEntry(REDUCE, 277);
   _actionMap[576][AND] = ActionEntry(REDUCE, 277);
   _actionMap[576][INTOK] = ActionEntry(REDUCE, 277);
   _actionMap[576][NOT] = ActionEntry(REDUCE, 277);
   _actionMap[576][BETWEEN] = ActionEntry(REDUCE, 277);
   _actionMap[576][IS] = ActionEntry(REDUCE, 277);
   _actionMap[576][LIKE] = ActionEntry(REDUCE, 277);
   _actionMap[576][MT] = ActionEntry(REDUCE, 277);
   _actionMap[576][LT] = ActionEntry(REDUCE, 277);
   _actionMap[576][NEGATION] = ActionEntry(REDUCE, 277);
   _actionMap[576][EQU] = ActionEntry(REDUCE, 277);
   _actionMap[576][RB] = ActionEntry(REDUCE, 277);
   _actionMap[576][ENDTOKEN] = ActionEntry(REDUCE, 277);
   _actionMap[576][UNION] = ActionEntry(REDUCE, 277);
   _actionMap[576][ROWLIMIT] = ActionEntry(REDUCE, 277);
   _actionMap[576][KSEP] = ActionEntry(REDUCE, 277);
   _actionMap[576][ASC] = ActionEntry(REDUCE, 277);
   _actionMap[576][DESC] = ActionEntry(REDUCE, 277);
   _actionMap[576][SEMICOLON] = ActionEntry(REDUCE, 277);
   _actionMap[576][PLUS] = ActionEntry(REDUCE, 277);
   _actionMap[576][MINUS] = ActionEntry(REDUCE, 277);
   _actionMap[576][DIVISION] = ActionEntry(REDUCE, 277);
   _actionMap[576][STAR] = ActionEntry(REDUCE, 277);
   _actionMap[576][CONCAT] = ActionEntry(REDUCE, 277);
   _actionMap[577][WHEN] = ActionEntry(REDUCE, 292);
   _actionMap[577][ELSE] = ActionEntry(REDUCE, 292);
   _actionMap[577][LEFT] = ActionEntry(REDUCE, 292);
   _actionMap[577][RIGHT] = ActionEntry(REDUCE, 292);
   _actionMap[577][INNER] = ActionEntry(REDUCE, 292);
   _actionMap[577][JOIN] = ActionEntry(REDUCE, 292);
   _actionMap[577][RETURNTOKEN] = ActionEntry(REDUCE, 292);
   _actionMap[577][ORDER] = ActionEntry(REDUCE, 292);
   _actionMap[577][GROUP] = ActionEntry(REDUCE, 292);
   _actionMap[577][WHERE] = ActionEntry(REDUCE, 292);
   _actionMap[577][FROM] = ActionEntry(REDUCE, 292);
   _actionMap[577][AS] = ActionEntry(REDUCE, 292);
   _actionMap[577][END_TOKEN] = ActionEntry(REDUCE, 292);
   _actionMap[577][BEGIN] = ActionEntry(REDUCE, 292);
   _actionMap[577][THEN] = ActionEntry(REDUCE, 292);
   _actionMap[577][OR] = ActionEntry(REDUCE, 292);
   _actionMap[577][AND] = ActionEntry(REDUCE, 292);
   _actionMap[577][INTOK] = ActionEntry(REDUCE, 292);
   _actionMap[577][NOT] = ActionEntry(REDUCE, 292);
   _actionMap[577][BETWEEN] = ActionEntry(REDUCE, 292);
}
void Cego::loadParser117()
{
   _actionMap[577][IS] = ActionEntry(REDUCE, 292);
   _actionMap[577][LIKE] = ActionEntry(REDUCE, 292);
   _actionMap[577][MT] = ActionEntry(REDUCE, 292);
   _actionMap[577][LT] = ActionEntry(REDUCE, 292);
   _actionMap[577][NEGATION] = ActionEntry(REDUCE, 292);
   _actionMap[577][EQU] = ActionEntry(REDUCE, 292);
   _actionMap[577][RB] = ActionEntry(REDUCE, 292);
   _actionMap[577][ENDTOKEN] = ActionEntry(REDUCE, 292);
   _actionMap[577][UNION] = ActionEntry(REDUCE, 292);
   _actionMap[577][ROWLIMIT] = ActionEntry(REDUCE, 292);
   _actionMap[577][KSEP] = ActionEntry(REDUCE, 292);
   _actionMap[577][ASC] = ActionEntry(REDUCE, 292);
   _actionMap[577][DESC] = ActionEntry(REDUCE, 292);
   _actionMap[577][SEMICOLON] = ActionEntry(REDUCE, 292);
   _actionMap[577][PLUS] = ActionEntry(REDUCE, 292);
   _actionMap[577][MINUS] = ActionEntry(REDUCE, 292);
   _actionMap[577][DIVISION] = ActionEntry(REDUCE, 292);
   _actionMap[577][STAR] = ActionEntry(REDUCE, 292);
   _actionMap[577][CONCAT] = ActionEntry(REDUCE, 292);
   _actionMap[578][WHEN] = ActionEntry(REDUCE, 285);
   _actionMap[578][ELSE] = ActionEntry(REDUCE, 285);
   _actionMap[578][LEFT] = ActionEntry(REDUCE, 285);
   _actionMap[578][RIGHT] = ActionEntry(REDUCE, 285);
   _actionMap[578][INNER] = ActionEntry(REDUCE, 285);
   _actionMap[578][JOIN] = ActionEntry(REDUCE, 285);
   _actionMap[578][RETURNTOKEN] = ActionEntry(REDUCE, 285);
   _actionMap[578][ORDER] = ActionEntry(REDUCE, 285);
   _actionMap[578][GROUP] = ActionEntry(REDUCE, 285);
   _actionMap[578][WHERE] = ActionEntry(REDUCE, 285);
   _actionMap[578][FROM] = ActionEntry(REDUCE, 285);
   _actionMap[578][AS] = ActionEntry(REDUCE, 285);
   _actionMap[578][END_TOKEN] = ActionEntry(REDUCE, 285);
   _actionMap[578][BEGIN] = ActionEntry(REDUCE, 285);
   _actionMap[578][THEN] = ActionEntry(REDUCE, 285);
   _actionMap[578][OR] = ActionEntry(REDUCE, 285);
   _actionMap[578][AND] = ActionEntry(REDUCE, 285);
   _actionMap[578][INTOK] = ActionEntry(REDUCE, 285);
   _actionMap[578][NOT] = ActionEntry(REDUCE, 285);
   _actionMap[578][BETWEEN] = ActionEntry(REDUCE, 285);
   _actionMap[578][IS] = ActionEntry(REDUCE, 285);
   _actionMap[578][LIKE] = ActionEntry(REDUCE, 285);
   _actionMap[578][MT] = ActionEntry(REDUCE, 285);
   _actionMap[578][LT] = ActionEntry(REDUCE, 285);
   _actionMap[578][NEGATION] = ActionEntry(REDUCE, 285);
   _actionMap[578][EQU] = ActionEntry(REDUCE, 285);
   _actionMap[578][RB] = ActionEntry(REDUCE, 285);
   _actionMap[578][ENDTOKEN] = ActionEntry(REDUCE, 285);
   _actionMap[578][UNION] = ActionEntry(REDUCE, 285);
   _actionMap[578][ROWLIMIT] = ActionEntry(REDUCE, 285);
   _actionMap[578][KSEP] = ActionEntry(REDUCE, 285);
}
void Cego::loadParser118()
{
   _actionMap[578][ASC] = ActionEntry(REDUCE, 285);
   _actionMap[578][DESC] = ActionEntry(REDUCE, 285);
   _actionMap[578][SEMICOLON] = ActionEntry(REDUCE, 285);
   _actionMap[578][PLUS] = ActionEntry(REDUCE, 285);
   _actionMap[578][MINUS] = ActionEntry(REDUCE, 285);
   _actionMap[578][DIVISION] = ActionEntry(REDUCE, 285);
   _actionMap[578][STAR] = ActionEntry(REDUCE, 285);
   _actionMap[578][CONCAT] = ActionEntry(REDUCE, 285);
   _actionMap[579][WHEN] = ActionEntry(REDUCE, 359);
   _actionMap[579][ELSE] = ActionEntry(REDUCE, 359);
   _actionMap[579][LEFT] = ActionEntry(REDUCE, 359);
   _actionMap[579][RIGHT] = ActionEntry(REDUCE, 359);
   _actionMap[579][INNER] = ActionEntry(REDUCE, 359);
   _actionMap[579][JOIN] = ActionEntry(REDUCE, 359);
   _actionMap[579][RETURNTOKEN] = ActionEntry(REDUCE, 359);
   _actionMap[579][ORDER] = ActionEntry(REDUCE, 359);
   _actionMap[579][GROUP] = ActionEntry(REDUCE, 359);
   _actionMap[579][WHERE] = ActionEntry(REDUCE, 359);
   _actionMap[579][FROM] = ActionEntry(REDUCE, 359);
   _actionMap[579][AS] = ActionEntry(REDUCE, 359);
   _actionMap[579][END_TOKEN] = ActionEntry(REDUCE, 359);
   _actionMap[579][BEGIN] = ActionEntry(REDUCE, 359);
   _actionMap[579][THEN] = ActionEntry(REDUCE, 359);
   _actionMap[579][OR] = ActionEntry(REDUCE, 359);
   _actionMap[579][AND] = ActionEntry(REDUCE, 359);
   _actionMap[579][ENDTOKEN] = ActionEntry(REDUCE, 359);
   _actionMap[579][UNION] = ActionEntry(REDUCE, 359);
   _actionMap[579][ROWLIMIT] = ActionEntry(REDUCE, 359);
   _actionMap[579][ASC] = ActionEntry(REDUCE, 359);
   _actionMap[579][DESC] = ActionEntry(REDUCE, 359);
   _actionMap[579][INTOK] = ActionEntry(REDUCE, 359);
   _actionMap[579][BETWEEN] = ActionEntry(REDUCE, 359);
   _actionMap[579][LIKE] = ActionEntry(REDUCE, 359);
   _actionMap[579][PLUS] = ActionEntry(REDUCE, 359);
   _actionMap[579][MINUS] = ActionEntry(REDUCE, 359);
   _actionMap[579][CONCAT] = ActionEntry(REDUCE, 359);
   _actionMap[579][DIVISION] = ActionEntry(REDUCE, 359);
   _actionMap[579][STAR] = ActionEntry(REDUCE, 359);
   _actionMap[579][MT] = ActionEntry(REDUCE, 359);
   _actionMap[579][LT] = ActionEntry(REDUCE, 359);
   _actionMap[579][NEGATION] = ActionEntry(REDUCE, 359);
   _actionMap[579][EQU] = ActionEntry(REDUCE, 359);
   _actionMap[579][IS] = ActionEntry(REDUCE, 359);
   _actionMap[579][NULLTOKEN] = ActionEntry(REDUCE, 359);
   _actionMap[579][NOT] = ActionEntry(REDUCE, 359);
   _actionMap[579][KSEP] = ActionEntry(REDUCE, 359);
   _actionMap[579][SEMICOLON] = ActionEntry(REDUCE, 359);
   _actionMap[579][RB] = ActionEntry(REDUCE, 359);
   _actionMap[580][INTVAL] = ActionEntry(SHIFT, 291);
   _actionMap[581][WHEN] = ActionEntry(REDUCE, 365);
}
void Cego::loadParser119()
{
   _actionMap[581][ELSE] = ActionEntry(REDUCE, 365);
   _actionMap[581][LEFT] = ActionEntry(REDUCE, 365);
   _actionMap[581][RIGHT] = ActionEntry(REDUCE, 365);
   _actionMap[581][INNER] = ActionEntry(REDUCE, 365);
   _actionMap[581][JOIN] = ActionEntry(REDUCE, 365);
   _actionMap[581][RETURNTOKEN] = ActionEntry(REDUCE, 365);
   _actionMap[581][ORDER] = ActionEntry(REDUCE, 365);
   _actionMap[581][GROUP] = ActionEntry(REDUCE, 365);
   _actionMap[581][WHERE] = ActionEntry(REDUCE, 365);
   _actionMap[581][FROM] = ActionEntry(REDUCE, 365);
   _actionMap[581][AS] = ActionEntry(REDUCE, 365);
   _actionMap[581][END_TOKEN] = ActionEntry(REDUCE, 365);
   _actionMap[581][BEGIN] = ActionEntry(REDUCE, 365);
   _actionMap[581][THEN] = ActionEntry(REDUCE, 365);
   _actionMap[581][OR] = ActionEntry(REDUCE, 365);
   _actionMap[581][AND] = ActionEntry(REDUCE, 365);
   _actionMap[581][ENDTOKEN] = ActionEntry(REDUCE, 365);
   _actionMap[581][UNION] = ActionEntry(REDUCE, 365);
   _actionMap[581][ROWLIMIT] = ActionEntry(REDUCE, 365);
   _actionMap[581][ASC] = ActionEntry(REDUCE, 365);
   _actionMap[581][DESC] = ActionEntry(REDUCE, 365);
   _actionMap[581][INTOK] = ActionEntry(REDUCE, 365);
   _actionMap[581][BETWEEN] = ActionEntry(REDUCE, 365);
   _actionMap[581][LIKE] = ActionEntry(REDUCE, 365);
   _actionMap[581][PLUS] = ActionEntry(REDUCE, 365);
   _actionMap[581][MINUS] = ActionEntry(REDUCE, 365);
   _actionMap[581][CONCAT] = ActionEntry(REDUCE, 365);
   _actionMap[581][DIVISION] = ActionEntry(REDUCE, 365);
   _actionMap[581][STAR] = ActionEntry(REDUCE, 365);
   _actionMap[581][MT] = ActionEntry(REDUCE, 365);
   _actionMap[581][LT] = ActionEntry(REDUCE, 365);
   _actionMap[581][NEGATION] = ActionEntry(REDUCE, 365);
   _actionMap[581][EQU] = ActionEntry(REDUCE, 365);
   _actionMap[581][IS] = ActionEntry(REDUCE, 365);
   _actionMap[581][NULLTOKEN] = ActionEntry(REDUCE, 365);
   _actionMap[581][NOT] = ActionEntry(REDUCE, 365);
   _actionMap[581][KSEP] = ActionEntry(REDUCE, 365);
   _actionMap[581][SEMICOLON] = ActionEntry(REDUCE, 365);
   _actionMap[581][RB] = ActionEntry(REDUCE, 365);
   _actionMap[582][FLOATVAL] = ActionEntry(SHIFT, 292);
   _actionMap[583][WHEN] = ActionEntry(REDUCE, 364);
   _actionMap[583][ELSE] = ActionEntry(REDUCE, 364);
   _actionMap[583][LEFT] = ActionEntry(REDUCE, 364);
   _actionMap[583][RIGHT] = ActionEntry(REDUCE, 364);
   _actionMap[583][INNER] = ActionEntry(REDUCE, 364);
   _actionMap[583][JOIN] = ActionEntry(REDUCE, 364);
   _actionMap[583][RETURNTOKEN] = ActionEntry(REDUCE, 364);
   _actionMap[583][ORDER] = ActionEntry(REDUCE, 364);
   _actionMap[583][GROUP] = ActionEntry(REDUCE, 364);
   _actionMap[583][WHERE] = ActionEntry(REDUCE, 364);
}
void Cego::loadParser120()
{
   _actionMap[583][FROM] = ActionEntry(REDUCE, 364);
   _actionMap[583][AS] = ActionEntry(REDUCE, 364);
   _actionMap[583][END_TOKEN] = ActionEntry(REDUCE, 364);
   _actionMap[583][BEGIN] = ActionEntry(REDUCE, 364);
   _actionMap[583][THEN] = ActionEntry(REDUCE, 364);
   _actionMap[583][OR] = ActionEntry(REDUCE, 364);
   _actionMap[583][AND] = ActionEntry(REDUCE, 364);
   _actionMap[583][ENDTOKEN] = ActionEntry(REDUCE, 364);
   _actionMap[583][UNION] = ActionEntry(REDUCE, 364);
   _actionMap[583][ROWLIMIT] = ActionEntry(REDUCE, 364);
   _actionMap[583][ASC] = ActionEntry(REDUCE, 364);
   _actionMap[583][DESC] = ActionEntry(REDUCE, 364);
   _actionMap[583][INTOK] = ActionEntry(REDUCE, 364);
   _actionMap[583][BETWEEN] = ActionEntry(REDUCE, 364);
   _actionMap[583][LIKE] = ActionEntry(REDUCE, 364);
   _actionMap[583][PLUS] = ActionEntry(REDUCE, 364);
   _actionMap[583][MINUS] = ActionEntry(REDUCE, 364);
   _actionMap[583][CONCAT] = ActionEntry(REDUCE, 364);
   _actionMap[583][DIVISION] = ActionEntry(REDUCE, 364);
   _actionMap[583][STAR] = ActionEntry(REDUCE, 364);
   _actionMap[583][MT] = ActionEntry(REDUCE, 364);
   _actionMap[583][LT] = ActionEntry(REDUCE, 364);
   _actionMap[583][NEGATION] = ActionEntry(REDUCE, 364);
   _actionMap[583][EQU] = ActionEntry(REDUCE, 364);
   _actionMap[583][IS] = ActionEntry(REDUCE, 364);
   _actionMap[583][NULLTOKEN] = ActionEntry(REDUCE, 364);
   _actionMap[583][NOT] = ActionEntry(REDUCE, 364);
   _actionMap[583][KSEP] = ActionEntry(REDUCE, 364);
   _actionMap[583][SEMICOLON] = ActionEntry(REDUCE, 364);
   _actionMap[583][RB] = ActionEntry(REDUCE, 364);
   _actionMap[584][WHEN] = ActionEntry(REDUCE, 366);
   _actionMap[584][ELSE] = ActionEntry(REDUCE, 366);
   _actionMap[584][LEFT] = ActionEntry(REDUCE, 366);
   _actionMap[584][RIGHT] = ActionEntry(REDUCE, 366);
   _actionMap[584][INNER] = ActionEntry(REDUCE, 366);
   _actionMap[584][JOIN] = ActionEntry(REDUCE, 366);
   _actionMap[584][RETURNTOKEN] = ActionEntry(REDUCE, 366);
   _actionMap[584][ORDER] = ActionEntry(REDUCE, 366);
   _actionMap[584][GROUP] = ActionEntry(REDUCE, 366);
   _actionMap[584][WHERE] = ActionEntry(REDUCE, 366);
   _actionMap[584][FROM] = ActionEntry(REDUCE, 366);
   _actionMap[584][AS] = ActionEntry(REDUCE, 366);
   _actionMap[584][END_TOKEN] = ActionEntry(REDUCE, 366);
   _actionMap[584][BEGIN] = ActionEntry(REDUCE, 366);
   _actionMap[584][THEN] = ActionEntry(REDUCE, 366);
   _actionMap[584][OR] = ActionEntry(REDUCE, 366);
   _actionMap[584][AND] = ActionEntry(REDUCE, 366);
   _actionMap[584][ENDTOKEN] = ActionEntry(REDUCE, 366);
   _actionMap[584][UNION] = ActionEntry(REDUCE, 366);
   _actionMap[584][ROWLIMIT] = ActionEntry(REDUCE, 366);
}
void Cego::loadParser121()
{
   _actionMap[584][ASC] = ActionEntry(REDUCE, 366);
   _actionMap[584][DESC] = ActionEntry(REDUCE, 366);
   _actionMap[584][INTOK] = ActionEntry(REDUCE, 366);
   _actionMap[584][BETWEEN] = ActionEntry(REDUCE, 366);
   _actionMap[584][LIKE] = ActionEntry(REDUCE, 366);
   _actionMap[584][PLUS] = ActionEntry(REDUCE, 366);
   _actionMap[584][MINUS] = ActionEntry(REDUCE, 366);
   _actionMap[584][CONCAT] = ActionEntry(REDUCE, 366);
   _actionMap[584][DIVISION] = ActionEntry(REDUCE, 366);
   _actionMap[584][STAR] = ActionEntry(REDUCE, 366);
   _actionMap[584][MT] = ActionEntry(REDUCE, 366);
   _actionMap[584][LT] = ActionEntry(REDUCE, 366);
   _actionMap[584][NEGATION] = ActionEntry(REDUCE, 366);
   _actionMap[584][EQU] = ActionEntry(REDUCE, 366);
   _actionMap[584][IS] = ActionEntry(REDUCE, 366);
   _actionMap[584][NULLTOKEN] = ActionEntry(REDUCE, 366);
   _actionMap[584][NOT] = ActionEntry(REDUCE, 366);
   _actionMap[584][KSEP] = ActionEntry(REDUCE, 366);
   _actionMap[584][SEMICOLON] = ActionEntry(REDUCE, 366);
   _actionMap[584][RB] = ActionEntry(REDUCE, 366);
   _actionMap[585][WHEN] = ActionEntry(REDUCE, 358);
   _actionMap[585][ELSE] = ActionEntry(REDUCE, 358);
   _actionMap[585][LEFT] = ActionEntry(REDUCE, 358);
   _actionMap[585][RIGHT] = ActionEntry(REDUCE, 358);
   _actionMap[585][INNER] = ActionEntry(REDUCE, 358);
   _actionMap[585][JOIN] = ActionEntry(REDUCE, 358);
   _actionMap[585][RETURNTOKEN] = ActionEntry(REDUCE, 358);
   _actionMap[585][ORDER] = ActionEntry(REDUCE, 358);
   _actionMap[585][GROUP] = ActionEntry(REDUCE, 358);
   _actionMap[585][WHERE] = ActionEntry(REDUCE, 358);
   _actionMap[585][FROM] = ActionEntry(REDUCE, 358);
   _actionMap[585][AS] = ActionEntry(REDUCE, 358);
   _actionMap[585][END_TOKEN] = ActionEntry(REDUCE, 358);
   _actionMap[585][BEGIN] = ActionEntry(REDUCE, 358);
   _actionMap[585][THEN] = ActionEntry(REDUCE, 358);
   _actionMap[585][OR] = ActionEntry(REDUCE, 358);
   _actionMap[585][AND] = ActionEntry(REDUCE, 358);
   _actionMap[585][ENDTOKEN] = ActionEntry(REDUCE, 358);
   _actionMap[585][UNION] = ActionEntry(REDUCE, 358);
   _actionMap[585][ROWLIMIT] = ActionEntry(REDUCE, 358);
   _actionMap[585][ASC] = ActionEntry(REDUCE, 358);
   _actionMap[585][DESC] = ActionEntry(REDUCE, 358);
   _actionMap[585][INTOK] = ActionEntry(REDUCE, 358);
   _actionMap[585][BETWEEN] = ActionEntry(REDUCE, 358);
   _actionMap[585][LIKE] = ActionEntry(REDUCE, 358);
   _actionMap[585][PLUS] = ActionEntry(REDUCE, 358);
   _actionMap[585][MINUS] = ActionEntry(REDUCE, 358);
   _actionMap[585][CONCAT] = ActionEntry(REDUCE, 358);
   _actionMap[585][DIVISION] = ActionEntry(REDUCE, 358);
   _actionMap[585][STAR] = ActionEntry(REDUCE, 358);
}
void Cego::loadParser122()
{
   _actionMap[585][MT] = ActionEntry(REDUCE, 358);
   _actionMap[585][LT] = ActionEntry(REDUCE, 358);
   _actionMap[585][NEGATION] = ActionEntry(REDUCE, 358);
   _actionMap[585][EQU] = ActionEntry(REDUCE, 358);
   _actionMap[585][IS] = ActionEntry(REDUCE, 358);
   _actionMap[585][NULLTOKEN] = ActionEntry(REDUCE, 358);
   _actionMap[585][NOT] = ActionEntry(REDUCE, 358);
   _actionMap[585][KSEP] = ActionEntry(REDUCE, 358);
   _actionMap[585][SEMICOLON] = ActionEntry(REDUCE, 358);
   _actionMap[585][RB] = ActionEntry(REDUCE, 358);
   _actionMap[586][WHEN] = ActionEntry(REDUCE, 360);
   _actionMap[586][ELSE] = ActionEntry(REDUCE, 360);
   _actionMap[586][LEFT] = ActionEntry(REDUCE, 360);
   _actionMap[586][RIGHT] = ActionEntry(REDUCE, 360);
   _actionMap[586][INNER] = ActionEntry(REDUCE, 360);
   _actionMap[586][JOIN] = ActionEntry(REDUCE, 360);
   _actionMap[586][RETURNTOKEN] = ActionEntry(REDUCE, 360);
   _actionMap[586][ORDER] = ActionEntry(REDUCE, 360);
   _actionMap[586][GROUP] = ActionEntry(REDUCE, 360);
   _actionMap[586][WHERE] = ActionEntry(REDUCE, 360);
   _actionMap[586][FROM] = ActionEntry(REDUCE, 360);
   _actionMap[586][AS] = ActionEntry(REDUCE, 360);
   _actionMap[586][END_TOKEN] = ActionEntry(REDUCE, 360);
   _actionMap[586][BEGIN] = ActionEntry(REDUCE, 360);
   _actionMap[586][THEN] = ActionEntry(REDUCE, 360);
   _actionMap[586][OR] = ActionEntry(REDUCE, 360);
   _actionMap[586][AND] = ActionEntry(REDUCE, 360);
   _actionMap[586][ENDTOKEN] = ActionEntry(REDUCE, 360);
   _actionMap[586][UNION] = ActionEntry(REDUCE, 360);
   _actionMap[586][ROWLIMIT] = ActionEntry(REDUCE, 360);
   _actionMap[586][ASC] = ActionEntry(REDUCE, 360);
   _actionMap[586][DESC] = ActionEntry(REDUCE, 360);
   _actionMap[586][INTOK] = ActionEntry(REDUCE, 360);
   _actionMap[586][BETWEEN] = ActionEntry(REDUCE, 360);
   _actionMap[586][LIKE] = ActionEntry(REDUCE, 360);
   _actionMap[586][PLUS] = ActionEntry(REDUCE, 360);
   _actionMap[586][MINUS] = ActionEntry(REDUCE, 360);
   _actionMap[586][CONCAT] = ActionEntry(REDUCE, 360);
   _actionMap[586][DIVISION] = ActionEntry(REDUCE, 360);
   _actionMap[586][STAR] = ActionEntry(REDUCE, 360);
   _actionMap[586][MT] = ActionEntry(REDUCE, 360);
   _actionMap[586][LT] = ActionEntry(REDUCE, 360);
   _actionMap[586][NEGATION] = ActionEntry(REDUCE, 360);
   _actionMap[586][EQU] = ActionEntry(REDUCE, 360);
   _actionMap[586][IS] = ActionEntry(REDUCE, 360);
   _actionMap[586][NULLTOKEN] = ActionEntry(REDUCE, 360);
   _actionMap[586][NOT] = ActionEntry(REDUCE, 360);
   _actionMap[586][KSEP] = ActionEntry(REDUCE, 360);
   _actionMap[586][SEMICOLON] = ActionEntry(REDUCE, 360);
   _actionMap[586][RB] = ActionEntry(REDUCE, 360);
}
void Cego::loadParser123()
{
   _actionMap[587][WHEN] = ActionEntry(REDUCE, 361);
   _actionMap[587][ELSE] = ActionEntry(REDUCE, 361);
   _actionMap[587][LEFT] = ActionEntry(REDUCE, 361);
   _actionMap[587][RIGHT] = ActionEntry(REDUCE, 361);
   _actionMap[587][INNER] = ActionEntry(REDUCE, 361);
   _actionMap[587][JOIN] = ActionEntry(REDUCE, 361);
   _actionMap[587][RETURNTOKEN] = ActionEntry(REDUCE, 361);
   _actionMap[587][ORDER] = ActionEntry(REDUCE, 361);
   _actionMap[587][GROUP] = ActionEntry(REDUCE, 361);
   _actionMap[587][WHERE] = ActionEntry(REDUCE, 361);
   _actionMap[587][FROM] = ActionEntry(REDUCE, 361);
   _actionMap[587][AS] = ActionEntry(REDUCE, 361);
   _actionMap[587][END_TOKEN] = ActionEntry(REDUCE, 361);
   _actionMap[587][BEGIN] = ActionEntry(REDUCE, 361);
   _actionMap[587][THEN] = ActionEntry(REDUCE, 361);
   _actionMap[587][OR] = ActionEntry(REDUCE, 361);
   _actionMap[587][AND] = ActionEntry(REDUCE, 361);
   _actionMap[587][ENDTOKEN] = ActionEntry(REDUCE, 361);
   _actionMap[587][UNION] = ActionEntry(REDUCE, 361);
   _actionMap[587][ROWLIMIT] = ActionEntry(REDUCE, 361);
   _actionMap[587][ASC] = ActionEntry(REDUCE, 361);
   _actionMap[587][DESC] = ActionEntry(REDUCE, 361);
   _actionMap[587][INTOK] = ActionEntry(REDUCE, 361);
   _actionMap[587][BETWEEN] = ActionEntry(REDUCE, 361);
   _actionMap[587][LIKE] = ActionEntry(REDUCE, 361);
   _actionMap[587][PLUS] = ActionEntry(REDUCE, 361);
   _actionMap[587][MINUS] = ActionEntry(REDUCE, 361);
   _actionMap[587][CONCAT] = ActionEntry(REDUCE, 361);
   _actionMap[587][DIVISION] = ActionEntry(REDUCE, 361);
   _actionMap[587][STAR] = ActionEntry(REDUCE, 361);
   _actionMap[587][MT] = ActionEntry(REDUCE, 361);
   _actionMap[587][LT] = ActionEntry(REDUCE, 361);
   _actionMap[587][NEGATION] = ActionEntry(REDUCE, 361);
   _actionMap[587][EQU] = ActionEntry(REDUCE, 361);
   _actionMap[587][IS] = ActionEntry(REDUCE, 361);
   _actionMap[587][NULLTOKEN] = ActionEntry(REDUCE, 361);
   _actionMap[587][NOT] = ActionEntry(REDUCE, 361);
   _actionMap[587][KSEP] = ActionEntry(REDUCE, 361);
   _actionMap[587][SEMICOLON] = ActionEntry(REDUCE, 361);
   _actionMap[587][RB] = ActionEntry(REDUCE, 361);
   _actionMap[588][SEMICOLON] = ActionEntry(REDUCE, 272);
   _actionMap[589][SEMICOLON] = ActionEntry(REDUCE, 271);
   _actionMap[590][SEMICOLON] = ActionEntry(REDUCE, 276);
   _actionMap[591][SEMICOLON] = ActionEntry(REDUCE, 273);
   _actionMap[592][SEMICOLON] = ActionEntry(REDUCE, 274);
   _actionMap[593][SEMICOLON] = ActionEntry(REDUCE, 270);
   _actionMap[594][SEMICOLON] = ActionEntry(REDUCE, 275);
   _actionMap[595][SEMICOLON] = ActionEntry(REDUCE, 231);
   _actionMap[595][RB] = ActionEntry(REDUCE, 231);
   _actionMap[595][ENDTOKEN] = ActionEntry(REDUCE, 231);
}
void Cego::loadParser124()
{
   _actionMap[595][UNION] = ActionEntry(REDUCE, 231);
   _actionMap[595][ROWLIMIT] = ActionEntry(REDUCE, 231);
   _actionMap[595][ORDER] = ActionEntry(REDUCE, 231);
   _actionMap[595][GROUP] = ActionEntry(SHIFT, 701);
   _jumpMap[595][NoGroup] = 700;
   _jumpMap[595][GroupClause] = 699;
   _actionMap[596][LEFT] = ActionEntry(REDUCE, 214);
   _actionMap[596][RIGHT] = ActionEntry(REDUCE, 214);
   _actionMap[596][INNER] = ActionEntry(REDUCE, 214);
   _actionMap[596][JOIN] = ActionEntry(REDUCE, 214);
   _actionMap[596][RETURNTOKEN] = ActionEntry(REDUCE, 214);
   _actionMap[596][SEMICOLON] = ActionEntry(REDUCE, 214);
   _actionMap[596][RB] = ActionEntry(REDUCE, 214);
   _actionMap[596][ENDTOKEN] = ActionEntry(REDUCE, 214);
   _actionMap[596][UNION] = ActionEntry(REDUCE, 214);
   _actionMap[596][ROWLIMIT] = ActionEntry(REDUCE, 214);
   _actionMap[596][ORDER] = ActionEntry(REDUCE, 214);
   _actionMap[596][GROUP] = ActionEntry(REDUCE, 214);
   _actionMap[596][WHERE] = ActionEntry(REDUCE, 214);
   _actionMap[597][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[597][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[597][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[597][ObjSpec] = 454;
   _jumpMap[597][Table] = 702;
   _actionMap[598][JOIN] = ActionEntry(SHIFT, 703);
   _actionMap[599][IDENTIFIER] = ActionEntry(REDUCE, 220);
   _actionMap[599][QUALIFIEDOBJ] = ActionEntry(REDUCE, 220);
   _actionMap[599][QUALIFIEDTS] = ActionEntry(REDUCE, 220);
   _actionMap[600][OUTER] = ActionEntry(SHIFT, 704);
   _actionMap[601][OUTER] = ActionEntry(SHIFT, 705);
   _actionMap[602][LEFT] = ActionEntry(REDUCE, 215);
   _actionMap[602][RIGHT] = ActionEntry(REDUCE, 215);
   _actionMap[602][INNER] = ActionEntry(REDUCE, 215);
   _actionMap[602][JOIN] = ActionEntry(REDUCE, 215);
   _actionMap[602][RETURNTOKEN] = ActionEntry(REDUCE, 215);
   _actionMap[602][SEMICOLON] = ActionEntry(REDUCE, 215);
   _actionMap[602][RB] = ActionEntry(REDUCE, 215);
   _actionMap[602][ENDTOKEN] = ActionEntry(REDUCE, 215);
   _actionMap[602][UNION] = ActionEntry(REDUCE, 215);
   _actionMap[602][ROWLIMIT] = ActionEntry(REDUCE, 215);
   _actionMap[602][ORDER] = ActionEntry(REDUCE, 215);
   _actionMap[602][GROUP] = ActionEntry(REDUCE, 215);
   _actionMap[602][WHERE] = ActionEntry(REDUCE, 215);
   _actionMap[603][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[603][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[603][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[603][ObjSpec] = 454;
   _jumpMap[603][Table] = 707;
   _jumpMap[603][TableList] = 706;
   _actionMap[604][WHERE] = ActionEntry(REDUCE, 224);
}
void Cego::loadParser125()
{
   _actionMap[604][GROUP] = ActionEntry(REDUCE, 224);
   _actionMap[604][ORDER] = ActionEntry(REDUCE, 224);
   _actionMap[604][ROWLIMIT] = ActionEntry(REDUCE, 224);
   _actionMap[604][UNION] = ActionEntry(REDUCE, 224);
   _actionMap[604][ENDTOKEN] = ActionEntry(REDUCE, 224);
   _actionMap[604][RB] = ActionEntry(REDUCE, 224);
   _actionMap[604][SEMICOLON] = ActionEntry(REDUCE, 224);
   _actionMap[604][RETURNTOKEN] = ActionEntry(REDUCE, 224);
   _actionMap[604][LEFT] = ActionEntry(REDUCE, 224);
   _actionMap[604][RIGHT] = ActionEntry(REDUCE, 224);
   _actionMap[604][INNER] = ActionEntry(REDUCE, 224);
   _actionMap[604][JOIN] = ActionEntry(REDUCE, 224);
   _actionMap[604][KSEP] = ActionEntry(REDUCE, 224);
   _actionMap[604][ON] = ActionEntry(REDUCE, 224);
   _actionMap[605][FROM] = ActionEntry(REDUCE, 226);
   _actionMap[605][KSEP] = ActionEntry(REDUCE, 226);
   _actionMap[606][FROM] = ActionEntry(REDUCE, 209);
   _actionMap[606][KSEP] = ActionEntry(REDUCE, 209);
   _actionMap[607][PLUS] = ActionEntry(SHIFT, 234);
   _actionMap[607][MINUS] = ActionEntry(SHIFT, 233);
   _actionMap[607][CONCAT] = ActionEntry(SHIFT, 232);
   _actionMap[607][SEMICOLON] = ActionEntry(REDUCE, 75);
   _actionMap[608][RETURNTOKEN] = ActionEntry(SHIFT, 709);
   _actionMap[608][SEMICOLON] = ActionEntry(REDUCE, 256);
   _jumpMap[608][UpdReturnOpt] = 708;
   _actionMap[609][IDENTIFIER] = ActionEntry(SHIFT, 465);
   _jumpMap[609][Assignment] = 710;
   _actionMap[610][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[610][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[610][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[610][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[610][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[610][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[610][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[610][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[610][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[610][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[610][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[610][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[610][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[610][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[610][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[610][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[610][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[610][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[610][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[610][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[610][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[610][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[610][RANDSTR] = ActionEntry(SHIFT, 133);
}
void Cego::loadParser126()
{
   _actionMap[610][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[610][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[610][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[610][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[610][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[610][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[610][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[610][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[610][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[610][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[610][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[610][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[610][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[610][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[610][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[610][LB] = ActionEntry(SHIFT, 150);
   _actionMap[610][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[610][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[610][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[610][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[610][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[610][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[610][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[610][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[610][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[610][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[610][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[610][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[610][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[610][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[610][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[610][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[610][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[610][ObjSpec] = 102;
   _jumpMap[610][Constant] = 101;
   _jumpMap[610][SignedFloat] = 100;
   _jumpMap[610][SignedInt] = 99;
   _jumpMap[610][Attribute] = 98;
   _jumpMap[610][Function] = 97;
   _jumpMap[610][CasePrepare] = 96;
   _jumpMap[610][CaseClause] = 95;
   _jumpMap[610][Factor] = 94;
   _jumpMap[610][Term] = 93;
   _jumpMap[610][Expr] = 711;
   _actionMap[611][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[611][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[611][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[611][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[611][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[611][LTRIM] = ActionEntry(SHIFT, 126);
}
void Cego::loadParser127()
{
   _actionMap[611][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[611][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[611][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[611][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[611][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[611][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[611][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[611][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[611][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[611][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[611][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[611][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[611][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[611][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[611][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[611][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[611][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[611][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[611][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[611][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[611][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[611][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[611][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[611][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[611][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[611][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[611][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[611][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[611][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[611][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[611][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[611][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[611][LB] = ActionEntry(SHIFT, 150);
   _actionMap[611][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[611][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[611][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[611][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[611][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[611][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[611][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[611][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[611][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[611][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[611][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[611][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[611][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[611][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[611][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[611][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[611][MAX] = ActionEntry(SHIFT, 128);
}
void Cego::loadParser128()
{
   _actionMap[611][RB] = ActionEntry(REDUCE, 119);
   _jumpMap[611][ObjSpec] = 102;
   _jumpMap[611][Constant] = 101;
   _jumpMap[611][SignedFloat] = 100;
   _jumpMap[611][SignedInt] = 99;
   _jumpMap[611][Attribute] = 98;
   _jumpMap[611][Function] = 97;
   _jumpMap[611][CasePrepare] = 96;
   _jumpMap[611][CaseClause] = 95;
   _jumpMap[611][Factor] = 94;
   _jumpMap[611][Term] = 93;
   _jumpMap[611][Expr] = 333;
   _jumpMap[611][ProcValueList] = 332;
   _jumpMap[611][ProcValueListOpt] = 712;
   _actionMap[323][SEMICOLON] = ActionEntry(REDUCE, 63);
   _actionMap[324][SEMICOLON] = ActionEntry(REDUCE, 263);
   _actionMap[325][KSEP] = ActionEntry(SHIFT, 467);
   _actionMap[325][SEMICOLON] = ActionEntry(REDUCE, 265);
   _actionMap[326][CHECK] = ActionEntry(SHIFT, 468);
   _actionMap[326][FOREIGN] = ActionEntry(SHIFT, 470);
   _actionMap[326][COLUMN] = ActionEntry(SHIFT, 469);
   _actionMap[327][COLUMN] = ActionEntry(SHIFT, 471);
   _actionMap[328][COLUMN] = ActionEntry(SHIFT, 472);
   _actionMap[329][COLUMN] = ActionEntry(SHIFT, 473);
   _actionMap[330][STRINGVAL] = ActionEntry(SHIFT, 474);
   _actionMap[331][RB] = ActionEntry(SHIFT, 334);
   _actionMap[332][KSEP] = ActionEntry(SHIFT, 475);
   _actionMap[332][RB] = ActionEntry(REDUCE, 118);
   _actionMap[333][PLUS] = ActionEntry(SHIFT, 234);
   _actionMap[333][MINUS] = ActionEntry(SHIFT, 233);
   _actionMap[333][CONCAT] = ActionEntry(SHIFT, 232);
   _actionMap[333][KSEP] = ActionEntry(REDUCE, 121);
   _actionMap[333][RB] = ActionEntry(REDUCE, 121);
   _actionMap[334][SEMICOLON] = ActionEntry(REDUCE, 54);
   _actionMap[335][END_TOKEN] = ActionEntry(SHIFT, 476);
   _actionMap[336][EXCEPTION] = ActionEntry(REDUCE, 116);
   _actionMap[336][ELSE] = ActionEntry(REDUCE, 116);
   _actionMap[336][ELSIF] = ActionEntry(REDUCE, 116);
   _actionMap[336][END_TOKEN] = ActionEntry(REDUCE, 116);
   _actionMap[336][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[336][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[336][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[336][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[336][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[336][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[336][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[336][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[336][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[336][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[336][LOWER] = ActionEntry(SHIFT, 125);
}
void Cego::loadParser129()
{
   _actionMap[336][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[336][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[336][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[336][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[336][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[336][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[336][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[336][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[336][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[336][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[336][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[336][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[336][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[336][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[336][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[336][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[336][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[336][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[336][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[336][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[336][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[336][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[336][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[336][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[336][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[336][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[336][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[336][LB] = ActionEntry(SHIFT, 150);
   _actionMap[336][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[336][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[336][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[336][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[336][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[336][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[336][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[336][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[336][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[336][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[336][VARREF] = ActionEntry(SHIFT, 356);
   _actionMap[336][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[336][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[336][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[336][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[336][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[336][MAX] = ActionEntry(SHIFT, 128);
   _actionMap[336][IF] = ActionEntry(SHIFT, 350);
   _actionMap[336][BEGIN] = ActionEntry(SHIFT, 347);
   _actionMap[336][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[336][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[336][START_TOKEN] = ActionEntry(SHIFT, 33);
}
void Cego::loadParser130()
{
   _actionMap[336][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[336][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[336][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[336][VAR] = ActionEntry(SHIFT, 354);
   _actionMap[336][CURSOR] = ActionEntry(SHIFT, 349);
   _actionMap[336][CLOSE] = ActionEntry(SHIFT, 348);
   _actionMap[336][NOOP] = ActionEntry(SHIFT, 351);
   _actionMap[336][THROW] = ActionEntry(SHIFT, 353);
   _actionMap[336][RETURNTOKEN] = ActionEntry(SHIFT, 352);
   _actionMap[336][WHILE] = ActionEntry(SHIFT, 355);
   _jumpMap[336][ObjSpec] = 102;
   _jumpMap[336][Constant] = 101;
   _jumpMap[336][SignedFloat] = 100;
   _jumpMap[336][SignedInt] = 99;
   _jumpMap[336][Attribute] = 98;
   _jumpMap[336][Function] = 97;
   _jumpMap[336][DeleteStatement] = 346;
   _jumpMap[336][UpdateStatement] = 345;
   _jumpMap[336][InsertStatement] = 344;
   _jumpMap[336][RollbackStatement] = 343;
   _jumpMap[336][CommitStatement] = 342;
   _jumpMap[336][StartStatement] = 341;
   _jumpMap[336][CasePrepare] = 96;
   _jumpMap[336][CaseClause] = 95;
   _jumpMap[336][Factor] = 94;
   _jumpMap[336][Term] = 93;
   _jumpMap[336][Expr] = 340;
   _jumpMap[336][ProcStatement] = 478;
   _jumpMap[336][ProcIfPart] = 338;
   _jumpMap[336][ProcExceptionList] = 477;
   _jumpMap[336][ProcBlockStart] = 337;
   _actionMap[337][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[337][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[337][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[337][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[337][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[337][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[337][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[337][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[337][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[337][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[337][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[337][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[337][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[337][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[337][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[337][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[337][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[337][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[337][TRUNC] = ActionEntry(SHIFT, 148);
}
void Cego::loadParser131()
{
   _actionMap[337][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[337][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[337][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[337][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[337][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[337][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[337][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[337][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[337][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[337][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[337][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[337][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[337][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[337][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[337][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[337][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[337][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[337][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[337][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[337][LB] = ActionEntry(SHIFT, 150);
   _actionMap[337][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[337][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[337][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[337][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[337][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[337][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[337][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[337][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[337][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[337][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[337][VARREF] = ActionEntry(SHIFT, 356);
   _actionMap[337][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[337][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[337][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[337][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[337][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[337][MAX] = ActionEntry(SHIFT, 128);
   _actionMap[337][IF] = ActionEntry(SHIFT, 350);
   _actionMap[337][BEGIN] = ActionEntry(SHIFT, 347);
   _actionMap[337][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[337][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[337][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[337][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[337][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[337][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[337][VAR] = ActionEntry(SHIFT, 354);
   _actionMap[337][CURSOR] = ActionEntry(SHIFT, 349);
   _actionMap[337][CLOSE] = ActionEntry(SHIFT, 348);
   _actionMap[337][NOOP] = ActionEntry(SHIFT, 351);
   _actionMap[337][THROW] = ActionEntry(SHIFT, 353);
}
void Cego::loadParser132()
{
   _actionMap[337][RETURNTOKEN] = ActionEntry(SHIFT, 352);
   _actionMap[337][WHILE] = ActionEntry(SHIFT, 355);
   _jumpMap[337][ObjSpec] = 102;
   _jumpMap[337][Constant] = 101;
   _jumpMap[337][SignedFloat] = 100;
   _jumpMap[337][SignedInt] = 99;
   _jumpMap[337][Attribute] = 98;
   _jumpMap[337][Function] = 97;
   _jumpMap[337][DeleteStatement] = 346;
   _jumpMap[337][UpdateStatement] = 345;
   _jumpMap[337][InsertStatement] = 344;
   _jumpMap[337][RollbackStatement] = 343;
   _jumpMap[337][CommitStatement] = 342;
   _jumpMap[337][StartStatement] = 341;
   _jumpMap[337][CasePrepare] = 96;
   _jumpMap[337][CaseClause] = 95;
   _jumpMap[337][Factor] = 94;
   _jumpMap[337][Term] = 93;
   _jumpMap[337][Expr] = 340;
   _jumpMap[337][ProcStatement] = 339;
   _jumpMap[337][ProcIfPart] = 338;
   _jumpMap[337][ProcBlockStart] = 337;
   _jumpMap[337][ProcStatementList] = 336;
   _jumpMap[337][ProcStmtBlock] = 479;
   _actionMap[338][ELSIF] = ActionEntry(SHIFT, 482);
   _actionMap[338][END_TOKEN] = ActionEntry(REDUCE, 126);
   _actionMap[338][ELSE] = ActionEntry(REDUCE, 126);
   _jumpMap[338][ProcElsIfOpt] = 481;
   _jumpMap[338][ProcElsIfList] = 480;
   _actionMap[339][SEMICOLON] = ActionEntry(SHIFT, 483);
   _actionMap[340][PLUS] = ActionEntry(SHIFT, 234);
   _actionMap[340][MINUS] = ActionEntry(SHIFT, 233);
   _actionMap[340][CONCAT] = ActionEntry(SHIFT, 232);
   _actionMap[340][SEMICOLON] = ActionEntry(REDUCE, 99);
   _actionMap[341][SEMICOLON] = ActionEntry(REDUCE, 108);
   _actionMap[342][SEMICOLON] = ActionEntry(REDUCE, 109);
   _actionMap[343][SEMICOLON] = ActionEntry(REDUCE, 110);
   _actionMap[344][SEMICOLON] = ActionEntry(REDUCE, 105);
   _actionMap[345][SEMICOLON] = ActionEntry(REDUCE, 107);
   _actionMap[346][SEMICOLON] = ActionEntry(REDUCE, 106);
   _actionMap[347][VAR] = ActionEntry(REDUCE, 114);
   _actionMap[347][CURSOR] = ActionEntry(REDUCE, 114);
   _actionMap[347][CLOSE] = ActionEntry(REDUCE, 114);
   _actionMap[347][VARREF] = ActionEntry(REDUCE, 114);
   _actionMap[347][NOOP] = ActionEntry(REDUCE, 114);
   _actionMap[347][THROW] = ActionEntry(REDUCE, 114);
   _actionMap[347][RETURNTOKEN] = ActionEntry(REDUCE, 114);
   _actionMap[347][WHILE] = ActionEntry(REDUCE, 114);
   _actionMap[347][IF] = ActionEntry(REDUCE, 114);
   _actionMap[347][BEGIN] = ActionEntry(REDUCE, 114);
}
void Cego::loadParser133()
{
   _actionMap[347][ROLLBACK] = ActionEntry(REDUCE, 114);
   _actionMap[347][COMMIT] = ActionEntry(REDUCE, 114);
   _actionMap[347][START_TOKEN] = ActionEntry(REDUCE, 114);
   _actionMap[347][UPDATE] = ActionEntry(REDUCE, 114);
   _actionMap[347][DELETETOK] = ActionEntry(REDUCE, 114);
   _actionMap[347][INSERT] = ActionEntry(REDUCE, 114);
   _actionMap[347][FETCH] = ActionEntry(REDUCE, 114);
   _actionMap[347][LB] = ActionEntry(REDUCE, 114);
   _actionMap[347][COUNT] = ActionEntry(REDUCE, 114);
   _actionMap[347][SUM] = ActionEntry(REDUCE, 114);
   _actionMap[347][AVG] = ActionEntry(REDUCE, 114);
   _actionMap[347][MIN] = ActionEntry(REDUCE, 114);
   _actionMap[347][MAX] = ActionEntry(REDUCE, 114);
   _actionMap[347][CASE] = ActionEntry(REDUCE, 114);
   _actionMap[347][TRIM] = ActionEntry(REDUCE, 114);
   _actionMap[347][RTRIM] = ActionEntry(REDUCE, 114);
   _actionMap[347][LTRIM] = ActionEntry(REDUCE, 114);
   _actionMap[347][ROUND] = ActionEntry(REDUCE, 114);
   _actionMap[347][DATE2STR] = ActionEntry(REDUCE, 114);
   _actionMap[347][DATE2INT] = ActionEntry(REDUCE, 114);
   _actionMap[347][INT2DATE] = ActionEntry(REDUCE, 114);
   _actionMap[347][LOWER] = ActionEntry(REDUCE, 114);
   _actionMap[347][UPPER] = ActionEntry(REDUCE, 114);
   _actionMap[347][LEFT] = ActionEntry(REDUCE, 114);
   _actionMap[347][RIGHT] = ActionEntry(REDUCE, 114);
   _actionMap[347][GETPOS] = ActionEntry(REDUCE, 114);
   _actionMap[347][SUBSTR] = ActionEntry(REDUCE, 114);
   _actionMap[347][REPLACE] = ActionEntry(REDUCE, 114);
   _actionMap[347][LENGTH] = ActionEntry(REDUCE, 114);
   _actionMap[347][TRUNC] = ActionEntry(REDUCE, 114);
   _actionMap[347][STR2INT] = ActionEntry(REDUCE, 114);
   _actionMap[347][STR2LONG] = ActionEntry(REDUCE, 114);
   _actionMap[347][STR2DATE] = ActionEntry(REDUCE, 114);
   _actionMap[347][RANDSTR] = ActionEntry(REDUCE, 114);
   _actionMap[347][RANDINT] = ActionEntry(REDUCE, 114);
   _actionMap[347][MOD] = ActionEntry(REDUCE, 114);
   _actionMap[347][DIV] = ActionEntry(REDUCE, 114);
   _actionMap[347][POWER] = ActionEntry(REDUCE, 114);
   _actionMap[347][BITAND] = ActionEntry(REDUCE, 114);
   _actionMap[347][BITOR] = ActionEntry(REDUCE, 114);
   _actionMap[347][BITXOR] = ActionEntry(REDUCE, 114);
   _actionMap[347][BLOBSIZE] = ActionEntry(REDUCE, 114);
   _actionMap[347][CLOBSIZE] = ActionEntry(REDUCE, 114);
   _actionMap[347][CLOB2STR] = ActionEntry(REDUCE, 114);
   _actionMap[347][NEXTCOUNT] = ActionEntry(REDUCE, 114);
   _actionMap[347][SETCOUNT] = ActionEntry(REDUCE, 114);
   _actionMap[347][IDENTIFIER] = ActionEntry(REDUCE, 114);
   _actionMap[347][QUALIFIEDOBJ] = ActionEntry(REDUCE, 114);
   _actionMap[347][QUALIFIEDTS] = ActionEntry(REDUCE, 114);
   _actionMap[347][QUALIFIEDPRE] = ActionEntry(REDUCE, 114);
}
void Cego::loadParser134()
{
   _actionMap[347][STRINGVAL] = ActionEntry(REDUCE, 114);
   _actionMap[347][DATE] = ActionEntry(REDUCE, 114);
   _actionMap[347][SYSDATE] = ActionEntry(REDUCE, 114);
   _actionMap[347][NULLTOKEN] = ActionEntry(REDUCE, 114);
   _actionMap[347][TRUEVAL] = ActionEntry(REDUCE, 114);
   _actionMap[347][FALSEVAL] = ActionEntry(REDUCE, 114);
   _actionMap[347][BLOB] = ActionEntry(REDUCE, 114);
   _actionMap[347][CLOB] = ActionEntry(REDUCE, 114);
   _actionMap[347][FLOATVAL] = ActionEntry(REDUCE, 114);
   _actionMap[347][MINUS] = ActionEntry(REDUCE, 114);
   _actionMap[347][INTVAL] = ActionEntry(REDUCE, 114);
   _actionMap[348][IDENTIFIER] = ActionEntry(SHIFT, 484);
   _actionMap[349][IDENTIFIER] = ActionEntry(SHIFT, 485);
   _actionMap[350][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[350][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[350][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[350][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[350][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[350][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[350][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[350][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[350][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[350][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[350][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[350][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[350][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[350][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[350][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[350][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[350][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[350][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[350][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[350][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[350][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[350][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[350][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[350][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[350][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[350][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[350][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[350][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[350][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[350][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[350][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[350][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[350][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[350][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[350][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[350][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[350][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
}
void Cego::loadParser135()
{
   _actionMap[350][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[350][LB] = ActionEntry(SHIFT, 490);
   _actionMap[350][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[350][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[350][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[350][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[350][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[350][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[350][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[350][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[350][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[350][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[350][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[350][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[350][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[350][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[350][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[350][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[350][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[350][ObjSpec] = 102;
   _jumpMap[350][Constant] = 101;
   _jumpMap[350][SignedFloat] = 100;
   _jumpMap[350][SignedInt] = 99;
   _jumpMap[350][Attribute] = 98;
   _jumpMap[350][Function] = 97;
   _jumpMap[350][CasePrepare] = 96;
   _jumpMap[350][CaseClause] = 95;
   _jumpMap[350][Factor] = 94;
   _jumpMap[350][Term] = 93;
   _jumpMap[350][Expr] = 489;
   _jumpMap[350][ProcPredicate] = 488;
   _jumpMap[350][ProcCondition] = 487;
   _jumpMap[350][ProcIfCondition] = 486;
   _actionMap[351][SEMICOLON] = ActionEntry(REDUCE, 100);
   _actionMap[352][SEMICOLON] = ActionEntry(REDUCE, 111);
   _actionMap[352][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[352][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[352][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[352][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[352][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[352][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[352][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[352][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[352][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[352][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[352][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[352][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[352][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[352][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[352][GETPOS] = ActionEntry(SHIFT, 121);
}
void Cego::loadParser136()
{
   _actionMap[352][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[352][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[352][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[352][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[352][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[352][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[352][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[352][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[352][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[352][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[352][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[352][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[352][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[352][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[352][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[352][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[352][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[352][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[352][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[352][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[352][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[352][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[352][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[352][LB] = ActionEntry(SHIFT, 150);
   _actionMap[352][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[352][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[352][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[352][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[352][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[352][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[352][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[352][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[352][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[352][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[352][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[352][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[352][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[352][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[352][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[352][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[352][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[352][ObjSpec] = 102;
   _jumpMap[352][Constant] = 101;
   _jumpMap[352][SignedFloat] = 100;
   _jumpMap[352][SignedInt] = 99;
   _jumpMap[352][Attribute] = 98;
   _jumpMap[352][Function] = 97;
   _jumpMap[352][CasePrepare] = 96;
   _jumpMap[352][CaseClause] = 95;
   _jumpMap[352][Factor] = 94;
}
void Cego::loadParser137()
{
   _jumpMap[352][Term] = 93;
   _jumpMap[352][Expr] = 491;
   _actionMap[353][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[353][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[353][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[353][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[353][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[353][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[353][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[353][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[353][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[353][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[353][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[353][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[353][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[353][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[353][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[353][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[353][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[353][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[353][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[353][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[353][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[353][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[353][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[353][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[353][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[353][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[353][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[353][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[353][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[353][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[353][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[353][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[353][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[353][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[353][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[353][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[353][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[353][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[353][LB] = ActionEntry(SHIFT, 150);
   _actionMap[353][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[353][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[353][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[353][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[353][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[353][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[353][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[353][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[353][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
}
void Cego::loadParser138()
{
   _actionMap[353][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[353][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[353][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[353][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[353][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[353][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[353][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[353][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[353][ObjSpec] = 102;
   _jumpMap[353][Constant] = 101;
   _jumpMap[353][SignedFloat] = 100;
   _jumpMap[353][SignedInt] = 99;
   _jumpMap[353][Attribute] = 98;
   _jumpMap[353][Function] = 97;
   _jumpMap[353][CasePrepare] = 96;
   _jumpMap[353][CaseClause] = 95;
   _jumpMap[353][Factor] = 94;
   _jumpMap[353][Term] = 93;
   _jumpMap[353][Expr] = 492;
   _actionMap[354][IDENTIFIER] = ActionEntry(SHIFT, 493);
   _actionMap[355][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[355][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[355][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[355][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[355][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[355][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[355][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[355][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[355][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[355][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[355][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[355][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[355][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[355][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[355][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[355][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[355][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[355][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[355][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[355][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[355][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[355][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[355][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[355][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[355][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[355][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[355][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[355][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[355][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[355][BITXOR] = ActionEntry(SHIFT, 107);
}
void Cego::loadParser139()
{
   _actionMap[355][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[355][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[355][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[355][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[355][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[355][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[355][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[355][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[355][LB] = ActionEntry(SHIFT, 490);
   _actionMap[355][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[355][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[355][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[355][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[355][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[355][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[355][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[355][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[355][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[355][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[355][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[355][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[355][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[355][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[355][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[355][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[355][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[355][ObjSpec] = 102;
   _jumpMap[355][Constant] = 101;
   _jumpMap[355][SignedFloat] = 100;
   _jumpMap[355][SignedInt] = 99;
   _jumpMap[355][Attribute] = 98;
   _jumpMap[355][Function] = 97;
   _jumpMap[355][CasePrepare] = 96;
   _jumpMap[355][CaseClause] = 95;
   _jumpMap[355][Factor] = 94;
   _jumpMap[355][Term] = 93;
   _jumpMap[355][Expr] = 489;
   _jumpMap[355][ProcPredicate] = 488;
   _jumpMap[355][ProcCondition] = 495;
   _jumpMap[355][ProcWhileCondition] = 494;
   _actionMap[356][CONCAT] = ActionEntry(REDUCE, 149);
   _actionMap[356][STAR] = ActionEntry(REDUCE, 149);
   _actionMap[356][DIVISION] = ActionEntry(REDUCE, 149);
   _actionMap[356][MINUS] = ActionEntry(REDUCE, 149);
   _actionMap[356][PLUS] = ActionEntry(REDUCE, 149);
   _actionMap[356][SEMICOLON] = ActionEntry(REDUCE, 149);
   _actionMap[356][EQU] = ActionEntry(SHIFT, 496);
   _actionMap[357][ON] = ActionEntry(SHIFT, 497);
   _actionMap[358][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[358][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
}
void Cego::loadParser140()
{
   _actionMap[358][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[358][ObjSpec] = 498;
   _actionMap[359][IDENTIFIER] = ActionEntry(SHIFT, 503);
   _actionMap[359][RB] = ActionEntry(REDUCE, 87);
   _jumpMap[359][ProcArg] = 501;
   _jumpMap[359][ProcArgList] = 500;
   _jumpMap[359][ProcArgOpt] = 499;
   _actionMap[360][IDENTIFIER] = ActionEntry(SHIFT, 508);
   _actionMap[360][PRIMARY] = ActionEntry(SHIFT, 507);
   _jumpMap[360][ColumnDesc] = 506;
   _jumpMap[360][KeyColumn] = 505;
   _jumpMap[360][ColumnList] = 504;
   _actionMap[361][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[361][SelectStatement] = 509;
   _actionMap[362][SEMICOLON] = ActionEntry(REDUCE, 315);
   _actionMap[362][WHERE] = ActionEntry(SHIFT, 365);
   _jumpMap[362][NoWhere] = 364;
   _jumpMap[362][WhereClause] = 363;
   _actionMap[363][SEMICOLON] = ActionEntry(REDUCE, 260);
   _actionMap[364][RETURNTOKEN] = ActionEntry(REDUCE, 314);
   _actionMap[364][GROUP] = ActionEntry(REDUCE, 314);
   _actionMap[364][ORDER] = ActionEntry(REDUCE, 314);
   _actionMap[364][ROWLIMIT] = ActionEntry(REDUCE, 314);
   _actionMap[364][UNION] = ActionEntry(REDUCE, 314);
   _actionMap[364][ENDTOKEN] = ActionEntry(REDUCE, 314);
   _actionMap[364][RB] = ActionEntry(REDUCE, 314);
   _actionMap[364][SEMICOLON] = ActionEntry(REDUCE, 314);
   _actionMap[365][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[365][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[365][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[365][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[365][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[365][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[365][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[365][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[365][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[365][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[365][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[365][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[365][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[365][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[365][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[365][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[365][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[365][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[365][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[365][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[365][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[365][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[365][RANDSTR] = ActionEntry(SHIFT, 133);
}
void Cego::loadParser141()
{
   _actionMap[365][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[365][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[365][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[365][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[365][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[365][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[365][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[365][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[365][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[365][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[365][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[365][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[365][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[365][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[365][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[365][LB] = ActionEntry(SHIFT, 386);
   _actionMap[365][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[365][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[365][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[365][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[365][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[365][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[365][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[365][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[365][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[365][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[365][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[365][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[365][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[365][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[365][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[365][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[365][MAX] = ActionEntry(SHIFT, 128);
   _actionMap[365][EXISTS] = ActionEntry(SHIFT, 384);
   _actionMap[365][NOT] = ActionEntry(SHIFT, 385);
   _jumpMap[365][ObjSpec] = 102;
   _jumpMap[365][Constant] = 101;
   _jumpMap[365][SignedFloat] = 100;
   _jumpMap[365][SignedInt] = 99;
   _jumpMap[365][Attribute] = 98;
   _jumpMap[365][QueryPredicate] = 383;
   _jumpMap[365][QueryCondition] = 510;
   _jumpMap[365][Function] = 97;
   _jumpMap[365][CasePrepare] = 96;
   _jumpMap[365][CaseClause] = 95;
   _jumpMap[365][Factor] = 94;
   _jumpMap[365][Term] = 93;
   _jumpMap[365][Expr] = 381;
   _actionMap[366][SEMICOLON] = ActionEntry(REDUCE, 23);
   _actionMap[367][SELECT] = ActionEntry(SHIFT, 30);
}
void Cego::loadParser142()
{
   _actionMap[367][VALUES] = ActionEntry(SHIFT, 370);
   _jumpMap[367][SelectStatement] = 369;
   _jumpMap[367][InsertPrepare] = 368;
   _actionMap[368][LB] = ActionEntry(SHIFT, 513);
   _jumpMap[368][InsertValueSpec] = 512;
   _jumpMap[368][InsertValueSpecList] = 511;
   _actionMap[369][SEMICOLON] = ActionEntry(REDUCE, 195);
   _actionMap[370][LB] = ActionEntry(REDUCE, 198);
   _actionMap[371][IDENTIFIER] = ActionEntry(SHIFT, 515);
   _jumpMap[371][InsertArgList] = 514;
   _actionMap[372][SEMICOLON] = ActionEntry(REDUCE, 13);
   _actionMap[373][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[373][SelectStatement] = 516;
   _actionMap[374][STAR] = ActionEntry(SHIFT, 235);
   _actionMap[374][DIVISION] = ActionEntry(SHIFT, 236);
   _actionMap[374][WHEN] = ActionEntry(REDUCE, 145);
   _actionMap[374][ELSE] = ActionEntry(REDUCE, 145);
   _actionMap[374][LEFT] = ActionEntry(REDUCE, 145);
   _actionMap[374][RIGHT] = ActionEntry(REDUCE, 145);
   _actionMap[374][INNER] = ActionEntry(REDUCE, 145);
   _actionMap[374][JOIN] = ActionEntry(REDUCE, 145);
   _actionMap[374][RETURNTOKEN] = ActionEntry(REDUCE, 145);
   _actionMap[374][ORDER] = ActionEntry(REDUCE, 145);
   _actionMap[374][GROUP] = ActionEntry(REDUCE, 145);
   _actionMap[374][WHERE] = ActionEntry(REDUCE, 145);
   _actionMap[374][BEGIN] = ActionEntry(REDUCE, 145);
   _actionMap[374][THEN] = ActionEntry(REDUCE, 145);
   _actionMap[374][OR] = ActionEntry(REDUCE, 145);
   _actionMap[374][AS] = ActionEntry(REDUCE, 145);
   _actionMap[374][FROM] = ActionEntry(REDUCE, 145);
   _actionMap[374][LIKE] = ActionEntry(REDUCE, 145);
   _actionMap[374][BETWEEN] = ActionEntry(REDUCE, 145);
   _actionMap[374][NOT] = ActionEntry(REDUCE, 145);
   _actionMap[374][INTOK] = ActionEntry(REDUCE, 145);
   _actionMap[374][END_TOKEN] = ActionEntry(REDUCE, 145);
   _actionMap[374][AND] = ActionEntry(REDUCE, 145);
   _actionMap[374][IS] = ActionEntry(REDUCE, 145);
   _actionMap[374][EQU] = ActionEntry(REDUCE, 145);
   _actionMap[374][NEGATION] = ActionEntry(REDUCE, 145);
   _actionMap[374][LT] = ActionEntry(REDUCE, 145);
   _actionMap[374][MT] = ActionEntry(REDUCE, 145);
   _actionMap[374][DESC] = ActionEntry(REDUCE, 145);
   _actionMap[374][ASC] = ActionEntry(REDUCE, 145);
   _actionMap[374][KSEP] = ActionEntry(REDUCE, 145);
   _actionMap[374][ROWLIMIT] = ActionEntry(REDUCE, 145);
   _actionMap[374][UNION] = ActionEntry(REDUCE, 145);
   _actionMap[374][ENDTOKEN] = ActionEntry(REDUCE, 145);
   _actionMap[374][RB] = ActionEntry(REDUCE, 145);
   _actionMap[374][SEMICOLON] = ActionEntry(REDUCE, 145);
   _actionMap[374][CONCAT] = ActionEntry(REDUCE, 145);
}
void Cego::loadParser143()
{
   _actionMap[374][MINUS] = ActionEntry(REDUCE, 145);
   _actionMap[374][PLUS] = ActionEntry(REDUCE, 145);
   _actionMap[375][STAR] = ActionEntry(SHIFT, 235);
   _actionMap[375][DIVISION] = ActionEntry(SHIFT, 236);
   _actionMap[375][WHEN] = ActionEntry(REDUCE, 143);
   _actionMap[375][ELSE] = ActionEntry(REDUCE, 143);
   _actionMap[375][LEFT] = ActionEntry(REDUCE, 143);
   _actionMap[375][RIGHT] = ActionEntry(REDUCE, 143);
   _actionMap[375][INNER] = ActionEntry(REDUCE, 143);
   _actionMap[375][JOIN] = ActionEntry(REDUCE, 143);
   _actionMap[375][RETURNTOKEN] = ActionEntry(REDUCE, 143);
   _actionMap[375][ORDER] = ActionEntry(REDUCE, 143);
   _actionMap[375][GROUP] = ActionEntry(REDUCE, 143);
   _actionMap[375][WHERE] = ActionEntry(REDUCE, 143);
   _actionMap[375][BEGIN] = ActionEntry(REDUCE, 143);
   _actionMap[375][THEN] = ActionEntry(REDUCE, 143);
   _actionMap[375][OR] = ActionEntry(REDUCE, 143);
   _actionMap[375][AS] = ActionEntry(REDUCE, 143);
   _actionMap[375][FROM] = ActionEntry(REDUCE, 143);
   _actionMap[375][LIKE] = ActionEntry(REDUCE, 143);
   _actionMap[375][BETWEEN] = ActionEntry(REDUCE, 143);
   _actionMap[375][NOT] = ActionEntry(REDUCE, 143);
   _actionMap[375][INTOK] = ActionEntry(REDUCE, 143);
   _actionMap[375][END_TOKEN] = ActionEntry(REDUCE, 143);
   _actionMap[375][AND] = ActionEntry(REDUCE, 143);
   _actionMap[375][IS] = ActionEntry(REDUCE, 143);
   _actionMap[375][EQU] = ActionEntry(REDUCE, 143);
   _actionMap[375][NEGATION] = ActionEntry(REDUCE, 143);
   _actionMap[375][LT] = ActionEntry(REDUCE, 143);
   _actionMap[375][MT] = ActionEntry(REDUCE, 143);
   _actionMap[375][DESC] = ActionEntry(REDUCE, 143);
   _actionMap[375][ASC] = ActionEntry(REDUCE, 143);
   _actionMap[375][KSEP] = ActionEntry(REDUCE, 143);
   _actionMap[375][ROWLIMIT] = ActionEntry(REDUCE, 143);
   _actionMap[375][UNION] = ActionEntry(REDUCE, 143);
   _actionMap[375][ENDTOKEN] = ActionEntry(REDUCE, 143);
   _actionMap[375][RB] = ActionEntry(REDUCE, 143);
   _actionMap[375][SEMICOLON] = ActionEntry(REDUCE, 143);
   _actionMap[375][CONCAT] = ActionEntry(REDUCE, 143);
   _actionMap[375][MINUS] = ActionEntry(REDUCE, 143);
   _actionMap[375][PLUS] = ActionEntry(REDUCE, 143);
   _actionMap[376][STAR] = ActionEntry(SHIFT, 235);
   _actionMap[376][DIVISION] = ActionEntry(SHIFT, 236);
   _actionMap[376][WHEN] = ActionEntry(REDUCE, 142);
   _actionMap[376][ELSE] = ActionEntry(REDUCE, 142);
   _actionMap[376][LEFT] = ActionEntry(REDUCE, 142);
   _actionMap[376][RIGHT] = ActionEntry(REDUCE, 142);
   _actionMap[376][INNER] = ActionEntry(REDUCE, 142);
   _actionMap[376][JOIN] = ActionEntry(REDUCE, 142);
   _actionMap[376][RETURNTOKEN] = ActionEntry(REDUCE, 142);
}
void Cego::loadParser144()
{
   _actionMap[376][ORDER] = ActionEntry(REDUCE, 142);
   _actionMap[376][GROUP] = ActionEntry(REDUCE, 142);
   _actionMap[376][WHERE] = ActionEntry(REDUCE, 142);
   _actionMap[376][BEGIN] = ActionEntry(REDUCE, 142);
   _actionMap[376][THEN] = ActionEntry(REDUCE, 142);
   _actionMap[376][OR] = ActionEntry(REDUCE, 142);
   _actionMap[376][AS] = ActionEntry(REDUCE, 142);
   _actionMap[376][FROM] = ActionEntry(REDUCE, 142);
   _actionMap[376][LIKE] = ActionEntry(REDUCE, 142);
   _actionMap[376][BETWEEN] = ActionEntry(REDUCE, 142);
   _actionMap[376][NOT] = ActionEntry(REDUCE, 142);
   _actionMap[376][INTOK] = ActionEntry(REDUCE, 142);
   _actionMap[376][END_TOKEN] = ActionEntry(REDUCE, 142);
   _actionMap[376][AND] = ActionEntry(REDUCE, 142);
   _actionMap[376][IS] = ActionEntry(REDUCE, 142);
   _actionMap[376][EQU] = ActionEntry(REDUCE, 142);
   _actionMap[376][NEGATION] = ActionEntry(REDUCE, 142);
   _actionMap[376][LT] = ActionEntry(REDUCE, 142);
   _actionMap[376][MT] = ActionEntry(REDUCE, 142);
   _actionMap[376][DESC] = ActionEntry(REDUCE, 142);
   _actionMap[376][ASC] = ActionEntry(REDUCE, 142);
   _actionMap[376][KSEP] = ActionEntry(REDUCE, 142);
   _actionMap[376][ROWLIMIT] = ActionEntry(REDUCE, 142);
   _actionMap[376][UNION] = ActionEntry(REDUCE, 142);
   _actionMap[376][ENDTOKEN] = ActionEntry(REDUCE, 142);
   _actionMap[376][RB] = ActionEntry(REDUCE, 142);
   _actionMap[376][SEMICOLON] = ActionEntry(REDUCE, 142);
   _actionMap[376][CONCAT] = ActionEntry(REDUCE, 142);
   _actionMap[376][MINUS] = ActionEntry(REDUCE, 142);
   _actionMap[376][PLUS] = ActionEntry(REDUCE, 142);
   _actionMap[377][WHEN] = ActionEntry(REDUCE, 146);
   _actionMap[377][ELSE] = ActionEntry(REDUCE, 146);
   _actionMap[377][LEFT] = ActionEntry(REDUCE, 146);
   _actionMap[377][RIGHT] = ActionEntry(REDUCE, 146);
   _actionMap[377][INNER] = ActionEntry(REDUCE, 146);
   _actionMap[377][JOIN] = ActionEntry(REDUCE, 146);
   _actionMap[377][RETURNTOKEN] = ActionEntry(REDUCE, 146);
   _actionMap[377][ORDER] = ActionEntry(REDUCE, 146);
   _actionMap[377][GROUP] = ActionEntry(REDUCE, 146);
   _actionMap[377][WHERE] = ActionEntry(REDUCE, 146);
   _actionMap[377][BEGIN] = ActionEntry(REDUCE, 146);
   _actionMap[377][THEN] = ActionEntry(REDUCE, 146);
   _actionMap[377][OR] = ActionEntry(REDUCE, 146);
   _actionMap[377][FROM] = ActionEntry(REDUCE, 146);
   _actionMap[377][AS] = ActionEntry(REDUCE, 146);
   _actionMap[377][END_TOKEN] = ActionEntry(REDUCE, 146);
   _actionMap[377][AND] = ActionEntry(REDUCE, 146);
   _actionMap[377][INTOK] = ActionEntry(REDUCE, 146);
   _actionMap[377][NOT] = ActionEntry(REDUCE, 146);
   _actionMap[377][BETWEEN] = ActionEntry(REDUCE, 146);
}
void Cego::loadParser145()
{
   _actionMap[377][IS] = ActionEntry(REDUCE, 146);
   _actionMap[377][LIKE] = ActionEntry(REDUCE, 146);
   _actionMap[377][MT] = ActionEntry(REDUCE, 146);
   _actionMap[377][LT] = ActionEntry(REDUCE, 146);
   _actionMap[377][NEGATION] = ActionEntry(REDUCE, 146);
   _actionMap[377][EQU] = ActionEntry(REDUCE, 146);
   _actionMap[377][RB] = ActionEntry(REDUCE, 146);
   _actionMap[377][ENDTOKEN] = ActionEntry(REDUCE, 146);
   _actionMap[377][UNION] = ActionEntry(REDUCE, 146);
   _actionMap[377][ROWLIMIT] = ActionEntry(REDUCE, 146);
   _actionMap[377][KSEP] = ActionEntry(REDUCE, 146);
   _actionMap[377][ASC] = ActionEntry(REDUCE, 146);
   _actionMap[377][DESC] = ActionEntry(REDUCE, 146);
   _actionMap[377][SEMICOLON] = ActionEntry(REDUCE, 146);
   _actionMap[377][PLUS] = ActionEntry(REDUCE, 146);
   _actionMap[377][MINUS] = ActionEntry(REDUCE, 146);
   _actionMap[377][CONCAT] = ActionEntry(REDUCE, 146);
   _actionMap[377][DIVISION] = ActionEntry(REDUCE, 146);
   _actionMap[377][STAR] = ActionEntry(REDUCE, 146);
   _actionMap[378][WHEN] = ActionEntry(REDUCE, 147);
   _actionMap[378][ELSE] = ActionEntry(REDUCE, 147);
   _actionMap[378][LEFT] = ActionEntry(REDUCE, 147);
   _actionMap[378][RIGHT] = ActionEntry(REDUCE, 147);
   _actionMap[378][INNER] = ActionEntry(REDUCE, 147);
   _actionMap[378][JOIN] = ActionEntry(REDUCE, 147);
   _actionMap[378][RETURNTOKEN] = ActionEntry(REDUCE, 147);
   _actionMap[378][ORDER] = ActionEntry(REDUCE, 147);
   _actionMap[378][GROUP] = ActionEntry(REDUCE, 147);
   _actionMap[378][WHERE] = ActionEntry(REDUCE, 147);
   _actionMap[378][BEGIN] = ActionEntry(REDUCE, 147);
   _actionMap[378][THEN] = ActionEntry(REDUCE, 147);
   _actionMap[378][OR] = ActionEntry(REDUCE, 147);
   _actionMap[378][FROM] = ActionEntry(REDUCE, 147);
   _actionMap[378][AS] = ActionEntry(REDUCE, 147);
   _actionMap[378][END_TOKEN] = ActionEntry(REDUCE, 147);
   _actionMap[378][AND] = ActionEntry(REDUCE, 147);
   _actionMap[378][INTOK] = ActionEntry(REDUCE, 147);
   _actionMap[378][NOT] = ActionEntry(REDUCE, 147);
   _actionMap[378][BETWEEN] = ActionEntry(REDUCE, 147);
   _actionMap[378][IS] = ActionEntry(REDUCE, 147);
   _actionMap[378][LIKE] = ActionEntry(REDUCE, 147);
   _actionMap[378][MT] = ActionEntry(REDUCE, 147);
   _actionMap[378][LT] = ActionEntry(REDUCE, 147);
   _actionMap[378][NEGATION] = ActionEntry(REDUCE, 147);
   _actionMap[378][EQU] = ActionEntry(REDUCE, 147);
   _actionMap[378][RB] = ActionEntry(REDUCE, 147);
   _actionMap[378][ENDTOKEN] = ActionEntry(REDUCE, 147);
   _actionMap[378][UNION] = ActionEntry(REDUCE, 147);
   _actionMap[378][ROWLIMIT] = ActionEntry(REDUCE, 147);
   _actionMap[378][KSEP] = ActionEntry(REDUCE, 147);
}
void Cego::loadParser146()
{
   _actionMap[378][ASC] = ActionEntry(REDUCE, 147);
   _actionMap[378][DESC] = ActionEntry(REDUCE, 147);
   _actionMap[378][SEMICOLON] = ActionEntry(REDUCE, 147);
   _actionMap[378][PLUS] = ActionEntry(REDUCE, 147);
   _actionMap[378][MINUS] = ActionEntry(REDUCE, 147);
   _actionMap[378][CONCAT] = ActionEntry(REDUCE, 147);
   _actionMap[378][DIVISION] = ActionEntry(REDUCE, 147);
   _actionMap[378][STAR] = ActionEntry(REDUCE, 147);
   _actionMap[379][WHEN] = ActionEntry(REDUCE, 164);
   _actionMap[379][ELSE] = ActionEntry(REDUCE, 164);
   _actionMap[380][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[380][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[380][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[380][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[380][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[380][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[380][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[380][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[380][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[380][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[380][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[380][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[380][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[380][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[380][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[380][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[380][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[380][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[380][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[380][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[380][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[380][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[380][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[380][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[380][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[380][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[380][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[380][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[380][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[380][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[380][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[380][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[380][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[380][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[380][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[380][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[380][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[380][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[380][LB] = ActionEntry(SHIFT, 150);
   _actionMap[380][STRINGVAL] = ActionEntry(SHIFT, 103);
}
void Cego::loadParser147()
{
   _actionMap[380][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[380][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[380][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[380][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[380][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[380][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[380][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[380][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[380][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[380][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[380][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[380][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[380][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[380][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[380][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[380][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[380][ObjSpec] = 102;
   _jumpMap[380][Constant] = 101;
   _jumpMap[380][SignedFloat] = 100;
   _jumpMap[380][SignedInt] = 99;
   _jumpMap[380][Attribute] = 98;
   _jumpMap[380][Function] = 97;
   _jumpMap[380][CasePrepare] = 96;
   _jumpMap[380][CaseClause] = 95;
   _jumpMap[380][Factor] = 94;
   _jumpMap[380][Term] = 93;
   _jumpMap[380][Expr] = 517;
   _actionMap[381][INTOK] = ActionEntry(SHIFT, 520);
   _actionMap[381][NOT] = ActionEntry(SHIFT, 523);
   _actionMap[381][BETWEEN] = ActionEntry(SHIFT, 519);
   _actionMap[381][IS] = ActionEntry(SHIFT, 521);
   _actionMap[381][LIKE] = ActionEntry(SHIFT, 522);
   _actionMap[381][PLUS] = ActionEntry(SHIFT, 234);
   _actionMap[381][MINUS] = ActionEntry(SHIFT, 233);
   _actionMap[381][CONCAT] = ActionEntry(SHIFT, 232);
   _actionMap[381][EQU] = ActionEntry(SHIFT, 524);
   _actionMap[381][NEGATION] = ActionEntry(SHIFT, 527);
   _actionMap[381][LT] = ActionEntry(SHIFT, 525);
   _actionMap[381][MT] = ActionEntry(SHIFT, 526);
   _jumpMap[381][Comparison] = 518;
   _actionMap[382][THEN] = ActionEntry(SHIFT, 530);
   _actionMap[382][AND] = ActionEntry(SHIFT, 528);
   _actionMap[382][OR] = ActionEntry(SHIFT, 529);
   _actionMap[383][THEN] = ActionEntry(REDUCE, 318);
   _actionMap[383][LEFT] = ActionEntry(REDUCE, 318);
   _actionMap[383][RIGHT] = ActionEntry(REDUCE, 318);
   _actionMap[383][INNER] = ActionEntry(REDUCE, 318);
   _actionMap[383][JOIN] = ActionEntry(REDUCE, 318);
   _actionMap[383][RETURNTOKEN] = ActionEntry(REDUCE, 318);
   _actionMap[383][SEMICOLON] = ActionEntry(REDUCE, 318);
}
void Cego::loadParser148()
{
   _actionMap[383][RB] = ActionEntry(REDUCE, 318);
   _actionMap[383][ENDTOKEN] = ActionEntry(REDUCE, 318);
   _actionMap[383][UNION] = ActionEntry(REDUCE, 318);
   _actionMap[383][ROWLIMIT] = ActionEntry(REDUCE, 318);
   _actionMap[383][ORDER] = ActionEntry(REDUCE, 318);
   _actionMap[383][GROUP] = ActionEntry(REDUCE, 318);
   _actionMap[383][WHERE] = ActionEntry(REDUCE, 318);
   _actionMap[383][OR] = ActionEntry(REDUCE, 318);
   _actionMap[383][AND] = ActionEntry(REDUCE, 318);
   _actionMap[384][LB] = ActionEntry(SHIFT, 531);
   _actionMap[385][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[385][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[385][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[385][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[385][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[385][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[385][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[385][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[385][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[385][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[385][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[385][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[385][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[385][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[385][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[385][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[385][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[385][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[385][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[385][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[385][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[385][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[385][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[385][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[385][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[385][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[385][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[385][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[385][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[385][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[385][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[385][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[385][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[385][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[385][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[385][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[385][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[385][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[385][LB] = ActionEntry(SHIFT, 386);
   _actionMap[385][STRINGVAL] = ActionEntry(SHIFT, 103);
}
void Cego::loadParser149()
{
   _actionMap[385][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[385][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[385][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[385][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[385][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[385][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[385][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[385][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[385][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[385][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[385][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[385][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[385][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[385][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[385][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[385][MAX] = ActionEntry(SHIFT, 128);
   _actionMap[385][EXISTS] = ActionEntry(SHIFT, 384);
   _actionMap[385][NOT] = ActionEntry(SHIFT, 385);
   _jumpMap[385][ObjSpec] = 102;
   _jumpMap[385][Constant] = 101;
   _jumpMap[385][SignedFloat] = 100;
   _jumpMap[385][SignedInt] = 99;
   _jumpMap[385][Attribute] = 98;
   _jumpMap[385][QueryPredicate] = 532;
   _jumpMap[385][Function] = 97;
   _jumpMap[385][CasePrepare] = 96;
   _jumpMap[385][CaseClause] = 95;
   _jumpMap[385][Factor] = 94;
   _jumpMap[385][Term] = 93;
   _jumpMap[385][Expr] = 381;
   _actionMap[386][LONG] = ActionEntry(SHIFT, 288);
   _actionMap[386][BIGINT] = ActionEntry(SHIFT, 284);
   _actionMap[386][SMALLINT] = ActionEntry(SHIFT, 289);
   _actionMap[386][TINYINT] = ActionEntry(SHIFT, 290);
   _actionMap[386][DOUBLE] = ActionEntry(SHIFT, 286);
   _actionMap[386][DECIMAL] = ActionEntry(SHIFT, 285);
   _actionMap[386][FIXED] = ActionEntry(SHIFT, 287);
   _actionMap[386][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[386][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[386][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[386][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[386][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[386][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[386][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[386][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[386][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[386][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[386][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[386][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[386][LEFT] = ActionEntry(SHIFT, 123);
}
void Cego::loadParser150()
{
   _actionMap[386][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[386][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[386][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[386][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[386][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[386][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[386][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[386][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[386][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[386][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[386][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[386][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[386][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[386][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[386][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[386][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[386][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[386][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[386][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[386][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[386][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[386][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[386][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[386][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[386][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[386][LB] = ActionEntry(SHIFT, 386);
   _actionMap[386][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[386][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[386][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[386][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[386][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[386][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[386][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[386][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[386][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[386][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[386][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[386][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[386][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[386][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[386][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[386][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[386][MAX] = ActionEntry(SHIFT, 128);
   _actionMap[386][SELECT] = ActionEntry(SHIFT, 30);
   _actionMap[386][EXISTS] = ActionEntry(SHIFT, 384);
   _actionMap[386][NOT] = ActionEntry(SHIFT, 385);
   _jumpMap[386][ObjSpec] = 102;
   _jumpMap[386][Constant] = 101;
   _jumpMap[386][SignedFloat] = 100;
   _jumpMap[386][SignedInt] = 99;
}
void Cego::loadParser151()
{
   _jumpMap[386][Attribute] = 98;
   _jumpMap[386][QueryPredicate] = 383;
   _jumpMap[386][QueryCondition] = 534;
   _jumpMap[386][Function] = 97;
   _jumpMap[386][SelectStatement] = 283;
   _jumpMap[386][CasePrepare] = 96;
   _jumpMap[386][CaseClause] = 95;
   _jumpMap[386][Factor] = 94;
   _jumpMap[386][Term] = 93;
   _jumpMap[386][Expr] = 533;
   _actionMap[387][PLUS] = ActionEntry(SHIFT, 234);
   _actionMap[387][MINUS] = ActionEntry(SHIFT, 233);
   _actionMap[387][CONCAT] = ActionEntry(SHIFT, 232);
   _actionMap[387][KSEP] = ActionEntry(REDUCE, 312);
   _actionMap[387][RB] = ActionEntry(REDUCE, 312);
   _actionMap[388][RB] = ActionEntry(SHIFT, 536);
   _actionMap[388][KSEP] = ActionEntry(SHIFT, 535);
   _actionMap[389][WHEN] = ActionEntry(REDUCE, 310);
   _actionMap[389][ELSE] = ActionEntry(REDUCE, 310);
   _actionMap[389][LEFT] = ActionEntry(REDUCE, 310);
   _actionMap[389][RIGHT] = ActionEntry(REDUCE, 310);
   _actionMap[389][INNER] = ActionEntry(REDUCE, 310);
   _actionMap[389][JOIN] = ActionEntry(REDUCE, 310);
   _actionMap[389][RETURNTOKEN] = ActionEntry(REDUCE, 310);
   _actionMap[389][ORDER] = ActionEntry(REDUCE, 310);
   _actionMap[389][GROUP] = ActionEntry(REDUCE, 310);
   _actionMap[389][WHERE] = ActionEntry(REDUCE, 310);
   _actionMap[389][FROM] = ActionEntry(REDUCE, 310);
   _actionMap[389][AS] = ActionEntry(REDUCE, 310);
   _actionMap[389][END_TOKEN] = ActionEntry(REDUCE, 310);
   _actionMap[389][BEGIN] = ActionEntry(REDUCE, 310);
   _actionMap[389][THEN] = ActionEntry(REDUCE, 310);
   _actionMap[389][OR] = ActionEntry(REDUCE, 310);
   _actionMap[389][AND] = ActionEntry(REDUCE, 310);
   _actionMap[389][INTOK] = ActionEntry(REDUCE, 310);
   _actionMap[389][NOT] = ActionEntry(REDUCE, 310);
   _actionMap[389][BETWEEN] = ActionEntry(REDUCE, 310);
   _actionMap[389][IS] = ActionEntry(REDUCE, 310);
   _actionMap[389][LIKE] = ActionEntry(REDUCE, 310);
   _actionMap[389][MT] = ActionEntry(REDUCE, 310);
   _actionMap[389][LT] = ActionEntry(REDUCE, 310);
   _actionMap[389][NEGATION] = ActionEntry(REDUCE, 310);
   _actionMap[389][EQU] = ActionEntry(REDUCE, 310);
   _actionMap[389][RB] = ActionEntry(REDUCE, 310);
   _actionMap[389][ENDTOKEN] = ActionEntry(REDUCE, 310);
   _actionMap[389][UNION] = ActionEntry(REDUCE, 310);
   _actionMap[389][ROWLIMIT] = ActionEntry(REDUCE, 310);
   _actionMap[389][KSEP] = ActionEntry(REDUCE, 310);
   _actionMap[389][ASC] = ActionEntry(REDUCE, 310);
   _actionMap[389][DESC] = ActionEntry(REDUCE, 310);
}
void Cego::loadParser152()
{
   _actionMap[389][SEMICOLON] = ActionEntry(REDUCE, 310);
   _actionMap[389][PLUS] = ActionEntry(REDUCE, 310);
   _actionMap[389][MINUS] = ActionEntry(REDUCE, 310);
   _actionMap[389][DIVISION] = ActionEntry(REDUCE, 310);
   _actionMap[389][STAR] = ActionEntry(REDUCE, 310);
   _actionMap[389][CONCAT] = ActionEntry(REDUCE, 310);
   _actionMap[390][RB] = ActionEntry(SHIFT, 537);
   _actionMap[390][PLUS] = ActionEntry(SHIFT, 234);
   _actionMap[390][MINUS] = ActionEntry(SHIFT, 233);
   _actionMap[390][CONCAT] = ActionEntry(SHIFT, 232);
   _actionMap[391][RB] = ActionEntry(SHIFT, 538);
   _actionMap[391][KSEP] = ActionEntry(SHIFT, 535);
   _actionMap[392][RB] = ActionEntry(SHIFT, 539);
   _actionMap[392][KSEP] = ActionEntry(SHIFT, 535);
   _actionMap[393][RB] = ActionEntry(SHIFT, 540);
   _actionMap[393][KSEP] = ActionEntry(SHIFT, 535);
   _actionMap[394][KSEP] = ActionEntry(SHIFT, 541);
   _actionMap[395][RB] = ActionEntry(SHIFT, 542);
   _actionMap[395][KSEP] = ActionEntry(SHIFT, 535);
   _actionMap[396][KSEP] = ActionEntry(SHIFT, 543);
   _actionMap[397][RB] = ActionEntry(SHIFT, 544);
   _actionMap[397][KSEP] = ActionEntry(SHIFT, 535);
   _actionMap[398][RB] = ActionEntry(SHIFT, 545);
   _actionMap[398][KSEP] = ActionEntry(SHIFT, 535);
   _actionMap[399][RB] = ActionEntry(SHIFT, 546);
   _actionMap[399][PLUS] = ActionEntry(SHIFT, 234);
   _actionMap[399][MINUS] = ActionEntry(SHIFT, 233);
   _actionMap[399][CONCAT] = ActionEntry(SHIFT, 232);
   _actionMap[400][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[400][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[400][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[400][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[400][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[400][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[400][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[400][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[400][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[400][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[400][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[400][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[400][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[400][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[400][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[400][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[400][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[400][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[400][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[400][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[400][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[400][STR2DATE] = ActionEntry(SHIFT, 145);
}
void Cego::loadParser153()
{
   _actionMap[400][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[400][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[400][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[400][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[400][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[400][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[400][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[400][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[400][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[400][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[400][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[400][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[400][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[400][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[400][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[400][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[400][LB] = ActionEntry(SHIFT, 150);
   _actionMap[400][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[400][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[400][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[400][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[400][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[400][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[400][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[400][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[400][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[400][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[400][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[400][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[400][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[400][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[400][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[400][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[400][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[400][ObjSpec] = 102;
   _jumpMap[400][Constant] = 101;
   _jumpMap[400][SignedFloat] = 100;
   _jumpMap[400][SignedInt] = 99;
   _jumpMap[400][Attribute] = 98;
   _jumpMap[400][Function] = 97;
   _jumpMap[400][CasePrepare] = 96;
   _jumpMap[400][CaseClause] = 95;
   _jumpMap[400][Factor] = 94;
   _jumpMap[400][Term] = 93;
   _jumpMap[400][Expr] = 399;
   _actionMap[401][RB] = ActionEntry(SHIFT, 547);
   _actionMap[402][KSEP] = ActionEntry(SHIFT, 548);
   _actionMap[403][KSEP] = ActionEntry(REDUCE, 374);
   _actionMap[404][RB] = ActionEntry(SHIFT, 549);
   _actionMap[404][KSEP] = ActionEntry(SHIFT, 535);
}
void Cego::loadParser154()
{
   _actionMap[405][RB] = ActionEntry(SHIFT, 550);
   _actionMap[405][KSEP] = ActionEntry(SHIFT, 535);
   _actionMap[406][RB] = ActionEntry(SHIFT, 551);
   _actionMap[406][KSEP] = ActionEntry(SHIFT, 535);
   _actionMap[407][LB] = ActionEntry(SHIFT, 552);
   _actionMap[408][RB] = ActionEntry(SHIFT, 553);
   _actionMap[408][KSEP] = ActionEntry(SHIFT, 535);
   _actionMap[409][RB] = ActionEntry(SHIFT, 554);
   _actionMap[409][KSEP] = ActionEntry(SHIFT, 535);
   _actionMap[410][RB] = ActionEntry(SHIFT, 555);
   _actionMap[410][KSEP] = ActionEntry(SHIFT, 535);
   _actionMap[411][RB] = ActionEntry(SHIFT, 556);
   _actionMap[411][KSEP] = ActionEntry(SHIFT, 535);
   _actionMap[412][RB] = ActionEntry(SHIFT, 557);
   _actionMap[412][KSEP] = ActionEntry(SHIFT, 535);
   _actionMap[413][RB] = ActionEntry(SHIFT, 558);
   _actionMap[413][KSEP] = ActionEntry(SHIFT, 535);
   _actionMap[414][RB] = ActionEntry(SHIFT, 559);
   _actionMap[414][PLUS] = ActionEntry(SHIFT, 234);
   _actionMap[414][MINUS] = ActionEntry(SHIFT, 233);
   _actionMap[414][CONCAT] = ActionEntry(SHIFT, 232);
   _actionMap[415][RB] = ActionEntry(SHIFT, 560);
   _actionMap[415][PLUS] = ActionEntry(SHIFT, 234);
   _actionMap[415][MINUS] = ActionEntry(SHIFT, 233);
   _actionMap[415][CONCAT] = ActionEntry(SHIFT, 232);
   _actionMap[416][RB] = ActionEntry(SHIFT, 561);
   _actionMap[416][KSEP] = ActionEntry(SHIFT, 535);
   _actionMap[417][RB] = ActionEntry(SHIFT, 562);
   _actionMap[418][RB] = ActionEntry(SHIFT, 563);
   _actionMap[418][KSEP] = ActionEntry(SHIFT, 535);
   _actionMap[419][RB] = ActionEntry(SHIFT, 564);
   _actionMap[419][KSEP] = ActionEntry(SHIFT, 535);
   _actionMap[420][RB] = ActionEntry(SHIFT, 565);
   _actionMap[420][KSEP] = ActionEntry(SHIFT, 535);
   _actionMap[421][RB] = ActionEntry(SHIFT, 566);
   _actionMap[421][KSEP] = ActionEntry(SHIFT, 535);
   _actionMap[422][RB] = ActionEntry(SHIFT, 567);
   _actionMap[422][KSEP] = ActionEntry(SHIFT, 535);
   _actionMap[423][RB] = ActionEntry(SHIFT, 568);
   _actionMap[423][KSEP] = ActionEntry(SHIFT, 535);
   _actionMap[424][RB] = ActionEntry(SHIFT, 569);
   _actionMap[424][KSEP] = ActionEntry(SHIFT, 535);
   _actionMap[425][KSEP] = ActionEntry(SHIFT, 570);
   _actionMap[426][RB] = ActionEntry(SHIFT, 571);
   _actionMap[426][KSEP] = ActionEntry(SHIFT, 535);
   _actionMap[427][RB] = ActionEntry(SHIFT, 572);
   _actionMap[427][PLUS] = ActionEntry(SHIFT, 234);
   _actionMap[427][MINUS] = ActionEntry(SHIFT, 233);
   _actionMap[427][CONCAT] = ActionEntry(SHIFT, 232);
   _actionMap[428][RB] = ActionEntry(SHIFT, 573);
}
void Cego::loadParser155()
{
   _actionMap[428][KSEP] = ActionEntry(SHIFT, 535);
   _actionMap[429][RB] = ActionEntry(SHIFT, 574);
   _actionMap[429][KSEP] = ActionEntry(SHIFT, 535);
   _actionMap[430][RB] = ActionEntry(SHIFT, 575);
   _actionMap[430][KSEP] = ActionEntry(SHIFT, 535);
   _actionMap[431][RB] = ActionEntry(SHIFT, 576);
   _actionMap[431][KSEP] = ActionEntry(SHIFT, 535);
   _actionMap[432][RB] = ActionEntry(SHIFT, 577);
   _actionMap[432][KSEP] = ActionEntry(SHIFT, 535);
   _actionMap[433][RB] = ActionEntry(SHIFT, 578);
   _actionMap[433][KSEP] = ActionEntry(SHIFT, 535);
   _actionMap[434][WHEN] = ActionEntry(REDUCE, 154);
   _actionMap[434][ELSE] = ActionEntry(REDUCE, 154);
   _actionMap[434][LEFT] = ActionEntry(REDUCE, 154);
   _actionMap[434][RIGHT] = ActionEntry(REDUCE, 154);
   _actionMap[434][INNER] = ActionEntry(REDUCE, 154);
   _actionMap[434][JOIN] = ActionEntry(REDUCE, 154);
   _actionMap[434][RETURNTOKEN] = ActionEntry(REDUCE, 154);
   _actionMap[434][ORDER] = ActionEntry(REDUCE, 154);
   _actionMap[434][GROUP] = ActionEntry(REDUCE, 154);
   _actionMap[434][WHERE] = ActionEntry(REDUCE, 154);
   _actionMap[434][AS] = ActionEntry(REDUCE, 154);
   _actionMap[434][FROM] = ActionEntry(REDUCE, 154);
   _actionMap[434][END_TOKEN] = ActionEntry(REDUCE, 154);
   _actionMap[434][BEGIN] = ActionEntry(REDUCE, 154);
   _actionMap[434][THEN] = ActionEntry(REDUCE, 154);
   _actionMap[434][OR] = ActionEntry(REDUCE, 154);
   _actionMap[434][AND] = ActionEntry(REDUCE, 154);
   _actionMap[434][DESC] = ActionEntry(REDUCE, 154);
   _actionMap[434][ASC] = ActionEntry(REDUCE, 154);
   _actionMap[434][KSEP] = ActionEntry(REDUCE, 154);
   _actionMap[434][ROWLIMIT] = ActionEntry(REDUCE, 154);
   _actionMap[434][UNION] = ActionEntry(REDUCE, 154);
   _actionMap[434][ENDTOKEN] = ActionEntry(REDUCE, 154);
   _actionMap[434][SEMICOLON] = ActionEntry(REDUCE, 154);
   _actionMap[434][LIKE] = ActionEntry(REDUCE, 154);
   _actionMap[434][BETWEEN] = ActionEntry(REDUCE, 154);
   _actionMap[434][NOT] = ActionEntry(REDUCE, 154);
   _actionMap[434][INTOK] = ActionEntry(REDUCE, 154);
   _actionMap[434][RB] = ActionEntry(REDUCE, 154);
   _actionMap[434][STAR] = ActionEntry(REDUCE, 154);
   _actionMap[434][DIVISION] = ActionEntry(REDUCE, 154);
   _actionMap[434][CONCAT] = ActionEntry(REDUCE, 154);
   _actionMap[434][MINUS] = ActionEntry(REDUCE, 154);
   _actionMap[434][PLUS] = ActionEntry(REDUCE, 154);
   _actionMap[434][IS] = ActionEntry(REDUCE, 154);
   _actionMap[434][EQU] = ActionEntry(REDUCE, 154);
   _actionMap[434][NEGATION] = ActionEntry(REDUCE, 154);
   _actionMap[434][LT] = ActionEntry(REDUCE, 154);
   _actionMap[434][MT] = ActionEntry(REDUCE, 154);
}
void Cego::loadParser156()
{
   _actionMap[435][WHEN] = ActionEntry(REDUCE, 155);
   _actionMap[435][ELSE] = ActionEntry(REDUCE, 155);
   _actionMap[435][LEFT] = ActionEntry(REDUCE, 155);
   _actionMap[435][RIGHT] = ActionEntry(REDUCE, 155);
   _actionMap[435][INNER] = ActionEntry(REDUCE, 155);
   _actionMap[435][JOIN] = ActionEntry(REDUCE, 155);
   _actionMap[435][RETURNTOKEN] = ActionEntry(REDUCE, 155);
   _actionMap[435][ORDER] = ActionEntry(REDUCE, 155);
   _actionMap[435][GROUP] = ActionEntry(REDUCE, 155);
   _actionMap[435][WHERE] = ActionEntry(REDUCE, 155);
   _actionMap[435][AS] = ActionEntry(REDUCE, 155);
   _actionMap[435][FROM] = ActionEntry(REDUCE, 155);
   _actionMap[435][END_TOKEN] = ActionEntry(REDUCE, 155);
   _actionMap[435][BEGIN] = ActionEntry(REDUCE, 155);
   _actionMap[435][THEN] = ActionEntry(REDUCE, 155);
   _actionMap[435][OR] = ActionEntry(REDUCE, 155);
   _actionMap[435][AND] = ActionEntry(REDUCE, 155);
   _actionMap[435][DESC] = ActionEntry(REDUCE, 155);
   _actionMap[435][ASC] = ActionEntry(REDUCE, 155);
   _actionMap[435][KSEP] = ActionEntry(REDUCE, 155);
   _actionMap[435][ROWLIMIT] = ActionEntry(REDUCE, 155);
   _actionMap[435][UNION] = ActionEntry(REDUCE, 155);
   _actionMap[435][ENDTOKEN] = ActionEntry(REDUCE, 155);
   _actionMap[435][SEMICOLON] = ActionEntry(REDUCE, 155);
   _actionMap[435][LIKE] = ActionEntry(REDUCE, 155);
   _actionMap[435][BETWEEN] = ActionEntry(REDUCE, 155);
   _actionMap[435][NOT] = ActionEntry(REDUCE, 155);
   _actionMap[435][INTOK] = ActionEntry(REDUCE, 155);
   _actionMap[435][RB] = ActionEntry(REDUCE, 155);
   _actionMap[435][STAR] = ActionEntry(REDUCE, 155);
   _actionMap[435][DIVISION] = ActionEntry(REDUCE, 155);
   _actionMap[435][CONCAT] = ActionEntry(REDUCE, 155);
   _actionMap[435][MINUS] = ActionEntry(REDUCE, 155);
   _actionMap[435][PLUS] = ActionEntry(REDUCE, 155);
   _actionMap[435][IS] = ActionEntry(REDUCE, 155);
   _actionMap[435][EQU] = ActionEntry(REDUCE, 155);
   _actionMap[435][NEGATION] = ActionEntry(REDUCE, 155);
   _actionMap[435][LT] = ActionEntry(REDUCE, 155);
   _actionMap[435][MT] = ActionEntry(REDUCE, 155);
   _actionMap[436][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[436][MINUS] = ActionEntry(SHIFT, 580);
   _jumpMap[436][SignedInt] = 579;
   _actionMap[437][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[437][MINUS] = ActionEntry(SHIFT, 582);
   _jumpMap[437][SignedFloat] = 581;
   _actionMap[438][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[438][MINUS] = ActionEntry(SHIFT, 582);
   _jumpMap[438][SignedFloat] = 583;
   _actionMap[439][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[439][MINUS] = ActionEntry(SHIFT, 582);
}
void Cego::loadParser157()
{
   _jumpMap[439][SignedFloat] = 584;
   _actionMap[440][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[440][MINUS] = ActionEntry(SHIFT, 580);
   _jumpMap[440][SignedInt] = 585;
   _actionMap[441][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[441][MINUS] = ActionEntry(SHIFT, 580);
   _jumpMap[441][SignedInt] = 586;
   _actionMap[442][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[442][MINUS] = ActionEntry(SHIFT, 580);
   _jumpMap[442][SignedInt] = 587;
   _actionMap[443][IDENTIFIER] = ActionEntry(SHIFT, 588);
   _actionMap[444][IDENTIFIER] = ActionEntry(SHIFT, 589);
   _actionMap[445][IDENTIFIER] = ActionEntry(SHIFT, 590);
   _actionMap[446][IDENTIFIER] = ActionEntry(SHIFT, 591);
   _actionMap[447][IDENTIFIER] = ActionEntry(SHIFT, 592);
   _actionMap[448][IDENTIFIER] = ActionEntry(SHIFT, 593);
   _actionMap[449][IDENTIFIER] = ActionEntry(SHIFT, 594);
   _actionMap[450][SEMICOLON] = ActionEntry(REDUCE, 315);
   _actionMap[450][RB] = ActionEntry(REDUCE, 315);
   _actionMap[450][ENDTOKEN] = ActionEntry(REDUCE, 315);
   _actionMap[450][UNION] = ActionEntry(REDUCE, 315);
   _actionMap[450][ROWLIMIT] = ActionEntry(REDUCE, 315);
   _actionMap[450][ORDER] = ActionEntry(REDUCE, 315);
   _actionMap[450][GROUP] = ActionEntry(REDUCE, 315);
   _actionMap[450][WHERE] = ActionEntry(SHIFT, 365);
   _jumpMap[450][NoWhere] = 364;
   _jumpMap[450][WhereClause] = 595;
   _actionMap[451][WHERE] = ActionEntry(REDUCE, 213);
   _actionMap[451][GROUP] = ActionEntry(REDUCE, 213);
   _actionMap[451][ORDER] = ActionEntry(REDUCE, 213);
   _actionMap[451][ROWLIMIT] = ActionEntry(REDUCE, 213);
   _actionMap[451][UNION] = ActionEntry(REDUCE, 213);
   _actionMap[451][ENDTOKEN] = ActionEntry(REDUCE, 213);
   _actionMap[451][RB] = ActionEntry(REDUCE, 213);
   _actionMap[451][SEMICOLON] = ActionEntry(REDUCE, 213);
   _actionMap[451][RETURNTOKEN] = ActionEntry(REDUCE, 213);
   _actionMap[451][INNER] = ActionEntry(SHIFT, 598);
   _actionMap[451][JOIN] = ActionEntry(SHIFT, 599);
   _actionMap[451][LEFT] = ActionEntry(SHIFT, 600);
   _actionMap[451][RIGHT] = ActionEntry(SHIFT, 601);
   _jumpMap[451][InnerJoin] = 597;
   _jumpMap[451][JoinSpec] = 596;
   _actionMap[452][WHERE] = ActionEntry(REDUCE, 212);
   _actionMap[452][GROUP] = ActionEntry(REDUCE, 212);
   _actionMap[452][ORDER] = ActionEntry(REDUCE, 212);
   _actionMap[452][ROWLIMIT] = ActionEntry(REDUCE, 212);
   _actionMap[452][UNION] = ActionEntry(REDUCE, 212);
   _actionMap[452][ENDTOKEN] = ActionEntry(REDUCE, 212);
   _actionMap[452][RB] = ActionEntry(REDUCE, 212);
   _actionMap[452][SEMICOLON] = ActionEntry(REDUCE, 212);
}
void Cego::loadParser158()
{
   _actionMap[452][RETURNTOKEN] = ActionEntry(REDUCE, 212);
   _actionMap[453][KSEP] = ActionEntry(SHIFT, 603);
   _actionMap[453][RETURNTOKEN] = ActionEntry(REDUCE, 222);
   _actionMap[453][SEMICOLON] = ActionEntry(REDUCE, 222);
   _actionMap[453][RB] = ActionEntry(REDUCE, 222);
   _actionMap[453][ENDTOKEN] = ActionEntry(REDUCE, 222);
   _actionMap[453][UNION] = ActionEntry(REDUCE, 222);
   _actionMap[453][ROWLIMIT] = ActionEntry(REDUCE, 222);
   _actionMap[453][ORDER] = ActionEntry(REDUCE, 222);
   _actionMap[453][GROUP] = ActionEntry(REDUCE, 222);
   _actionMap[453][WHERE] = ActionEntry(REDUCE, 222);
   _actionMap[453][INNER] = ActionEntry(SHIFT, 598);
   _actionMap[453][JOIN] = ActionEntry(SHIFT, 599);
   _actionMap[453][LEFT] = ActionEntry(SHIFT, 600);
   _actionMap[453][RIGHT] = ActionEntry(SHIFT, 601);
   _jumpMap[453][InnerJoin] = 597;
   _jumpMap[453][JoinSpec] = 602;
   _actionMap[454][WHERE] = ActionEntry(REDUCE, 223);
   _actionMap[454][IDENTIFIER] = ActionEntry(SHIFT, 604);
   _actionMap[454][GROUP] = ActionEntry(REDUCE, 223);
   _actionMap[454][ORDER] = ActionEntry(REDUCE, 223);
   _actionMap[454][ROWLIMIT] = ActionEntry(REDUCE, 223);
   _actionMap[454][UNION] = ActionEntry(REDUCE, 223);
   _actionMap[454][ENDTOKEN] = ActionEntry(REDUCE, 223);
   _actionMap[454][RB] = ActionEntry(REDUCE, 223);
   _actionMap[454][SEMICOLON] = ActionEntry(REDUCE, 223);
   _actionMap[454][RETURNTOKEN] = ActionEntry(REDUCE, 223);
   _actionMap[454][LEFT] = ActionEntry(REDUCE, 223);
   _actionMap[454][RIGHT] = ActionEntry(REDUCE, 223);
   _actionMap[454][INNER] = ActionEntry(REDUCE, 223);
   _actionMap[454][JOIN] = ActionEntry(REDUCE, 223);
   _actionMap[454][KSEP] = ActionEntry(REDUCE, 223);
   _actionMap[454][ON] = ActionEntry(REDUCE, 223);
   _actionMap[455][FROM] = ActionEntry(REDUCE, 211);
   _actionMap[455][KSEP] = ActionEntry(REDUCE, 211);
   _actionMap[456][FROM] = ActionEntry(REDUCE, 227);
   _actionMap[456][KSEP] = ActionEntry(REDUCE, 227);
   _actionMap[457][IDENTIFIER] = ActionEntry(SHIFT, 605);
   _actionMap[458][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[458][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[458][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[458][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[458][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[458][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[458][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[458][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[458][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[458][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[458][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[458][UPPER] = ActionEntry(SHIFT, 149);
}
void Cego::loadParser159()
{
   _actionMap[458][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[458][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[458][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[458][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[458][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[458][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[458][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[458][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[458][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[458][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[458][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[458][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[458][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[458][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[458][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[458][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[458][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[458][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[458][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[458][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[458][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[458][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[458][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[458][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[458][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[458][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[458][LB] = ActionEntry(SHIFT, 150);
   _actionMap[458][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[458][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[458][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[458][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[458][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[458][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[458][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[458][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[458][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[458][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[458][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[458][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[458][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[458][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[458][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[458][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[458][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[458][ObjSpec] = 102;
   _jumpMap[458][Constant] = 101;
   _jumpMap[458][SignedFloat] = 100;
   _jumpMap[458][SignedInt] = 99;
   _jumpMap[458][Attribute] = 98;
   _jumpMap[458][Function] = 97;
}
void Cego::loadParser160()
{
   _jumpMap[458][SelectItem] = 606;
   _jumpMap[458][CasePrepare] = 96;
   _jumpMap[458][CaseClause] = 95;
   _jumpMap[458][Factor] = 94;
   _jumpMap[458][Term] = 93;
   _jumpMap[458][Expr] = 304;
   _actionMap[459][SEMICOLON] = ActionEntry(REDUCE, 40);
   _actionMap[460][SEMICOLON] = ActionEntry(REDUCE, 39);
   _actionMap[461][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[461][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[461][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[461][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[461][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[461][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[461][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[461][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[461][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[461][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[461][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[461][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[461][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[461][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[461][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[461][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[461][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[461][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[461][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[461][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[461][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[461][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[461][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[461][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[461][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[461][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[461][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[461][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[461][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[461][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[461][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[461][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[461][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[461][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[461][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[461][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[461][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[461][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[461][LB] = ActionEntry(SHIFT, 150);
   _actionMap[461][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[461][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[461][SYSDATE] = ActionEntry(SHIFT, 142);
}
void Cego::loadParser161()
{
   _actionMap[461][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[461][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[461][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[461][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[461][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[461][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[461][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[461][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[461][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[461][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[461][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[461][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[461][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[461][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[461][ObjSpec] = 102;
   _jumpMap[461][Constant] = 101;
   _jumpMap[461][SignedFloat] = 100;
   _jumpMap[461][SignedInt] = 99;
   _jumpMap[461][Attribute] = 98;
   _jumpMap[461][Function] = 97;
   _jumpMap[461][CasePrepare] = 96;
   _jumpMap[461][CaseClause] = 95;
   _jumpMap[461][Factor] = 94;
   _jumpMap[461][Term] = 93;
   _jumpMap[461][Expr] = 607;
   _actionMap[462][PLUS] = ActionEntry(SHIFT, 234);
   _actionMap[462][MINUS] = ActionEntry(SHIFT, 233);
   _actionMap[462][CONCAT] = ActionEntry(SHIFT, 232);
   _actionMap[462][SEMICOLON] = ActionEntry(REDUCE, 70);
   _actionMap[463][KSEP] = ActionEntry(SHIFT, 609);
   _actionMap[463][SEMICOLON] = ActionEntry(REDUCE, 315);
   _actionMap[463][RETURNTOKEN] = ActionEntry(REDUCE, 315);
   _actionMap[463][WHERE] = ActionEntry(SHIFT, 365);
   _jumpMap[463][NoWhere] = 364;
   _jumpMap[463][WhereClause] = 608;
   _actionMap[464][KSEP] = ActionEntry(REDUCE, 253);
   _actionMap[464][WHERE] = ActionEntry(REDUCE, 253);
   _actionMap[464][GROUP] = ActionEntry(REDUCE, 253);
   _actionMap[464][ORDER] = ActionEntry(REDUCE, 253);
   _actionMap[464][ROWLIMIT] = ActionEntry(REDUCE, 253);
   _actionMap[464][UNION] = ActionEntry(REDUCE, 253);
   _actionMap[464][ENDTOKEN] = ActionEntry(REDUCE, 253);
   _actionMap[464][RB] = ActionEntry(REDUCE, 253);
   _actionMap[464][SEMICOLON] = ActionEntry(REDUCE, 253);
   _actionMap[464][RETURNTOKEN] = ActionEntry(REDUCE, 253);
   _actionMap[465][EQU] = ActionEntry(SHIFT, 610);
   _actionMap[466][LB] = ActionEntry(SHIFT, 611);
   _actionMap[187][SEMICOLON] = ActionEntry(REDUCE, 65);
   _actionMap[188][SEMICOLON] = ActionEntry(REDUCE, 60);
   _actionMap[189][SEMICOLON] = ActionEntry(REDUCE, 64);
}
void Cego::loadParser162()
{
   _actionMap[190][SEMICOLON] = ActionEntry(REDUCE, 74);
   _actionMap[191][TO] = ActionEntry(REDUCE, 76);
   _actionMap[191][SEMICOLON] = ActionEntry(REDUCE, 76);
   _actionMap[192][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[192][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[192][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[192][ObjSpec] = 323;
   _actionMap[193][SEMICOLON] = ActionEntry(REDUCE, 62);
   _actionMap[194][SEMICOLON] = ActionEntry(REDUCE, 59);
   _actionMap[195][SEMICOLON] = ActionEntry(REDUCE, 61);
   _actionMap[196][ADD] = ActionEntry(SHIFT, 326);
   _actionMap[196][DROP] = ActionEntry(SHIFT, 327);
   _actionMap[196][MODIFY] = ActionEntry(SHIFT, 328);
   _actionMap[196][RENAME] = ActionEntry(SHIFT, 329);
   _jumpMap[196][AlterOption] = 325;
   _jumpMap[196][AlterList] = 324;
   _actionMap[197][BY] = ActionEntry(SHIFT, 330);
   _actionMap[198][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[198][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[198][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[198][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[198][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[198][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[198][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[198][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[198][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[198][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[198][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[198][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[198][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[198][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[198][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[198][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[198][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[198][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[198][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[198][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[198][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[198][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[198][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[198][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[198][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[198][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[198][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[198][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[198][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[198][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[198][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[198][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[198][CLOB2STR] = ActionEntry(SHIFT, 113);
}
void Cego::loadParser163()
{
   _actionMap[198][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[198][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[198][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[198][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[198][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[198][LB] = ActionEntry(SHIFT, 150);
   _actionMap[198][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[198][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[198][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[198][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[198][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[198][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[198][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[198][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[198][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[198][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[198][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[198][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[198][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[198][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[198][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[198][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[198][MAX] = ActionEntry(SHIFT, 128);
   _actionMap[198][RB] = ActionEntry(REDUCE, 119);
   _jumpMap[198][ObjSpec] = 102;
   _jumpMap[198][Constant] = 101;
   _jumpMap[198][SignedFloat] = 100;
   _jumpMap[198][SignedInt] = 99;
   _jumpMap[198][Attribute] = 98;
   _jumpMap[198][Function] = 97;
   _jumpMap[198][CasePrepare] = 96;
   _jumpMap[198][CaseClause] = 95;
   _jumpMap[198][Factor] = 94;
   _jumpMap[198][Term] = 93;
   _jumpMap[198][Expr] = 333;
   _jumpMap[198][ProcValueList] = 332;
   _jumpMap[198][ProcValueListOpt] = 331;
   _actionMap[199][SEMICOLON] = ActionEntry(REDUCE, 72);
   _actionMap[200][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[200][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[200][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[200][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[200][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[200][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[200][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[200][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[200][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[200][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[200][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[200][UPPER] = ActionEntry(SHIFT, 149);
}
void Cego::loadParser164()
{
   _actionMap[200][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[200][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[200][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[200][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[200][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[200][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[200][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[200][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[200][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[200][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[200][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[200][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[200][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[200][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[200][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[200][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[200][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[200][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[200][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[200][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[200][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[200][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[200][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[200][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[200][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[200][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[200][LB] = ActionEntry(SHIFT, 150);
   _actionMap[200][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[200][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[200][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[200][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[200][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[200][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[200][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[200][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[200][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[200][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[200][VARREF] = ActionEntry(SHIFT, 356);
   _actionMap[200][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[200][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[200][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[200][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[200][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[200][MAX] = ActionEntry(SHIFT, 128);
   _actionMap[200][IF] = ActionEntry(SHIFT, 350);
   _actionMap[200][BEGIN] = ActionEntry(SHIFT, 347);
   _actionMap[200][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[200][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[200][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[200][UPDATE] = ActionEntry(SHIFT, 36);
}
void Cego::loadParser165()
{
   _actionMap[200][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[200][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[200][VAR] = ActionEntry(SHIFT, 354);
   _actionMap[200][CURSOR] = ActionEntry(SHIFT, 349);
   _actionMap[200][CLOSE] = ActionEntry(SHIFT, 348);
   _actionMap[200][NOOP] = ActionEntry(SHIFT, 351);
   _actionMap[200][THROW] = ActionEntry(SHIFT, 353);
   _actionMap[200][RETURNTOKEN] = ActionEntry(SHIFT, 352);
   _actionMap[200][WHILE] = ActionEntry(SHIFT, 355);
   _jumpMap[200][ObjSpec] = 102;
   _jumpMap[200][Constant] = 101;
   _jumpMap[200][SignedFloat] = 100;
   _jumpMap[200][SignedInt] = 99;
   _jumpMap[200][Attribute] = 98;
   _jumpMap[200][Function] = 97;
   _jumpMap[200][DeleteStatement] = 346;
   _jumpMap[200][UpdateStatement] = 345;
   _jumpMap[200][InsertStatement] = 344;
   _jumpMap[200][RollbackStatement] = 343;
   _jumpMap[200][CommitStatement] = 342;
   _jumpMap[200][StartStatement] = 341;
   _jumpMap[200][CasePrepare] = 96;
   _jumpMap[200][CaseClause] = 95;
   _jumpMap[200][Factor] = 94;
   _jumpMap[200][Term] = 93;
   _jumpMap[200][Expr] = 340;
   _jumpMap[200][ProcStatement] = 339;
   _jumpMap[200][ProcIfPart] = 338;
   _jumpMap[200][ProcBlockStart] = 337;
   _jumpMap[200][ProcStatementList] = 336;
   _jumpMap[200][ProcStmtBlock] = 335;
   _actionMap[201][IDENTIFIER] = ActionEntry(SHIFT, 357);
   _actionMap[202][ON] = ActionEntry(REDUCE, 188);
   _actionMap[202][IDENTIFIER] = ActionEntry(REDUCE, 188);
   _actionMap[203][ON] = ActionEntry(REDUCE, 187);
   _actionMap[203][IDENTIFIER] = ActionEntry(REDUCE, 187);
   _actionMap[204][SEMICOLON] = ActionEntry(REDUCE, 73);
   _actionMap[205][ON] = ActionEntry(SHIFT, 358);
   _actionMap[206][LB] = ActionEntry(SHIFT, 359);
   _actionMap[207][LB] = ActionEntry(SHIFT, 360);
   _actionMap[208][AS] = ActionEntry(SHIFT, 361);
   _actionMap[209][IDENTIFIER] = ActionEntry(SHIFT, 321);
   _actionMap[209][WHERE] = ActionEntry(REDUCE, 262);
   _actionMap[209][GROUP] = ActionEntry(REDUCE, 262);
   _actionMap[209][ORDER] = ActionEntry(REDUCE, 262);
   _actionMap[209][ROWLIMIT] = ActionEntry(REDUCE, 262);
   _actionMap[209][UNION] = ActionEntry(REDUCE, 262);
   _actionMap[209][ENDTOKEN] = ActionEntry(REDUCE, 262);
   _actionMap[209][RB] = ActionEntry(REDUCE, 262);
   _actionMap[209][SEMICOLON] = ActionEntry(REDUCE, 262);
}
void Cego::loadParser166()
{
   _actionMap[209][RETURNTOKEN] = ActionEntry(REDUCE, 262);
   _jumpMap[209][NoWhere] = 364;
   _jumpMap[209][WhereClause] = 363;
   _jumpMap[209][UpdDelAlias] = 362;
   _actionMap[210][SEMICOLON] = ActionEntry(REDUCE, 21);
   _actionMap[211][SEMICOLON] = ActionEntry(REDUCE, 20);
   _actionMap[212][SEMICOLON] = ActionEntry(REDUCE, 24);
   _actionMap[213][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[213][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[213][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[213][ObjSpec] = 366;
   _actionMap[214][SEMICOLON] = ActionEntry(REDUCE, 25);
   _actionMap[215][SEMICOLON] = ActionEntry(REDUCE, 19);
   _actionMap[216][SEMICOLON] = ActionEntry(REDUCE, 22);
   _actionMap[217][COUNTER] = ActionEntry(REDUCE, 67);
   _actionMap[217][BTREE] = ActionEntry(REDUCE, 67);
   _actionMap[217][INDEX] = ActionEntry(REDUCE, 67);
   _actionMap[217][CHECK] = ActionEntry(REDUCE, 67);
   _actionMap[217][FOREIGN] = ActionEntry(REDUCE, 67);
   _actionMap[217][PROCEDURE] = ActionEntry(REDUCE, 67);
   _actionMap[217][VIEW] = ActionEntry(REDUCE, 67);
   _actionMap[217][AVLTREE] = ActionEntry(REDUCE, 67);
   _actionMap[217][TABLE] = ActionEntry(REDUCE, 67);
   _actionMap[218][LB] = ActionEntry(SHIFT, 371);
   _actionMap[218][VALUES] = ActionEntry(REDUCE, 197);
   _actionMap[218][SELECT] = ActionEntry(REDUCE, 197);
   _jumpMap[218][SelectStatement] = 369;
   _jumpMap[218][InsertPrepare] = 368;
   _jumpMap[218][InsertArgSpec] = 367;
   _actionMap[219][SEMICOLON] = ActionEntry(REDUCE, 78);
   _actionMap[219][IDENTIFIER] = ActionEntry(REDUCE, 78);
   _actionMap[220][SEMICOLON] = ActionEntry(REDUCE, 7);
   _actionMap[221][IDENTIFIER] = ActionEntry(SHIFT, 372);
   _actionMap[222][SEMICOLON] = ActionEntry(REDUCE, 6);
   _actionMap[223][SEMICOLON] = ActionEntry(REDUCE, 12);
   _actionMap[224][SEMICOLON] = ActionEntry(REDUCE, 9);
   _actionMap[225][SEMICOLON] = ActionEntry(REDUCE, 8);
   _actionMap[226][SEMICOLON] = ActionEntry(REDUCE, 4);
   _actionMap[227][SEMICOLON] = ActionEntry(REDUCE, 10);
   _actionMap[228][SEMICOLON] = ActionEntry(REDUCE, 3);
   _actionMap[229][SEMICOLON] = ActionEntry(REDUCE, 11);
   _actionMap[230][SEMICOLON] = ActionEntry(REDUCE, 5);
   _actionMap[231][AS] = ActionEntry(SHIFT, 373);
   _actionMap[232][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[232][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[232][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[232][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[232][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[232][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[232][CASE] = ActionEntry(SHIFT, 110);
}
void Cego::loadParser167()
{
   _actionMap[232][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[232][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[232][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[232][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[232][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[232][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[232][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[232][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[232][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[232][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[232][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[232][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[232][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[232][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[232][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[232][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[232][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[232][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[232][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[232][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[232][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[232][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[232][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[232][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[232][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[232][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[232][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[232][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[232][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[232][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[232][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[232][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[232][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[232][LB] = ActionEntry(SHIFT, 150);
   _actionMap[232][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[232][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[232][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[232][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[232][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[232][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[232][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[232][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[232][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[232][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[232][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[232][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[232][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[232][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[232][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[232][ObjSpec] = 102;
}
void Cego::loadParser168()
{
   _jumpMap[232][Constant] = 101;
   _jumpMap[232][SignedFloat] = 100;
   _jumpMap[232][SignedInt] = 99;
   _jumpMap[232][Attribute] = 98;
   _jumpMap[232][Function] = 97;
   _jumpMap[232][CasePrepare] = 96;
   _jumpMap[232][CaseClause] = 95;
   _jumpMap[232][Factor] = 94;
   _jumpMap[232][Term] = 374;
   _actionMap[233][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[233][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[233][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[233][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[233][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[233][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[233][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[233][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[233][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[233][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[233][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[233][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[233][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[233][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[233][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[233][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[233][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[233][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[233][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[233][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[233][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[233][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[233][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[233][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[233][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[233][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[233][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[233][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[233][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[233][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[233][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[233][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[233][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[233][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[233][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[233][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[233][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[233][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[233][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[233][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[233][LB] = ActionEntry(SHIFT, 150);
}
void Cego::loadParser169()
{
   _actionMap[233][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[233][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[233][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[233][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[233][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[233][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[233][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[233][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[233][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[233][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[233][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[233][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[233][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[233][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[233][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[233][ObjSpec] = 102;
   _jumpMap[233][Constant] = 101;
   _jumpMap[233][SignedFloat] = 100;
   _jumpMap[233][SignedInt] = 99;
   _jumpMap[233][Attribute] = 98;
   _jumpMap[233][Function] = 97;
   _jumpMap[233][CasePrepare] = 96;
   _jumpMap[233][CaseClause] = 95;
   _jumpMap[233][Factor] = 94;
   _jumpMap[233][Term] = 375;
   _actionMap[234][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[234][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[234][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[234][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[234][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[234][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[234][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[234][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[234][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[234][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[234][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[234][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[234][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[234][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[234][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[234][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[234][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[234][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[234][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[234][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[234][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[234][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[234][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[234][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[234][STR2LONG] = ActionEntry(SHIFT, 144);
}
void Cego::loadParser170()
{
   _actionMap[234][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[234][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[234][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[234][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[234][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[234][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[234][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[234][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[234][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[234][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[234][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[234][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[234][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[234][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[234][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[234][LB] = ActionEntry(SHIFT, 150);
   _actionMap[234][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[234][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[234][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[234][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[234][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[234][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[234][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[234][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[234][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[234][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[234][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[234][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[234][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[234][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[234][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[234][ObjSpec] = 102;
   _jumpMap[234][Constant] = 101;
   _jumpMap[234][SignedFloat] = 100;
   _jumpMap[234][SignedInt] = 99;
   _jumpMap[234][Attribute] = 98;
   _jumpMap[234][Function] = 97;
   _jumpMap[234][CasePrepare] = 96;
   _jumpMap[234][CaseClause] = 95;
   _jumpMap[234][Factor] = 94;
   _jumpMap[234][Term] = 376;
   _actionMap[235][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[235][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[235][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[235][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[235][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[235][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[235][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[235][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[235][RTRIM] = ActionEntry(SHIFT, 138);
}
void Cego::loadParser171()
{
   _actionMap[235][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[235][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[235][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[235][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[235][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[235][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[235][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[235][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[235][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[235][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[235][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[235][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[235][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[235][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[235][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[235][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[235][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[235][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[235][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[235][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[235][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[235][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[235][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[235][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[235][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[235][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[235][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[235][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[235][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[235][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[235][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[235][LB] = ActionEntry(SHIFT, 150);
   _actionMap[235][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[235][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[235][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[235][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[235][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[235][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[235][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[235][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[235][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[235][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[235][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[235][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[235][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[235][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[235][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[235][ObjSpec] = 102;
   _jumpMap[235][Constant] = 101;
   _jumpMap[235][SignedFloat] = 100;
}
void Cego::loadParser172()
{
   _jumpMap[235][SignedInt] = 99;
   _jumpMap[235][Attribute] = 98;
   _jumpMap[235][Function] = 97;
   _jumpMap[235][CasePrepare] = 96;
   _jumpMap[235][CaseClause] = 95;
   _jumpMap[235][Factor] = 377;
   _actionMap[236][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[236][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[236][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[236][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[236][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[236][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[236][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[236][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[236][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[236][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[236][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[236][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[236][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[236][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[236][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[236][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[236][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[236][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[236][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[236][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[236][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[236][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[236][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[236][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[236][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[236][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[236][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[236][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[236][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[236][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[236][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[236][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[236][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[236][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[236][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[236][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[236][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[236][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[236][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[236][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[236][LB] = ActionEntry(SHIFT, 150);
   _actionMap[236][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[236][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[236][SYSDATE] = ActionEntry(SHIFT, 142);
}
void Cego::loadParser173()
{
   _actionMap[236][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[236][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[236][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[236][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[236][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[236][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[236][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[236][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[236][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[236][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[236][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[236][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[236][ObjSpec] = 102;
   _jumpMap[236][Constant] = 101;
   _jumpMap[236][SignedFloat] = 100;
   _jumpMap[236][SignedInt] = 99;
   _jumpMap[236][Attribute] = 98;
   _jumpMap[236][Function] = 97;
   _jumpMap[236][CasePrepare] = 96;
   _jumpMap[236][CaseClause] = 95;
   _jumpMap[236][Factor] = 378;
   _actionMap[237][ELSE] = ActionEntry(SHIFT, 380);
   _actionMap[237][WHEN] = ActionEntry(SHIFT, 239);
   _jumpMap[237][CaseCondition] = 379;
   _actionMap[238][WHEN] = ActionEntry(REDUCE, 165);
   _actionMap[238][ELSE] = ActionEntry(REDUCE, 165);
   _actionMap[239][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[239][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[239][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[239][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[239][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[239][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[239][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[239][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[239][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[239][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[239][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[239][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[239][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[239][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[239][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[239][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[239][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[239][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[239][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[239][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[239][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[239][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[239][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[239][RANDINT] = ActionEntry(SHIFT, 134);
}
void Cego::loadParser174()
{
   _actionMap[239][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[239][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[239][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[239][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[239][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[239][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[239][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[239][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[239][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[239][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[239][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[239][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[239][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[239][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[239][LB] = ActionEntry(SHIFT, 386);
   _actionMap[239][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[239][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[239][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[239][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[239][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[239][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[239][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[239][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[239][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[239][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[239][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[239][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[239][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[239][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[239][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[239][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[239][MAX] = ActionEntry(SHIFT, 128);
   _actionMap[239][EXISTS] = ActionEntry(SHIFT, 384);
   _actionMap[239][NOT] = ActionEntry(SHIFT, 385);
   _jumpMap[239][ObjSpec] = 102;
   _jumpMap[239][Constant] = 101;
   _jumpMap[239][SignedFloat] = 100;
   _jumpMap[239][SignedInt] = 99;
   _jumpMap[239][Attribute] = 98;
   _jumpMap[239][QueryPredicate] = 383;
   _jumpMap[239][QueryCondition] = 382;
   _jumpMap[239][Function] = 97;
   _jumpMap[239][CasePrepare] = 96;
   _jumpMap[239][CaseClause] = 95;
   _jumpMap[239][Factor] = 94;
   _jumpMap[239][Term] = 93;
   _jumpMap[239][Expr] = 381;
   _actionMap[240][RB] = ActionEntry(SHIFT, 389);
   _actionMap[240][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[240][MINUS] = ActionEntry(SHIFT, 151);
}
void Cego::loadParser175()
{
   _actionMap[240][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[240][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[240][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[240][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[240][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[240][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[240][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[240][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[240][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[240][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[240][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[240][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[240][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[240][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[240][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[240][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[240][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[240][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[240][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[240][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[240][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[240][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[240][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[240][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[240][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[240][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[240][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[240][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[240][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[240][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[240][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[240][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[240][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[240][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[240][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[240][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[240][LB] = ActionEntry(SHIFT, 150);
   _actionMap[240][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[240][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[240][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[240][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[240][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[240][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[240][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[240][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[240][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[240][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[240][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[240][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[240][COUNT] = ActionEntry(SHIFT, 114);
}
void Cego::loadParser176()
{
   _actionMap[240][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[240][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[240][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[240][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[240][ObjSpec] = 102;
   _jumpMap[240][Constant] = 101;
   _jumpMap[240][SignedFloat] = 100;
   _jumpMap[240][SignedInt] = 99;
   _jumpMap[240][Attribute] = 98;
   _jumpMap[240][ExpressionList] = 388;
   _jumpMap[240][Function] = 97;
   _jumpMap[240][CasePrepare] = 96;
   _jumpMap[240][CaseClause] = 95;
   _jumpMap[240][Factor] = 94;
   _jumpMap[240][Term] = 93;
   _jumpMap[240][Expr] = 387;
   _actionMap[241][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[241][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[241][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[241][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[241][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[241][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[241][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[241][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[241][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[241][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[241][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[241][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[241][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[241][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[241][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[241][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[241][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[241][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[241][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[241][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[241][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[241][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[241][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[241][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[241][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[241][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[241][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[241][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[241][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[241][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[241][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[241][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[241][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[241][NEXTCOUNT] = ActionEntry(SHIFT, 130);
}
void Cego::loadParser177()
{
   _actionMap[241][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[241][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[241][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[241][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[241][LB] = ActionEntry(SHIFT, 150);
   _actionMap[241][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[241][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[241][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[241][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[241][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[241][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[241][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[241][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[241][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[241][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[241][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[241][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[241][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[241][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[241][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[241][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[241][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[241][ObjSpec] = 102;
   _jumpMap[241][Constant] = 101;
   _jumpMap[241][SignedFloat] = 100;
   _jumpMap[241][SignedInt] = 99;
   _jumpMap[241][Attribute] = 98;
   _jumpMap[241][Function] = 97;
   _jumpMap[241][CasePrepare] = 96;
   _jumpMap[241][CaseClause] = 95;
   _jumpMap[241][Factor] = 94;
   _jumpMap[241][Term] = 93;
   _jumpMap[241][Expr] = 390;
   _actionMap[242][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[242][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[242][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[242][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[242][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[242][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[242][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[242][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[242][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[242][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[242][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[242][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[242][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[242][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[242][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[242][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[242][REPLACE] = ActionEntry(SHIFT, 135);
}
void Cego::loadParser178()
{
   _actionMap[242][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[242][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[242][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[242][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[242][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[242][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[242][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[242][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[242][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[242][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[242][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[242][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[242][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[242][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[242][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[242][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[242][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[242][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[242][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[242][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[242][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[242][LB] = ActionEntry(SHIFT, 150);
   _actionMap[242][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[242][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[242][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[242][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[242][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[242][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[242][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[242][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[242][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[242][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[242][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[242][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[242][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[242][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[242][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[242][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[242][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[242][ObjSpec] = 102;
   _jumpMap[242][Constant] = 101;
   _jumpMap[242][SignedFloat] = 100;
   _jumpMap[242][SignedInt] = 99;
   _jumpMap[242][Attribute] = 98;
   _jumpMap[242][ExpressionList] = 391;
   _jumpMap[242][Function] = 97;
   _jumpMap[242][CasePrepare] = 96;
   _jumpMap[242][CaseClause] = 95;
   _jumpMap[242][Factor] = 94;
   _jumpMap[242][Term] = 93;
}
void Cego::loadParser179()
{
   _jumpMap[242][Expr] = 387;
   _actionMap[243][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[243][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[243][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[243][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[243][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[243][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[243][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[243][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[243][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[243][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[243][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[243][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[243][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[243][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[243][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[243][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[243][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[243][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[243][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[243][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[243][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[243][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[243][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[243][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[243][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[243][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[243][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[243][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[243][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[243][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[243][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[243][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[243][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[243][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[243][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[243][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[243][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[243][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[243][LB] = ActionEntry(SHIFT, 150);
   _actionMap[243][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[243][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[243][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[243][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[243][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[243][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[243][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[243][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[243][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[243][CASE] = ActionEntry(SHIFT, 110);
}
void Cego::loadParser180()
{
   _actionMap[243][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[243][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[243][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[243][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[243][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[243][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[243][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[243][ObjSpec] = 102;
   _jumpMap[243][Constant] = 101;
   _jumpMap[243][SignedFloat] = 100;
   _jumpMap[243][SignedInt] = 99;
   _jumpMap[243][Attribute] = 98;
   _jumpMap[243][ExpressionList] = 392;
   _jumpMap[243][Function] = 97;
   _jumpMap[243][CasePrepare] = 96;
   _jumpMap[243][CaseClause] = 95;
   _jumpMap[243][Factor] = 94;
   _jumpMap[243][Term] = 93;
   _jumpMap[243][Expr] = 387;
   _actionMap[244][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[244][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[244][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[244][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[244][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[244][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[244][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[244][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[244][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[244][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[244][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[244][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[244][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[244][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[244][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[244][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[244][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[244][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[244][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[244][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[244][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[244][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[244][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[244][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[244][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[244][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[244][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[244][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[244][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[244][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[244][BLOBSIZE] = ActionEntry(SHIFT, 109);
}
void Cego::loadParser181()
{
   _actionMap[244][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[244][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[244][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[244][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[244][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[244][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[244][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[244][LB] = ActionEntry(SHIFT, 150);
   _actionMap[244][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[244][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[244][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[244][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[244][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[244][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[244][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[244][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[244][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[244][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[244][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[244][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[244][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[244][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[244][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[244][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[244][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[244][ObjSpec] = 102;
   _jumpMap[244][Constant] = 101;
   _jumpMap[244][SignedFloat] = 100;
   _jumpMap[244][SignedInt] = 99;
   _jumpMap[244][Attribute] = 98;
   _jumpMap[244][ExpressionList] = 393;
   _jumpMap[244][Function] = 97;
   _jumpMap[244][CasePrepare] = 96;
   _jumpMap[244][CaseClause] = 95;
   _jumpMap[244][Factor] = 94;
   _jumpMap[244][Term] = 93;
   _jumpMap[244][Expr] = 387;
   _actionMap[245][INTVAL] = ActionEntry(SHIFT, 394);
   _actionMap[246][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[246][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[246][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[246][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[246][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[246][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[246][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[246][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[246][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[246][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[246][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[246][UPPER] = ActionEntry(SHIFT, 149);
}
void Cego::loadParser182()
{
   _actionMap[246][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[246][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[246][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[246][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[246][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[246][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[246][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[246][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[246][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[246][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[246][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[246][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[246][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[246][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[246][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[246][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[246][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[246][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[246][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[246][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[246][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[246][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[246][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[246][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[246][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[246][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[246][LB] = ActionEntry(SHIFT, 150);
   _actionMap[246][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[246][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[246][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[246][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[246][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[246][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[246][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[246][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[246][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[246][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[246][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[246][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[246][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[246][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[246][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[246][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[246][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[246][ObjSpec] = 102;
   _jumpMap[246][Constant] = 101;
   _jumpMap[246][SignedFloat] = 100;
   _jumpMap[246][SignedInt] = 99;
   _jumpMap[246][Attribute] = 98;
   _jumpMap[246][ExpressionList] = 395;
}
void Cego::loadParser183()
{
   _jumpMap[246][Function] = 97;
   _jumpMap[246][CasePrepare] = 96;
   _jumpMap[246][CaseClause] = 95;
   _jumpMap[246][Factor] = 94;
   _jumpMap[246][Term] = 93;
   _jumpMap[246][Expr] = 387;
   _actionMap[247][INTVAL] = ActionEntry(SHIFT, 396);
   _actionMap[248][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[248][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[248][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[248][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[248][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[248][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[248][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[248][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[248][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[248][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[248][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[248][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[248][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[248][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[248][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[248][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[248][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[248][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[248][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[248][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[248][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[248][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[248][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[248][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[248][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[248][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[248][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[248][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[248][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[248][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[248][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[248][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[248][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[248][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[248][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[248][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[248][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[248][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[248][LB] = ActionEntry(SHIFT, 150);
   _actionMap[248][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[248][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[248][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[248][NULLTOKEN] = ActionEntry(SHIFT, 131);
}
void Cego::loadParser184()
{
   _actionMap[248][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[248][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[248][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[248][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[248][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[248][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[248][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[248][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[248][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[248][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[248][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[248][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[248][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[248][ObjSpec] = 102;
   _jumpMap[248][Constant] = 101;
   _jumpMap[248][SignedFloat] = 100;
   _jumpMap[248][SignedInt] = 99;
   _jumpMap[248][Attribute] = 98;
   _jumpMap[248][ExpressionList] = 397;
   _jumpMap[248][Function] = 97;
   _jumpMap[248][CasePrepare] = 96;
   _jumpMap[248][CaseClause] = 95;
   _jumpMap[248][Factor] = 94;
   _jumpMap[248][Term] = 93;
   _jumpMap[248][Expr] = 387;
   _actionMap[249][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[249][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[249][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[249][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[249][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[249][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[249][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[249][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[249][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[249][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[249][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[249][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[249][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[249][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[249][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[249][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[249][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[249][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[249][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[249][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[249][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[249][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[249][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[249][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[249][MOD] = ActionEntry(SHIFT, 129);
}
void Cego::loadParser185()
{
   _actionMap[249][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[249][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[249][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[249][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[249][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[249][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[249][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[249][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[249][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[249][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[249][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[249][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[249][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[249][LB] = ActionEntry(SHIFT, 150);
   _actionMap[249][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[249][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[249][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[249][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[249][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[249][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[249][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[249][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[249][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[249][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[249][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[249][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[249][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[249][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[249][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[249][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[249][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[249][ObjSpec] = 102;
   _jumpMap[249][Constant] = 101;
   _jumpMap[249][SignedFloat] = 100;
   _jumpMap[249][SignedInt] = 99;
   _jumpMap[249][Attribute] = 98;
   _jumpMap[249][ExpressionList] = 398;
   _jumpMap[249][Function] = 97;
   _jumpMap[249][CasePrepare] = 96;
   _jumpMap[249][CaseClause] = 95;
   _jumpMap[249][Factor] = 94;
   _jumpMap[249][Term] = 93;
   _jumpMap[249][Expr] = 387;
   _actionMap[250][STAR] = ActionEntry(SHIFT, 401);
   _actionMap[250][DISTINCT] = ActionEntry(SHIFT, 169);
   _actionMap[250][VARREF] = ActionEntry(REDUCE, 247);
   _actionMap[250][FETCH] = ActionEntry(REDUCE, 247);
   _actionMap[250][LB] = ActionEntry(REDUCE, 247);
   _actionMap[250][COUNT] = ActionEntry(REDUCE, 247);
   _actionMap[250][SUM] = ActionEntry(REDUCE, 247);
}
void Cego::loadParser186()
{
   _actionMap[250][AVG] = ActionEntry(REDUCE, 247);
   _actionMap[250][MIN] = ActionEntry(REDUCE, 247);
   _actionMap[250][MAX] = ActionEntry(REDUCE, 247);
   _actionMap[250][CASE] = ActionEntry(REDUCE, 247);
   _actionMap[250][TRIM] = ActionEntry(REDUCE, 247);
   _actionMap[250][RTRIM] = ActionEntry(REDUCE, 247);
   _actionMap[250][LTRIM] = ActionEntry(REDUCE, 247);
   _actionMap[250][ROUND] = ActionEntry(REDUCE, 247);
   _actionMap[250][DATE2STR] = ActionEntry(REDUCE, 247);
   _actionMap[250][DATE2INT] = ActionEntry(REDUCE, 247);
   _actionMap[250][INT2DATE] = ActionEntry(REDUCE, 247);
   _actionMap[250][LOWER] = ActionEntry(REDUCE, 247);
   _actionMap[250][UPPER] = ActionEntry(REDUCE, 247);
   _actionMap[250][LEFT] = ActionEntry(REDUCE, 247);
   _actionMap[250][RIGHT] = ActionEntry(REDUCE, 247);
   _actionMap[250][GETPOS] = ActionEntry(REDUCE, 247);
   _actionMap[250][SUBSTR] = ActionEntry(REDUCE, 247);
   _actionMap[250][REPLACE] = ActionEntry(REDUCE, 247);
   _actionMap[250][LENGTH] = ActionEntry(REDUCE, 247);
   _actionMap[250][TRUNC] = ActionEntry(REDUCE, 247);
   _actionMap[250][STR2INT] = ActionEntry(REDUCE, 247);
   _actionMap[250][STR2LONG] = ActionEntry(REDUCE, 247);
   _actionMap[250][STR2DATE] = ActionEntry(REDUCE, 247);
   _actionMap[250][RANDSTR] = ActionEntry(REDUCE, 247);
   _actionMap[250][RANDINT] = ActionEntry(REDUCE, 247);
   _actionMap[250][MOD] = ActionEntry(REDUCE, 247);
   _actionMap[250][DIV] = ActionEntry(REDUCE, 247);
   _actionMap[250][POWER] = ActionEntry(REDUCE, 247);
   _actionMap[250][BITAND] = ActionEntry(REDUCE, 247);
   _actionMap[250][BITOR] = ActionEntry(REDUCE, 247);
   _actionMap[250][BITXOR] = ActionEntry(REDUCE, 247);
   _actionMap[250][BLOBSIZE] = ActionEntry(REDUCE, 247);
   _actionMap[250][CLOBSIZE] = ActionEntry(REDUCE, 247);
   _actionMap[250][CLOB2STR] = ActionEntry(REDUCE, 247);
   _actionMap[250][NEXTCOUNT] = ActionEntry(REDUCE, 247);
   _actionMap[250][SETCOUNT] = ActionEntry(REDUCE, 247);
   _actionMap[250][IDENTIFIER] = ActionEntry(REDUCE, 247);
   _actionMap[250][QUALIFIEDOBJ] = ActionEntry(REDUCE, 247);
   _actionMap[250][QUALIFIEDTS] = ActionEntry(REDUCE, 247);
   _actionMap[250][QUALIFIEDPRE] = ActionEntry(REDUCE, 247);
   _actionMap[250][STRINGVAL] = ActionEntry(REDUCE, 247);
   _actionMap[250][DATE] = ActionEntry(REDUCE, 247);
   _actionMap[250][SYSDATE] = ActionEntry(REDUCE, 247);
   _actionMap[250][NULLTOKEN] = ActionEntry(REDUCE, 247);
   _actionMap[250][TRUEVAL] = ActionEntry(REDUCE, 247);
   _actionMap[250][FALSEVAL] = ActionEntry(REDUCE, 247);
   _actionMap[250][BLOB] = ActionEntry(REDUCE, 247);
   _actionMap[250][CLOB] = ActionEntry(REDUCE, 247);
   _actionMap[250][FLOATVAL] = ActionEntry(REDUCE, 247);
   _actionMap[250][MINUS] = ActionEntry(REDUCE, 247);
}
void Cego::loadParser187()
{
   _actionMap[250][INTVAL] = ActionEntry(REDUCE, 247);
   _jumpMap[250][ObjSpec] = 102;
   _jumpMap[250][Constant] = 101;
   _jumpMap[250][SignedFloat] = 100;
   _jumpMap[250][SignedInt] = 99;
   _jumpMap[250][Attribute] = 98;
   _jumpMap[250][Function] = 97;
   _jumpMap[250][DistinctOpt] = 400;
   _jumpMap[250][CasePrepare] = 96;
   _jumpMap[250][CaseClause] = 95;
   _jumpMap[250][Factor] = 94;
   _jumpMap[250][Term] = 93;
   _jumpMap[250][Expr] = 399;
   _actionMap[251][STRINGVAL] = ActionEntry(SHIFT, 403);
   _jumpMap[251][DateFormat] = 402;
   _actionMap[252][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[252][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[252][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[252][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[252][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[252][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[252][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[252][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[252][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[252][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[252][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[252][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[252][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[252][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[252][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[252][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[252][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[252][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[252][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[252][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[252][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[252][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[252][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[252][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[252][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[252][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[252][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[252][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[252][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[252][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[252][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[252][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[252][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[252][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[252][SETCOUNT] = ActionEntry(SHIFT, 139);
}
void Cego::loadParser188()
{
   _actionMap[252][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[252][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[252][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[252][LB] = ActionEntry(SHIFT, 150);
   _actionMap[252][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[252][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[252][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[252][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[252][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[252][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[252][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[252][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[252][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[252][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[252][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[252][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[252][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[252][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[252][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[252][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[252][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[252][ObjSpec] = 102;
   _jumpMap[252][Constant] = 101;
   _jumpMap[252][SignedFloat] = 100;
   _jumpMap[252][SignedInt] = 99;
   _jumpMap[252][Attribute] = 98;
   _jumpMap[252][ExpressionList] = 404;
   _jumpMap[252][Function] = 97;
   _jumpMap[252][CasePrepare] = 96;
   _jumpMap[252][CaseClause] = 95;
   _jumpMap[252][Factor] = 94;
   _jumpMap[252][Term] = 93;
   _jumpMap[252][Expr] = 387;
   _actionMap[253][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[253][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[253][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[253][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[253][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[253][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[253][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[253][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[253][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[253][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[253][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[253][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[253][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[253][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[253][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[253][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[253][REPLACE] = ActionEntry(SHIFT, 135);
}
void Cego::loadParser189()
{
   _actionMap[253][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[253][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[253][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[253][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[253][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[253][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[253][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[253][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[253][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[253][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[253][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[253][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[253][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[253][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[253][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[253][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[253][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[253][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[253][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[253][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[253][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[253][LB] = ActionEntry(SHIFT, 150);
   _actionMap[253][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[253][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[253][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[253][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[253][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[253][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[253][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[253][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[253][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[253][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[253][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[253][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[253][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[253][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[253][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[253][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[253][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[253][ObjSpec] = 102;
   _jumpMap[253][Constant] = 101;
   _jumpMap[253][SignedFloat] = 100;
   _jumpMap[253][SignedInt] = 99;
   _jumpMap[253][Attribute] = 98;
   _jumpMap[253][ExpressionList] = 405;
   _jumpMap[253][Function] = 97;
   _jumpMap[253][CasePrepare] = 96;
   _jumpMap[253][CaseClause] = 95;
   _jumpMap[253][Factor] = 94;
   _jumpMap[253][Term] = 93;
}
void Cego::loadParser190()
{
   _jumpMap[253][Expr] = 387;
   _actionMap[254][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[254][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[254][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[254][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[254][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[254][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[254][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[254][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[254][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[254][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[254][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[254][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[254][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[254][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[254][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[254][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[254][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[254][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[254][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[254][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[254][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[254][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[254][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[254][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[254][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[254][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[254][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[254][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[254][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[254][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[254][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[254][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[254][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[254][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[254][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[254][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[254][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[254][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[254][LB] = ActionEntry(SHIFT, 150);
   _actionMap[254][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[254][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[254][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[254][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[254][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[254][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[254][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[254][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[254][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[254][CASE] = ActionEntry(SHIFT, 110);
}
void Cego::loadParser191()
{
   _actionMap[254][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[254][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[254][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[254][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[254][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[254][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[254][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[254][ObjSpec] = 102;
   _jumpMap[254][Constant] = 101;
   _jumpMap[254][SignedFloat] = 100;
   _jumpMap[254][SignedInt] = 99;
   _jumpMap[254][Attribute] = 98;
   _jumpMap[254][ExpressionList] = 406;
   _jumpMap[254][Function] = 97;
   _jumpMap[254][CasePrepare] = 96;
   _jumpMap[254][CaseClause] = 95;
   _jumpMap[254][Factor] = 94;
   _jumpMap[254][Term] = 93;
   _jumpMap[254][Expr] = 387;
   _actionMap[255][INTO] = ActionEntry(SHIFT, 407);
   _actionMap[256][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[256][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[256][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[256][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[256][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[256][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[256][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[256][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[256][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[256][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[256][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[256][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[256][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[256][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[256][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[256][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[256][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[256][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[256][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[256][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[256][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[256][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[256][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[256][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[256][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[256][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[256][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[256][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[256][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[256][BITXOR] = ActionEntry(SHIFT, 107);
}
void Cego::loadParser192()
{
   _actionMap[256][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[256][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[256][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[256][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[256][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[256][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[256][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[256][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[256][LB] = ActionEntry(SHIFT, 150);
   _actionMap[256][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[256][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[256][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[256][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[256][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[256][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[256][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[256][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[256][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[256][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[256][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[256][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[256][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[256][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[256][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[256][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[256][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[256][ObjSpec] = 102;
   _jumpMap[256][Constant] = 101;
   _jumpMap[256][SignedFloat] = 100;
   _jumpMap[256][SignedInt] = 99;
   _jumpMap[256][Attribute] = 98;
   _jumpMap[256][ExpressionList] = 408;
   _jumpMap[256][Function] = 97;
   _jumpMap[256][CasePrepare] = 96;
   _jumpMap[256][CaseClause] = 95;
   _jumpMap[256][Factor] = 94;
   _jumpMap[256][Term] = 93;
   _jumpMap[256][Expr] = 387;
   _actionMap[257][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[257][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[257][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[257][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[257][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[257][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[257][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[257][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[257][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[257][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[257][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[257][UPPER] = ActionEntry(SHIFT, 149);
}
void Cego::loadParser193()
{
   _actionMap[257][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[257][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[257][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[257][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[257][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[257][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[257][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[257][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[257][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[257][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[257][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[257][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[257][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[257][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[257][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[257][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[257][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[257][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[257][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[257][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[257][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[257][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[257][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[257][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[257][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[257][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[257][LB] = ActionEntry(SHIFT, 150);
   _actionMap[257][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[257][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[257][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[257][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[257][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[257][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[257][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[257][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[257][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[257][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[257][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[257][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[257][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[257][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[257][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[257][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[257][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[257][ObjSpec] = 102;
   _jumpMap[257][Constant] = 101;
   _jumpMap[257][SignedFloat] = 100;
   _jumpMap[257][SignedInt] = 99;
   _jumpMap[257][Attribute] = 98;
   _jumpMap[257][ExpressionList] = 409;
}
void Cego::loadParser194()
{
   _jumpMap[257][Function] = 97;
   _jumpMap[257][CasePrepare] = 96;
   _jumpMap[257][CaseClause] = 95;
   _jumpMap[257][Factor] = 94;
   _jumpMap[257][Term] = 93;
   _jumpMap[257][Expr] = 387;
   _actionMap[258][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[258][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[258][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[258][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[258][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[258][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[258][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[258][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[258][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[258][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[258][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[258][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[258][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[258][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[258][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[258][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[258][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[258][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[258][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[258][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[258][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[258][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[258][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[258][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[258][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[258][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[258][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[258][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[258][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[258][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[258][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[258][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[258][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[258][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[258][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[258][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[258][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[258][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[258][LB] = ActionEntry(SHIFT, 150);
   _actionMap[258][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[258][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[258][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[258][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[258][TRUEVAL] = ActionEntry(SHIFT, 147);
}
void Cego::loadParser195()
{
   _actionMap[258][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[258][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[258][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[258][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[258][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[258][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[258][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[258][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[258][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[258][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[258][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[258][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[258][ObjSpec] = 102;
   _jumpMap[258][Constant] = 101;
   _jumpMap[258][SignedFloat] = 100;
   _jumpMap[258][SignedInt] = 99;
   _jumpMap[258][Attribute] = 98;
   _jumpMap[258][ExpressionList] = 410;
   _jumpMap[258][Function] = 97;
   _jumpMap[258][CasePrepare] = 96;
   _jumpMap[258][CaseClause] = 95;
   _jumpMap[258][Factor] = 94;
   _jumpMap[258][Term] = 93;
   _jumpMap[258][Expr] = 387;
   _actionMap[259][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[259][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[259][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[259][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[259][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[259][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[259][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[259][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[259][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[259][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[259][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[259][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[259][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[259][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[259][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[259][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[259][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[259][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[259][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[259][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[259][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[259][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[259][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[259][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[259][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[259][DIV] = ActionEntry(SHIFT, 118);
}
void Cego::loadParser196()
{
   _actionMap[259][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[259][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[259][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[259][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[259][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[259][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[259][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[259][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[259][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[259][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[259][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[259][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[259][LB] = ActionEntry(SHIFT, 150);
   _actionMap[259][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[259][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[259][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[259][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[259][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[259][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[259][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[259][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[259][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[259][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[259][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[259][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[259][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[259][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[259][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[259][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[259][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[259][ObjSpec] = 102;
   _jumpMap[259][Constant] = 101;
   _jumpMap[259][SignedFloat] = 100;
   _jumpMap[259][SignedInt] = 99;
   _jumpMap[259][Attribute] = 98;
   _jumpMap[259][ExpressionList] = 411;
   _jumpMap[259][Function] = 97;
   _jumpMap[259][CasePrepare] = 96;
   _jumpMap[259][CaseClause] = 95;
   _jumpMap[259][Factor] = 94;
   _jumpMap[259][Term] = 93;
   _jumpMap[259][Expr] = 387;
   _actionMap[260][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[260][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[260][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[260][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[260][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[260][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[260][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[260][DATE2STR] = ActionEntry(SHIFT, 116);
}
void Cego::loadParser197()
{
   _actionMap[260][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[260][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[260][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[260][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[260][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[260][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[260][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[260][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[260][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[260][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[260][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[260][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[260][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[260][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[260][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[260][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[260][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[260][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[260][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[260][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[260][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[260][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[260][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[260][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[260][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[260][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[260][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[260][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[260][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[260][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[260][LB] = ActionEntry(SHIFT, 150);
   _actionMap[260][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[260][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[260][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[260][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[260][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[260][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[260][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[260][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[260][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[260][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[260][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[260][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[260][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[260][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[260][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[260][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[260][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[260][ObjSpec] = 102;
   _jumpMap[260][Constant] = 101;
}
void Cego::loadParser198()
{
   _jumpMap[260][SignedFloat] = 100;
   _jumpMap[260][SignedInt] = 99;
   _jumpMap[260][Attribute] = 98;
   _jumpMap[260][ExpressionList] = 412;
   _jumpMap[260][Function] = 97;
   _jumpMap[260][CasePrepare] = 96;
   _jumpMap[260][CaseClause] = 95;
   _jumpMap[260][Factor] = 94;
   _jumpMap[260][Term] = 93;
   _jumpMap[260][Expr] = 387;
   _actionMap[261][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[261][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[261][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[261][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[261][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[261][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[261][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[261][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[261][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[261][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[261][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[261][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[261][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[261][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[261][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[261][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[261][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[261][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[261][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[261][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[261][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[261][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[261][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[261][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[261][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[261][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[261][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[261][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[261][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[261][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[261][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[261][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[261][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[261][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[261][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[261][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[261][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[261][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[261][LB] = ActionEntry(SHIFT, 150);
   _actionMap[261][STRINGVAL] = ActionEntry(SHIFT, 103);
}
void Cego::loadParser199()
{
   _actionMap[261][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[261][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[261][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[261][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[261][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[261][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[261][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[261][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[261][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[261][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[261][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[261][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[261][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[261][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[261][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[261][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[261][ObjSpec] = 102;
   _jumpMap[261][Constant] = 101;
   _jumpMap[261][SignedFloat] = 100;
   _jumpMap[261][SignedInt] = 99;
   _jumpMap[261][Attribute] = 98;
   _jumpMap[261][ExpressionList] = 413;
   _jumpMap[261][Function] = 97;
   _jumpMap[261][CasePrepare] = 96;
   _jumpMap[261][CaseClause] = 95;
   _jumpMap[261][Factor] = 94;
   _jumpMap[261][Term] = 93;
   _jumpMap[261][Expr] = 387;
   _actionMap[262][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[262][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[262][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[262][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[262][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[262][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[262][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[262][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[262][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[262][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[262][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[262][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[262][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[262][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[262][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[262][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[262][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[262][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[262][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[262][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[262][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[262][STR2DATE] = ActionEntry(SHIFT, 145);
}
void Cego::loadParser200()
{
   _actionMap[262][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[262][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[262][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[262][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[262][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[262][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[262][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[262][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[262][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[262][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[262][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[262][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[262][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[262][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[262][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[262][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[262][LB] = ActionEntry(SHIFT, 150);
   _actionMap[262][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[262][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[262][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[262][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[262][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[262][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[262][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[262][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[262][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[262][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[262][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[262][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[262][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[262][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[262][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[262][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[262][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[262][ObjSpec] = 102;
   _jumpMap[262][Constant] = 101;
   _jumpMap[262][SignedFloat] = 100;
   _jumpMap[262][SignedInt] = 99;
   _jumpMap[262][Attribute] = 98;
   _jumpMap[262][Function] = 97;
   _jumpMap[262][CasePrepare] = 96;
   _jumpMap[262][CaseClause] = 95;
   _jumpMap[262][Factor] = 94;
   _jumpMap[262][Term] = 93;
   _jumpMap[262][Expr] = 414;
   _actionMap[263][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[263][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[263][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[263][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[263][RTRIM] = ActionEntry(SHIFT, 138);
}
void Cego::loadParser201()
{
   _actionMap[263][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[263][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[263][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[263][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[263][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[263][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[263][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[263][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[263][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[263][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[263][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[263][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[263][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[263][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[263][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[263][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[263][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[263][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[263][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[263][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[263][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[263][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[263][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[263][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[263][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[263][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[263][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[263][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[263][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[263][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[263][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[263][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[263][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[263][LB] = ActionEntry(SHIFT, 150);
   _actionMap[263][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[263][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[263][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[263][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[263][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[263][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[263][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[263][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[263][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[263][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[263][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[263][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[263][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[263][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[263][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[263][MIN] = ActionEntry(SHIFT, 127);
}
void Cego::loadParser202()
{
   _actionMap[263][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[263][ObjSpec] = 102;
   _jumpMap[263][Constant] = 101;
   _jumpMap[263][SignedFloat] = 100;
   _jumpMap[263][SignedInt] = 99;
   _jumpMap[263][Attribute] = 98;
   _jumpMap[263][Function] = 97;
   _jumpMap[263][CasePrepare] = 96;
   _jumpMap[263][CaseClause] = 95;
   _jumpMap[263][Factor] = 94;
   _jumpMap[263][Term] = 93;
   _jumpMap[263][Expr] = 415;
   _actionMap[264][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[264][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[264][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[264][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[264][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[264][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[264][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[264][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[264][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[264][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[264][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[264][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[264][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[264][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[264][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[264][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[264][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[264][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[264][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[264][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[264][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[264][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[264][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[264][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[264][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[264][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[264][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[264][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[264][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[264][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[264][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[264][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[264][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[264][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[264][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[264][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[264][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[264][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
}
void Cego::loadParser203()
{
   _actionMap[264][LB] = ActionEntry(SHIFT, 150);
   _actionMap[264][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[264][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[264][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[264][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[264][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[264][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[264][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[264][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[264][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[264][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[264][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[264][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[264][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[264][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[264][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[264][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[264][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[264][ObjSpec] = 102;
   _jumpMap[264][Constant] = 101;
   _jumpMap[264][SignedFloat] = 100;
   _jumpMap[264][SignedInt] = 99;
   _jumpMap[264][Attribute] = 98;
   _jumpMap[264][ExpressionList] = 416;
   _jumpMap[264][Function] = 97;
   _jumpMap[264][CasePrepare] = 96;
   _jumpMap[264][CaseClause] = 95;
   _jumpMap[264][Factor] = 94;
   _jumpMap[264][Term] = 93;
   _jumpMap[264][Expr] = 387;
   _actionMap[265][IDENTIFIER] = ActionEntry(SHIFT, 417);
   _actionMap[266][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[266][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[266][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[266][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[266][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[266][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[266][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[266][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[266][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[266][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[266][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[266][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[266][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[266][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[266][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[266][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[266][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[266][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[266][TRUNC] = ActionEntry(SHIFT, 148);
}
void Cego::loadParser204()
{
   _actionMap[266][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[266][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[266][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[266][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[266][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[266][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[266][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[266][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[266][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[266][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[266][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[266][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[266][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[266][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[266][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[266][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[266][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[266][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[266][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[266][LB] = ActionEntry(SHIFT, 150);
   _actionMap[266][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[266][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[266][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[266][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[266][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[266][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[266][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[266][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[266][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[266][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[266][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[266][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[266][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[266][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[266][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[266][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[266][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[266][ObjSpec] = 102;
   _jumpMap[266][Constant] = 101;
   _jumpMap[266][SignedFloat] = 100;
   _jumpMap[266][SignedInt] = 99;
   _jumpMap[266][Attribute] = 98;
   _jumpMap[266][ExpressionList] = 418;
   _jumpMap[266][Function] = 97;
   _jumpMap[266][CasePrepare] = 96;
   _jumpMap[266][CaseClause] = 95;
   _jumpMap[266][Factor] = 94;
   _jumpMap[266][Term] = 93;
   _jumpMap[266][Expr] = 387;
   _actionMap[267][FLOATVAL] = ActionEntry(SHIFT, 153);
}
void Cego::loadParser205()
{
   _actionMap[267][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[267][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[267][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[267][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[267][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[267][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[267][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[267][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[267][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[267][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[267][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[267][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[267][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[267][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[267][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[267][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[267][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[267][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[267][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[267][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[267][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[267][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[267][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[267][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[267][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[267][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[267][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[267][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[267][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[267][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[267][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[267][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[267][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[267][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[267][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[267][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[267][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[267][LB] = ActionEntry(SHIFT, 150);
   _actionMap[267][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[267][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[267][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[267][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[267][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[267][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[267][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[267][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[267][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[267][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[267][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[267][FETCH] = ActionEntry(SHIFT, 120);
}
void Cego::loadParser206()
{
   _actionMap[267][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[267][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[267][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[267][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[267][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[267][ObjSpec] = 102;
   _jumpMap[267][Constant] = 101;
   _jumpMap[267][SignedFloat] = 100;
   _jumpMap[267][SignedInt] = 99;
   _jumpMap[267][Attribute] = 98;
   _jumpMap[267][ExpressionList] = 419;
   _jumpMap[267][Function] = 97;
   _jumpMap[267][CasePrepare] = 96;
   _jumpMap[267][CaseClause] = 95;
   _jumpMap[267][Factor] = 94;
   _jumpMap[267][Term] = 93;
   _jumpMap[267][Expr] = 387;
   _actionMap[268][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[268][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[268][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[268][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[268][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[268][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[268][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[268][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[268][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[268][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[268][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[268][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[268][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[268][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[268][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[268][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[268][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[268][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[268][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[268][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[268][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[268][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[268][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[268][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[268][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[268][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[268][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[268][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[268][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[268][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[268][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[268][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[268][CLOB2STR] = ActionEntry(SHIFT, 113);
}
void Cego::loadParser207()
{
   _actionMap[268][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[268][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[268][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[268][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[268][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[268][LB] = ActionEntry(SHIFT, 150);
   _actionMap[268][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[268][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[268][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[268][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[268][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[268][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[268][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[268][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[268][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[268][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[268][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[268][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[268][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[268][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[268][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[268][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[268][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[268][ObjSpec] = 102;
   _jumpMap[268][Constant] = 101;
   _jumpMap[268][SignedFloat] = 100;
   _jumpMap[268][SignedInt] = 99;
   _jumpMap[268][Attribute] = 98;
   _jumpMap[268][ExpressionList] = 420;
   _jumpMap[268][Function] = 97;
   _jumpMap[268][CasePrepare] = 96;
   _jumpMap[268][CaseClause] = 95;
   _jumpMap[268][Factor] = 94;
   _jumpMap[268][Term] = 93;
   _jumpMap[268][Expr] = 387;
   _actionMap[269][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[269][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[269][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[269][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[269][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[269][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[269][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[269][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[269][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[269][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[269][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[269][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[269][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[269][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[269][GETPOS] = ActionEntry(SHIFT, 121);
}
void Cego::loadParser208()
{
   _actionMap[269][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[269][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[269][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[269][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[269][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[269][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[269][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[269][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[269][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[269][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[269][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[269][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[269][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[269][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[269][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[269][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[269][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[269][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[269][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[269][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[269][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[269][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[269][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[269][LB] = ActionEntry(SHIFT, 150);
   _actionMap[269][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[269][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[269][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[269][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[269][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[269][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[269][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[269][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[269][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[269][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[269][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[269][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[269][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[269][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[269][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[269][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[269][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[269][ObjSpec] = 102;
   _jumpMap[269][Constant] = 101;
   _jumpMap[269][SignedFloat] = 100;
   _jumpMap[269][SignedInt] = 99;
   _jumpMap[269][Attribute] = 98;
   _jumpMap[269][ExpressionList] = 421;
   _jumpMap[269][Function] = 97;
   _jumpMap[269][CasePrepare] = 96;
   _jumpMap[269][CaseClause] = 95;
}
void Cego::loadParser209()
{
   _jumpMap[269][Factor] = 94;
   _jumpMap[269][Term] = 93;
   _jumpMap[269][Expr] = 387;
   _actionMap[270][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[270][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[270][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[270][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[270][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[270][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[270][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[270][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[270][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[270][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[270][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[270][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[270][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[270][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[270][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[270][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[270][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[270][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[270][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[270][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[270][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[270][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[270][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[270][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[270][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[270][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[270][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[270][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[270][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[270][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[270][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[270][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[270][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[270][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[270][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[270][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[270][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[270][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[270][LB] = ActionEntry(SHIFT, 150);
   _actionMap[270][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[270][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[270][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[270][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[270][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[270][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[270][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[270][CLOB] = ActionEntry(SHIFT, 111);
}
void Cego::loadParser210()
{
   _actionMap[270][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[270][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[270][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[270][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[270][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[270][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[270][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[270][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[270][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[270][ObjSpec] = 102;
   _jumpMap[270][Constant] = 101;
   _jumpMap[270][SignedFloat] = 100;
   _jumpMap[270][SignedInt] = 99;
   _jumpMap[270][Attribute] = 98;
   _jumpMap[270][ExpressionList] = 422;
   _jumpMap[270][Function] = 97;
   _jumpMap[270][CasePrepare] = 96;
   _jumpMap[270][CaseClause] = 95;
   _jumpMap[270][Factor] = 94;
   _jumpMap[270][Term] = 93;
   _jumpMap[270][Expr] = 387;
   _actionMap[271][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[271][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[271][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[271][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[271][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[271][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[271][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[271][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[271][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[271][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[271][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[271][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[271][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[271][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[271][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[271][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[271][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[271][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[271][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[271][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[271][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[271][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[271][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[271][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[271][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[271][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[271][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[271][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[271][BITOR] = ActionEntry(SHIFT, 106);
}
void Cego::loadParser211()
{
   _actionMap[271][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[271][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[271][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[271][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[271][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[271][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[271][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[271][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[271][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[271][LB] = ActionEntry(SHIFT, 150);
   _actionMap[271][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[271][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[271][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[271][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[271][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[271][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[271][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[271][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[271][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[271][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[271][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[271][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[271][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[271][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[271][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[271][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[271][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[271][ObjSpec] = 102;
   _jumpMap[271][Constant] = 101;
   _jumpMap[271][SignedFloat] = 100;
   _jumpMap[271][SignedInt] = 99;
   _jumpMap[271][Attribute] = 98;
   _jumpMap[271][ExpressionList] = 423;
   _jumpMap[271][Function] = 97;
   _jumpMap[271][CasePrepare] = 96;
   _jumpMap[271][CaseClause] = 95;
   _jumpMap[271][Factor] = 94;
   _jumpMap[271][Term] = 93;
   _jumpMap[271][Expr] = 387;
   _actionMap[272][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[272][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[272][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[272][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[272][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[272][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[272][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[272][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[272][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[272][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[272][LOWER] = ActionEntry(SHIFT, 125);
}
void Cego::loadParser212()
{
   _actionMap[272][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[272][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[272][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[272][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[272][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[272][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[272][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[272][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[272][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[272][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[272][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[272][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[272][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[272][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[272][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[272][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[272][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[272][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[272][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[272][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[272][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[272][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[272][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[272][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[272][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[272][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[272][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[272][LB] = ActionEntry(SHIFT, 150);
   _actionMap[272][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[272][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[272][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[272][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[272][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[272][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[272][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[272][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[272][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[272][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[272][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[272][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[272][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[272][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[272][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[272][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[272][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[272][ObjSpec] = 102;
   _jumpMap[272][Constant] = 101;
   _jumpMap[272][SignedFloat] = 100;
   _jumpMap[272][SignedInt] = 99;
   _jumpMap[272][Attribute] = 98;
}
void Cego::loadParser213()
{
   _jumpMap[272][ExpressionList] = 424;
   _jumpMap[272][Function] = 97;
   _jumpMap[272][CasePrepare] = 96;
   _jumpMap[272][CaseClause] = 95;
   _jumpMap[272][Factor] = 94;
   _jumpMap[272][Term] = 93;
   _jumpMap[272][Expr] = 387;
   _actionMap[273][IDENTIFIER] = ActionEntry(SHIFT, 425);
   _actionMap[274][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[274][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[274][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[274][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[274][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[274][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[274][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[274][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[274][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[274][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[274][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[274][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[274][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[274][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[274][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[274][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[274][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[274][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[274][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[274][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[274][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[274][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[274][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[274][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[274][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[274][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[274][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[274][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[274][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[274][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[274][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[274][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[274][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[274][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[274][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[274][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[274][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[274][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[274][LB] = ActionEntry(SHIFT, 150);
   _actionMap[274][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[274][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[274][SYSDATE] = ActionEntry(SHIFT, 142);
}
void Cego::loadParser214()
{
   _actionMap[274][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[274][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[274][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[274][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[274][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[274][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[274][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[274][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[274][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[274][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[274][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[274][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[274][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[274][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[274][ObjSpec] = 102;
   _jumpMap[274][Constant] = 101;
   _jumpMap[274][SignedFloat] = 100;
   _jumpMap[274][SignedInt] = 99;
   _jumpMap[274][Attribute] = 98;
   _jumpMap[274][ExpressionList] = 426;
   _jumpMap[274][Function] = 97;
   _jumpMap[274][CasePrepare] = 96;
   _jumpMap[274][CaseClause] = 95;
   _jumpMap[274][Factor] = 94;
   _jumpMap[274][Term] = 93;
   _jumpMap[274][Expr] = 387;
   _actionMap[275][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[275][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[275][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[275][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[275][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[275][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[275][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[275][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[275][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[275][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[275][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[275][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[275][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[275][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[275][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[275][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[275][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[275][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[275][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[275][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[275][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[275][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[275][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[275][RANDINT] = ActionEntry(SHIFT, 134);
}
void Cego::loadParser215()
{
   _actionMap[275][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[275][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[275][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[275][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[275][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[275][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[275][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[275][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[275][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[275][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[275][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[275][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[275][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[275][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[275][LB] = ActionEntry(SHIFT, 150);
   _actionMap[275][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[275][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[275][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[275][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[275][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[275][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[275][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[275][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[275][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[275][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[275][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[275][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[275][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[275][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[275][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[275][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[275][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[275][ObjSpec] = 102;
   _jumpMap[275][Constant] = 101;
   _jumpMap[275][SignedFloat] = 100;
   _jumpMap[275][SignedInt] = 99;
   _jumpMap[275][Attribute] = 98;
   _jumpMap[275][Function] = 97;
   _jumpMap[275][CasePrepare] = 96;
   _jumpMap[275][CaseClause] = 95;
   _jumpMap[275][Factor] = 94;
   _jumpMap[275][Term] = 93;
   _jumpMap[275][Expr] = 427;
   _actionMap[276][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[276][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[276][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[276][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[276][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[276][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[276][ROUND] = ActionEntry(SHIFT, 137);
}
void Cego::loadParser216()
{
   _actionMap[276][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[276][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[276][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[276][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[276][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[276][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[276][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[276][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[276][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[276][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[276][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[276][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[276][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[276][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[276][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[276][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[276][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[276][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[276][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[276][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[276][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[276][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[276][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[276][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[276][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[276][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[276][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[276][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[276][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[276][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[276][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[276][LB] = ActionEntry(SHIFT, 150);
   _actionMap[276][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[276][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[276][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[276][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[276][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[276][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[276][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[276][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[276][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[276][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[276][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[276][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[276][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[276][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[276][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[276][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[276][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[276][ObjSpec] = 102;
}
void Cego::loadParser217()
{
   _jumpMap[276][Constant] = 101;
   _jumpMap[276][SignedFloat] = 100;
   _jumpMap[276][SignedInt] = 99;
   _jumpMap[276][Attribute] = 98;
   _jumpMap[276][ExpressionList] = 428;
   _jumpMap[276][Function] = 97;
   _jumpMap[276][CasePrepare] = 96;
   _jumpMap[276][CaseClause] = 95;
   _jumpMap[276][Factor] = 94;
   _jumpMap[276][Term] = 93;
   _jumpMap[276][Expr] = 387;
   _actionMap[277][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[277][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[277][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[277][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[277][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[277][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[277][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[277][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[277][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[277][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[277][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[277][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[277][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[277][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[277][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[277][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[277][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[277][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[277][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[277][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[277][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[277][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[277][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[277][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[277][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[277][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[277][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[277][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[277][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[277][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[277][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[277][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[277][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[277][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[277][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[277][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[277][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[277][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[277][LB] = ActionEntry(SHIFT, 150);
}
void Cego::loadParser218()
{
   _actionMap[277][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[277][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[277][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[277][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[277][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[277][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[277][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[277][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[277][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[277][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[277][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[277][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[277][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[277][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[277][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[277][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[277][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[277][ObjSpec] = 102;
   _jumpMap[277][Constant] = 101;
   _jumpMap[277][SignedFloat] = 100;
   _jumpMap[277][SignedInt] = 99;
   _jumpMap[277][Attribute] = 98;
   _jumpMap[277][ExpressionList] = 429;
   _jumpMap[277][Function] = 97;
   _jumpMap[277][CasePrepare] = 96;
   _jumpMap[277][CaseClause] = 95;
   _jumpMap[277][Factor] = 94;
   _jumpMap[277][Term] = 93;
   _jumpMap[277][Expr] = 387;
   _actionMap[278][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[278][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[278][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[278][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[278][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[278][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[278][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[278][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[278][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[278][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[278][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[278][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[278][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[278][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[278][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[278][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[278][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[278][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[278][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[278][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[278][STR2LONG] = ActionEntry(SHIFT, 144);
}
void Cego::loadParser219()
{
   _actionMap[278][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[278][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[278][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[278][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[278][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[278][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[278][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[278][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[278][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[278][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[278][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[278][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[278][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[278][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[278][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[278][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[278][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[278][LB] = ActionEntry(SHIFT, 150);
   _actionMap[278][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[278][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[278][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[278][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[278][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[278][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[278][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[278][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[278][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[278][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[278][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[278][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[278][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[278][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[278][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[278][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[278][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[278][ObjSpec] = 102;
   _jumpMap[278][Constant] = 101;
   _jumpMap[278][SignedFloat] = 100;
   _jumpMap[278][SignedInt] = 99;
   _jumpMap[278][Attribute] = 98;
   _jumpMap[278][ExpressionList] = 430;
   _jumpMap[278][Function] = 97;
   _jumpMap[278][CasePrepare] = 96;
   _jumpMap[278][CaseClause] = 95;
   _jumpMap[278][Factor] = 94;
   _jumpMap[278][Term] = 93;
   _jumpMap[278][Expr] = 387;
   _actionMap[279][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[279][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[279][INTVAL] = ActionEntry(SHIFT, 152);
}
void Cego::loadParser220()
{
   _actionMap[279][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[279][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[279][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[279][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[279][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[279][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[279][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[279][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[279][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[279][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[279][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[279][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[279][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[279][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[279][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[279][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[279][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[279][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[279][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[279][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[279][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[279][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[279][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[279][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[279][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[279][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[279][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[279][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[279][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[279][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[279][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[279][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[279][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[279][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[279][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[279][LB] = ActionEntry(SHIFT, 150);
   _actionMap[279][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[279][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[279][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[279][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[279][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[279][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[279][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[279][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[279][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[279][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[279][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[279][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[279][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[279][SUM] = ActionEntry(SHIFT, 141);
}
void Cego::loadParser221()
{
   _actionMap[279][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[279][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[279][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[279][ObjSpec] = 102;
   _jumpMap[279][Constant] = 101;
   _jumpMap[279][SignedFloat] = 100;
   _jumpMap[279][SignedInt] = 99;
   _jumpMap[279][Attribute] = 98;
   _jumpMap[279][ExpressionList] = 431;
   _jumpMap[279][Function] = 97;
   _jumpMap[279][CasePrepare] = 96;
   _jumpMap[279][CaseClause] = 95;
   _jumpMap[279][Factor] = 94;
   _jumpMap[279][Term] = 93;
   _jumpMap[279][Expr] = 387;
   _actionMap[280][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[280][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[280][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[280][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[280][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[280][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[280][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[280][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[280][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[280][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[280][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[280][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[280][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[280][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[280][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[280][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[280][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[280][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[280][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[280][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[280][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[280][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[280][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[280][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[280][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[280][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[280][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[280][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[280][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[280][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[280][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[280][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[280][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[280][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[280][SETCOUNT] = ActionEntry(SHIFT, 139);
}
void Cego::loadParser222()
{
   _actionMap[280][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[280][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[280][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[280][LB] = ActionEntry(SHIFT, 150);
   _actionMap[280][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[280][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[280][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[280][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[280][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[280][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[280][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[280][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[280][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[280][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[280][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[280][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[280][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[280][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[280][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[280][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[280][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[280][ObjSpec] = 102;
   _jumpMap[280][Constant] = 101;
   _jumpMap[280][SignedFloat] = 100;
   _jumpMap[280][SignedInt] = 99;
   _jumpMap[280][Attribute] = 98;
   _jumpMap[280][ExpressionList] = 432;
   _jumpMap[280][Function] = 97;
   _jumpMap[280][CasePrepare] = 96;
   _jumpMap[280][CaseClause] = 95;
   _jumpMap[280][Factor] = 94;
   _jumpMap[280][Term] = 93;
   _jumpMap[280][Expr] = 387;
   _actionMap[281][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[281][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[281][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[281][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[281][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[281][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[281][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[281][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[281][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[281][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[281][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[281][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[281][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[281][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[281][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[281][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[281][REPLACE] = ActionEntry(SHIFT, 135);
}
void Cego::loadParser223()
{
   _actionMap[281][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[281][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[281][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[281][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[281][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[281][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[281][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[281][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[281][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[281][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[281][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[281][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[281][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[281][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[281][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[281][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[281][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[281][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[281][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[281][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[281][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[281][LB] = ActionEntry(SHIFT, 150);
   _actionMap[281][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[281][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[281][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[281][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[281][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[281][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[281][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[281][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[281][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[281][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[281][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[281][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[281][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[281][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[281][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[281][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[281][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[281][ObjSpec] = 102;
   _jumpMap[281][Constant] = 101;
   _jumpMap[281][SignedFloat] = 100;
   _jumpMap[281][SignedInt] = 99;
   _jumpMap[281][Attribute] = 98;
   _jumpMap[281][ExpressionList] = 433;
   _jumpMap[281][Function] = 97;
   _jumpMap[281][CasePrepare] = 96;
   _jumpMap[281][CaseClause] = 95;
   _jumpMap[281][Factor] = 94;
   _jumpMap[281][Term] = 93;
}
void Cego::loadParser224()
{
   _jumpMap[281][Expr] = 387;
   _actionMap[282][RB] = ActionEntry(SHIFT, 434);
   _actionMap[282][PLUS] = ActionEntry(SHIFT, 234);
   _actionMap[282][MINUS] = ActionEntry(SHIFT, 233);
   _actionMap[282][CONCAT] = ActionEntry(SHIFT, 232);
   _actionMap[283][RB] = ActionEntry(SHIFT, 435);
   _actionMap[284][RB] = ActionEntry(SHIFT, 436);
   _actionMap[285][RB] = ActionEntry(SHIFT, 437);
   _actionMap[286][RB] = ActionEntry(SHIFT, 438);
   _actionMap[287][RB] = ActionEntry(SHIFT, 439);
   _actionMap[288][RB] = ActionEntry(SHIFT, 440);
   _actionMap[289][RB] = ActionEntry(SHIFT, 441);
   _actionMap[290][RB] = ActionEntry(SHIFT, 442);
   _actionMap[291][WHEN] = ActionEntry(REDUCE, 354);
   _actionMap[291][ELSE] = ActionEntry(REDUCE, 354);
   _actionMap[291][LEFT] = ActionEntry(REDUCE, 354);
   _actionMap[291][RIGHT] = ActionEntry(REDUCE, 354);
   _actionMap[291][INNER] = ActionEntry(REDUCE, 354);
   _actionMap[291][JOIN] = ActionEntry(REDUCE, 354);
   _actionMap[291][RETURNTOKEN] = ActionEntry(REDUCE, 354);
   _actionMap[291][ORDER] = ActionEntry(REDUCE, 354);
   _actionMap[291][GROUP] = ActionEntry(REDUCE, 354);
   _actionMap[291][WHERE] = ActionEntry(REDUCE, 354);
   _actionMap[291][AS] = ActionEntry(REDUCE, 354);
   _actionMap[291][FROM] = ActionEntry(REDUCE, 354);
   _actionMap[291][END_TOKEN] = ActionEntry(REDUCE, 354);
   _actionMap[291][BEGIN] = ActionEntry(REDUCE, 354);
   _actionMap[291][THEN] = ActionEntry(REDUCE, 354);
   _actionMap[291][OR] = ActionEntry(REDUCE, 354);
   _actionMap[291][AND] = ActionEntry(REDUCE, 354);
   _actionMap[291][NULLTOKEN] = ActionEntry(REDUCE, 354);
   _actionMap[291][LIKE] = ActionEntry(REDUCE, 354);
   _actionMap[291][IS] = ActionEntry(REDUCE, 354);
   _actionMap[291][BETWEEN] = ActionEntry(REDUCE, 354);
   _actionMap[291][NOT] = ActionEntry(REDUCE, 354);
   _actionMap[291][INTOK] = ActionEntry(REDUCE, 354);
   _actionMap[291][EQU] = ActionEntry(REDUCE, 354);
   _actionMap[291][NEGATION] = ActionEntry(REDUCE, 354);
   _actionMap[291][LT] = ActionEntry(REDUCE, 354);
   _actionMap[291][MT] = ActionEntry(REDUCE, 354);
   _actionMap[291][DESC] = ActionEntry(REDUCE, 354);
   _actionMap[291][ASC] = ActionEntry(REDUCE, 354);
   _actionMap[291][KSEP] = ActionEntry(REDUCE, 354);
   _actionMap[291][ROWLIMIT] = ActionEntry(REDUCE, 354);
   _actionMap[291][UNION] = ActionEntry(REDUCE, 354);
   _actionMap[291][ENDTOKEN] = ActionEntry(REDUCE, 354);
   _actionMap[291][RB] = ActionEntry(REDUCE, 354);
   _actionMap[291][SEMICOLON] = ActionEntry(REDUCE, 354);
   _actionMap[291][CONCAT] = ActionEntry(REDUCE, 354);
   _actionMap[291][STAR] = ActionEntry(REDUCE, 354);
}
void Cego::loadParser225()
{
   _actionMap[291][DIVISION] = ActionEntry(REDUCE, 354);
   _actionMap[291][MINUS] = ActionEntry(REDUCE, 354);
   _actionMap[291][PLUS] = ActionEntry(REDUCE, 354);
   _actionMap[292][WHEN] = ActionEntry(REDUCE, 356);
   _actionMap[292][ELSE] = ActionEntry(REDUCE, 356);
   _actionMap[292][LEFT] = ActionEntry(REDUCE, 356);
   _actionMap[292][RIGHT] = ActionEntry(REDUCE, 356);
   _actionMap[292][INNER] = ActionEntry(REDUCE, 356);
   _actionMap[292][JOIN] = ActionEntry(REDUCE, 356);
   _actionMap[292][RETURNTOKEN] = ActionEntry(REDUCE, 356);
   _actionMap[292][ORDER] = ActionEntry(REDUCE, 356);
   _actionMap[292][GROUP] = ActionEntry(REDUCE, 356);
   _actionMap[292][WHERE] = ActionEntry(REDUCE, 356);
   _actionMap[292][AS] = ActionEntry(REDUCE, 356);
   _actionMap[292][FROM] = ActionEntry(REDUCE, 356);
   _actionMap[292][END_TOKEN] = ActionEntry(REDUCE, 356);
   _actionMap[292][BEGIN] = ActionEntry(REDUCE, 356);
   _actionMap[292][THEN] = ActionEntry(REDUCE, 356);
   _actionMap[292][OR] = ActionEntry(REDUCE, 356);
   _actionMap[292][AND] = ActionEntry(REDUCE, 356);
   _actionMap[292][NULLTOKEN] = ActionEntry(REDUCE, 356);
   _actionMap[292][LIKE] = ActionEntry(REDUCE, 356);
   _actionMap[292][IS] = ActionEntry(REDUCE, 356);
   _actionMap[292][BETWEEN] = ActionEntry(REDUCE, 356);
   _actionMap[292][NOT] = ActionEntry(REDUCE, 356);
   _actionMap[292][INTOK] = ActionEntry(REDUCE, 356);
   _actionMap[292][EQU] = ActionEntry(REDUCE, 356);
   _actionMap[292][NEGATION] = ActionEntry(REDUCE, 356);
   _actionMap[292][LT] = ActionEntry(REDUCE, 356);
   _actionMap[292][MT] = ActionEntry(REDUCE, 356);
   _actionMap[292][DESC] = ActionEntry(REDUCE, 356);
   _actionMap[292][ASC] = ActionEntry(REDUCE, 356);
   _actionMap[292][KSEP] = ActionEntry(REDUCE, 356);
   _actionMap[292][ROWLIMIT] = ActionEntry(REDUCE, 356);
   _actionMap[292][UNION] = ActionEntry(REDUCE, 356);
   _actionMap[292][ENDTOKEN] = ActionEntry(REDUCE, 356);
   _actionMap[292][RB] = ActionEntry(REDUCE, 356);
   _actionMap[292][SEMICOLON] = ActionEntry(REDUCE, 356);
   _actionMap[292][CONCAT] = ActionEntry(REDUCE, 356);
   _actionMap[292][STAR] = ActionEntry(REDUCE, 356);
   _actionMap[292][DIVISION] = ActionEntry(REDUCE, 356);
   _actionMap[292][MINUS] = ActionEntry(REDUCE, 356);
   _actionMap[292][PLUS] = ActionEntry(REDUCE, 356);
   _actionMap[293][WHEN] = ActionEntry(REDUCE, 352);
   _actionMap[293][ELSE] = ActionEntry(REDUCE, 352);
   _actionMap[293][LEFT] = ActionEntry(REDUCE, 352);
   _actionMap[293][RIGHT] = ActionEntry(REDUCE, 352);
   _actionMap[293][INNER] = ActionEntry(REDUCE, 352);
   _actionMap[293][JOIN] = ActionEntry(REDUCE, 352);
   _actionMap[293][RETURNTOKEN] = ActionEntry(REDUCE, 352);
}
void Cego::loadParser226()
{
   _actionMap[293][GROUP] = ActionEntry(REDUCE, 352);
   _actionMap[293][WHERE] = ActionEntry(REDUCE, 352);
   _actionMap[293][FROM] = ActionEntry(REDUCE, 352);
   _actionMap[293][AS] = ActionEntry(REDUCE, 352);
   _actionMap[293][END_TOKEN] = ActionEntry(REDUCE, 352);
   _actionMap[293][BEGIN] = ActionEntry(REDUCE, 352);
   _actionMap[293][THEN] = ActionEntry(REDUCE, 352);
   _actionMap[293][OR] = ActionEntry(REDUCE, 352);
   _actionMap[293][AND] = ActionEntry(REDUCE, 352);
   _actionMap[293][INTOK] = ActionEntry(REDUCE, 352);
   _actionMap[293][NOT] = ActionEntry(REDUCE, 352);
   _actionMap[293][BETWEEN] = ActionEntry(REDUCE, 352);
   _actionMap[293][IS] = ActionEntry(REDUCE, 352);
   _actionMap[293][LIKE] = ActionEntry(REDUCE, 352);
   _actionMap[293][HAVING] = ActionEntry(REDUCE, 352);
   _actionMap[293][ORDER] = ActionEntry(REDUCE, 352);
   _actionMap[293][MT] = ActionEntry(REDUCE, 352);
   _actionMap[293][LT] = ActionEntry(REDUCE, 352);
   _actionMap[293][NEGATION] = ActionEntry(REDUCE, 352);
   _actionMap[293][EQU] = ActionEntry(REDUCE, 352);
   _actionMap[293][RB] = ActionEntry(REDUCE, 352);
   _actionMap[293][ENDTOKEN] = ActionEntry(REDUCE, 352);
   _actionMap[293][UNION] = ActionEntry(REDUCE, 352);
   _actionMap[293][ROWLIMIT] = ActionEntry(REDUCE, 352);
   _actionMap[293][KSEP] = ActionEntry(REDUCE, 352);
   _actionMap[293][ASC] = ActionEntry(REDUCE, 352);
   _actionMap[293][DESC] = ActionEntry(REDUCE, 352);
   _actionMap[293][SEMICOLON] = ActionEntry(REDUCE, 352);
   _actionMap[293][PLUS] = ActionEntry(REDUCE, 352);
   _actionMap[293][MINUS] = ActionEntry(REDUCE, 352);
   _actionMap[293][DIVISION] = ActionEntry(REDUCE, 352);
   _actionMap[293][STAR] = ActionEntry(REDUCE, 352);
   _actionMap[293][CONCAT] = ActionEntry(REDUCE, 352);
   _actionMap[294][TO] = ActionEntry(SHIFT, 443);
   _actionMap[295][TO] = ActionEntry(SHIFT, 444);
   _actionMap[296][TO] = ActionEntry(SHIFT, 445);
   _actionMap[297][TO] = ActionEntry(SHIFT, 446);
   _actionMap[298][TO] = ActionEntry(SHIFT, 447);
   _actionMap[299][TO] = ActionEntry(SHIFT, 448);
   _actionMap[300][TO] = ActionEntry(SHIFT, 449);
   _actionMap[301][SEMICOLON] = ActionEntry(REDUCE, 42);
   _actionMap[302][SEMICOLON] = ActionEntry(REDUCE, 41);
   _actionMap[303][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[303][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[303][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[303][ObjSpec] = 454;
   _jumpMap[303][Table] = 453;
   _jumpMap[303][TableList] = 452;
   _jumpMap[303][JoinSpecList] = 451;
   _jumpMap[303][TableSource] = 450;
}
void Cego::loadParser227()
{
   _actionMap[304][PLUS] = ActionEntry(SHIFT, 234);
   _actionMap[304][MINUS] = ActionEntry(SHIFT, 233);
   _actionMap[304][CONCAT] = ActionEntry(SHIFT, 232);
   _actionMap[304][FROM] = ActionEntry(REDUCE, 228);
   _actionMap[304][AS] = ActionEntry(SHIFT, 457);
   _actionMap[304][KSEP] = ActionEntry(REDUCE, 228);
   _jumpMap[304][NoAliasOpt] = 456;
   _jumpMap[304][AliasOpt] = 455;
   _actionMap[305][KSEP] = ActionEntry(SHIFT, 458);
   _actionMap[305][FROM] = ActionEntry(REDUCE, 207);
   _actionMap[306][FROM] = ActionEntry(REDUCE, 210);
   _actionMap[306][KSEP] = ActionEntry(REDUCE, 210);
   _actionMap[307][ON] = ActionEntry(SHIFT, 460);
   _actionMap[307][OFF] = ActionEntry(SHIFT, 459);
   _actionMap[308][SEMICOLON] = ActionEntry(REDUCE, 35);
   _actionMap[309][SEMICOLON] = ActionEntry(REDUCE, 34);
   _actionMap[310][SEMICOLON] = ActionEntry(REDUCE, 37);
   _actionMap[311][SEMICOLON] = ActionEntry(REDUCE, 36);
   _actionMap[312][TO] = ActionEntry(SHIFT, 461);
   _actionMap[313][SEMICOLON] = ActionEntry(REDUCE, 38);
   _actionMap[314][SEMICOLON] = ActionEntry(REDUCE, 29);
   _actionMap[315][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[315][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[315][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[315][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[315][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[315][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[315][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[315][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[315][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[315][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[315][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[315][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[315][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[315][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[315][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[315][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[315][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[315][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[315][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[315][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[315][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[315][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[315][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[315][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[315][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[315][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[315][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[315][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[315][BITOR] = ActionEntry(SHIFT, 106);
}
void Cego::loadParser228()
{
   _actionMap[315][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[315][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[315][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[315][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[315][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[315][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[315][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[315][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[315][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[315][LB] = ActionEntry(SHIFT, 150);
   _actionMap[315][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[315][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[315][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[315][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[315][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[315][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[315][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[315][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[315][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[315][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[315][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[315][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[315][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[315][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[315][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[315][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[315][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[315][ObjSpec] = 102;
   _jumpMap[315][Constant] = 101;
   _jumpMap[315][SignedFloat] = 100;
   _jumpMap[315][SignedInt] = 99;
   _jumpMap[315][Attribute] = 98;
   _jumpMap[315][Function] = 97;
   _jumpMap[315][CasePrepare] = 96;
   _jumpMap[315][CaseClause] = 95;
   _jumpMap[315][Factor] = 94;
   _jumpMap[315][Term] = 93;
   _jumpMap[315][Expr] = 462;
   _actionMap[316][SEMICOLON] = ActionEntry(REDUCE, 28);
   _actionMap[317][SEMICOLON] = ActionEntry(REDUCE, 26);
   _actionMap[318][SEMICOLON] = ActionEntry(REDUCE, 27);
   _actionMap[319][SET] = ActionEntry(SHIFT, 320);
   _actionMap[320][IDENTIFIER] = ActionEntry(SHIFT, 465);
   _jumpMap[320][Assignment] = 464;
   _jumpMap[320][UpdateList] = 463;
   _actionMap[321][SET] = ActionEntry(REDUCE, 261);
   _actionMap[321][WHERE] = ActionEntry(REDUCE, 261);
   _actionMap[321][GROUP] = ActionEntry(REDUCE, 261);
   _actionMap[321][ORDER] = ActionEntry(REDUCE, 261);
   _actionMap[321][ROWLIMIT] = ActionEntry(REDUCE, 261);
}
void Cego::loadParser229()
{
   _actionMap[321][UNION] = ActionEntry(REDUCE, 261);
   _actionMap[321][ENDTOKEN] = ActionEntry(REDUCE, 261);
   _actionMap[321][RB] = ActionEntry(REDUCE, 261);
   _actionMap[321][SEMICOLON] = ActionEntry(REDUCE, 261);
   _actionMap[321][RETURNTOKEN] = ActionEntry(REDUCE, 261);
   _actionMap[322][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[322][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[322][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[322][ObjSpec] = 466;
   _actionMap[39][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[39][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[39][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[39][ObjSpec] = 187;
   _actionMap[40][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[40][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[40][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[40][ObjSpec] = 188;
   _actionMap[41][CACHE] = ActionEntry(REDUCE, 189);
   _actionMap[41][FOR] = ActionEntry(REDUCE, 189);
   _actionMap[41][SEMICOLON] = ActionEntry(REDUCE, 189);
   _actionMap[41][QUALIFIEDOBJ] = ActionEntry(REDUCE, 189);
   _actionMap[41][QUALIFIEDTS] = ActionEntry(REDUCE, 189);
   _actionMap[41][ON] = ActionEntry(REDUCE, 189);
   _actionMap[41][IDENTIFIER] = ActionEntry(REDUCE, 189);
   _actionMap[42][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[42][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[42][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[42][ObjSpec] = 189;
   _actionMap[43][IDENTIFIER] = ActionEntry(SHIFT, 191);
   _jumpMap[43][CounterId] = 190;
   _actionMap[44][KEY] = ActionEntry(SHIFT, 192);
   _actionMap[45][CACHE] = ActionEntry(REDUCE, 190);
   _actionMap[45][FOR] = ActionEntry(REDUCE, 190);
   _actionMap[45][SEMICOLON] = ActionEntry(REDUCE, 190);
   _actionMap[45][QUALIFIEDOBJ] = ActionEntry(REDUCE, 190);
   _actionMap[45][QUALIFIEDTS] = ActionEntry(REDUCE, 190);
   _actionMap[45][ON] = ActionEntry(REDUCE, 190);
   _actionMap[45][IDENTIFIER] = ActionEntry(REDUCE, 190);
   _actionMap[46][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[46][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[46][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[46][ObjSpec] = 193;
   _actionMap[47][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[47][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[47][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[47][ObjSpec] = 194;
   _actionMap[48][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[48][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[48][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[48][ObjSpec] = 195;
}
void Cego::loadParser230()
{
   _actionMap[49][ENDTOKEN] = ActionEntry(ACCEPT, 0);
   _actionMap[50][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[50][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[50][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[50][ObjSpec] = 196;
   _actionMap[51][IDENTIFIED] = ActionEntry(SHIFT, 197);
   _actionMap[52][LB] = ActionEntry(SHIFT, 198);
   _actionMap[53][TO] = ActionEntry(REDUCE, 376);
   _actionMap[53][VALUES] = ActionEntry(REDUCE, 376);
   _actionMap[53][SELECT] = ActionEntry(REDUCE, 376);
   _actionMap[53][SET] = ActionEntry(REDUCE, 376);
   _actionMap[53][AS] = ActionEntry(REDUCE, 376);
   _actionMap[53][DROP] = ActionEntry(REDUCE, 376);
   _actionMap[53][MODIFY] = ActionEntry(REDUCE, 376);
   _actionMap[53][RENAME] = ActionEntry(REDUCE, 376);
   _actionMap[53][ADD] = ActionEntry(REDUCE, 376);
   _actionMap[53][JOIN] = ActionEntry(REDUCE, 376);
   _actionMap[53][INNER] = ActionEntry(REDUCE, 376);
   _actionMap[53][RIGHT] = ActionEntry(REDUCE, 376);
   _actionMap[53][LEFT] = ActionEntry(REDUCE, 376);
   _actionMap[53][KSEP] = ActionEntry(REDUCE, 376);
   _actionMap[53][RETURNTOKEN] = ActionEntry(REDUCE, 376);
   _actionMap[53][SEMICOLON] = ActionEntry(REDUCE, 376);
   _actionMap[53][RB] = ActionEntry(REDUCE, 376);
   _actionMap[53][ENDTOKEN] = ActionEntry(REDUCE, 376);
   _actionMap[53][UNION] = ActionEntry(REDUCE, 376);
   _actionMap[53][ROWLIMIT] = ActionEntry(REDUCE, 376);
   _actionMap[53][ORDER] = ActionEntry(REDUCE, 376);
   _actionMap[53][GROUP] = ActionEntry(REDUCE, 376);
   _actionMap[53][WHERE] = ActionEntry(REDUCE, 376);
   _actionMap[53][LB] = ActionEntry(REDUCE, 376);
   _actionMap[53][IDENTIFIER] = ActionEntry(REDUCE, 376);
   _actionMap[53][ON] = ActionEntry(REDUCE, 376);
   _actionMap[54][TO] = ActionEntry(REDUCE, 377);
   _actionMap[54][VALUES] = ActionEntry(REDUCE, 377);
   _actionMap[54][SELECT] = ActionEntry(REDUCE, 377);
   _actionMap[54][SET] = ActionEntry(REDUCE, 377);
   _actionMap[54][AS] = ActionEntry(REDUCE, 377);
   _actionMap[54][DROP] = ActionEntry(REDUCE, 377);
   _actionMap[54][MODIFY] = ActionEntry(REDUCE, 377);
   _actionMap[54][RENAME] = ActionEntry(REDUCE, 377);
   _actionMap[54][ADD] = ActionEntry(REDUCE, 377);
   _actionMap[54][JOIN] = ActionEntry(REDUCE, 377);
   _actionMap[54][INNER] = ActionEntry(REDUCE, 377);
   _actionMap[54][RIGHT] = ActionEntry(REDUCE, 377);
   _actionMap[54][LEFT] = ActionEntry(REDUCE, 377);
   _actionMap[54][KSEP] = ActionEntry(REDUCE, 377);
   _actionMap[54][RETURNTOKEN] = ActionEntry(REDUCE, 377);
   _actionMap[54][SEMICOLON] = ActionEntry(REDUCE, 377);
   _actionMap[54][RB] = ActionEntry(REDUCE, 377);
}
void Cego::loadParser231()
{
   _actionMap[54][ENDTOKEN] = ActionEntry(REDUCE, 377);
   _actionMap[54][UNION] = ActionEntry(REDUCE, 377);
   _actionMap[54][ROWLIMIT] = ActionEntry(REDUCE, 377);
   _actionMap[54][ORDER] = ActionEntry(REDUCE, 377);
   _actionMap[54][GROUP] = ActionEntry(REDUCE, 377);
   _actionMap[54][WHERE] = ActionEntry(REDUCE, 377);
   _actionMap[54][LB] = ActionEntry(REDUCE, 377);
   _actionMap[54][IDENTIFIER] = ActionEntry(REDUCE, 377);
   _actionMap[54][ON] = ActionEntry(REDUCE, 377);
   _actionMap[55][TO] = ActionEntry(REDUCE, 378);
   _actionMap[55][VALUES] = ActionEntry(REDUCE, 378);
   _actionMap[55][SELECT] = ActionEntry(REDUCE, 378);
   _actionMap[55][SET] = ActionEntry(REDUCE, 378);
   _actionMap[55][AS] = ActionEntry(REDUCE, 378);
   _actionMap[55][DROP] = ActionEntry(REDUCE, 378);
   _actionMap[55][MODIFY] = ActionEntry(REDUCE, 378);
   _actionMap[55][RENAME] = ActionEntry(REDUCE, 378);
   _actionMap[55][ADD] = ActionEntry(REDUCE, 378);
   _actionMap[55][JOIN] = ActionEntry(REDUCE, 378);
   _actionMap[55][INNER] = ActionEntry(REDUCE, 378);
   _actionMap[55][RIGHT] = ActionEntry(REDUCE, 378);
   _actionMap[55][LEFT] = ActionEntry(REDUCE, 378);
   _actionMap[55][KSEP] = ActionEntry(REDUCE, 378);
   _actionMap[55][RETURNTOKEN] = ActionEntry(REDUCE, 378);
   _actionMap[55][SEMICOLON] = ActionEntry(REDUCE, 378);
   _actionMap[55][RB] = ActionEntry(REDUCE, 378);
   _actionMap[55][ENDTOKEN] = ActionEntry(REDUCE, 378);
   _actionMap[55][UNION] = ActionEntry(REDUCE, 378);
   _actionMap[55][ROWLIMIT] = ActionEntry(REDUCE, 378);
   _actionMap[55][ORDER] = ActionEntry(REDUCE, 378);
   _actionMap[55][GROUP] = ActionEntry(REDUCE, 378);
   _actionMap[55][WHERE] = ActionEntry(REDUCE, 378);
   _actionMap[55][IDENTIFIER] = ActionEntry(REDUCE, 378);
   _actionMap[55][ON] = ActionEntry(REDUCE, 378);
   _actionMap[55][LB] = ActionEntry(REDUCE, 378);
   _actionMap[56][IDENTIFIER] = ActionEntry(SHIFT, 199);
   _actionMap[57][BEGIN] = ActionEntry(SHIFT, 200);
   _actionMap[58][SEMICOLON] = ActionEntry(REDUCE, 52);
   _actionMap[59][BTREE] = ActionEntry(SHIFT, 41);
   _actionMap[59][INDEX] = ActionEntry(SHIFT, 45);
   _actionMap[59][AVLTREE] = ActionEntry(SHIFT, 203);
   _jumpMap[59][BtreeType] = 202;
   _jumpMap[59][IndexType] = 201;
   _actionMap[60][IDENTIFIER] = ActionEntry(SHIFT, 191);
   _jumpMap[60][CounterId] = 204;
   _actionMap[61][BTREE] = ActionEntry(SHIFT, 41);
   _actionMap[61][INDEX] = ActionEntry(SHIFT, 45);
   _actionMap[61][AVLTREE] = ActionEntry(SHIFT, 203);
   _jumpMap[61][BtreeType] = 202;
   _jumpMap[61][IndexType] = 205;
}
void Cego::loadParser232()
{
   _actionMap[62][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[62][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[62][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[62][ObjSpec] = 206;
   _actionMap[63][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[63][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[63][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[63][ObjSpec] = 207;
   _actionMap[64][AVLTREE] = ActionEntry(REDUCE, 185);
   _actionMap[64][BTREE] = ActionEntry(REDUCE, 185);
   _actionMap[64][INDEX] = ActionEntry(REDUCE, 185);
   _actionMap[65][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[65][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[65][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[65][ObjSpec] = 208;
   _actionMap[66][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[66][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[66][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[66][ObjSpec] = 209;
   _actionMap[67][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[67][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[67][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[67][ObjSpec] = 210;
   _actionMap[68][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[68][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[68][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[68][ObjSpec] = 211;
   _actionMap[69][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[69][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[69][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[69][ObjSpec] = 212;
   _actionMap[70][KEY] = ActionEntry(SHIFT, 213);
   _actionMap[71][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[71][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[71][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[71][ObjSpec] = 214;
   _actionMap[72][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[72][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[72][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[72][ObjSpec] = 215;
   _actionMap[73][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[73][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[73][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[73][ObjSpec] = 216;
   _actionMap[74][EXISTS] = ActionEntry(SHIFT, 217);
   _actionMap[75][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[75][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[75][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[75][ObjSpec] = 218;
   _actionMap[76][IDENTIFIER] = ActionEntry(SHIFT, 219);
}
void Cego::loadParser233()
{
   _actionMap[76][SEMICOLON] = ActionEntry(REDUCE, 77);
   _actionMap[77][IDENTIFIER] = ActionEntry(REDUCE, 79);
   _actionMap[77][SEMICOLON] = ActionEntry(REDUCE, 79);
   _actionMap[78][FOR] = ActionEntry(SHIFT, 221);
   _actionMap[78][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[78][TableSetOpt] = 220;
   _actionMap[79][FOR] = ActionEntry(SHIFT, 221);
   _actionMap[79][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[79][TableSetOpt] = 222;
   _actionMap[80][FOR] = ActionEntry(SHIFT, 221);
   _actionMap[80][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[80][TableSetOpt] = 223;
   _actionMap[81][FOR] = ActionEntry(SHIFT, 221);
   _actionMap[81][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[81][TableSetOpt] = 224;
   _actionMap[82][FOR] = ActionEntry(SHIFT, 221);
   _actionMap[82][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[82][TableSetOpt] = 225;
   _actionMap[83][FOR] = ActionEntry(SHIFT, 221);
   _actionMap[83][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[83][TableSetOpt] = 226;
   _actionMap[84][FOR] = ActionEntry(SHIFT, 221);
   _actionMap[84][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[84][TableSetOpt] = 227;
   _actionMap[85][FOR] = ActionEntry(SHIFT, 221);
   _actionMap[85][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[85][TableSetOpt] = 228;
   _actionMap[86][SEMICOLON] = ActionEntry(REDUCE, 2);
   _actionMap[87][FOR] = ActionEntry(SHIFT, 221);
   _actionMap[87][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[87][TableSetOpt] = 229;
   _actionMap[88][FOR] = ActionEntry(SHIFT, 221);
   _actionMap[88][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[88][TableSetOpt] = 230;
   _actionMap[89][SEMICOLON] = ActionEntry(REDUCE, 53);
   _actionMap[90][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[90][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[90][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[90][ObjSpec] = 231;
   _actionMap[91][SEMICOLON] = ActionEntry(REDUCE, 44);
   _actionMap[92][PLUS] = ActionEntry(SHIFT, 234);
   _actionMap[92][MINUS] = ActionEntry(SHIFT, 233);
   _actionMap[92][CONCAT] = ActionEntry(SHIFT, 232);
   _actionMap[92][SEMICOLON] = ActionEntry(REDUCE, 71);
   _actionMap[93][STAR] = ActionEntry(SHIFT, 235);
   _actionMap[93][DIVISION] = ActionEntry(SHIFT, 236);
   _actionMap[93][WHEN] = ActionEntry(REDUCE, 144);
   _actionMap[93][ELSE] = ActionEntry(REDUCE, 144);
   _actionMap[93][LEFT] = ActionEntry(REDUCE, 144);
   _actionMap[93][RIGHT] = ActionEntry(REDUCE, 144);
}
void Cego::loadParser234()
{
   _actionMap[93][INNER] = ActionEntry(REDUCE, 144);
   _actionMap[93][JOIN] = ActionEntry(REDUCE, 144);
   _actionMap[93][RETURNTOKEN] = ActionEntry(REDUCE, 144);
   _actionMap[93][ORDER] = ActionEntry(REDUCE, 144);
   _actionMap[93][GROUP] = ActionEntry(REDUCE, 144);
   _actionMap[93][WHERE] = ActionEntry(REDUCE, 144);
   _actionMap[93][BEGIN] = ActionEntry(REDUCE, 144);
   _actionMap[93][THEN] = ActionEntry(REDUCE, 144);
   _actionMap[93][OR] = ActionEntry(REDUCE, 144);
   _actionMap[93][AS] = ActionEntry(REDUCE, 144);
   _actionMap[93][FROM] = ActionEntry(REDUCE, 144);
   _actionMap[93][END_TOKEN] = ActionEntry(REDUCE, 144);
   _actionMap[93][AND] = ActionEntry(REDUCE, 144);
   _actionMap[93][LIKE] = ActionEntry(REDUCE, 144);
   _actionMap[93][IS] = ActionEntry(REDUCE, 144);
   _actionMap[93][BETWEEN] = ActionEntry(REDUCE, 144);
   _actionMap[93][NOT] = ActionEntry(REDUCE, 144);
   _actionMap[93][INTOK] = ActionEntry(REDUCE, 144);
   _actionMap[93][EQU] = ActionEntry(REDUCE, 144);
   _actionMap[93][NEGATION] = ActionEntry(REDUCE, 144);
   _actionMap[93][LT] = ActionEntry(REDUCE, 144);
   _actionMap[93][MT] = ActionEntry(REDUCE, 144);
   _actionMap[93][DESC] = ActionEntry(REDUCE, 144);
   _actionMap[93][ASC] = ActionEntry(REDUCE, 144);
   _actionMap[93][KSEP] = ActionEntry(REDUCE, 144);
   _actionMap[93][ROWLIMIT] = ActionEntry(REDUCE, 144);
   _actionMap[93][UNION] = ActionEntry(REDUCE, 144);
   _actionMap[93][ENDTOKEN] = ActionEntry(REDUCE, 144);
   _actionMap[93][RB] = ActionEntry(REDUCE, 144);
   _actionMap[93][SEMICOLON] = ActionEntry(REDUCE, 144);
   _actionMap[93][CONCAT] = ActionEntry(REDUCE, 144);
   _actionMap[93][MINUS] = ActionEntry(REDUCE, 144);
   _actionMap[93][PLUS] = ActionEntry(REDUCE, 144);
   _actionMap[94][WHEN] = ActionEntry(REDUCE, 148);
   _actionMap[94][ELSE] = ActionEntry(REDUCE, 148);
   _actionMap[94][LEFT] = ActionEntry(REDUCE, 148);
   _actionMap[94][RIGHT] = ActionEntry(REDUCE, 148);
   _actionMap[94][INNER] = ActionEntry(REDUCE, 148);
   _actionMap[94][JOIN] = ActionEntry(REDUCE, 148);
   _actionMap[94][RETURNTOKEN] = ActionEntry(REDUCE, 148);
   _actionMap[94][ORDER] = ActionEntry(REDUCE, 148);
   _actionMap[94][GROUP] = ActionEntry(REDUCE, 148);
   _actionMap[94][WHERE] = ActionEntry(REDUCE, 148);
   _actionMap[94][BEGIN] = ActionEntry(REDUCE, 148);
   _actionMap[94][THEN] = ActionEntry(REDUCE, 148);
   _actionMap[94][OR] = ActionEntry(REDUCE, 148);
   _actionMap[94][FROM] = ActionEntry(REDUCE, 148);
   _actionMap[94][AS] = ActionEntry(REDUCE, 148);
   _actionMap[94][END_TOKEN] = ActionEntry(REDUCE, 148);
   _actionMap[94][AND] = ActionEntry(REDUCE, 148);
}
void Cego::loadParser235()
{
   _actionMap[94][INTOK] = ActionEntry(REDUCE, 148);
   _actionMap[94][NOT] = ActionEntry(REDUCE, 148);
   _actionMap[94][BETWEEN] = ActionEntry(REDUCE, 148);
   _actionMap[94][IS] = ActionEntry(REDUCE, 148);
   _actionMap[94][LIKE] = ActionEntry(REDUCE, 148);
   _actionMap[94][MT] = ActionEntry(REDUCE, 148);
   _actionMap[94][LT] = ActionEntry(REDUCE, 148);
   _actionMap[94][NEGATION] = ActionEntry(REDUCE, 148);
   _actionMap[94][EQU] = ActionEntry(REDUCE, 148);
   _actionMap[94][RB] = ActionEntry(REDUCE, 148);
   _actionMap[94][ENDTOKEN] = ActionEntry(REDUCE, 148);
   _actionMap[94][UNION] = ActionEntry(REDUCE, 148);
   _actionMap[94][ROWLIMIT] = ActionEntry(REDUCE, 148);
   _actionMap[94][KSEP] = ActionEntry(REDUCE, 148);
   _actionMap[94][ASC] = ActionEntry(REDUCE, 148);
   _actionMap[94][DESC] = ActionEntry(REDUCE, 148);
   _actionMap[94][SEMICOLON] = ActionEntry(REDUCE, 148);
   _actionMap[94][PLUS] = ActionEntry(REDUCE, 148);
   _actionMap[94][MINUS] = ActionEntry(REDUCE, 148);
   _actionMap[94][DIVISION] = ActionEntry(REDUCE, 148);
   _actionMap[94][STAR] = ActionEntry(REDUCE, 148);
   _actionMap[94][CONCAT] = ActionEntry(REDUCE, 148);
   _actionMap[95][WHEN] = ActionEntry(REDUCE, 156);
   _actionMap[95][ELSE] = ActionEntry(REDUCE, 156);
   _actionMap[95][LEFT] = ActionEntry(REDUCE, 156);
   _actionMap[95][RIGHT] = ActionEntry(REDUCE, 156);
   _actionMap[95][INNER] = ActionEntry(REDUCE, 156);
   _actionMap[95][JOIN] = ActionEntry(REDUCE, 156);
   _actionMap[95][RETURNTOKEN] = ActionEntry(REDUCE, 156);
   _actionMap[95][ORDER] = ActionEntry(REDUCE, 156);
   _actionMap[95][GROUP] = ActionEntry(REDUCE, 156);
   _actionMap[95][WHERE] = ActionEntry(REDUCE, 156);
   _actionMap[95][BEGIN] = ActionEntry(REDUCE, 156);
   _actionMap[95][THEN] = ActionEntry(REDUCE, 156);
   _actionMap[95][OR] = ActionEntry(REDUCE, 156);
   _actionMap[95][AS] = ActionEntry(REDUCE, 156);
   _actionMap[95][FROM] = ActionEntry(REDUCE, 156);
   _actionMap[95][END_TOKEN] = ActionEntry(REDUCE, 156);
   _actionMap[95][AND] = ActionEntry(REDUCE, 156);
   _actionMap[95][LIKE] = ActionEntry(REDUCE, 156);
   _actionMap[95][IS] = ActionEntry(REDUCE, 156);
   _actionMap[95][BETWEEN] = ActionEntry(REDUCE, 156);
   _actionMap[95][NOT] = ActionEntry(REDUCE, 156);
   _actionMap[95][INTOK] = ActionEntry(REDUCE, 156);
   _actionMap[95][EQU] = ActionEntry(REDUCE, 156);
   _actionMap[95][NEGATION] = ActionEntry(REDUCE, 156);
   _actionMap[95][LT] = ActionEntry(REDUCE, 156);
   _actionMap[95][MT] = ActionEntry(REDUCE, 156);
   _actionMap[95][DESC] = ActionEntry(REDUCE, 156);
   _actionMap[95][ASC] = ActionEntry(REDUCE, 156);
}
void Cego::loadParser236()
{
   _actionMap[95][KSEP] = ActionEntry(REDUCE, 156);
   _actionMap[95][ROWLIMIT] = ActionEntry(REDUCE, 156);
   _actionMap[95][UNION] = ActionEntry(REDUCE, 156);
   _actionMap[95][ENDTOKEN] = ActionEntry(REDUCE, 156);
   _actionMap[95][RB] = ActionEntry(REDUCE, 156);
   _actionMap[95][SEMICOLON] = ActionEntry(REDUCE, 156);
   _actionMap[95][CONCAT] = ActionEntry(REDUCE, 156);
   _actionMap[95][STAR] = ActionEntry(REDUCE, 156);
   _actionMap[95][DIVISION] = ActionEntry(REDUCE, 156);
   _actionMap[95][MINUS] = ActionEntry(REDUCE, 156);
   _actionMap[95][PLUS] = ActionEntry(REDUCE, 156);
   _actionMap[96][WHEN] = ActionEntry(SHIFT, 239);
   _jumpMap[96][CaseCondition] = 238;
   _jumpMap[96][CaseConditionList] = 237;
   _actionMap[97][WHEN] = ActionEntry(REDUCE, 153);
   _actionMap[97][ELSE] = ActionEntry(REDUCE, 153);
   _actionMap[97][LEFT] = ActionEntry(REDUCE, 153);
   _actionMap[97][RIGHT] = ActionEntry(REDUCE, 153);
   _actionMap[97][INNER] = ActionEntry(REDUCE, 153);
   _actionMap[97][JOIN] = ActionEntry(REDUCE, 153);
   _actionMap[97][RETURNTOKEN] = ActionEntry(REDUCE, 153);
   _actionMap[97][ORDER] = ActionEntry(REDUCE, 153);
   _actionMap[97][GROUP] = ActionEntry(REDUCE, 153);
   _actionMap[97][WHERE] = ActionEntry(REDUCE, 153);
   _actionMap[97][BEGIN] = ActionEntry(REDUCE, 153);
   _actionMap[97][THEN] = ActionEntry(REDUCE, 153);
   _actionMap[97][OR] = ActionEntry(REDUCE, 153);
   _actionMap[97][AS] = ActionEntry(REDUCE, 153);
   _actionMap[97][FROM] = ActionEntry(REDUCE, 153);
   _actionMap[97][END_TOKEN] = ActionEntry(REDUCE, 153);
   _actionMap[97][AND] = ActionEntry(REDUCE, 153);
   _actionMap[97][LIKE] = ActionEntry(REDUCE, 153);
   _actionMap[97][IS] = ActionEntry(REDUCE, 153);
   _actionMap[97][BETWEEN] = ActionEntry(REDUCE, 153);
   _actionMap[97][NOT] = ActionEntry(REDUCE, 153);
   _actionMap[97][INTOK] = ActionEntry(REDUCE, 153);
   _actionMap[97][EQU] = ActionEntry(REDUCE, 153);
   _actionMap[97][NEGATION] = ActionEntry(REDUCE, 153);
   _actionMap[97][LT] = ActionEntry(REDUCE, 153);
   _actionMap[97][MT] = ActionEntry(REDUCE, 153);
   _actionMap[97][DESC] = ActionEntry(REDUCE, 153);
   _actionMap[97][ASC] = ActionEntry(REDUCE, 153);
   _actionMap[97][KSEP] = ActionEntry(REDUCE, 153);
   _actionMap[97][ROWLIMIT] = ActionEntry(REDUCE, 153);
   _actionMap[97][UNION] = ActionEntry(REDUCE, 153);
   _actionMap[97][ENDTOKEN] = ActionEntry(REDUCE, 153);
   _actionMap[97][RB] = ActionEntry(REDUCE, 153);
   _actionMap[97][SEMICOLON] = ActionEntry(REDUCE, 153);
   _actionMap[97][CONCAT] = ActionEntry(REDUCE, 153);
   _actionMap[97][STAR] = ActionEntry(REDUCE, 153);
}
void Cego::loadParser237()
{
   _actionMap[97][DIVISION] = ActionEntry(REDUCE, 153);
   _actionMap[97][MINUS] = ActionEntry(REDUCE, 153);
   _actionMap[97][PLUS] = ActionEntry(REDUCE, 153);
   _actionMap[98][WHEN] = ActionEntry(REDUCE, 152);
   _actionMap[98][ELSE] = ActionEntry(REDUCE, 152);
   _actionMap[98][LEFT] = ActionEntry(REDUCE, 152);
   _actionMap[98][RIGHT] = ActionEntry(REDUCE, 152);
   _actionMap[98][INNER] = ActionEntry(REDUCE, 152);
   _actionMap[98][JOIN] = ActionEntry(REDUCE, 152);
   _actionMap[98][RETURNTOKEN] = ActionEntry(REDUCE, 152);
   _actionMap[98][ORDER] = ActionEntry(REDUCE, 152);
   _actionMap[98][GROUP] = ActionEntry(REDUCE, 152);
   _actionMap[98][WHERE] = ActionEntry(REDUCE, 152);
   _actionMap[98][AS] = ActionEntry(REDUCE, 152);
   _actionMap[98][FROM] = ActionEntry(REDUCE, 152);
   _actionMap[98][END_TOKEN] = ActionEntry(REDUCE, 152);
   _actionMap[98][BEGIN] = ActionEntry(REDUCE, 152);
   _actionMap[98][THEN] = ActionEntry(REDUCE, 152);
   _actionMap[98][OR] = ActionEntry(REDUCE, 152);
   _actionMap[98][AND] = ActionEntry(REDUCE, 152);
   _actionMap[98][LIKE] = ActionEntry(REDUCE, 152);
   _actionMap[98][IS] = ActionEntry(REDUCE, 152);
   _actionMap[98][BETWEEN] = ActionEntry(REDUCE, 152);
   _actionMap[98][NOT] = ActionEntry(REDUCE, 152);
   _actionMap[98][INTOK] = ActionEntry(REDUCE, 152);
   _actionMap[98][EQU] = ActionEntry(REDUCE, 152);
   _actionMap[98][NEGATION] = ActionEntry(REDUCE, 152);
   _actionMap[98][LT] = ActionEntry(REDUCE, 152);
   _actionMap[98][MT] = ActionEntry(REDUCE, 152);
   _actionMap[98][DESC] = ActionEntry(REDUCE, 152);
   _actionMap[98][ASC] = ActionEntry(REDUCE, 152);
   _actionMap[98][KSEP] = ActionEntry(REDUCE, 152);
   _actionMap[98][ROWLIMIT] = ActionEntry(REDUCE, 152);
   _actionMap[98][UNION] = ActionEntry(REDUCE, 152);
   _actionMap[98][ENDTOKEN] = ActionEntry(REDUCE, 152);
   _actionMap[98][RB] = ActionEntry(REDUCE, 152);
   _actionMap[98][SEMICOLON] = ActionEntry(REDUCE, 152);
   _actionMap[98][CONCAT] = ActionEntry(REDUCE, 152);
   _actionMap[98][STAR] = ActionEntry(REDUCE, 152);
   _actionMap[98][DIVISION] = ActionEntry(REDUCE, 152);
   _actionMap[98][MINUS] = ActionEntry(REDUCE, 152);
   _actionMap[98][PLUS] = ActionEntry(REDUCE, 152);
   _actionMap[99][WHEN] = ActionEntry(REDUCE, 357);
   _actionMap[99][ELSE] = ActionEntry(REDUCE, 357);
   _actionMap[99][LEFT] = ActionEntry(REDUCE, 357);
   _actionMap[99][RIGHT] = ActionEntry(REDUCE, 357);
   _actionMap[99][INNER] = ActionEntry(REDUCE, 357);
   _actionMap[99][JOIN] = ActionEntry(REDUCE, 357);
   _actionMap[99][RETURNTOKEN] = ActionEntry(REDUCE, 357);
   _actionMap[99][ORDER] = ActionEntry(REDUCE, 357);
}
void Cego::loadParser238()
{
   _actionMap[99][GROUP] = ActionEntry(REDUCE, 357);
   _actionMap[99][WHERE] = ActionEntry(REDUCE, 357);
   _actionMap[99][NULLTOKEN] = ActionEntry(REDUCE, 357);
   _actionMap[99][FROM] = ActionEntry(REDUCE, 357);
   _actionMap[99][AS] = ActionEntry(REDUCE, 357);
   _actionMap[99][END_TOKEN] = ActionEntry(REDUCE, 357);
   _actionMap[99][BEGIN] = ActionEntry(REDUCE, 357);
   _actionMap[99][THEN] = ActionEntry(REDUCE, 357);
   _actionMap[99][OR] = ActionEntry(REDUCE, 357);
   _actionMap[99][AND] = ActionEntry(REDUCE, 357);
   _actionMap[99][INTOK] = ActionEntry(REDUCE, 357);
   _actionMap[99][NOT] = ActionEntry(REDUCE, 357);
   _actionMap[99][BETWEEN] = ActionEntry(REDUCE, 357);
   _actionMap[99][IS] = ActionEntry(REDUCE, 357);
   _actionMap[99][LIKE] = ActionEntry(REDUCE, 357);
   _actionMap[99][MT] = ActionEntry(REDUCE, 357);
   _actionMap[99][LT] = ActionEntry(REDUCE, 357);
   _actionMap[99][NEGATION] = ActionEntry(REDUCE, 357);
   _actionMap[99][EQU] = ActionEntry(REDUCE, 357);
   _actionMap[99][RB] = ActionEntry(REDUCE, 357);
   _actionMap[99][ENDTOKEN] = ActionEntry(REDUCE, 357);
   _actionMap[99][UNION] = ActionEntry(REDUCE, 357);
   _actionMap[99][ROWLIMIT] = ActionEntry(REDUCE, 357);
   _actionMap[99][KSEP] = ActionEntry(REDUCE, 357);
   _actionMap[99][ASC] = ActionEntry(REDUCE, 357);
   _actionMap[99][DESC] = ActionEntry(REDUCE, 357);
   _actionMap[99][SEMICOLON] = ActionEntry(REDUCE, 357);
   _actionMap[99][PLUS] = ActionEntry(REDUCE, 357);
   _actionMap[99][MINUS] = ActionEntry(REDUCE, 357);
   _actionMap[99][DIVISION] = ActionEntry(REDUCE, 357);
   _actionMap[99][STAR] = ActionEntry(REDUCE, 357);
   _actionMap[99][CONCAT] = ActionEntry(REDUCE, 357);
   _actionMap[100][WHEN] = ActionEntry(REDUCE, 363);
   _actionMap[100][ELSE] = ActionEntry(REDUCE, 363);
   _actionMap[100][LEFT] = ActionEntry(REDUCE, 363);
   _actionMap[100][RIGHT] = ActionEntry(REDUCE, 363);
   _actionMap[100][INNER] = ActionEntry(REDUCE, 363);
   _actionMap[100][JOIN] = ActionEntry(REDUCE, 363);
   _actionMap[100][RETURNTOKEN] = ActionEntry(REDUCE, 363);
   _actionMap[100][ORDER] = ActionEntry(REDUCE, 363);
   _actionMap[100][GROUP] = ActionEntry(REDUCE, 363);
   _actionMap[100][WHERE] = ActionEntry(REDUCE, 363);
   _actionMap[100][NULLTOKEN] = ActionEntry(REDUCE, 363);
   _actionMap[100][FROM] = ActionEntry(REDUCE, 363);
   _actionMap[100][AS] = ActionEntry(REDUCE, 363);
   _actionMap[100][END_TOKEN] = ActionEntry(REDUCE, 363);
   _actionMap[100][BEGIN] = ActionEntry(REDUCE, 363);
   _actionMap[100][THEN] = ActionEntry(REDUCE, 363);
   _actionMap[100][OR] = ActionEntry(REDUCE, 363);
   _actionMap[100][AND] = ActionEntry(REDUCE, 363);
}
void Cego::loadParser239()
{
   _actionMap[100][INTOK] = ActionEntry(REDUCE, 363);
   _actionMap[100][NOT] = ActionEntry(REDUCE, 363);
   _actionMap[100][BETWEEN] = ActionEntry(REDUCE, 363);
   _actionMap[100][IS] = ActionEntry(REDUCE, 363);
   _actionMap[100][LIKE] = ActionEntry(REDUCE, 363);
   _actionMap[100][MT] = ActionEntry(REDUCE, 363);
   _actionMap[100][LT] = ActionEntry(REDUCE, 363);
   _actionMap[100][NEGATION] = ActionEntry(REDUCE, 363);
   _actionMap[100][EQU] = ActionEntry(REDUCE, 363);
   _actionMap[100][RB] = ActionEntry(REDUCE, 363);
   _actionMap[100][ENDTOKEN] = ActionEntry(REDUCE, 363);
   _actionMap[100][UNION] = ActionEntry(REDUCE, 363);
   _actionMap[100][ROWLIMIT] = ActionEntry(REDUCE, 363);
   _actionMap[100][KSEP] = ActionEntry(REDUCE, 363);
   _actionMap[100][ASC] = ActionEntry(REDUCE, 363);
   _actionMap[100][DESC] = ActionEntry(REDUCE, 363);
   _actionMap[100][SEMICOLON] = ActionEntry(REDUCE, 363);
   _actionMap[100][PLUS] = ActionEntry(REDUCE, 363);
   _actionMap[100][MINUS] = ActionEntry(REDUCE, 363);
   _actionMap[100][DIVISION] = ActionEntry(REDUCE, 363);
   _actionMap[100][STAR] = ActionEntry(REDUCE, 363);
   _actionMap[100][CONCAT] = ActionEntry(REDUCE, 363);
   _actionMap[101][WHEN] = ActionEntry(REDUCE, 150);
   _actionMap[101][ELSE] = ActionEntry(REDUCE, 150);
   _actionMap[101][LEFT] = ActionEntry(REDUCE, 150);
   _actionMap[101][RIGHT] = ActionEntry(REDUCE, 150);
   _actionMap[101][INNER] = ActionEntry(REDUCE, 150);
   _actionMap[101][JOIN] = ActionEntry(REDUCE, 150);
   _actionMap[101][RETURNTOKEN] = ActionEntry(REDUCE, 150);
   _actionMap[101][ORDER] = ActionEntry(REDUCE, 150);
   _actionMap[101][GROUP] = ActionEntry(REDUCE, 150);
   _actionMap[101][WHERE] = ActionEntry(REDUCE, 150);
   _actionMap[101][AS] = ActionEntry(REDUCE, 150);
   _actionMap[101][FROM] = ActionEntry(REDUCE, 150);
   _actionMap[101][END_TOKEN] = ActionEntry(REDUCE, 150);
   _actionMap[101][BEGIN] = ActionEntry(REDUCE, 150);
   _actionMap[101][THEN] = ActionEntry(REDUCE, 150);
   _actionMap[101][OR] = ActionEntry(REDUCE, 150);
   _actionMap[101][AND] = ActionEntry(REDUCE, 150);
   _actionMap[101][LIKE] = ActionEntry(REDUCE, 150);
   _actionMap[101][IS] = ActionEntry(REDUCE, 150);
   _actionMap[101][BETWEEN] = ActionEntry(REDUCE, 150);
   _actionMap[101][NOT] = ActionEntry(REDUCE, 150);
   _actionMap[101][INTOK] = ActionEntry(REDUCE, 150);
   _actionMap[101][EQU] = ActionEntry(REDUCE, 150);
   _actionMap[101][NEGATION] = ActionEntry(REDUCE, 150);
   _actionMap[101][LT] = ActionEntry(REDUCE, 150);
   _actionMap[101][MT] = ActionEntry(REDUCE, 150);
   _actionMap[101][DESC] = ActionEntry(REDUCE, 150);
   _actionMap[101][ASC] = ActionEntry(REDUCE, 150);
}
void Cego::loadParser240()
{
   _actionMap[101][KSEP] = ActionEntry(REDUCE, 150);
   _actionMap[101][ROWLIMIT] = ActionEntry(REDUCE, 150);
   _actionMap[101][UNION] = ActionEntry(REDUCE, 150);
   _actionMap[101][ENDTOKEN] = ActionEntry(REDUCE, 150);
   _actionMap[101][RB] = ActionEntry(REDUCE, 150);
   _actionMap[101][SEMICOLON] = ActionEntry(REDUCE, 150);
   _actionMap[101][CONCAT] = ActionEntry(REDUCE, 150);
   _actionMap[101][STAR] = ActionEntry(REDUCE, 150);
   _actionMap[101][DIVISION] = ActionEntry(REDUCE, 150);
   _actionMap[101][MINUS] = ActionEntry(REDUCE, 150);
   _actionMap[101][PLUS] = ActionEntry(REDUCE, 150);
   _actionMap[102][LB] = ActionEntry(SHIFT, 240);
   _actionMap[103][WHEN] = ActionEntry(REDUCE, 362);
   _actionMap[103][ELSE] = ActionEntry(REDUCE, 362);
   _actionMap[103][LEFT] = ActionEntry(REDUCE, 362);
   _actionMap[103][RIGHT] = ActionEntry(REDUCE, 362);
   _actionMap[103][INNER] = ActionEntry(REDUCE, 362);
   _actionMap[103][JOIN] = ActionEntry(REDUCE, 362);
   _actionMap[103][RETURNTOKEN] = ActionEntry(REDUCE, 362);
   _actionMap[103][ORDER] = ActionEntry(REDUCE, 362);
   _actionMap[103][GROUP] = ActionEntry(REDUCE, 362);
   _actionMap[103][WHERE] = ActionEntry(REDUCE, 362);
   _actionMap[103][NULLTOKEN] = ActionEntry(REDUCE, 362);
   _actionMap[103][FROM] = ActionEntry(REDUCE, 362);
   _actionMap[103][AS] = ActionEntry(REDUCE, 362);
   _actionMap[103][END_TOKEN] = ActionEntry(REDUCE, 362);
   _actionMap[103][BEGIN] = ActionEntry(REDUCE, 362);
   _actionMap[103][THEN] = ActionEntry(REDUCE, 362);
   _actionMap[103][OR] = ActionEntry(REDUCE, 362);
   _actionMap[103][AND] = ActionEntry(REDUCE, 362);
   _actionMap[103][INTOK] = ActionEntry(REDUCE, 362);
   _actionMap[103][NOT] = ActionEntry(REDUCE, 362);
   _actionMap[103][BETWEEN] = ActionEntry(REDUCE, 362);
   _actionMap[103][IS] = ActionEntry(REDUCE, 362);
   _actionMap[103][LIKE] = ActionEntry(REDUCE, 362);
   _actionMap[103][MT] = ActionEntry(REDUCE, 362);
   _actionMap[103][LT] = ActionEntry(REDUCE, 362);
   _actionMap[103][NEGATION] = ActionEntry(REDUCE, 362);
   _actionMap[103][EQU] = ActionEntry(REDUCE, 362);
   _actionMap[103][RB] = ActionEntry(REDUCE, 362);
   _actionMap[103][ENDTOKEN] = ActionEntry(REDUCE, 362);
   _actionMap[103][UNION] = ActionEntry(REDUCE, 362);
   _actionMap[103][ROWLIMIT] = ActionEntry(REDUCE, 362);
   _actionMap[103][KSEP] = ActionEntry(REDUCE, 362);
   _actionMap[103][ASC] = ActionEntry(REDUCE, 362);
   _actionMap[103][DESC] = ActionEntry(REDUCE, 362);
   _actionMap[103][SEMICOLON] = ActionEntry(REDUCE, 362);
   _actionMap[103][PLUS] = ActionEntry(REDUCE, 362);
   _actionMap[103][MINUS] = ActionEntry(REDUCE, 362);
   _actionMap[103][DIVISION] = ActionEntry(REDUCE, 362);
}
void Cego::loadParser241()
{
   _actionMap[103][STAR] = ActionEntry(REDUCE, 362);
   _actionMap[103][CONCAT] = ActionEntry(REDUCE, 362);
   _actionMap[104][LB] = ActionEntry(SHIFT, 241);
   _actionMap[105][LB] = ActionEntry(SHIFT, 242);
   _actionMap[106][LB] = ActionEntry(SHIFT, 243);
   _actionMap[107][LB] = ActionEntry(SHIFT, 244);
   _actionMap[108][LAB] = ActionEntry(SHIFT, 245);
   _actionMap[109][LB] = ActionEntry(SHIFT, 246);
   _actionMap[110][WHEN] = ActionEntry(REDUCE, 167);
   _actionMap[111][LAB] = ActionEntry(SHIFT, 247);
   _actionMap[112][LB] = ActionEntry(SHIFT, 248);
   _actionMap[113][LB] = ActionEntry(SHIFT, 249);
   _actionMap[114][LB] = ActionEntry(SHIFT, 250);
   _actionMap[115][LB] = ActionEntry(SHIFT, 251);
   _actionMap[116][LB] = ActionEntry(SHIFT, 252);
   _actionMap[117][LB] = ActionEntry(SHIFT, 253);
   _actionMap[118][LB] = ActionEntry(SHIFT, 254);
   _actionMap[119][WHEN] = ActionEntry(REDUCE, 371);
   _actionMap[119][ELSE] = ActionEntry(REDUCE, 371);
   _actionMap[119][LEFT] = ActionEntry(REDUCE, 371);
   _actionMap[119][RIGHT] = ActionEntry(REDUCE, 371);
   _actionMap[119][INNER] = ActionEntry(REDUCE, 371);
   _actionMap[119][JOIN] = ActionEntry(REDUCE, 371);
   _actionMap[119][RETURNTOKEN] = ActionEntry(REDUCE, 371);
   _actionMap[119][ORDER] = ActionEntry(REDUCE, 371);
   _actionMap[119][GROUP] = ActionEntry(REDUCE, 371);
   _actionMap[119][WHERE] = ActionEntry(REDUCE, 371);
   _actionMap[119][FROM] = ActionEntry(REDUCE, 371);
   _actionMap[119][AS] = ActionEntry(REDUCE, 371);
   _actionMap[119][END_TOKEN] = ActionEntry(REDUCE, 371);
   _actionMap[119][BEGIN] = ActionEntry(REDUCE, 371);
   _actionMap[119][THEN] = ActionEntry(REDUCE, 371);
   _actionMap[119][OR] = ActionEntry(REDUCE, 371);
   _actionMap[119][AND] = ActionEntry(REDUCE, 371);
   _actionMap[119][NULLTOKEN] = ActionEntry(REDUCE, 371);
   _actionMap[119][INTOK] = ActionEntry(REDUCE, 371);
   _actionMap[119][NOT] = ActionEntry(REDUCE, 371);
   _actionMap[119][BETWEEN] = ActionEntry(REDUCE, 371);
   _actionMap[119][IS] = ActionEntry(REDUCE, 371);
   _actionMap[119][LIKE] = ActionEntry(REDUCE, 371);
   _actionMap[119][MT] = ActionEntry(REDUCE, 371);
   _actionMap[119][LT] = ActionEntry(REDUCE, 371);
   _actionMap[119][NEGATION] = ActionEntry(REDUCE, 371);
   _actionMap[119][EQU] = ActionEntry(REDUCE, 371);
   _actionMap[119][RB] = ActionEntry(REDUCE, 371);
   _actionMap[119][ENDTOKEN] = ActionEntry(REDUCE, 371);
   _actionMap[119][UNION] = ActionEntry(REDUCE, 371);
   _actionMap[119][ROWLIMIT] = ActionEntry(REDUCE, 371);
   _actionMap[119][KSEP] = ActionEntry(REDUCE, 371);
   _actionMap[119][ASC] = ActionEntry(REDUCE, 371);
}
void Cego::loadParser242()
{
   _actionMap[119][DESC] = ActionEntry(REDUCE, 371);
   _actionMap[119][SEMICOLON] = ActionEntry(REDUCE, 371);
   _actionMap[119][PLUS] = ActionEntry(REDUCE, 371);
   _actionMap[119][MINUS] = ActionEntry(REDUCE, 371);
   _actionMap[119][DIVISION] = ActionEntry(REDUCE, 371);
   _actionMap[119][STAR] = ActionEntry(REDUCE, 371);
   _actionMap[119][CONCAT] = ActionEntry(REDUCE, 371);
   _actionMap[120][IDENTIFIER] = ActionEntry(SHIFT, 255);
   _actionMap[121][LB] = ActionEntry(SHIFT, 256);
   _actionMap[122][LB] = ActionEntry(SHIFT, 257);
   _actionMap[123][LB] = ActionEntry(SHIFT, 258);
   _actionMap[124][LB] = ActionEntry(SHIFT, 259);
   _actionMap[125][LB] = ActionEntry(SHIFT, 260);
   _actionMap[126][LB] = ActionEntry(SHIFT, 261);
   _actionMap[127][LB] = ActionEntry(SHIFT, 262);
   _actionMap[128][LB] = ActionEntry(SHIFT, 263);
   _actionMap[129][LB] = ActionEntry(SHIFT, 264);
   _actionMap[130][LB] = ActionEntry(SHIFT, 265);
   _actionMap[131][WHEN] = ActionEntry(REDUCE, 369);
   _actionMap[131][ELSE] = ActionEntry(REDUCE, 369);
   _actionMap[131][LEFT] = ActionEntry(REDUCE, 369);
   _actionMap[131][RIGHT] = ActionEntry(REDUCE, 369);
   _actionMap[131][INNER] = ActionEntry(REDUCE, 369);
   _actionMap[131][JOIN] = ActionEntry(REDUCE, 369);
   _actionMap[131][RETURNTOKEN] = ActionEntry(REDUCE, 369);
   _actionMap[131][ORDER] = ActionEntry(REDUCE, 369);
   _actionMap[131][GROUP] = ActionEntry(REDUCE, 369);
   _actionMap[131][WHERE] = ActionEntry(REDUCE, 369);
   _actionMap[131][FROM] = ActionEntry(REDUCE, 369);
   _actionMap[131][AS] = ActionEntry(REDUCE, 369);
   _actionMap[131][END_TOKEN] = ActionEntry(REDUCE, 369);
   _actionMap[131][BEGIN] = ActionEntry(REDUCE, 369);
   _actionMap[131][THEN] = ActionEntry(REDUCE, 369);
   _actionMap[131][OR] = ActionEntry(REDUCE, 369);
   _actionMap[131][AND] = ActionEntry(REDUCE, 369);
   _actionMap[131][NULLTOKEN] = ActionEntry(REDUCE, 369);
   _actionMap[131][INTOK] = ActionEntry(REDUCE, 369);
   _actionMap[131][NOT] = ActionEntry(REDUCE, 369);
   _actionMap[131][BETWEEN] = ActionEntry(REDUCE, 369);
   _actionMap[131][IS] = ActionEntry(REDUCE, 369);
   _actionMap[131][LIKE] = ActionEntry(REDUCE, 369);
   _actionMap[131][MT] = ActionEntry(REDUCE, 369);
   _actionMap[131][LT] = ActionEntry(REDUCE, 369);
   _actionMap[131][NEGATION] = ActionEntry(REDUCE, 369);
   _actionMap[131][EQU] = ActionEntry(REDUCE, 369);
   _actionMap[131][RB] = ActionEntry(REDUCE, 369);
   _actionMap[131][ENDTOKEN] = ActionEntry(REDUCE, 369);
   _actionMap[131][UNION] = ActionEntry(REDUCE, 369);
   _actionMap[131][ROWLIMIT] = ActionEntry(REDUCE, 369);
   _actionMap[131][KSEP] = ActionEntry(REDUCE, 369);
}
void Cego::loadParser243()
{
   _actionMap[131][ASC] = ActionEntry(REDUCE, 369);
   _actionMap[131][DESC] = ActionEntry(REDUCE, 369);
   _actionMap[131][SEMICOLON] = ActionEntry(REDUCE, 369);
   _actionMap[131][PLUS] = ActionEntry(REDUCE, 369);
   _actionMap[131][MINUS] = ActionEntry(REDUCE, 369);
   _actionMap[131][DIVISION] = ActionEntry(REDUCE, 369);
   _actionMap[131][STAR] = ActionEntry(REDUCE, 369);
   _actionMap[131][CONCAT] = ActionEntry(REDUCE, 369);
   _actionMap[132][LB] = ActionEntry(SHIFT, 266);
   _actionMap[133][LB] = ActionEntry(SHIFT, 267);
   _actionMap[134][LB] = ActionEntry(SHIFT, 268);
   _actionMap[135][LB] = ActionEntry(SHIFT, 269);
   _actionMap[136][LB] = ActionEntry(SHIFT, 270);
   _actionMap[137][LB] = ActionEntry(SHIFT, 271);
   _actionMap[138][LB] = ActionEntry(SHIFT, 272);
   _actionMap[139][LB] = ActionEntry(SHIFT, 273);
   _actionMap[140][LB] = ActionEntry(SHIFT, 274);
   _actionMap[141][LB] = ActionEntry(SHIFT, 275);
   _actionMap[142][WHEN] = ActionEntry(REDUCE, 368);
   _actionMap[142][ELSE] = ActionEntry(REDUCE, 368);
   _actionMap[142][LEFT] = ActionEntry(REDUCE, 368);
   _actionMap[142][RIGHT] = ActionEntry(REDUCE, 368);
   _actionMap[142][INNER] = ActionEntry(REDUCE, 368);
   _actionMap[142][JOIN] = ActionEntry(REDUCE, 368);
   _actionMap[142][RETURNTOKEN] = ActionEntry(REDUCE, 368);
   _actionMap[142][ORDER] = ActionEntry(REDUCE, 368);
   _actionMap[142][GROUP] = ActionEntry(REDUCE, 368);
   _actionMap[142][WHERE] = ActionEntry(REDUCE, 368);
   _actionMap[142][FROM] = ActionEntry(REDUCE, 368);
   _actionMap[142][AS] = ActionEntry(REDUCE, 368);
   _actionMap[142][END_TOKEN] = ActionEntry(REDUCE, 368);
   _actionMap[142][BEGIN] = ActionEntry(REDUCE, 368);
   _actionMap[142][THEN] = ActionEntry(REDUCE, 368);
   _actionMap[142][OR] = ActionEntry(REDUCE, 368);
   _actionMap[142][AND] = ActionEntry(REDUCE, 368);
   _actionMap[142][NULLTOKEN] = ActionEntry(REDUCE, 368);
   _actionMap[142][INTOK] = ActionEntry(REDUCE, 368);
   _actionMap[142][NOT] = ActionEntry(REDUCE, 368);
   _actionMap[142][BETWEEN] = ActionEntry(REDUCE, 368);
   _actionMap[142][IS] = ActionEntry(REDUCE, 368);
   _actionMap[142][LIKE] = ActionEntry(REDUCE, 368);
   _actionMap[142][MT] = ActionEntry(REDUCE, 368);
   _actionMap[142][LT] = ActionEntry(REDUCE, 368);
   _actionMap[142][NEGATION] = ActionEntry(REDUCE, 368);
   _actionMap[142][EQU] = ActionEntry(REDUCE, 368);
   _actionMap[142][RB] = ActionEntry(REDUCE, 368);
   _actionMap[142][ENDTOKEN] = ActionEntry(REDUCE, 368);
   _actionMap[142][UNION] = ActionEntry(REDUCE, 368);
   _actionMap[142][ROWLIMIT] = ActionEntry(REDUCE, 368);
   _actionMap[142][KSEP] = ActionEntry(REDUCE, 368);
}
void Cego::loadParser244()
{
   _actionMap[142][ASC] = ActionEntry(REDUCE, 368);
   _actionMap[142][DESC] = ActionEntry(REDUCE, 368);
   _actionMap[142][SEMICOLON] = ActionEntry(REDUCE, 368);
   _actionMap[142][PLUS] = ActionEntry(REDUCE, 368);
   _actionMap[142][MINUS] = ActionEntry(REDUCE, 368);
   _actionMap[142][DIVISION] = ActionEntry(REDUCE, 368);
   _actionMap[142][STAR] = ActionEntry(REDUCE, 368);
   _actionMap[142][CONCAT] = ActionEntry(REDUCE, 368);
   _actionMap[143][LB] = ActionEntry(SHIFT, 276);
   _actionMap[144][LB] = ActionEntry(SHIFT, 277);
   _actionMap[145][LB] = ActionEntry(SHIFT, 278);
   _actionMap[146][LB] = ActionEntry(SHIFT, 279);
   _actionMap[147][WHEN] = ActionEntry(REDUCE, 370);
   _actionMap[147][ELSE] = ActionEntry(REDUCE, 370);
   _actionMap[147][LEFT] = ActionEntry(REDUCE, 370);
   _actionMap[147][RIGHT] = ActionEntry(REDUCE, 370);
   _actionMap[147][INNER] = ActionEntry(REDUCE, 370);
   _actionMap[147][JOIN] = ActionEntry(REDUCE, 370);
   _actionMap[147][RETURNTOKEN] = ActionEntry(REDUCE, 370);
   _actionMap[147][ORDER] = ActionEntry(REDUCE, 370);
   _actionMap[147][GROUP] = ActionEntry(REDUCE, 370);
   _actionMap[147][WHERE] = ActionEntry(REDUCE, 370);
   _actionMap[147][FROM] = ActionEntry(REDUCE, 370);
   _actionMap[147][AS] = ActionEntry(REDUCE, 370);
   _actionMap[147][END_TOKEN] = ActionEntry(REDUCE, 370);
   _actionMap[147][BEGIN] = ActionEntry(REDUCE, 370);
   _actionMap[147][THEN] = ActionEntry(REDUCE, 370);
   _actionMap[147][OR] = ActionEntry(REDUCE, 370);
   _actionMap[147][AND] = ActionEntry(REDUCE, 370);
   _actionMap[147][NULLTOKEN] = ActionEntry(REDUCE, 370);
   _actionMap[147][INTOK] = ActionEntry(REDUCE, 370);
   _actionMap[147][NOT] = ActionEntry(REDUCE, 370);
   _actionMap[147][BETWEEN] = ActionEntry(REDUCE, 370);
   _actionMap[147][IS] = ActionEntry(REDUCE, 370);
   _actionMap[147][LIKE] = ActionEntry(REDUCE, 370);
   _actionMap[147][MT] = ActionEntry(REDUCE, 370);
   _actionMap[147][LT] = ActionEntry(REDUCE, 370);
   _actionMap[147][NEGATION] = ActionEntry(REDUCE, 370);
   _actionMap[147][EQU] = ActionEntry(REDUCE, 370);
   _actionMap[147][RB] = ActionEntry(REDUCE, 370);
   _actionMap[147][ENDTOKEN] = ActionEntry(REDUCE, 370);
   _actionMap[147][UNION] = ActionEntry(REDUCE, 370);
   _actionMap[147][ROWLIMIT] = ActionEntry(REDUCE, 370);
   _actionMap[147][KSEP] = ActionEntry(REDUCE, 370);
   _actionMap[147][ASC] = ActionEntry(REDUCE, 370);
   _actionMap[147][DESC] = ActionEntry(REDUCE, 370);
   _actionMap[147][SEMICOLON] = ActionEntry(REDUCE, 370);
   _actionMap[147][PLUS] = ActionEntry(REDUCE, 370);
   _actionMap[147][MINUS] = ActionEntry(REDUCE, 370);
   _actionMap[147][DIVISION] = ActionEntry(REDUCE, 370);
}
void Cego::loadParser245()
{
   _actionMap[147][STAR] = ActionEntry(REDUCE, 370);
   _actionMap[147][CONCAT] = ActionEntry(REDUCE, 370);
   _actionMap[148][LB] = ActionEntry(SHIFT, 280);
   _actionMap[149][LB] = ActionEntry(SHIFT, 281);
   _actionMap[150][LONG] = ActionEntry(SHIFT, 288);
   _actionMap[150][BIGINT] = ActionEntry(SHIFT, 284);
   _actionMap[150][SMALLINT] = ActionEntry(SHIFT, 289);
   _actionMap[150][TINYINT] = ActionEntry(SHIFT, 290);
   _actionMap[150][DOUBLE] = ActionEntry(SHIFT, 286);
   _actionMap[150][DECIMAL] = ActionEntry(SHIFT, 285);
   _actionMap[150][FIXED] = ActionEntry(SHIFT, 287);
   _actionMap[150][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[150][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[150][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[150][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[150][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[150][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[150][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[150][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[150][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[150][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[150][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[150][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[150][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[150][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[150][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[150][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[150][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[150][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[150][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[150][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[150][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[150][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[150][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[150][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[150][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[150][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[150][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[150][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[150][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[150][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[150][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[150][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[150][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[150][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[150][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[150][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[150][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[150][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[150][LB] = ActionEntry(SHIFT, 150);
}
void Cego::loadParser246()
{
   _actionMap[150][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[150][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[150][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[150][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[150][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[150][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[150][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[150][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[150][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[150][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[150][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[150][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[150][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[150][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[150][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[150][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[150][MAX] = ActionEntry(SHIFT, 128);
   _actionMap[150][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[150][ObjSpec] = 102;
   _jumpMap[150][Constant] = 101;
   _jumpMap[150][SignedFloat] = 100;
   _jumpMap[150][SignedInt] = 99;
   _jumpMap[150][Attribute] = 98;
   _jumpMap[150][Function] = 97;
   _jumpMap[150][SelectStatement] = 283;
   _jumpMap[150][CasePrepare] = 96;
   _jumpMap[150][CaseClause] = 95;
   _jumpMap[150][Factor] = 94;
   _jumpMap[150][Term] = 93;
   _jumpMap[150][Expr] = 282;
   _actionMap[151][FLOATVAL] = ActionEntry(SHIFT, 292);
   _actionMap[151][INTVAL] = ActionEntry(SHIFT, 291);
   _actionMap[152][WHEN] = ActionEntry(REDUCE, 353);
   _actionMap[152][ELSE] = ActionEntry(REDUCE, 353);
   _actionMap[152][LEFT] = ActionEntry(REDUCE, 353);
   _actionMap[152][RIGHT] = ActionEntry(REDUCE, 353);
   _actionMap[152][INNER] = ActionEntry(REDUCE, 353);
   _actionMap[152][JOIN] = ActionEntry(REDUCE, 353);
   _actionMap[152][RETURNTOKEN] = ActionEntry(REDUCE, 353);
   _actionMap[152][ORDER] = ActionEntry(REDUCE, 353);
   _actionMap[152][GROUP] = ActionEntry(REDUCE, 353);
   _actionMap[152][WHERE] = ActionEntry(REDUCE, 353);
   _actionMap[152][AS] = ActionEntry(REDUCE, 353);
   _actionMap[152][FROM] = ActionEntry(REDUCE, 353);
   _actionMap[152][END_TOKEN] = ActionEntry(REDUCE, 353);
   _actionMap[152][BEGIN] = ActionEntry(REDUCE, 353);
   _actionMap[152][THEN] = ActionEntry(REDUCE, 353);
   _actionMap[152][OR] = ActionEntry(REDUCE, 353);
   _actionMap[152][AND] = ActionEntry(REDUCE, 353);
   _actionMap[152][NULLTOKEN] = ActionEntry(REDUCE, 353);
}
void Cego::loadParser247()
{
   _actionMap[152][LIKE] = ActionEntry(REDUCE, 353);
   _actionMap[152][IS] = ActionEntry(REDUCE, 353);
   _actionMap[152][BETWEEN] = ActionEntry(REDUCE, 353);
   _actionMap[152][NOT] = ActionEntry(REDUCE, 353);
   _actionMap[152][INTOK] = ActionEntry(REDUCE, 353);
   _actionMap[152][EQU] = ActionEntry(REDUCE, 353);
   _actionMap[152][NEGATION] = ActionEntry(REDUCE, 353);
   _actionMap[152][LT] = ActionEntry(REDUCE, 353);
   _actionMap[152][MT] = ActionEntry(REDUCE, 353);
   _actionMap[152][DESC] = ActionEntry(REDUCE, 353);
   _actionMap[152][ASC] = ActionEntry(REDUCE, 353);
   _actionMap[152][KSEP] = ActionEntry(REDUCE, 353);
   _actionMap[152][ROWLIMIT] = ActionEntry(REDUCE, 353);
   _actionMap[152][UNION] = ActionEntry(REDUCE, 353);
   _actionMap[152][ENDTOKEN] = ActionEntry(REDUCE, 353);
   _actionMap[152][RB] = ActionEntry(REDUCE, 353);
   _actionMap[152][SEMICOLON] = ActionEntry(REDUCE, 353);
   _actionMap[152][CONCAT] = ActionEntry(REDUCE, 353);
   _actionMap[152][STAR] = ActionEntry(REDUCE, 353);
   _actionMap[152][DIVISION] = ActionEntry(REDUCE, 353);
   _actionMap[152][MINUS] = ActionEntry(REDUCE, 353);
   _actionMap[152][PLUS] = ActionEntry(REDUCE, 353);
   _actionMap[153][WHEN] = ActionEntry(REDUCE, 355);
   _actionMap[153][ELSE] = ActionEntry(REDUCE, 355);
   _actionMap[153][LEFT] = ActionEntry(REDUCE, 355);
   _actionMap[153][RIGHT] = ActionEntry(REDUCE, 355);
   _actionMap[153][INNER] = ActionEntry(REDUCE, 355);
   _actionMap[153][JOIN] = ActionEntry(REDUCE, 355);
   _actionMap[153][RETURNTOKEN] = ActionEntry(REDUCE, 355);
   _actionMap[153][ORDER] = ActionEntry(REDUCE, 355);
   _actionMap[153][GROUP] = ActionEntry(REDUCE, 355);
   _actionMap[153][WHERE] = ActionEntry(REDUCE, 355);
   _actionMap[153][AS] = ActionEntry(REDUCE, 355);
   _actionMap[153][FROM] = ActionEntry(REDUCE, 355);
   _actionMap[153][END_TOKEN] = ActionEntry(REDUCE, 355);
   _actionMap[153][BEGIN] = ActionEntry(REDUCE, 355);
   _actionMap[153][THEN] = ActionEntry(REDUCE, 355);
   _actionMap[153][OR] = ActionEntry(REDUCE, 355);
   _actionMap[153][AND] = ActionEntry(REDUCE, 355);
   _actionMap[153][NULLTOKEN] = ActionEntry(REDUCE, 355);
   _actionMap[153][LIKE] = ActionEntry(REDUCE, 355);
   _actionMap[153][IS] = ActionEntry(REDUCE, 355);
   _actionMap[153][BETWEEN] = ActionEntry(REDUCE, 355);
   _actionMap[153][NOT] = ActionEntry(REDUCE, 355);
   _actionMap[153][INTOK] = ActionEntry(REDUCE, 355);
   _actionMap[153][EQU] = ActionEntry(REDUCE, 355);
   _actionMap[153][NEGATION] = ActionEntry(REDUCE, 355);
   _actionMap[153][LT] = ActionEntry(REDUCE, 355);
   _actionMap[153][MT] = ActionEntry(REDUCE, 355);
   _actionMap[153][DESC] = ActionEntry(REDUCE, 355);
}
void Cego::loadParser248()
{
   _actionMap[153][ASC] = ActionEntry(REDUCE, 355);
   _actionMap[153][KSEP] = ActionEntry(REDUCE, 355);
   _actionMap[153][ROWLIMIT] = ActionEntry(REDUCE, 355);
   _actionMap[153][UNION] = ActionEntry(REDUCE, 355);
   _actionMap[153][ENDTOKEN] = ActionEntry(REDUCE, 355);
   _actionMap[153][RB] = ActionEntry(REDUCE, 355);
   _actionMap[153][SEMICOLON] = ActionEntry(REDUCE, 355);
   _actionMap[153][CONCAT] = ActionEntry(REDUCE, 355);
   _actionMap[153][STAR] = ActionEntry(REDUCE, 355);
   _actionMap[153][DIVISION] = ActionEntry(REDUCE, 355);
   _actionMap[153][MINUS] = ActionEntry(REDUCE, 355);
   _actionMap[153][PLUS] = ActionEntry(REDUCE, 355);
   _actionMap[154][WHEN] = ActionEntry(REDUCE, 350);
   _actionMap[154][ELSE] = ActionEntry(REDUCE, 350);
   _actionMap[154][LEFT] = ActionEntry(REDUCE, 350);
   _actionMap[154][RIGHT] = ActionEntry(REDUCE, 350);
   _actionMap[154][INNER] = ActionEntry(REDUCE, 350);
   _actionMap[154][JOIN] = ActionEntry(REDUCE, 350);
   _actionMap[154][RETURNTOKEN] = ActionEntry(REDUCE, 350);
   _actionMap[154][ORDER] = ActionEntry(REDUCE, 350);
   _actionMap[154][GROUP] = ActionEntry(REDUCE, 350);
   _actionMap[154][WHERE] = ActionEntry(REDUCE, 350);
   _actionMap[154][FROM] = ActionEntry(REDUCE, 350);
   _actionMap[154][AS] = ActionEntry(REDUCE, 350);
   _actionMap[154][END_TOKEN] = ActionEntry(REDUCE, 350);
   _actionMap[154][BEGIN] = ActionEntry(REDUCE, 350);
   _actionMap[154][THEN] = ActionEntry(REDUCE, 350);
   _actionMap[154][OR] = ActionEntry(REDUCE, 350);
   _actionMap[154][AND] = ActionEntry(REDUCE, 350);
   _actionMap[154][INTOK] = ActionEntry(REDUCE, 350);
   _actionMap[154][NOT] = ActionEntry(REDUCE, 350);
   _actionMap[154][BETWEEN] = ActionEntry(REDUCE, 350);
   _actionMap[154][IS] = ActionEntry(REDUCE, 350);
   _actionMap[154][LIKE] = ActionEntry(REDUCE, 350);
   _actionMap[154][MT] = ActionEntry(REDUCE, 350);
   _actionMap[154][LT] = ActionEntry(REDUCE, 350);
   _actionMap[154][NEGATION] = ActionEntry(REDUCE, 350);
   _actionMap[154][EQU] = ActionEntry(REDUCE, 350);
   _actionMap[154][RB] = ActionEntry(REDUCE, 350);
   _actionMap[154][ENDTOKEN] = ActionEntry(REDUCE, 350);
   _actionMap[154][UNION] = ActionEntry(REDUCE, 350);
   _actionMap[154][ROWLIMIT] = ActionEntry(REDUCE, 350);
   _actionMap[154][KSEP] = ActionEntry(REDUCE, 350);
   _actionMap[154][ASC] = ActionEntry(REDUCE, 350);
   _actionMap[154][DESC] = ActionEntry(REDUCE, 350);
   _actionMap[154][SEMICOLON] = ActionEntry(REDUCE, 350);
   _actionMap[154][PLUS] = ActionEntry(REDUCE, 350);
   _actionMap[154][MINUS] = ActionEntry(REDUCE, 350);
   _actionMap[154][LB] = ActionEntry(REDUCE, 376);
   _actionMap[154][DIVISION] = ActionEntry(REDUCE, 350);
}
void Cego::loadParser249()
{
   _actionMap[154][STAR] = ActionEntry(REDUCE, 350);
   _actionMap[154][CONCAT] = ActionEntry(REDUCE, 350);
   _actionMap[155][WHEN] = ActionEntry(REDUCE, 149);
   _actionMap[155][ELSE] = ActionEntry(REDUCE, 149);
   _actionMap[155][LEFT] = ActionEntry(REDUCE, 149);
   _actionMap[155][RIGHT] = ActionEntry(REDUCE, 149);
   _actionMap[155][INNER] = ActionEntry(REDUCE, 149);
   _actionMap[155][JOIN] = ActionEntry(REDUCE, 149);
   _actionMap[155][RETURNTOKEN] = ActionEntry(REDUCE, 149);
   _actionMap[155][ORDER] = ActionEntry(REDUCE, 149);
   _actionMap[155][GROUP] = ActionEntry(REDUCE, 149);
   _actionMap[155][WHERE] = ActionEntry(REDUCE, 149);
   _actionMap[155][AS] = ActionEntry(REDUCE, 149);
   _actionMap[155][FROM] = ActionEntry(REDUCE, 149);
   _actionMap[155][END_TOKEN] = ActionEntry(REDUCE, 149);
   _actionMap[155][BEGIN] = ActionEntry(REDUCE, 149);
   _actionMap[155][THEN] = ActionEntry(REDUCE, 149);
   _actionMap[155][OR] = ActionEntry(REDUCE, 149);
   _actionMap[155][AND] = ActionEntry(REDUCE, 149);
   _actionMap[155][LIKE] = ActionEntry(REDUCE, 149);
   _actionMap[155][IS] = ActionEntry(REDUCE, 149);
   _actionMap[155][BETWEEN] = ActionEntry(REDUCE, 149);
   _actionMap[155][NOT] = ActionEntry(REDUCE, 149);
   _actionMap[155][INTOK] = ActionEntry(REDUCE, 149);
   _actionMap[155][EQU] = ActionEntry(REDUCE, 149);
   _actionMap[155][NEGATION] = ActionEntry(REDUCE, 149);
   _actionMap[155][LT] = ActionEntry(REDUCE, 149);
   _actionMap[155][MT] = ActionEntry(REDUCE, 149);
   _actionMap[155][DESC] = ActionEntry(REDUCE, 149);
   _actionMap[155][ASC] = ActionEntry(REDUCE, 149);
   _actionMap[155][KSEP] = ActionEntry(REDUCE, 149);
   _actionMap[155][ROWLIMIT] = ActionEntry(REDUCE, 149);
   _actionMap[155][UNION] = ActionEntry(REDUCE, 149);
   _actionMap[155][ENDTOKEN] = ActionEntry(REDUCE, 149);
   _actionMap[155][RB] = ActionEntry(REDUCE, 149);
   _actionMap[155][SEMICOLON] = ActionEntry(REDUCE, 149);
   _actionMap[155][CONCAT] = ActionEntry(REDUCE, 149);
   _actionMap[155][STAR] = ActionEntry(REDUCE, 149);
   _actionMap[155][DIVISION] = ActionEntry(REDUCE, 149);
   _actionMap[155][MINUS] = ActionEntry(REDUCE, 149);
   _actionMap[155][PLUS] = ActionEntry(REDUCE, 149);
   _actionMap[156][WHEN] = ActionEntry(REDUCE, 351);
   _actionMap[156][ELSE] = ActionEntry(REDUCE, 351);
   _actionMap[156][LEFT] = ActionEntry(REDUCE, 351);
   _actionMap[156][RIGHT] = ActionEntry(REDUCE, 351);
   _actionMap[156][INNER] = ActionEntry(REDUCE, 351);
   _actionMap[156][JOIN] = ActionEntry(REDUCE, 351);
   _actionMap[156][RETURNTOKEN] = ActionEntry(REDUCE, 351);
   _actionMap[156][ORDER] = ActionEntry(REDUCE, 351);
   _actionMap[156][GROUP] = ActionEntry(REDUCE, 351);
}
void Cego::loadParser250()
{
   _actionMap[156][WHERE] = ActionEntry(REDUCE, 351);
   _actionMap[156][FROM] = ActionEntry(REDUCE, 351);
   _actionMap[156][AS] = ActionEntry(REDUCE, 351);
   _actionMap[156][END_TOKEN] = ActionEntry(REDUCE, 351);
   _actionMap[156][BEGIN] = ActionEntry(REDUCE, 351);
   _actionMap[156][THEN] = ActionEntry(REDUCE, 351);
   _actionMap[156][OR] = ActionEntry(REDUCE, 351);
   _actionMap[156][AND] = ActionEntry(REDUCE, 351);
   _actionMap[156][INTOK] = ActionEntry(REDUCE, 351);
   _actionMap[156][NOT] = ActionEntry(REDUCE, 351);
   _actionMap[156][BETWEEN] = ActionEntry(REDUCE, 351);
   _actionMap[156][IS] = ActionEntry(REDUCE, 351);
   _actionMap[156][LIKE] = ActionEntry(REDUCE, 351);
   _actionMap[156][MT] = ActionEntry(REDUCE, 351);
   _actionMap[156][LT] = ActionEntry(REDUCE, 351);
   _actionMap[156][NEGATION] = ActionEntry(REDUCE, 351);
   _actionMap[156][EQU] = ActionEntry(REDUCE, 351);
   _actionMap[156][RB] = ActionEntry(REDUCE, 351);
   _actionMap[156][ENDTOKEN] = ActionEntry(REDUCE, 351);
   _actionMap[156][UNION] = ActionEntry(REDUCE, 351);
   _actionMap[156][ROWLIMIT] = ActionEntry(REDUCE, 351);
   _actionMap[156][KSEP] = ActionEntry(REDUCE, 351);
   _actionMap[156][ASC] = ActionEntry(REDUCE, 351);
   _actionMap[156][DESC] = ActionEntry(REDUCE, 351);
   _actionMap[156][SEMICOLON] = ActionEntry(REDUCE, 351);
   _actionMap[156][PLUS] = ActionEntry(REDUCE, 351);
   _actionMap[156][MINUS] = ActionEntry(REDUCE, 351);
   _actionMap[156][LB] = ActionEntry(REDUCE, 377);
   _actionMap[156][DIVISION] = ActionEntry(REDUCE, 351);
   _actionMap[156][STAR] = ActionEntry(REDUCE, 351);
   _actionMap[156][CONCAT] = ActionEntry(REDUCE, 351);
   _actionMap[157][STAR] = ActionEntry(SHIFT, 293);
   _actionMap[158][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[158][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[158][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[158][ObjSpec] = 294;
   _actionMap[159][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[159][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[159][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[159][ObjSpec] = 295;
   _actionMap[160][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[160][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[160][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[160][ObjSpec] = 296;
   _actionMap[161][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[161][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[161][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[161][ObjSpec] = 297;
   _actionMap[162][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[162][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
}
void Cego::loadParser251()
{
   _actionMap[162][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[162][ObjSpec] = 298;
   _actionMap[163][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[163][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[163][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[163][ObjSpec] = 299;
   _actionMap[164][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[164][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[164][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[164][ObjSpec] = 300;
   _actionMap[165][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[165][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[165][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[165][ObjSpec] = 301;
   _actionMap[166][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[166][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[166][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[166][ObjSpec] = 302;
   _actionMap[167][FROM] = ActionEntry(SHIFT, 303);
   _actionMap[168][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[168][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[168][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[168][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[168][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[168][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[168][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[168][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[168][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[168][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[168][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[168][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[168][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[168][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[168][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[168][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[168][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[168][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[168][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[168][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[168][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[168][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[168][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[168][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[168][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[168][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[168][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[168][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[168][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[168][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[168][BLOBSIZE] = ActionEntry(SHIFT, 109);
}
void Cego::loadParser252()
{
   _actionMap[168][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[168][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[168][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[168][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[168][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[168][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[168][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[168][LB] = ActionEntry(SHIFT, 150);
   _actionMap[168][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[168][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[168][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[168][NULLTOKEN] = ActionEntry(SHIFT, 131);
   _actionMap[168][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[168][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[168][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[168][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[168][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[168][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[168][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[168][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[168][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[168][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[168][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[168][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[168][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[168][ObjSpec] = 102;
   _jumpMap[168][Constant] = 101;
   _jumpMap[168][SignedFloat] = 100;
   _jumpMap[168][SignedInt] = 99;
   _jumpMap[168][Attribute] = 98;
   _jumpMap[168][Function] = 97;
   _jumpMap[168][SelectItem] = 306;
   _jumpMap[168][SelectionList] = 305;
   _jumpMap[168][CasePrepare] = 96;
   _jumpMap[168][CaseClause] = 95;
   _jumpMap[168][Factor] = 94;
   _jumpMap[168][Term] = 93;
   _jumpMap[168][Expr] = 304;
   _actionMap[169][VARREF] = ActionEntry(REDUCE, 246);
   _actionMap[169][FETCH] = ActionEntry(REDUCE, 246);
   _actionMap[169][LB] = ActionEntry(REDUCE, 246);
   _actionMap[169][COUNT] = ActionEntry(REDUCE, 246);
   _actionMap[169][SUM] = ActionEntry(REDUCE, 246);
   _actionMap[169][AVG] = ActionEntry(REDUCE, 246);
   _actionMap[169][MIN] = ActionEntry(REDUCE, 246);
   _actionMap[169][MAX] = ActionEntry(REDUCE, 246);
   _actionMap[169][CASE] = ActionEntry(REDUCE, 246);
   _actionMap[169][TRIM] = ActionEntry(REDUCE, 246);
   _actionMap[169][RTRIM] = ActionEntry(REDUCE, 246);
   _actionMap[169][LTRIM] = ActionEntry(REDUCE, 246);
}
void Cego::loadParser253()
{
   _actionMap[169][ROUND] = ActionEntry(REDUCE, 246);
   _actionMap[169][DATE2STR] = ActionEntry(REDUCE, 246);
   _actionMap[169][DATE2INT] = ActionEntry(REDUCE, 246);
   _actionMap[169][INT2DATE] = ActionEntry(REDUCE, 246);
   _actionMap[169][LOWER] = ActionEntry(REDUCE, 246);
   _actionMap[169][UPPER] = ActionEntry(REDUCE, 246);
   _actionMap[169][LEFT] = ActionEntry(REDUCE, 246);
   _actionMap[169][RIGHT] = ActionEntry(REDUCE, 246);
   _actionMap[169][GETPOS] = ActionEntry(REDUCE, 246);
   _actionMap[169][SUBSTR] = ActionEntry(REDUCE, 246);
   _actionMap[169][REPLACE] = ActionEntry(REDUCE, 246);
   _actionMap[169][LENGTH] = ActionEntry(REDUCE, 246);
   _actionMap[169][TRUNC] = ActionEntry(REDUCE, 246);
   _actionMap[169][STR2INT] = ActionEntry(REDUCE, 246);
   _actionMap[169][STR2LONG] = ActionEntry(REDUCE, 246);
   _actionMap[169][STR2DATE] = ActionEntry(REDUCE, 246);
   _actionMap[169][RANDSTR] = ActionEntry(REDUCE, 246);
   _actionMap[169][RANDINT] = ActionEntry(REDUCE, 246);
   _actionMap[169][MOD] = ActionEntry(REDUCE, 246);
   _actionMap[169][DIV] = ActionEntry(REDUCE, 246);
   _actionMap[169][POWER] = ActionEntry(REDUCE, 246);
   _actionMap[169][BITAND] = ActionEntry(REDUCE, 246);
   _actionMap[169][BITOR] = ActionEntry(REDUCE, 246);
   _actionMap[169][BITXOR] = ActionEntry(REDUCE, 246);
   _actionMap[169][BLOBSIZE] = ActionEntry(REDUCE, 246);
   _actionMap[169][CLOBSIZE] = ActionEntry(REDUCE, 246);
   _actionMap[169][CLOB2STR] = ActionEntry(REDUCE, 246);
   _actionMap[169][NEXTCOUNT] = ActionEntry(REDUCE, 246);
   _actionMap[169][SETCOUNT] = ActionEntry(REDUCE, 246);
   _actionMap[169][IDENTIFIER] = ActionEntry(REDUCE, 246);
   _actionMap[169][QUALIFIEDOBJ] = ActionEntry(REDUCE, 246);
   _actionMap[169][QUALIFIEDTS] = ActionEntry(REDUCE, 246);
   _actionMap[169][QUALIFIEDPRE] = ActionEntry(REDUCE, 246);
   _actionMap[169][STRINGVAL] = ActionEntry(REDUCE, 246);
   _actionMap[169][DATE] = ActionEntry(REDUCE, 246);
   _actionMap[169][SYSDATE] = ActionEntry(REDUCE, 246);
   _actionMap[169][NULLTOKEN] = ActionEntry(REDUCE, 246);
   _actionMap[169][TRUEVAL] = ActionEntry(REDUCE, 246);
   _actionMap[169][FALSEVAL] = ActionEntry(REDUCE, 246);
   _actionMap[169][BLOB] = ActionEntry(REDUCE, 246);
   _actionMap[169][CLOB] = ActionEntry(REDUCE, 246);
   _actionMap[169][FLOATVAL] = ActionEntry(REDUCE, 246);
   _actionMap[169][MINUS] = ActionEntry(REDUCE, 246);
   _actionMap[169][INTVAL] = ActionEntry(REDUCE, 246);
   _actionMap[170][FROM] = ActionEntry(REDUCE, 208);
   _actionMap[171][CACHE] = ActionEntry(SHIFT, 307);
   _actionMap[172][OFF] = ActionEntry(SHIFT, 308);
   _actionMap[172][ON] = ActionEntry(SHIFT, 309);
   _actionMap[173][OFF] = ActionEntry(SHIFT, 310);
   _actionMap[173][ON] = ActionEntry(SHIFT, 311);
}
void Cego::loadParser254()
{
   _actionMap[174][IDENTIFIER] = ActionEntry(SHIFT, 191);
   _jumpMap[174][CounterId] = 312;
   _actionMap[175][IDENTIFIER] = ActionEntry(SHIFT, 313);
   _actionMap[176][IDENTIFIER] = ActionEntry(SHIFT, 314);
   _actionMap[177][EQU] = ActionEntry(SHIFT, 315);
   _actionMap[178][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[178][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[178][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[178][ObjSpec] = 316;
   _actionMap[179][SEMICOLON] = ActionEntry(REDUCE, 17);
   _actionMap[180][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[180][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[180][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[180][ObjSpec] = 317;
   _actionMap[181][SEMICOLON] = ActionEntry(REDUCE, 18);
   _actionMap[182][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[182][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[182][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[182][ObjSpec] = 318;
   _actionMap[183][SEMICOLON] = ActionEntry(REDUCE, 191);
   _actionMap[184][SEMICOLON] = ActionEntry(REDUCE, 15);
   _actionMap[185][IDENTIFIER] = ActionEntry(SHIFT, 321);
   _actionMap[185][SET] = ActionEntry(REDUCE, 262);
   _jumpMap[185][UpdDelAlias] = 319;
   _actionMap[186][CALL] = ActionEntry(SHIFT, 322);
   _actionMap[1][TABLE] = ActionEntry(SHIFT, 47);
   _actionMap[1][AVLTREE] = ActionEntry(SHIFT, 40);
   _actionMap[1][VIEW] = ActionEntry(SHIFT, 48);
   _actionMap[1][PROCEDURE] = ActionEntry(SHIFT, 46);
   _actionMap[1][FOREIGN] = ActionEntry(SHIFT, 44);
   _actionMap[1][CHECK] = ActionEntry(SHIFT, 42);
   _actionMap[1][COUNTER] = ActionEntry(SHIFT, 43);
   _actionMap[1][BTREE] = ActionEntry(SHIFT, 41);
   _actionMap[1][INDEX] = ActionEntry(SHIFT, 45);
   _jumpMap[1][BtreeType] = 39;
   _actionMap[2][SEMICOLON] = ActionEntry(SHIFT, 49);
   _actionMap[3][SEMICOLON] = ActionEntry(REDUCE, 31);
   _actionMap[4][SEMICOLON] = ActionEntry(REDUCE, 32);
   _actionMap[5][SEMICOLON] = ActionEntry(REDUCE, 33);
   _actionMap[6][SEMICOLON] = ActionEntry(REDUCE, 45);
   _actionMap[7][SEMICOLON] = ActionEntry(REDUCE, 43);
   _actionMap[8][SEMICOLON] = ActionEntry(REDUCE, 47);
   _actionMap[9][SEMICOLON] = ActionEntry(REDUCE, 46);
   _actionMap[10][SEMICOLON] = ActionEntry(REDUCE, 48);
   _actionMap[11][SEMICOLON] = ActionEntry(REDUCE, 49);
   _actionMap[12][TABLE] = ActionEntry(SHIFT, 50);
   _actionMap[13][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[14][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[14][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[14][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
}
void Cego::loadParser255()
{
   _jumpMap[14][ObjSpec] = 52;
   _actionMap[15][AVLTREE] = ActionEntry(SHIFT, 56);
   _actionMap[16][SEMICOLON] = ActionEntry(REDUCE, 192);
   _actionMap[17][VIEW] = ActionEntry(SHIFT, 65);
   _actionMap[17][TABLE] = ActionEntry(SHIFT, 63);
   _actionMap[17][PRIMARY] = ActionEntry(SHIFT, 61);
   _actionMap[17][COUNTER] = ActionEntry(SHIFT, 60);
   _actionMap[17][PROCEDURE] = ActionEntry(SHIFT, 62);
   _actionMap[17][UNIQUE] = ActionEntry(SHIFT, 64);
   _actionMap[17][AVLTREE] = ActionEntry(REDUCE, 186);
   _actionMap[17][BTREE] = ActionEntry(REDUCE, 186);
   _actionMap[17][INDEX] = ActionEntry(REDUCE, 186);
   _jumpMap[17][IndexOption] = 59;
   _jumpMap[17][ProcDef] = 58;
   _jumpMap[17][ProcHead] = 57;
   _actionMap[18][FROM] = ActionEntry(SHIFT, 66);
   _actionMap[19][TABLE] = ActionEntry(SHIFT, 72);
   _actionMap[19][AVLTREE] = ActionEntry(SHIFT, 68);
   _actionMap[19][VIEW] = ActionEntry(SHIFT, 73);
   _actionMap[19][FOREIGN] = ActionEntry(SHIFT, 70);
   _actionMap[19][CHECK] = ActionEntry(SHIFT, 69);
   _actionMap[19][PROCEDURE] = ActionEntry(SHIFT, 71);
   _actionMap[19][BTREE] = ActionEntry(SHIFT, 41);
   _actionMap[19][INDEX] = ActionEntry(SHIFT, 45);
   _jumpMap[19][BtreeType] = 67;
   _actionMap[20][COUNTER] = ActionEntry(REDUCE, 66);
   _actionMap[20][IF] = ActionEntry(SHIFT, 74);
   _actionMap[20][BTREE] = ActionEntry(REDUCE, 66);
   _actionMap[20][INDEX] = ActionEntry(REDUCE, 66);
   _actionMap[20][CHECK] = ActionEntry(REDUCE, 66);
   _actionMap[20][FOREIGN] = ActionEntry(REDUCE, 66);
   _actionMap[20][PROCEDURE] = ActionEntry(REDUCE, 66);
   _actionMap[20][VIEW] = ActionEntry(REDUCE, 66);
   _actionMap[20][AVLTREE] = ActionEntry(REDUCE, 66);
   _actionMap[20][TABLE] = ActionEntry(REDUCE, 66);
   _actionMap[21][INTO] = ActionEntry(SHIFT, 75);
   _actionMap[22][IDENTIFIER] = ActionEntry(SHIFT, 77);
   _jumpMap[22][JdbcArgList] = 76;
   _actionMap[23][TABLESET] = ActionEntry(SHIFT, 86);
   _actionMap[23][TABLE] = ActionEntry(SHIFT, 85);
   _actionMap[23][PROCEDURE] = ActionEntry(SHIFT, 83);
   _actionMap[23][VIEW] = ActionEntry(SHIFT, 88);
   _actionMap[23][AVLTREE] = ActionEntry(SHIFT, 79);
   _actionMap[23][KEY] = ActionEntry(SHIFT, 82);
   _actionMap[23][COUNTER] = ActionEntry(SHIFT, 81);
   _actionMap[23][SYSOBJ] = ActionEntry(SHIFT, 84);
   _actionMap[23][TMPOBJ] = ActionEntry(SHIFT, 87);
   _actionMap[23][CHECK] = ActionEntry(SHIFT, 80);
   _actionMap[23][BTREE] = ActionEntry(SHIFT, 41);
   _actionMap[23][INDEX] = ActionEntry(SHIFT, 45);
}
void Cego::loadParser256()
{
   _jumpMap[23][BtreeType] = 78;
   _actionMap[24][VIEW] = ActionEntry(SHIFT, 90);
   _actionMap[24][PROCEDURE] = ActionEntry(SHIFT, 62);
   _jumpMap[24][ProcDef] = 89;
   _jumpMap[24][ProcHead] = 57;
   _actionMap[25][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[25][SelectStatement] = 91;
   _actionMap[26][FLOATVAL] = ActionEntry(SHIFT, 153);
   _actionMap[26][MINUS] = ActionEntry(SHIFT, 151);
   _actionMap[26][INTVAL] = ActionEntry(SHIFT, 152);
   _actionMap[26][TRIM] = ActionEntry(SHIFT, 146);
   _actionMap[26][RTRIM] = ActionEntry(SHIFT, 138);
   _actionMap[26][LTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[26][ROUND] = ActionEntry(SHIFT, 137);
   _actionMap[26][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[26][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[26][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[26][LOWER] = ActionEntry(SHIFT, 125);
   _actionMap[26][UPPER] = ActionEntry(SHIFT, 149);
   _actionMap[26][LEFT] = ActionEntry(SHIFT, 123);
   _actionMap[26][RIGHT] = ActionEntry(SHIFT, 136);
   _actionMap[26][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[26][SUBSTR] = ActionEntry(SHIFT, 140);
   _actionMap[26][REPLACE] = ActionEntry(SHIFT, 135);
   _actionMap[26][LENGTH] = ActionEntry(SHIFT, 124);
   _actionMap[26][TRUNC] = ActionEntry(SHIFT, 148);
   _actionMap[26][STR2INT] = ActionEntry(SHIFT, 143);
   _actionMap[26][STR2LONG] = ActionEntry(SHIFT, 144);
   _actionMap[26][STR2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[26][RANDSTR] = ActionEntry(SHIFT, 133);
   _actionMap[26][RANDINT] = ActionEntry(SHIFT, 134);
   _actionMap[26][MOD] = ActionEntry(SHIFT, 129);
   _actionMap[26][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[26][POWER] = ActionEntry(SHIFT, 132);
   _actionMap[26][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[26][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[26][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[26][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[26][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[26][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[26][NEXTCOUNT] = ActionEntry(SHIFT, 130);
   _actionMap[26][SETCOUNT] = ActionEntry(SHIFT, 139);
   _actionMap[26][IDENTIFIER] = ActionEntry(SHIFT, 154);
   _actionMap[26][QUALIFIEDOBJ] = ActionEntry(SHIFT, 156);
   _actionMap[26][QUALIFIEDPRE] = ActionEntry(SHIFT, 157);
   _actionMap[26][LB] = ActionEntry(SHIFT, 150);
   _actionMap[26][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[26][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[26][SYSDATE] = ActionEntry(SHIFT, 142);
   _actionMap[26][NULLTOKEN] = ActionEntry(SHIFT, 131);
}
void Cego::loadParser257()
{
   _actionMap[26][TRUEVAL] = ActionEntry(SHIFT, 147);
   _actionMap[26][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[26][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[26][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[26][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[26][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[26][VARREF] = ActionEntry(SHIFT, 155);
   _actionMap[26][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[26][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[26][SUM] = ActionEntry(SHIFT, 141);
   _actionMap[26][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[26][MIN] = ActionEntry(SHIFT, 127);
   _actionMap[26][MAX] = ActionEntry(SHIFT, 128);
   _jumpMap[26][ObjSpec] = 102;
   _jumpMap[26][Constant] = 101;
   _jumpMap[26][SignedFloat] = 100;
   _jumpMap[26][SignedInt] = 99;
   _jumpMap[26][Attribute] = 98;
   _jumpMap[26][Function] = 97;
   _jumpMap[26][CasePrepare] = 96;
   _jumpMap[26][CaseClause] = 95;
   _jumpMap[26][Factor] = 94;
   _jumpMap[26][Term] = 93;
   _jumpMap[26][Expr] = 92;
   _actionMap[27][TABLE] = ActionEntry(SHIFT, 163);
   _actionMap[27][AVLTREE] = ActionEntry(SHIFT, 159);
   _actionMap[27][KEY] = ActionEntry(SHIFT, 161);
   _actionMap[27][PROCEDURE] = ActionEntry(SHIFT, 162);
   _actionMap[27][VIEW] = ActionEntry(SHIFT, 164);
   _actionMap[27][CHECK] = ActionEntry(SHIFT, 160);
   _actionMap[27][BTREE] = ActionEntry(SHIFT, 41);
   _actionMap[27][INDEX] = ActionEntry(SHIFT, 45);
   _jumpMap[27][BtreeType] = 158;
   _actionMap[28][TABLE] = ActionEntry(SHIFT, 166);
   _actionMap[28][AVLTREE] = ActionEntry(SHIFT, 165);
   _actionMap[29][SEMICOLON] = ActionEntry(REDUCE, 193);
   _actionMap[30][DISTINCT] = ActionEntry(SHIFT, 169);
   _actionMap[30][VARREF] = ActionEntry(REDUCE, 247);
   _actionMap[30][FETCH] = ActionEntry(REDUCE, 247);
   _actionMap[30][LB] = ActionEntry(REDUCE, 247);
   _actionMap[30][COUNT] = ActionEntry(REDUCE, 247);
   _actionMap[30][SUM] = ActionEntry(REDUCE, 247);
   _actionMap[30][AVG] = ActionEntry(REDUCE, 247);
   _actionMap[30][MIN] = ActionEntry(REDUCE, 247);
   _actionMap[30][MAX] = ActionEntry(REDUCE, 247);
   _actionMap[30][CASE] = ActionEntry(REDUCE, 247);
   _actionMap[30][TRIM] = ActionEntry(REDUCE, 247);
   _actionMap[30][RTRIM] = ActionEntry(REDUCE, 247);
   _actionMap[30][LTRIM] = ActionEntry(REDUCE, 247);
   _actionMap[30][ROUND] = ActionEntry(REDUCE, 247);
}
void Cego::loadParser258()
{
   _actionMap[30][DATE2STR] = ActionEntry(REDUCE, 247);
   _actionMap[30][DATE2INT] = ActionEntry(REDUCE, 247);
   _actionMap[30][INT2DATE] = ActionEntry(REDUCE, 247);
   _actionMap[30][LOWER] = ActionEntry(REDUCE, 247);
   _actionMap[30][UPPER] = ActionEntry(REDUCE, 247);
   _actionMap[30][LEFT] = ActionEntry(REDUCE, 247);
   _actionMap[30][RIGHT] = ActionEntry(REDUCE, 247);
   _actionMap[30][GETPOS] = ActionEntry(REDUCE, 247);
   _actionMap[30][SUBSTR] = ActionEntry(REDUCE, 247);
   _actionMap[30][REPLACE] = ActionEntry(REDUCE, 247);
   _actionMap[30][LENGTH] = ActionEntry(REDUCE, 247);
   _actionMap[30][TRUNC] = ActionEntry(REDUCE, 247);
   _actionMap[30][STR2INT] = ActionEntry(REDUCE, 247);
   _actionMap[30][STR2LONG] = ActionEntry(REDUCE, 247);
   _actionMap[30][STR2DATE] = ActionEntry(REDUCE, 247);
   _actionMap[30][RANDSTR] = ActionEntry(REDUCE, 247);
   _actionMap[30][RANDINT] = ActionEntry(REDUCE, 247);
   _actionMap[30][MOD] = ActionEntry(REDUCE, 247);
   _actionMap[30][DIV] = ActionEntry(REDUCE, 247);
   _actionMap[30][POWER] = ActionEntry(REDUCE, 247);
   _actionMap[30][BITAND] = ActionEntry(REDUCE, 247);
   _actionMap[30][BITOR] = ActionEntry(REDUCE, 247);
   _actionMap[30][BITXOR] = ActionEntry(REDUCE, 247);
   _actionMap[30][BLOBSIZE] = ActionEntry(REDUCE, 247);
   _actionMap[30][CLOBSIZE] = ActionEntry(REDUCE, 247);
   _actionMap[30][CLOB2STR] = ActionEntry(REDUCE, 247);
   _actionMap[30][NEXTCOUNT] = ActionEntry(REDUCE, 247);
   _actionMap[30][SETCOUNT] = ActionEntry(REDUCE, 247);
   _actionMap[30][IDENTIFIER] = ActionEntry(REDUCE, 247);
   _actionMap[30][QUALIFIEDOBJ] = ActionEntry(REDUCE, 247);
   _actionMap[30][QUALIFIEDTS] = ActionEntry(REDUCE, 247);
   _actionMap[30][QUALIFIEDPRE] = ActionEntry(REDUCE, 247);
   _actionMap[30][STRINGVAL] = ActionEntry(REDUCE, 247);
   _actionMap[30][DATE] = ActionEntry(REDUCE, 247);
   _actionMap[30][SYSDATE] = ActionEntry(REDUCE, 247);
   _actionMap[30][NULLTOKEN] = ActionEntry(REDUCE, 247);
   _actionMap[30][TRUEVAL] = ActionEntry(REDUCE, 247);
   _actionMap[30][FALSEVAL] = ActionEntry(REDUCE, 247);
   _actionMap[30][BLOB] = ActionEntry(REDUCE, 247);
   _actionMap[30][CLOB] = ActionEntry(REDUCE, 247);
   _actionMap[30][FLOATVAL] = ActionEntry(REDUCE, 247);
   _actionMap[30][MINUS] = ActionEntry(REDUCE, 247);
   _actionMap[30][INTVAL] = ActionEntry(REDUCE, 247);
   _actionMap[30][STAR] = ActionEntry(SHIFT, 170);
   _jumpMap[30][DistinctOpt] = 168;
   _jumpMap[30][Selection] = 167;
   _actionMap[31][TABLESET] = ActionEntry(SHIFT, 176);
   _actionMap[31][APPEND] = ActionEntry(SHIFT, 172);
   _actionMap[31][AUTOCOMMIT] = ActionEntry(SHIFT, 173);
   _actionMap[31][ISOLATION] = ActionEntry(SHIFT, 175);
}
void Cego::loadParser259()
{
   _actionMap[31][IDENTIFIER] = ActionEntry(SHIFT, 177);
   _actionMap[31][COUNTER] = ActionEntry(SHIFT, 174);
   _actionMap[31][BTREE] = ActionEntry(SHIFT, 41);
   _actionMap[31][INDEX] = ActionEntry(SHIFT, 45);
   _jumpMap[31][BtreeType] = 171;
   _actionMap[32][POOL] = ActionEntry(SHIFT, 179);
   _actionMap[32][SYSTEMSPACE] = ActionEntry(SHIFT, 181);
   _actionMap[32][PROCEDURE] = ActionEntry(SHIFT, 180);
   _actionMap[32][VIEW] = ActionEntry(SHIFT, 182);
   _actionMap[32][CHECK] = ActionEntry(SHIFT, 178);
   _actionMap[33][TRANSACTION] = ActionEntry(SHIFT, 183);
   _actionMap[34][SEMICOLON] = ActionEntry(REDUCE, 1);
   _actionMap[35][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[35][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[35][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[35][ObjSpec] = 184;
   _actionMap[36][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[36][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[36][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[36][ObjSpec] = 185;
   _actionMap[37][SEMICOLON] = ActionEntry(REDUCE, 16);
   _actionMap[38][EQU] = ActionEntry(SHIFT, 186);
   _actionMap[0][DROP] = ActionEntry(SHIFT, 20);
   _actionMap[0][RENAME] = ActionEntry(SHIFT, 27);
   _actionMap[0][ALTER] = ActionEntry(SHIFT, 12);
   _actionMap[0][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[0][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[0][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[0][SELECT] = ActionEntry(SHIFT, 30);
   _actionMap[0][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[0][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[0][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[0][SYNC] = ActionEntry(SHIFT, 34);
   _actionMap[0][LIST] = ActionEntry(SHIFT, 23);
   _actionMap[0][TABLEINFO] = ActionEntry(SHIFT, 35);
   _actionMap[0][UPTIME] = ActionEntry(SHIFT, 37);
   _actionMap[0][SHOW] = ActionEntry(SHIFT, 32);
   _actionMap[0][DESC] = ActionEntry(SHIFT, 19);
   _actionMap[0][SET] = ActionEntry(SHIFT, 31);
   _actionMap[0][AUTHORIZE] = ActionEntry(SHIFT, 13);
   _actionMap[0][REORGANIZE] = ActionEntry(SHIFT, 28);
   _actionMap[0][PLAN] = ActionEntry(SHIFT, 25);
   _actionMap[0][CREATE] = ActionEntry(SHIFT, 17);
   _actionMap[0][LOAD] = ActionEntry(SHIFT, 24);
   _actionMap[0][CALL] = ActionEntry(SHIFT, 14);
   _actionMap[0][VARREF] = ActionEntry(SHIFT, 38);
   _actionMap[0][PRINT] = ActionEntry(SHIFT, 26);
   _actionMap[0][CHECK] = ActionEntry(SHIFT, 15);
   _actionMap[0][JDBC] = ActionEntry(SHIFT, 22);
   _jumpMap[0][RenameStatement] = 11;
}
void Cego::loadParser260()
{
   _jumpMap[0][AlterStatement] = 10;
   _jumpMap[0][DeleteStatement] = 9;
   _jumpMap[0][UpdateStatement] = 8;
   _jumpMap[0][SelectStatement] = 7;
   _jumpMap[0][InsertStatement] = 6;
   _jumpMap[0][RollbackStatement] = 5;
   _jumpMap[0][CommitStatement] = 4;
   _jumpMap[0][StartStatement] = 3;
   _jumpMap[0][Statement] = 2;
   _jumpMap[0][DropOpt] = 1;
}
void Cego::loadParser261()
{
   _prodInfo.Insert(ProdEntry(378, ObjSpec, 1));
   _prodInfo.Insert(ProdEntry(377, ObjSpec, 1));
   _prodInfo.Insert(ProdEntry(376, ObjSpec, 1));
   _prodInfo.Insert(ProdEntry(375, DateValue, 1));
   _prodInfo.Insert(ProdEntry(374, DateFormat, 1));
   _prodInfo.Insert(ProdEntry(373, Constant, 6));
   _prodInfo.Insert(ProdEntry(372, Constant, 6));
   _prodInfo.Insert(ProdEntry(371, Constant, 1));
   _prodInfo.Insert(ProdEntry(370, Constant, 1));
   _prodInfo.Insert(ProdEntry(369, Constant, 1));
   _prodInfo.Insert(ProdEntry(368, Constant, 1));
   _prodInfo.Insert(ProdEntry(367, Constant, 6));
   _prodInfo.Insert(ProdEntry(366, Constant, 4));
   _prodInfo.Insert(ProdEntry(365, Constant, 4));
   _prodInfo.Insert(ProdEntry(364, Constant, 4));
   _prodInfo.Insert(ProdEntry(363, Constant, 1));
   _prodInfo.Insert(ProdEntry(362, Constant, 1));
   _prodInfo.Insert(ProdEntry(361, Constant, 4));
   _prodInfo.Insert(ProdEntry(360, Constant, 4));
   _prodInfo.Insert(ProdEntry(359, Constant, 4));
   _prodInfo.Insert(ProdEntry(358, Constant, 4));
   _prodInfo.Insert(ProdEntry(357, Constant, 1));
   _prodInfo.Insert(ProdEntry(356, SignedFloat, 2));
   _prodInfo.Insert(ProdEntry(355, SignedFloat, 1));
   _prodInfo.Insert(ProdEntry(354, SignedInt, 2));
   _prodInfo.Insert(ProdEntry(353, SignedInt, 1));
   _prodInfo.Insert(ProdEntry(352, Attribute, 2));
   _prodInfo.Insert(ProdEntry(351, Attribute, 1));
   _prodInfo.Insert(ProdEntry(350, Attribute, 1));
   _prodInfo.Insert(ProdEntry(349, Comparison, 2));
   _prodInfo.Insert(ProdEntry(348, Comparison, 2));
   _prodInfo.Insert(ProdEntry(347, Comparison, 1));
   _prodInfo.Insert(ProdEntry(346, Comparison, 1));
   _prodInfo.Insert(ProdEntry(345, Comparison, 2));
   _prodInfo.Insert(ProdEntry(344, Comparison, 1));
   _prodInfo.Insert(ProdEntry(343, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(342, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(341, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(340, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(339, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(338, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(337, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(336, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(335, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(334, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(333, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(332, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(331, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(330, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(329, QueryPredicate, 2));
   _prodInfo.Insert(ProdEntry(328, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(327, QueryPredicate, 4));
   _prodInfo.Insert(ProdEntry(326, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(325, QueryPredicate, 4));
   _prodInfo.Insert(ProdEntry(324, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(323, QueryPredicate, 5));
   _prodInfo.Insert(ProdEntry(322, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(321, QueryPredicate, 6));
   _prodInfo.Insert(ProdEntry(320, QueryPredicate, 5));
   _prodInfo.Insert(ProdEntry(319, QueryPredicate, 4));
   _prodInfo.Insert(ProdEntry(318, QueryCondition, 1));
   _prodInfo.Insert(ProdEntry(317, QueryCondition, 3));
   _prodInfo.Insert(ProdEntry(316, QueryCondition, 3));
   _prodInfo.Insert(ProdEntry(315, NoWhere, 0));
   _prodInfo.Insert(ProdEntry(314, WhereClause, 1));
   _prodInfo.Insert(ProdEntry(313, WhereClause, 2));
   _prodInfo.Insert(ProdEntry(312, ExpressionList, 1));
   _prodInfo.Insert(ProdEntry(311, ExpressionList, 3));
   _prodInfo.Insert(ProdEntry(310, Function, 3));
   _prodInfo.Insert(ProdEntry(309, Function, 4));
   _prodInfo.Insert(ProdEntry(308, Function, 6));
   _prodInfo.Insert(ProdEntry(307, Function, 4));
   _prodInfo.Insert(ProdEntry(306, Function, 4));
   _prodInfo.Insert(ProdEntry(305, Function, 4));
   _prodInfo.Insert(ProdEntry(304, Function, 4));
   _prodInfo.Insert(ProdEntry(303, Function, 4));
   _prodInfo.Insert(ProdEntry(302, Function, 4));
   _prodInfo.Insert(ProdEntry(301, Function, 4));
   _prodInfo.Insert(ProdEntry(300, Function, 4));
   _prodInfo.Insert(ProdEntry(299, Function, 4));
   _prodInfo.Insert(ProdEntry(298, Function, 4));
   _prodInfo.Insert(ProdEntry(297, Function, 4));
   _prodInfo.Insert(ProdEntry(296, Function, 4));
   _prodInfo.Insert(ProdEntry(295, Function, 4));
   _prodInfo.Insert(ProdEntry(294, Function, 4));
   _prodInfo.Insert(ProdEntry(293, Function, 4));
   _prodInfo.Insert(ProdEntry(292, Function, 4));
   _prodInfo.Insert(ProdEntry(291, Function, 4));
   _prodInfo.Insert(ProdEntry(290, Function, 4));
   _prodInfo.Insert(ProdEntry(289, Function, 4));
   _prodInfo.Insert(ProdEntry(288, Function, 4));
   _prodInfo.Insert(ProdEntry(287, Function, 4));
   _prodInfo.Insert(ProdEntry(286, Function, 4));
   _prodInfo.Insert(ProdEntry(285, Function, 4));
   _prodInfo.Insert(ProdEntry(284, Function, 4));
   _prodInfo.Insert(ProdEntry(283, Function, 4));
   _prodInfo.Insert(ProdEntry(282, Function, 4));
   _prodInfo.Insert(ProdEntry(281, Function, 4));
   _prodInfo.Insert(ProdEntry(280, Function, 4));
   _prodInfo.Insert(ProdEntry(279, Function, 4));
   _prodInfo.Insert(ProdEntry(278, Function, 4));
   _prodInfo.Insert(ProdEntry(277, Function, 4));
   _prodInfo.Insert(ProdEntry(276, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(275, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(274, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(273, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(272, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(271, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(270, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(269, AlterOption, 5));
   _prodInfo.Insert(ProdEntry(268, AlterOption, 3));
   _prodInfo.Insert(ProdEntry(267, AlterOption, 3));
   _prodInfo.Insert(ProdEntry(266, AlterOption, 3));
   _prodInfo.Insert(ProdEntry(265, AlterList, 1));
   _prodInfo.Insert(ProdEntry(264, AlterList, 3));
   _prodInfo.Insert(ProdEntry(263, AlterStatement, 4));
   _prodInfo.Insert(ProdEntry(262, UpdDelAlias, 0));
   _prodInfo.Insert(ProdEntry(261, UpdDelAlias, 1));
   _prodInfo.Insert(ProdEntry(260, DeleteStatement, 5));
   _prodInfo.Insert(ProdEntry(259, ReturnVar, 3));
   _prodInfo.Insert(ProdEntry(258, ReturnVarList, 1));
   _prodInfo.Insert(ProdEntry(257, ReturnVarList, 3));
   _prodInfo.Insert(ProdEntry(256, UpdReturnOpt, 0));
   _prodInfo.Insert(ProdEntry(255, UpdReturnOpt, 2));
   _prodInfo.Insert(ProdEntry(254, Assignment, 3));
   _prodInfo.Insert(ProdEntry(253, UpdateList, 1));
   _prodInfo.Insert(ProdEntry(252, UpdateList, 3));
   _prodInfo.Insert(ProdEntry(251, UpdateStatement, 7));
   _prodInfo.Insert(ProdEntry(250, NoLimit, 0));
   _prodInfo.Insert(ProdEntry(249, LimitOpt, 1));
   _prodInfo.Insert(ProdEntry(248, LimitOpt, 2));
   _prodInfo.Insert(ProdEntry(247, DistinctOpt, 0));
   _prodInfo.Insert(ProdEntry(246, DistinctOpt, 1));
   _prodInfo.Insert(ProdEntry(245, DefaultOrderOpt, 0));
   _prodInfo.Insert(ProdEntry(244, DefaultOrderOpt, 1));
   _prodInfo.Insert(ProdEntry(243, OrderingOpt, 1));
   _prodInfo.Insert(ProdEntry(242, OrderingOpt, 1));
   _prodInfo.Insert(ProdEntry(241, OrderingList, 2));
   _prodInfo.Insert(ProdEntry(240, OrderingList, 4));
   _prodInfo.Insert(ProdEntry(239, NoOrdering, 0));
   _prodInfo.Insert(ProdEntry(238, OrderingClause, 1));
   _prodInfo.Insert(ProdEntry(237, OrderingClause, 3));
   _prodInfo.Insert(ProdEntry(236, NoHaving, 0));
   _prodInfo.Insert(ProdEntry(235, HavingClause, 1));
   _prodInfo.Insert(ProdEntry(234, HavingClause, 4));
   _prodInfo.Insert(ProdEntry(233, GroupList, 1));
   _prodInfo.Insert(ProdEntry(232, GroupList, 3));
   _prodInfo.Insert(ProdEntry(231, NoGroup, 0));
   _prodInfo.Insert(ProdEntry(230, GroupClause, 1));
   _prodInfo.Insert(ProdEntry(229, GroupClause, 4));
   _prodInfo.Insert(ProdEntry(228, NoAliasOpt, 0));
   _prodInfo.Insert(ProdEntry(227, AliasOpt, 1));
   _prodInfo.Insert(ProdEntry(226, AliasOpt, 2));
   _prodInfo.Insert(ProdEntry(225, JoinTableOn, 1));
   _prodInfo.Insert(ProdEntry(224, Table, 2));
   _prodInfo.Insert(ProdEntry(223, Table, 1));
   _prodInfo.Insert(ProdEntry(222, TableList, 1));
   _prodInfo.Insert(ProdEntry(221, TableList, 3));
   _prodInfo.Insert(ProdEntry(220, InnerJoin, 1));
   _prodInfo.Insert(ProdEntry(219, InnerJoin, 2));
   _prodInfo.Insert(ProdEntry(218, JoinSpec, 6));
   _prodInfo.Insert(ProdEntry(217, JoinSpec, 6));
   _prodInfo.Insert(ProdEntry(216, JoinSpec, 4));
   _prodInfo.Insert(ProdEntry(215, JoinSpecList, 2));
   _prodInfo.Insert(ProdEntry(214, JoinSpecList, 2));
   _prodInfo.Insert(ProdEntry(213, TableSource, 1));
   _prodInfo.Insert(ProdEntry(212, TableSource, 1));
   _prodInfo.Insert(ProdEntry(211, SelectItem, 2));
   _prodInfo.Insert(ProdEntry(210, SelectionList, 1));
   _prodInfo.Insert(ProdEntry(209, SelectionList, 3));
   _prodInfo.Insert(ProdEntry(208, Selection, 1));
   _prodInfo.Insert(ProdEntry(207, Selection, 2));
   _prodInfo.Insert(ProdEntry(206, SelectStatement, 9));
   _prodInfo.Insert(ProdEntry(205, InsertValueList, 1));
   _prodInfo.Insert(ProdEntry(204, InsertValueList, 3));
   _prodInfo.Insert(ProdEntry(203, InsertArgList, 1));
   _prodInfo.Insert(ProdEntry(202, InsertArgList, 3));
   _prodInfo.Insert(ProdEntry(201, InsertValueSpec, 3));
   _prodInfo.Insert(ProdEntry(200, InsertValueSpecList, 1));
   _prodInfo.Insert(ProdEntry(199, InsertValueSpecList, 3));
   _prodInfo.Insert(ProdEntry(198, InsertPrepare, 1));
   _prodInfo.Insert(ProdEntry(197, InsertArgSpec, 0));
   _prodInfo.Insert(ProdEntry(196, InsertArgSpec, 3));
   _prodInfo.Insert(ProdEntry(195, InsertStatement, 5));
   _prodInfo.Insert(ProdEntry(194, InsertStatement, 6));
   _prodInfo.Insert(ProdEntry(193, RollbackStatement, 1));
   _prodInfo.Insert(ProdEntry(192, CommitStatement, 1));
   _prodInfo.Insert(ProdEntry(191, StartStatement, 2));
   _prodInfo.Insert(ProdEntry(190, BtreeType, 1));
   _prodInfo.Insert(ProdEntry(189, BtreeType, 1));
   _prodInfo.Insert(ProdEntry(188, IndexType, 1));
   _prodInfo.Insert(ProdEntry(187, IndexType, 1));
   _prodInfo.Insert(ProdEntry(186, IndexOption, 0));
   _prodInfo.Insert(ProdEntry(185, IndexOption, 1));
   _prodInfo.Insert(ProdEntry(184, SimpleAttr, 1));
   _prodInfo.Insert(ProdEntry(183, SimpleAttrList, 1));
   _prodInfo.Insert(ProdEntry(182, SimpleAttrList, 3));
   _prodInfo.Insert(ProdEntry(181, DefaultDefOpt, 0));
   _prodInfo.Insert(ProdEntry(180, DefaultOpt, 1));
   _prodInfo.Insert(ProdEntry(179, DefaultOpt, 2));
   _prodInfo.Insert(ProdEntry(178, DefaultNullOpt, 0));
   _prodInfo.Insert(ProdEntry(177, NullOpt, 1));
   _prodInfo.Insert(ProdEntry(176, NullOpt, 2));
   _prodInfo.Insert(ProdEntry(175, NullOpt, 1));
   _prodInfo.Insert(ProdEntry(174, ColumnDesc, 4));
   _prodInfo.Insert(ProdEntry(173, KeyColumn, 1));
   _prodInfo.Insert(ProdEntry(172, KeyColumn, 2));
   _prodInfo.Insert(ProdEntry(171, ColumnList, 1));
   _prodInfo.Insert(ProdEntry(170, ColumnList, 3));
   _prodInfo.Insert(ProdEntry(169, FetchArgList, 1));
   _prodInfo.Insert(ProdEntry(168, FetchArgList, 3));
   _prodInfo.Insert(ProdEntry(167, CasePrepare, 1));
   _prodInfo.Insert(ProdEntry(166, CaseCondition, 4));
   _prodInfo.Insert(ProdEntry(165, CaseConditionList, 1));
   _prodInfo.Insert(ProdEntry(164, CaseConditionList, 2));
   _prodInfo.Insert(ProdEntry(163, CaseClause, 5));
   _prodInfo.Insert(ProdEntry(162, Factor, 4));
   _prodInfo.Insert(ProdEntry(161, Factor, 4));
   _prodInfo.Insert(ProdEntry(160, Factor, 5));
   _prodInfo.Insert(ProdEntry(159, Factor, 4));
   _prodInfo.Insert(ProdEntry(158, Factor, 4));
   _prodInfo.Insert(ProdEntry(157, Factor, 4));
   _prodInfo.Insert(ProdEntry(156, Factor, 1));
   _prodInfo.Insert(ProdEntry(155, Factor, 3));
   _prodInfo.Insert(ProdEntry(154, Factor, 3));
   _prodInfo.Insert(ProdEntry(153, Factor, 1));
   _prodInfo.Insert(ProdEntry(152, Factor, 1));
   _prodInfo.Insert(ProdEntry(151, Factor, 6));
   _prodInfo.Insert(ProdEntry(150, Factor, 1));
   _prodInfo.Insert(ProdEntry(149, Factor, 1));
   _prodInfo.Insert(ProdEntry(148, Term, 1));
   _prodInfo.Insert(ProdEntry(147, Term, 3));
   _prodInfo.Insert(ProdEntry(146, Term, 3));
   _prodInfo.Insert(ProdEntry(145, Expr, 3));
   _prodInfo.Insert(ProdEntry(144, Expr, 1));
   _prodInfo.Insert(ProdEntry(143, Expr, 3));
   _prodInfo.Insert(ProdEntry(142, Expr, 3));
   _prodInfo.Insert(ProdEntry(141, ProcPredicate, 4));
   _prodInfo.Insert(ProdEntry(140, ProcPredicate, 3));
   _prodInfo.Insert(ProdEntry(139, ProcPredicate, 3));
   _prodInfo.Insert(ProdEntry(138, ProcPredicate, 3));
   _prodInfo.Insert(ProdEntry(137, ProcCondition, 1));
   _prodInfo.Insert(ProdEntry(136, ProcCondition, 3));
   _prodInfo.Insert(ProdEntry(135, ProcCondition, 3));
   _prodInfo.Insert(ProdEntry(134, ProcWhileCondition, 1));
   _prodInfo.Insert(ProdEntry(133, ProcStatement, 5));
   _prodInfo.Insert(ProdEntry(132, ProcElsIfCondition, 1));
   _prodInfo.Insert(ProdEntry(131, ProcIfCondition, 1));
   _prodInfo.Insert(ProdEntry(130, ProcElsePart, 1));
   _prodInfo.Insert(ProdEntry(129, ProcElseOpt, 0));
   _prodInfo.Insert(ProdEntry(128, ProcElseOpt, 2));
   _prodInfo.Insert(ProdEntry(127, ProcElsIfOpt, 4));
   _prodInfo.Insert(ProdEntry(126, ProcElsIfList, 0));
   _prodInfo.Insert(ProdEntry(125, ProcElsIfList, 2));
   _prodInfo.Insert(ProdEntry(124, ProcIfPart, 4));
   _prodInfo.Insert(ProdEntry(123, ProcStatement, 4));
   _prodInfo.Insert(ProdEntry(122, ProcExceptionType, 1));
   _prodInfo.Insert(ProdEntry(121, ProcValueList, 1));
   _prodInfo.Insert(ProdEntry(120, ProcValueList, 3));
   _prodInfo.Insert(ProdEntry(119, ProcValueListOpt, 0));
   _prodInfo.Insert(ProdEntry(118, ProcValueListOpt, 1));
   _prodInfo.Insert(ProdEntry(117, ProcExceptionStmt, 5));
   _prodInfo.Insert(ProdEntry(116, ProcExceptionList, 0));
   _prodInfo.Insert(ProdEntry(115, ProcExceptionList, 2));
   _prodInfo.Insert(ProdEntry(114, ProcBlockStart, 1));
   _prodInfo.Insert(ProdEntry(113, ProcStatement, 3));
   _prodInfo.Insert(ProdEntry(112, ProcStatement, 2));
   _prodInfo.Insert(ProdEntry(111, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(110, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(109, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(108, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(107, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(106, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(105, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(104, ProcStatement, 2));
   _prodInfo.Insert(ProdEntry(103, ProcNoAssignment, 0));
   _prodInfo.Insert(ProdEntry(102, ProcInitialAssignment, 1));
   _prodInfo.Insert(ProdEntry(101, ProcInitialAssignment, 2));
   _prodInfo.Insert(ProdEntry(100, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(99, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(98, ProcStatement, 3));
   _prodInfo.Insert(ProdEntry(97, ProcStatement, 2));
   _prodInfo.Insert(ProdEntry(96, ProcStatement, 4));
   _prodInfo.Insert(ProdEntry(95, ProcStatement, 4));
   _prodInfo.Insert(ProdEntry(94, ProcStatementList, 2));
   _prodInfo.Insert(ProdEntry(93, ProcStatementList, 3));
   _prodInfo.Insert(ProdEntry(92, ProcStmtBlock, 2));
   _prodInfo.Insert(ProdEntry(91, ProcArg, 3));
   _prodInfo.Insert(ProdEntry(90, ProcArg, 3));
   _prodInfo.Insert(ProdEntry(89, ProcArgList, 1));
   _prodInfo.Insert(ProdEntry(88, ProcArgList, 3));
   _prodInfo.Insert(ProdEntry(87, ProcArgOpt, 0));
   _prodInfo.Insert(ProdEntry(86, ProcArgOpt, 1));
   _prodInfo.Insert(ProdEntry(85, ReturnOpt, 0));
   _prodInfo.Insert(ProdEntry(84, ReturnOpt, 2));
   _prodInfo.Insert(ProdEntry(83, ProcDef, 4));
   _prodInfo.Insert(ProdEntry(82, ProcHead, 6));
   _prodInfo.Insert(ProdEntry(81, UnionAllOpt, 0));
   _prodInfo.Insert(ProdEntry(80, UnionAllOpt, 3));
   _prodInfo.Insert(ProdEntry(79, JdbcArgList, 1));
   _prodInfo.Insert(ProdEntry(78, JdbcArgList, 2));
   _prodInfo.Insert(ProdEntry(77, Statement, 2));
   _prodInfo.Insert(ProdEntry(76, CounterId, 1));
   _prodInfo.Insert(ProdEntry(75, Statement, 5));
   _prodInfo.Insert(ProdEntry(74, Statement, 3));
   _prodInfo.Insert(ProdEntry(73, Statement, 3));
   _prodInfo.Insert(ProdEntry(72, Statement, 3));
   _prodInfo.Insert(ProdEntry(71, Statement, 2));
   _prodInfo.Insert(ProdEntry(70, Statement, 4));
   _prodInfo.Insert(ProdEntry(69, Statement, 8));
   _prodInfo.Insert(ProdEntry(68, Statement, 15));
   _prodInfo.Insert(ProdEntry(67, DropOpt, 3));
   _prodInfo.Insert(ProdEntry(66, DropOpt, 1));
   _prodInfo.Insert(ProdEntry(65, Statement, 3));
   _prodInfo.Insert(ProdEntry(64, Statement, 3));
   _prodInfo.Insert(ProdEntry(63, Statement, 4));
   _prodInfo.Insert(ProdEntry(62, Statement, 3));
   _prodInfo.Insert(ProdEntry(61, Statement, 3));
   _prodInfo.Insert(ProdEntry(60, Statement, 3));
   _prodInfo.Insert(ProdEntry(59, Statement, 3));
   _prodInfo.Insert(ProdEntry(58, Statement, 9));
   _prodInfo.Insert(ProdEntry(57, Statement, 8));
   _prodInfo.Insert(ProdEntry(56, Statement, 6));
   _prodInfo.Insert(ProdEntry(55, Statement, 7));
   _prodInfo.Insert(ProdEntry(54, Statement, 5));
   _prodInfo.Insert(ProdEntry(53, Statement, 2));
   _prodInfo.Insert(ProdEntry(52, Statement, 2));
   _prodInfo.Insert(ProdEntry(51, Statement, 5));
   _prodInfo.Insert(ProdEntry(50, Statement, 5));
   _prodInfo.Insert(ProdEntry(49, Statement, 1));
   _prodInfo.Insert(ProdEntry(48, Statement, 1));
   _prodInfo.Insert(ProdEntry(47, Statement, 1));
   _prodInfo.Insert(ProdEntry(46, Statement, 1));
   _prodInfo.Insert(ProdEntry(45, Statement, 1));
   _prodInfo.Insert(ProdEntry(44, Statement, 2));
   _prodInfo.Insert(ProdEntry(43, Statement, 1));
   _prodInfo.Insert(ProdEntry(42, Statement, 3));
   _prodInfo.Insert(ProdEntry(41, Statement, 3));
   _prodInfo.Insert(ProdEntry(40, Statement, 4));
   _prodInfo.Insert(ProdEntry(39, Statement, 4));
   _prodInfo.Insert(ProdEntry(38, Statement, 3));
   _prodInfo.Insert(ProdEntry(37, Statement, 3));
   _prodInfo.Insert(ProdEntry(36, Statement, 3));
   _prodInfo.Insert(ProdEntry(35, Statement, 3));
   _prodInfo.Insert(ProdEntry(34, Statement, 3));
   _prodInfo.Insert(ProdEntry(33, Statement, 1));
   _prodInfo.Insert(ProdEntry(32, Statement, 1));
   _prodInfo.Insert(ProdEntry(31, Statement, 1));
   _prodInfo.Insert(ProdEntry(30, Statement, 7));
   _prodInfo.Insert(ProdEntry(29, Statement, 3));
   _prodInfo.Insert(ProdEntry(28, Statement, 3));
   _prodInfo.Insert(ProdEntry(27, Statement, 3));
   _prodInfo.Insert(ProdEntry(26, Statement, 3));
   _prodInfo.Insert(ProdEntry(25, Statement, 3));
   _prodInfo.Insert(ProdEntry(24, Statement, 3));
   _prodInfo.Insert(ProdEntry(23, Statement, 4));
   _prodInfo.Insert(ProdEntry(22, Statement, 3));
   _prodInfo.Insert(ProdEntry(21, Statement, 3));
   _prodInfo.Insert(ProdEntry(20, Statement, 3));
   _prodInfo.Insert(ProdEntry(19, Statement, 3));
   _prodInfo.Insert(ProdEntry(18, Statement, 2));
   _prodInfo.Insert(ProdEntry(17, Statement, 2));
   _prodInfo.Insert(ProdEntry(16, Statement, 1));
   _prodInfo.Insert(ProdEntry(15, Statement, 2));
   _prodInfo.Insert(ProdEntry(14, TableSetOpt, 0));
   _prodInfo.Insert(ProdEntry(13, TableSetOpt, 2));
   _prodInfo.Insert(ProdEntry(12, Statement, 3));
   _prodInfo.Insert(ProdEntry(11, Statement, 3));
   _prodInfo.Insert(ProdEntry(10, Statement, 3));
   _prodInfo.Insert(ProdEntry(9, Statement, 3));
   _prodInfo.Insert(ProdEntry(8, Statement, 3));
   _prodInfo.Insert(ProdEntry(7, Statement, 3));
   _prodInfo.Insert(ProdEntry(6, Statement, 3));
   _prodInfo.Insert(ProdEntry(5, Statement, 3));
   _prodInfo.Insert(ProdEntry(4, Statement, 3));
   _prodInfo.Insert(ProdEntry(3, Statement, 3));
   _prodInfo.Insert(ProdEntry(2, Statement, 2));
   _prodInfo.Insert(ProdEntry(1, Statement, 1));
   _prodInfo.Insert(ProdEntry(0, Start, 2));
}

Cego::Cego()
{
   loadScanner();
   for ( int i=0; i < 861; i++)
   {
      int j;
      for ( j = 0; j < 185; j++)
         _actionMap[i][j] = ActionEntry();
      for ( j = 0; j < 118; j++)
         _jumpMap[i][j] = -1;
   }
   loadParser0();
   loadParser1();
   loadParser2();
   loadParser3();
   loadParser4();
   loadParser5();
   loadParser6();
   loadParser7();
   loadParser8();
   loadParser9();
   loadParser10();
   loadParser11();
   loadParser12();
   loadParser13();
   loadParser14();
   loadParser15();
   loadParser16();
   loadParser17();
   loadParser18();
   loadParser19();
   loadParser20();
   loadParser21();
   loadParser22();
   loadParser23();
   loadParser24();
   loadParser25();
   loadParser26();
   loadParser27();
   loadParser28();
   loadParser29();
   loadParser30();
   loadParser31();
   loadParser32();
   loadParser33();
   loadParser34();
   loadParser35();
   loadParser36();
   loadParser37();
   loadParser38();
   loadParser39();
   loadParser40();
   loadParser41();
   loadParser42();
   loadParser43();
   loadParser44();
   loadParser45();
   loadParser46();
   loadParser47();
   loadParser48();
   loadParser49();
   loadParser50();
   loadParser51();
   loadParser52();
   loadParser53();
   loadParser54();
   loadParser55();
   loadParser56();
   loadParser57();
   loadParser58();
   loadParser59();
   loadParser60();
   loadParser61();
   loadParser62();
   loadParser63();
   loadParser64();
   loadParser65();
   loadParser66();
   loadParser67();
   loadParser68();
   loadParser69();
   loadParser70();
   loadParser71();
   loadParser72();
   loadParser73();
   loadParser74();
   loadParser75();
   loadParser76();
   loadParser77();
   loadParser78();
   loadParser79();
   loadParser80();
   loadParser81();
   loadParser82();
   loadParser83();
   loadParser84();
   loadParser85();
   loadParser86();
   loadParser87();
   loadParser88();
   loadParser89();
   loadParser90();
   loadParser91();
   loadParser92();
   loadParser93();
   loadParser94();
   loadParser95();
   loadParser96();
   loadParser97();
   loadParser98();
   loadParser99();
   loadParser100();
   loadParser101();
   loadParser102();
   loadParser103();
   loadParser104();
   loadParser105();
   loadParser106();
   loadParser107();
   loadParser108();
   loadParser109();
   loadParser110();
   loadParser111();
   loadParser112();
   loadParser113();
   loadParser114();
   loadParser115();
   loadParser116();
   loadParser117();
   loadParser118();
   loadParser119();
   loadParser120();
   loadParser121();
   loadParser122();
   loadParser123();
   loadParser124();
   loadParser125();
   loadParser126();
   loadParser127();
   loadParser128();
   loadParser129();
   loadParser130();
   loadParser131();
   loadParser132();
   loadParser133();
   loadParser134();
   loadParser135();
   loadParser136();
   loadParser137();
   loadParser138();
   loadParser139();
   loadParser140();
   loadParser141();
   loadParser142();
   loadParser143();
   loadParser144();
   loadParser145();
   loadParser146();
   loadParser147();
   loadParser148();
   loadParser149();
   loadParser150();
   loadParser151();
   loadParser152();
   loadParser153();
   loadParser154();
   loadParser155();
   loadParser156();
   loadParser157();
   loadParser158();
   loadParser159();
   loadParser160();
   loadParser161();
   loadParser162();
   loadParser163();
   loadParser164();
   loadParser165();
   loadParser166();
   loadParser167();
   loadParser168();
   loadParser169();
   loadParser170();
   loadParser171();
   loadParser172();
   loadParser173();
   loadParser174();
   loadParser175();
   loadParser176();
   loadParser177();
   loadParser178();
   loadParser179();
   loadParser180();
   loadParser181();
   loadParser182();
   loadParser183();
   loadParser184();
   loadParser185();
   loadParser186();
   loadParser187();
   loadParser188();
   loadParser189();
   loadParser190();
   loadParser191();
   loadParser192();
   loadParser193();
   loadParser194();
   loadParser195();
   loadParser196();
   loadParser197();
   loadParser198();
   loadParser199();
   loadParser200();
   loadParser201();
   loadParser202();
   loadParser203();
   loadParser204();
   loadParser205();
   loadParser206();
   loadParser207();
   loadParser208();
   loadParser209();
   loadParser210();
   loadParser211();
   loadParser212();
   loadParser213();
   loadParser214();
   loadParser215();
   loadParser216();
   loadParser217();
   loadParser218();
   loadParser219();
   loadParser220();
   loadParser221();
   loadParser222();
   loadParser223();
   loadParser224();
   loadParser225();
   loadParser226();
   loadParser227();
   loadParser228();
   loadParser229();
   loadParser230();
   loadParser231();
   loadParser232();
   loadParser233();
   loadParser234();
   loadParser235();
   loadParser236();
   loadParser237();
   loadParser238();
   loadParser239();
   loadParser240();
   loadParser241();
   loadParser242();
   loadParser243();
   loadParser244();
   loadParser245();
   loadParser246();
   loadParser247();
   loadParser248();
   loadParser249();
   loadParser250();
   loadParser251();
   loadParser252();
   loadParser253();
   loadParser254();
   loadParser255();
   loadParser256();
   loadParser257();
   loadParser258();
   loadParser259();
   loadParser260();
   loadParser261();
   _isReserved = false;
}

Cego::~Cego()
{
}

void Cego::parse()
{
   StackT<StackEntry> s;
   StackEntry se(NONE, 0, 0);
   s.Push(se);
   _isReserved = false;
   if ( shiftToken() == false )
   {
      Chain msg = "Parse error at token <" + Chain(_tokenVal) + ">.";
      throw Exception(EXLOC, msg);
   }
   while ( true )
   {
      Action a;
      int num;
      if ( getAction(s.getTop()->getState(), _token, a, num) )
      {
         switch (a)
         {
            case SHIFT:
            {
               StackEntry se(TOKEN, _token, num, _tokenVal);
               s.Push(se);
               if ( shiftToken() == false )
               {
                  Chain msg = "Parse error at token <" + Chain(_tokenVal) + ">.";
                  throw Exception(EXLOC, msg);
               }
               break;
            }
            case REDUCE:
            {
               _tokenList.Empty();
               ProdEntry* pPE = _prodInfo.Find(num);
               for (int i=0; i<pPE->getNumSymbol();i++)
               {
                  StackEntry se;
                  s.Pop(se);
                  if (se.getSymbol() == TOKEN)
                     _tokenList.Insert(se.getTval());
               }
               int fstate;
               if (getJump(s.getTop()->getState(), pPE->getProd(), fstate))
               {
                  StackEntry se(PROD, pPE->getId(), fstate, _tokenVal);
                  s.Push(se);
               }
               else
               {
                  Chain msg = "Cannot reduce after token <" + Chain(_tokenVal) + ">.";
                  throw Exception(EXLOC, msg);
               }
               switch (num)
               {
                  case 378:
                     setObject3();
                     break;
                  case 377:
                     setObject2();
                     break;
                  case 376:
                     setObject1();
                     break;
                  case 375:
                     miscDateValue();
                     break;
                  case 374:
                     miscDateFormat();
                     break;
                  case 373:
                     miscClobRef();
                     break;
                  case 372:
                     miscBlobRef();
                     break;
                  case 371:
                     miscFalseValue();
                     break;
                  case 370:
                     miscTrueValue();
                     break;
                  case 369:
                     miscNull();
                     break;
                  case 368:
                     miscSysDate();
                     break;
                  case 367:
                     miscFormatDate();
                     break;
                  case 366:
                     miscFixedValue();
                     break;
                  case 365:
                     miscDecimalValue();
                     break;
                  case 364:
                     miscDoubleValue();
                     break;
                  case 363:
                     miscFloatValue();
                     break;
                  case 362:
                     miscStringValue();
                     break;
                  case 361:
                     miscTinyIntValue();
                     break;
                  case 360:
                     miscSmallIntValue();
                     break;
                  case 359:
                     miscBigIntValue();
                     break;
                  case 358:
                     miscLongValue();
                     break;
                  case 357:
                     miscIntValue();
                     break;
                  case 356:
                     miscNegatedFloatString();
                     break;
                  case 355:
                     miscFloatString();
                     break;
                  case 354:
                     miscNegatedIntString();
                     break;
                  case 353:
                     miscIntString();
                     break;
                  case 352:
                     miscAttribute3();
                     break;
                  case 351:
                     miscAttribute2();
                     break;
                  case 350:
                     miscAttribute1();
                     break;
                  case 349:
                     miscMoreEqualComp();
                     break;
                  case 348:
                     miscLessEqualComp();
                     break;
                  case 347:
                     miscMoreComp();
                     break;
                  case 346:
                     miscLessComp();
                     break;
                  case 345:
                     miscNotEqualComp();
                     break;
                  case 344:
                     miscEqualComp();
                     break;
                  case 343:
                     miscClobType();
                     break;
                  case 342:
                     miscBlobType();
                     break;
                  case 341:
                     miscFixedType();
                     break;
                  case 340:
                     miscDecimalType();
                     break;
                  case 339:
                     miscTinyIntType();
                     break;
                  case 338:
                     miscSmallIntType();
                     break;
                  case 337:
                     miscDoubleType();
                     break;
                  case 336:
                     miscFloatType();
                     break;
                  case 335:
                     miscBigIntType();
                     break;
                  case 334:
                     miscBoolType();
                     break;
                  case 333:
                     miscDateTimeType();
                     break;
                  case 332:
                     miscStringType();
                     break;
                  case 331:
                     miscLongType();
                     break;
                  case 330:
                     miscIntType();
                     break;
                  case 329:
                     wcPredicateNotPredicate();
                     break;
                  case 328:
                     wcPredicateCondition();
                     break;
                  case 327:
                     wcPredicateNotLikeComp();
                     break;
                  case 326:
                     wcPredicateLikeComp();
                     break;
                  case 325:
                     wcPredicateNotNullComp();
                     break;
                  case 324:
                     wcPredicateNullComp();
                     break;
                  case 323:
                     wcPredicateBetween();
                     break;
                  case 322:
                     wcPredicateExprComp();
                     break;
                  case 321:
                     wcPredicateQueryNotIn();
                     break;
                  case 320:
                     wcPredicateQueryIn();
                     break;
                  case 319:
                     wcPredicateQueryExists();
                     break;
                  case 318:
                     wcConditionPredicate();
                     break;
                  case 317:
                     wcConditionOr();
                     break;
                  case 316:
                     wcConditionAnd();
                     break;
                  case 314:
                     wcEmptyClause();
                     break;
                  case 313:
                     wcWhereClause();
                     break;
                  case 312:
                     functionExprList2();
                     break;
                  case 311:
                     functionExprList1();
                     break;
                  case 310:
                     functionUserDef2();
                     break;
                  case 309:
                     functionUserDef1();
                     break;
                  case 308:
                     functionSetCount();
                     break;
                  case 307:
                     functionNextCount();
                     break;
                  case 306:
                     functionNative();
                     break;
                  case 305:
                     functionNative();
                     break;
                  case 304:
                     functionNative();
                     break;
                  case 303:
                     functionNative();
                     break;
                  case 302:
                     functionNative();
                     break;
                  case 301:
                     functionNative();
                     break;
                  case 300:
                     functionNative();
                     break;
                  case 299:
                     functionNative();
                     break;
                  case 298:
                     functionNative();
                     break;
                  case 297:
                     functionNative();
                     break;
                  case 296:
                     functionNative();
                     break;
                  case 295:
                     functionNative();
                     break;
                  case 294:
                     functionNative();
                     break;
                  case 293:
                     functionNative();
                     break;
                  case 292:
                     functionNative();
                     break;
                  case 291:
                     functionNative();
                     break;
                  case 290:
                     functionNative();
                     break;
                  case 289:
                     functionNative();
                     break;
                  case 288:
                     functionNative();
                     break;
                  case 287:
                     functionNative();
                     break;
                  case 286:
                     functionNative();
                     break;
                  case 285:
                     functionNative();
                     break;
                  case 284:
                     functionNative();
                     break;
                  case 283:
                     functionNative();
                     break;
                  case 282:
                     functionNative();
                     break;
                  case 281:
                     functionNative();
                     break;
                  case 280:
                     functionNative();
                     break;
                  case 279:
                     functionNative();
                     break;
                  case 278:
                     functionNative();
                     break;
                  case 277:
                     functionNative();
                     break;
                  case 276:
                     renameCheck();
                     break;
                  case 275:
                     renameView();
                     break;
                  case 274:
                     renameProcedure();
                     break;
                  case 273:
                     renameKey();
                     break;
                  case 272:
                     renameBTree();
                     break;
                  case 271:
                     renameIndex();
                     break;
                  case 270:
                     renameTable();
                     break;
                  case 269:
                     alterRenameCol();
                     break;
                  case 268:
                     alterModCol();
                     break;
                  case 267:
                     alterAddCol();
                     break;
                  case 266:
                     alterDropCol();
                     break;
                  case 263:
                     alterStore();
                     break;
                  case 261:
                     setUpdDelAlias();
                     break;
                  case 260:
                     deleteStore();
                     break;
                  case 259:
                     returnVarAssignment();
                     break;
                  case 254:
                     updateAssignment();
                     break;
                  case 251:
                     updateStore();
                     break;
                  case 249:
                     selectLimitOpt2();
                     break;
                  case 248:
                     selectLimitOpt1();
                     break;
                  case 246:
                     selectDistinctOpt();
                     break;
                  case 243:
                     selectOrderingDesc();
                     break;
                  case 242:
                     selectOrderingAsc();
                     break;
                  case 241:
                     selectOrderingList2();
                     break;
                  case 240:
                     selectOrderingList1();
                     break;
                  case 238:
                     selectEmptyOrderingClause();
                     break;
                  case 237:
                     selectOrderingClause();
                     break;
                  case 235:
                     selectEmptyHavingClause();
                     break;
                  case 234:
                     selectHavingClause();
                     break;
                  case 233:
                     selectGroupList2();
                     break;
                  case 232:
                     selectGroupList1();
                     break;
                  case 230:
                     selectEmptyGroupClause();
                     break;
                  case 229:
                     selectGroupClause();
                     break;
                  case 227:
                     noAliasOpt();
                     break;
                  case 226:
                     aliasOpt();
                     break;
                  case 225:
                     selectStackJoinTable();
                     break;
                  case 224:
                     selectTable2();
                     break;
                  case 223:
                     selectTable1();
                     break;
                  case 218:
                     selectRightOuterJoinStore();
                     break;
                  case 217:
                     selectLeftOuterJoinStore();
                     break;
                  case 216:
                     selectInnerJoinStore();
                     break;
                  case 213:
                     selectJoinSpecStore();
                     break;
                  case 212:
                     selectTableListStore();
                     break;
                  case 211:
                     selectItem();
                     break;
                  case 210:
                     selectionList2();
                     break;
                  case 209:
                     selectionList1();
                     break;
                  case 208:
                     selectSelectionStore2();
                     break;
                  case 207:
                     selectSelectionStore1();
                     break;
                  case 206:
                     selectStore();
                     break;
                  case 205:
                     insertExprValue();
                     break;
                  case 204:
                     insertExprValue();
                     break;
                  case 203:
                     insertArg();
                     break;
                  case 202:
                     insertArg();
                     break;
                  case 201:
                     insertValueSpecStoreExecute();
                     break;
                  case 198:
                     insertPrepare();
                     break;
                  case 195:
                     insertBySelectStore();
                     break;
                  case 194:
                     insertStore();
                     break;
                  case 193:
                     rollbackStore();
                     break;
                  case 192:
                     commitStore();
                     break;
                  case 191:
                     startStore();
                     break;
                  case 188:
                     setBTreeIndex();
                     break;
                  case 187:
                     setAVLIndex();
                     break;
                  case 185:
                     setUniqueIndex();
                     break;
                  case 184:
                     createSimpleAttr();
                     break;
                  case 183:
                     createSimpleAttrList();
                     break;
                  case 180:
                     defaultNullOpt();
                     break;
                  case 179:
                     defaultOpt();
                     break;
                  case 177:
                     setNullOpt();
                     break;
                  case 176:
                     setNotNullOpt();
                     break;
                  case 175:
                     setNullOpt();
                     break;
                  case 174:
                     setColumnDesc();
                     break;
                  case 173:
                     setOrdinaryColumn();
                     break;
                  case 172:
                     setPrimaryColumn();
                     break;
                  case 169:
                     procStoreFetchArg2();
                     break;
                  case 168:
                     procStoreFetchArg1();
                     break;
                  case 167:
                     casePrepare();
                     break;
                  case 166:
                     caseCondition();
                     break;
                  case 165:
                     caseConditionList2();
                     break;
                  case 164:
                     caseConditionList1();
                     break;
                  case 163:
                     caseClause();
                     break;
                  case 162:
                     procFactor14();
                     break;
                  case 161:
                     procFactor13();
                     break;
                  case 160:
                     procFactor12();
                     break;
                  case 159:
                     procFactor11();
                     break;
                  case 158:
                     procFactor10();
                     break;
                  case 157:
                     procFactor9();
                     break;
                  case 156:
                     procFactor8();
                     break;
                  case 155:
                     procFactor7();
                     break;
                  case 154:
                     procFactor6();
                     break;
                  case 153:
                     procFactor5();
                     break;
                  case 152:
                     procFactor4();
                     break;
                  case 151:
                     procFactor3();
                     break;
                  case 150:
                     procFactor2();
                     break;
                  case 149:
                     procFactor1();
                     break;
                  case 148:
                     procTerm3();
                     break;
                  case 147:
                     procTerm2();
                     break;
                  case 146:
                     procTerm1();
                     break;
                  case 145:
                     procExpr4();
                     break;
                  case 144:
                     procExpr3();
                     break;
                  case 143:
                     procExpr2();
                     break;
                  case 142:
                     procExpr1();
                     break;
                  case 141:
                     procPredicate4();
                     break;
                  case 140:
                     procPredicate3();
                     break;
                  case 139:
                     procPredicate2();
                     break;
                  case 138:
                     procPredicate1();
                     break;
                  case 137:
                     procCondition3();
                     break;
                  case 136:
                     procCondition2();
                     break;
                  case 135:
                     procCondition1();
                     break;
                  case 134:
                     procWhileCondition();
                     break;
                  case 133:
                     procWhileStatement();
                     break;
                  case 132:
                     procElsIfCondition();
                     break;
                  case 131:
                     procIfCondition();
                     break;
                  case 130:
                     procElsePart();
                     break;
                  case 128:
                     procStoreElseBlock();
                     break;
                  case 127:
                     procStoreIfBlock();
                     break;
                  case 124:
                     procStoreIfBlock();
                     break;
                  case 123:
                     procIfStatement();
                     break;
                  case 122:
                     procExceptionCondition();
                     break;
                  case 121:
                     procExprValue();
                     break;
                  case 120:
                     procExprValue();
                     break;
                  case 118:
                     procValueSpec();
                     break;
                  case 117:
                     procExceptionStatement();
                     break;
                  case 114:
                     procBlockStart();
                     break;
                  case 113:
                     procBlockStatement();
                     break;
                  case 112:
                     procReturnStatement2();
                     break;
                  case 111:
                     procReturnStatement1();
                     break;
                  case 110:
                     procQueryStatement();
                     break;
                  case 109:
                     procQueryStatement();
                     break;
                  case 108:
                     procQueryStatement();
                     break;
                  case 107:
                     procQueryStatement();
                     break;
                  case 106:
                     procQueryStatement();
                     break;
                  case 105:
                     procQueryStatement();
                     break;
                  case 104:
                     procThrowStatement();
                     break;
                  case 102:
                     procInitialAssignment2();
                     break;
                  case 101:
                     procInitialAssignment1();
                     break;
                  case 100:
                     procNoopStatement();
                     break;
                  case 99:
                     procAssign2NullStatement();
                     break;
                  case 98:
                     procAssignStatement();
                     break;
                  case 97:
                     procCursorCloseStatement();
                     break;
                  case 96:
                     procCursorCreateStatement();
                     break;
                  case 95:
                     procVarStatement();
                     break;
                  case 94:
                     procStoreBlock();
                     break;
                  case 91:
                     procArg2();
                     break;
                  case 90:
                     procArg1();
                     break;
                  case 84:
                     procReturnOpt();
                     break;
                  case 83:
                     procStore();
                     break;
                  case 82:
                     procHead();
                     break;
                  case 80:
                     unionAllStore();
                     break;
                  case 79:
                     jdbcArg2();
                     break;
                  case 78:
                     jdbcArg1();
                     break;
                  case 77:
                     jdbcInfo();
                     break;
                  case 76:
                     execCounterId();
                     break;
                  case 75:
                     execSetCounter();
                     break;
                  case 74:
                     execDropCounter();
                     break;
                  case 73:
                     execCreateCounter();
                     break;
                  case 72:
                     execIndexCheck();
                     break;
                  case 71:
                     execPrint();
                     break;
                  case 70:
                     execAssignStatement();
                     break;
                  case 69:
                     execCheckCreate();
                     break;
                  case 68:
                     execForeignKeyCreate();
                     break;
                  case 67:
                     dropOpt2();
                     break;
                  case 66:
                     dropOpt1();
                     break;
                  case 65:
                     execBTreeDrop();
                     break;
                  case 64:
                     execCheckDrop();
                     break;
                  case 63:
                     execFKeyDrop();
                     break;
                  case 62:
                     execProcDrop();
                     break;
                  case 61:
                     execViewDrop();
                     break;
                  case 60:
                     execIndexDrop();
                     break;
                  case 59:
                     execTableDrop();
                     break;
                  case 58:
                     execIndexCreate();
                     break;
                  case 57:
                     execPrimaryIndexCreate();
                     break;
                  case 56:
                     execUserTableCreate();
                     break;
                  case 55:
                     execFuncCall();
                     break;
                  case 54:
                     execProcCall();
                     break;
                  case 53:
                     execProcLoad();
                     break;
                  case 52:
                     execProcCreate();
                     break;
                  case 51:
                     execViewLoad();
                     break;
                  case 50:
                     execViewCreate();
                     break;
                  case 49:
                     execQuery();
                     break;
                  case 48:
                     execQuery();
                     break;
                  case 47:
                     execQuery();
                     break;
                  case 46:
                     execQuery();
                     break;
                  case 44:
                     execSelectPlan();
                     break;
                  case 43:
                     execSelect();
                     break;
                  case 42:
                     execIndexReorganize();
                     break;
                  case 41:
                     execTableReorganize();
                     break;
                  case 40:
                     execDisableBTreeCache();
                     break;
                  case 39:
                     execEnableBTreeCache();
                     break;
                  case 38:
                     execSetIsolation();
                     break;
                  case 37:
                     execDisableAutoCommit();
                     break;
                  case 36:
                     execEnableAutoCommit();
                     break;
                  case 35:
                     execDisableAppendMode();
                     break;
                  case 34:
                     execEnableAppendMode();
                     break;
                  case 33:
                     execQuery();
                     break;
                  case 32:
                     execQuery();
                     break;
                  case 31:
                     execQuery();
                     break;
                  case 30:
                     execAuthUser();
                     break;
                  case 29:
                     execSetTableSet();
                     break;
                  case 28:
                     execCheckShow();
                     break;
                  case 27:
                     execViewShow();
                     break;
                  case 26:
                     execProcShow();
                     break;
                  case 25:
                     execProcDesc();
                     break;
                  case 24:
                     execCheckDesc();
                     break;
                  case 23:
                     execKeyDesc();
                     break;
                  case 22:
                     execViewDesc();
                     break;
                  case 21:
                     execBTreeDesc();
                     break;
                  case 20:
                     execIndexDesc();
                     break;
                  case 19:
                     execTableDesc();
                     break;
                  case 18:
                     execShowSystemSpace();
                     break;
                  case 17:
                     execShowPool();
                     break;
                  case 16:
                     execShowUptime();
                     break;
                  case 15:
                     execTableInfo();
                     break;
                  case 13:
                     setTableSetOpt();
                     break;
                  case 12:
                     execListCheck();
                     break;
                  case 11:
                     execListTmpObj();
                     break;
                  case 10:
                     execListSysObj();
                     break;
                  case 9:
                     execListCounter();
                     break;
                  case 8:
                     execListKey();
                     break;
                  case 7:
                     execListBTree();
                     break;
                  case 6:
                     execListIndex();
                     break;
                  case 5:
                     execListView();
                     break;
                  case 4:
                     execListProc();
                     break;
                  case 3:
                     execListTable();
                     break;
                  case 2:
                     execListTableSet();
                     break;
                  case 1:
                     execSync();
                     break;
               }
               break;
            }
            case ACCEPT:
            {
               return;
            }
            default:
               break;
         }
      }
      else
      {
         Chain msg = "Parse error at token <" + Chain(_tokenVal) + ">.";
         throw Exception(EXLOC, msg);
      }
   }
}


bool Cego::getAction(int state, Cego::Token token, Cego::Action& a, int& num)
{
    if (_actionMap[state][token].getAction() != NULLACTION )
    {
	a = _actionMap[state][token].getAction();
	num = _actionMap[state][token].getNum();
	return true;
    }
    else
    {
	return false;
    }
}

bool Cego::getJump(int state, Production prod, int& fstate)
{
    if ( _jumpMap[state][prod] > 0 )
    {
       fstate = _jumpMap[state][prod];
	    return true;
    }
    else
    {
	    return false;
    }
}

bool Cego::isSepSign(char c)
{
   if (c == ';') return true;
   if (c == ',') return true;
   if (c == '=') return true;
   if (c == '<') return true;
   if (c == '>') return true;
   if (c == ')') return true;
   if (c == '(') return true;
   if (c == '[') return true;
   if (c == ']') return true;
   if (c == '/') return true;
   if (c == '+') return true;
   if (c == '-') return true;
   if (c == '|') return true;
   if (c == '*') return true;
   return false;
}
bool Cego::isSepIgnore(char c)
{
   if (c == '\t') return true;
   if (c == ' ') return true;
   if (c == '\n') return true;
   return false;
}
bool Cego::shiftToken()
{
   unsigned long i=0;
   char c;
   while ( isSepIgnore(c = nextChar()) && ! _isReserved );
   if ( _isReserved )
   {
      _token = _reservedToken;
      _isReserved = false;
      return true;
   }
   if (c == 0)
   {
      _token = ENDTOKEN;
      return true;
   }
   if (isSepSign(c))
   {
      _tokenVal[i]=c;
       i++;
   }
   else
   {
      while (c && ! isSepIgnore(c) && ! ( isSepSign(c) && i>0 ) )
      {
         _tokenVal[i]=c;
         i++;
         c = nextChar();
      }
      if (isSepSign(c)) backChar();
   }
   _tokenVal[i]=0;
   Scanner* pS = _scannerList.First();
   while (pS)
   {
      if (pS->checkPattern(_tokenVal))
      {
         _token = pS->getToken();
         return true;
      }
      pS=_scannerList.Next();
   }
   return false;
}
void Cego::setReserved(Token t)
{
   _reservedToken = t;
   _isReserved = true;
}
